module.exports = {"kind":"discovery#restDescription","etag":"\"YWOzh2SDasdU84ArJnpYek-OMdg/DRBTsEIxJrK05BoYj5WKiiu8ahc\"","discoveryVersion":"v1","id":"compute:beta","name":"compute","version":"beta","revision":"20171026","title":"Compute Engine API","description":"Creates and runs virtual machines on Google Cloud Platform.","ownerDomain":"google.com","ownerName":"Google","icons":{"x16":"https://www.google.com/images/icons/product/compute_engine-16.png","x32":"https://www.google.com/images/icons/product/compute_engine-32.png"},"documentationLink":"https://developers.google.com/compute/docs/reference/latest/","protocol":"rest","baseUrl":"https://www.googleapis.com/compute/beta/projects/","basePath":"/compute/beta/projects/","rootUrl":"https://www.googleapis.com/","servicePath":"compute/beta/projects/","batchPath":"batch/compute/beta","parameters":{"alt":{"type":"string","description":"Data format for the response.","default":"json","enum":["json"],"enumDescriptions":["Responses with Content-Type of application/json"],"location":"query"},"fields":{"type":"string","description":"Selector specifying which fields to include in a partial response.","location":"query"},"key":{"type":"string","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","location":"query"},"oauth_token":{"type":"string","description":"OAuth 2.0 token for the current user.","location":"query"},"prettyPrint":{"type":"boolean","description":"Returns response with indentations and line breaks.","default":"true","location":"query"},"quotaUser":{"type":"string","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. Overrides userIp if both are provided.","location":"query"},"userIp":{"type":"string","description":"IP address of the site where the request originates. Use this if you want to enforce per-user limits.","location":"query"}},"auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"},"https://www.googleapis.com/auth/compute":{"description":"View and manage your Google Compute Engine resources"},"https://www.googleapis.com/auth/compute.readonly":{"description":"View your Google Compute Engine resources"},"https://www.googleapis.com/auth/devstorage.full_control":{"description":"Manage your data and permissions in Google Cloud Storage"},"https://www.googleapis.com/auth/devstorage.read_only":{"description":"View your data in Google Cloud Storage"},"https://www.googleapis.com/auth/devstorage.read_write":{"description":"Manage your data in Google Cloud Storage"}}}},"schemas":{"AcceleratorConfig":{"id":"AcceleratorConfig","type":"object","description":"A specification of the type and number of accelerator cards attached to the instance.","properties":{"acceleratorCount":{"type":"integer","description":"The number of the guest accelerator cards exposed to this instance.","format":"int32"},"acceleratorType":{"type":"string","description":"Full or partial URL of the accelerator type resource to expose to this instance."}}},"AcceleratorType":{"id":"AcceleratorType","type":"object","description":"An Accelerator Type resource.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"deprecated":{"$ref":"DeprecationStatus","description":"[Output Only] The deprecation status associated with this accelerator type."},"description":{"type":"string","description":"[Output Only] An optional textual description of the resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] The type of the resource. Always compute#acceleratorType for accelerator types.","default":"compute#acceleratorType"},"maximumCardsPerInstance":{"type":"integer","description":"[Output Only] Maximum accelerator cards allowed per instance.","format":"int32"},"name":{"type":"string","description":"[Output Only] Name of the resource.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"selfLink":{"type":"string","description":"[Output Only] Server-defined fully-qualified URL for this resource."},"zone":{"type":"string","description":"[Output Only] The name of the zone where the accelerator type resides, such as us-central1-a."}}},"AcceleratorTypeAggregatedList":{"id":"AcceleratorTypeAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of AcceleratorTypesScopedList resources.","additionalProperties":{"$ref":"AcceleratorTypesScopedList","description":"[Output Only] Name of the scope containing this set of accelerator types."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#acceleratorTypeAggregatedList for aggregated lists of accelerator types.","default":"compute#acceleratorTypeAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"AcceleratorTypeList":{"id":"AcceleratorTypeList","type":"object","description":"Contains a list of accelerator types.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of AcceleratorType resources.","items":{"$ref":"AcceleratorType"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#acceleratorTypeList for lists of accelerator types.","default":"compute#acceleratorTypeList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"AcceleratorTypesScopedList":{"id":"AcceleratorTypesScopedList","type":"object","properties":{"acceleratorTypes":{"type":"array","description":"[Output Only] List of accelerator types contained in this scope.","items":{"$ref":"AcceleratorType"}},"warning":{"type":"object","description":"[Output Only] An informational warning that appears when the accelerator types list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"AccessConfig":{"id":"AccessConfig","type":"object","description":"An access configuration attached to an instance's network interface. Only one access config per instance is supported.","properties":{"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#accessConfig for access configs.","default":"compute#accessConfig"},"name":{"type":"string","description":"The name of this access configuration. The default and recommended name is External NAT but you can use any arbitrary string you would like. For example, My external IP or Network Access."},"natIP":{"type":"string","description":"An external IP address associated with this instance. Specify an unused static external IP address available to the project or leave this field undefined to use an IP from a shared ephemeral IP address pool. If you specify a static external IP address, it must live in the same region as the zone of the instance."},"publicPtrDomainName":{"type":"string","description":"The DNS domain name for the public PTR record. This field can only be set when the set_public_ptr field is enabled."},"setPublicPtr":{"type":"boolean","description":"Specifies whether a public DNS ?PTR? record should be created to map the external IP address of the instance to a DNS domain name."},"type":{"type":"string","description":"The type of configuration. The default and only option is ONE_TO_ONE_NAT.","default":"ONE_TO_ONE_NAT","enum":["ONE_TO_ONE_NAT"],"enumDescriptions":[""]}}},"Address":{"id":"Address","type":"object","description":"A reserved address resource.","properties":{"address":{"type":"string","description":"The static IP address represented by this resource."},"addressType":{"type":"string","description":"The type of address to reserve. If unspecified, defaults to EXTERNAL.","enum":["EXTERNAL","INTERNAL","UNSPECIFIED_TYPE"],"enumDescriptions":["","",""]},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"ipVersion":{"type":"string","description":"The IP Version that will be used by this address. Valid options are IPV4 or IPV6. This can only be specified for a global address.","enum":["IPV4","IPV6","UNSPECIFIED_VERSION"],"enumDescriptions":["","",""]},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#address for addresses.","default":"compute#address"},"labelFingerprint":{"type":"string","description":"A fingerprint for the labels being applied to this Address, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels.\n\nTo see the latest fingerprint, make a get() request to retrieve an Address.","format":"byte"},"labels":{"type":"object","description":"Labels to apply to this Address resource. These can be later modified by the setLabels method. Each label key/value must comply with RFC1035. Label values may be empty.","additionalProperties":{"type":"string"}},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.addresses.insert"]}},"region":{"type":"string","description":"[Output Only] URL of the region where the regional address resides. This field is not applicable to global addresses."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"status":{"type":"string","description":"[Output Only] The status of the address, which can be one of RESERVING, RESERVED, or IN_USE. An address that is RESERVING is currently in the process of being reserved. A RESERVED address is currently reserved and available to use. An IN_USE address is currently being used by another resource and is not available.","enum":["IN_USE","RESERVED"],"enumDescriptions":["",""]},"subnetwork":{"type":"string","description":"For external addresses, this field should not be used.\n\nThe URL of the subnetwork in which to reserve the address. If an IP address is specified, it must be within the subnetwork's IP range."},"users":{"type":"array","description":"[Output Only] The URLs of the resources that are using this address.","items":{"type":"string"}}}},"AddressAggregatedList":{"id":"AddressAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of AddressesScopedList resources.","additionalProperties":{"$ref":"AddressesScopedList","description":"[Output Only] Name of the scope containing this set of addresses."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#addressAggregatedList for aggregated lists of addresses.","default":"compute#addressAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"AddressList":{"id":"AddressList","type":"object","description":"Contains a list of addresses.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Address resources.","items":{"$ref":"Address"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#addressList for lists of addresses.","default":"compute#addressList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"AddressesScopedList":{"id":"AddressesScopedList","type":"object","properties":{"addresses":{"type":"array","description":"[Output Only] List of addresses contained in this scope.","items":{"$ref":"Address"}},"warning":{"type":"object","description":"[Output Only] Informational warning which replaces the list of addresses when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"AliasIpRange":{"id":"AliasIpRange","type":"object","description":"An alias IP range attached to an instance's network interface.","properties":{"ipCidrRange":{"type":"string","description":"The IP CIDR range represented by this alias IP range. This IP CIDR range must belong to the specified subnetwork and cannot contain IP addresses reserved by system or used by other network interfaces. This range may be a single IP address (e.g. 10.2.3.4), a netmask (e.g. /24) or a CIDR format string (e.g. 10.1.2.0/24)."},"subnetworkRangeName":{"type":"string","description":"Optional subnetwork secondary range name specifying the secondary range from which to allocate the IP CIDR range for this alias IP range. If left unspecified, the primary range of the subnetwork will be used."}}},"AttachedDisk":{"id":"AttachedDisk","type":"object","description":"An instance-attached disk resource.","properties":{"autoDelete":{"type":"boolean","description":"Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance)."},"boot":{"type":"boolean","description":"Indicates that this is a boot disk. The virtual machine will use the first partition of the disk for its root filesystem."},"deviceName":{"type":"string","description":"Specifies a unique device name of your choice that is reflected into the /dev/disk/by-id/google-* tree of a Linux operating system running within the instance. This name can be used to reference the device for mounting, resizing, and so on, from within the instance.\n\nIf not specified, the server chooses a default device name to apply to this disk, in the form persistent-disks-x, where x is a number assigned by Google Compute Engine. This field is only applicable for persistent disks."},"diskEncryptionKey":{"$ref":"CustomerEncryptionKey","description":"Encrypts or decrypts a disk using a customer-supplied encryption key.\n\nIf you are creating a new disk, this field encrypts the new disk using an encryption key that you provide. If you are attaching an existing disk that is already encrypted, this field decrypts the disk using the customer-supplied encryption key.\n\nIf you encrypt a disk using a customer-supplied key, you must provide the same key again when you attempt to use this resource at a later time. For example, you must provide the key when you create a snapshot or an image from the disk or when you attach the disk to a virtual machine instance.\n\nIf you do not provide an encryption key, then the disk will be encrypted using an automatically generated key and you do not need to provide a key to use the disk later.\n\nInstance templates do not store customer-supplied encryption keys, so you cannot use your own keys to encrypt disks in a managed instance group."},"index":{"type":"integer","description":"[Output Only] A zero-based index to this disk, where 0 is reserved for the boot disk. If you have many disks attached to an instance, each disk would have a unique index number.","format":"int32"},"initializeParams":{"$ref":"AttachedDiskInitializeParams","description":"[Input Only] Specifies the parameters for a new disk that will be created alongside the new instance. Use initialization parameters to create boot disks or local SSDs attached to the new instance.\n\nThis property is mutually exclusive with the source property; you can only define one or the other, but not both."},"interface":{"type":"string","description":"Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME. The default is SCSI. Persistent disks must always use SCSI and the request will fail if you attempt to attach a persistent disk in any other format than SCSI. Local SSDs can use either NVME or SCSI. For performance characteristics of SCSI over NVMe, see Local SSD performance.","enum":["NVME","SCSI"],"enumDescriptions":["",""]},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#attachedDisk for attached disks.","default":"compute#attachedDisk"},"licenses":{"type":"array","description":"[Output Only] Any valid publicly visible licenses.","items":{"type":"string"}},"mode":{"type":"string","description":"The mode in which to attach this disk, either READ_WRITE or READ_ONLY. If not specified, the default is to attach the disk in READ_WRITE mode.","enum":["READ_ONLY","READ_WRITE"],"enumDescriptions":["",""]},"source":{"type":"string","description":"Specifies a valid partial or full URL to an existing Persistent Disk resource. When creating a new instance, one of initializeParams.sourceImage or disks.source is required except for local SSD.\n\nIf desired, you can also attach existing non-root persistent disks using this property. This field is only applicable for persistent disks.\n\nNote that for InstanceTemplate, specify the disk name, not the URL for the disk."},"type":{"type":"string","description":"Specifies the type of the disk, either SCRATCH or PERSISTENT. If not specified, the default is PERSISTENT.","enum":["PERSISTENT","SCRATCH"],"enumDescriptions":["",""]}}},"AttachedDiskInitializeParams":{"id":"AttachedDiskInitializeParams","type":"object","description":"[Input Only] Specifies the parameters for a new disk that will be created alongside the new instance. Use initialization parameters to create boot disks or local SSDs attached to the new instance.\n\nThis property is mutually exclusive with the source property; you can only define one or the other, but not both.","properties":{"diskName":{"type":"string","description":"Specifies the disk name. If not specified, the default is to use the name of the instance."},"diskSizeGb":{"type":"string","description":"Specifies the size of the disk in base-2 GB.","format":"int64"},"diskStorageType":{"type":"string","description":"[Deprecated] Storage type of the disk.","enum":["HDD","SSD"],"enumDescriptions":["",""]},"diskType":{"type":"string","description":"Specifies the disk type to use to create the instance. If not specified, the default is pd-standard, specified using the full URL. For example:\n\nhttps://www.googleapis.com/compute/v1/projects/project/zones/zone/diskTypes/pd-standard \n\nOther values include pd-ssd and local-ssd. If you define this field, you can provide either the full or partial URL. For example, the following are valid values:  \n- https://www.googleapis.com/compute/v1/projects/project/zones/zone/diskTypes/diskType \n- projects/project/zones/zone/diskTypes/diskType \n- zones/zone/diskTypes/diskType  Note that for InstanceTemplate, this is the name of the disk type, not URL."},"sourceImage":{"type":"string","description":"The source image to create this disk. When creating a new instance, one of initializeParams.sourceImage or disks.source is required except for local SSD.\n\nTo create a disk with one of the public operating system images, specify the image by its family name. For example, specify family/debian-8 to use the latest Debian 8 image:\n\nprojects/debian-cloud/global/images/family/debian-8 \n\nAlternatively, use a specific version of a public operating system image:\n\nprojects/debian-cloud/global/images/debian-8-jessie-vYYYYMMDD \n\nTo create a disk with a private image that you created, specify the image name in the following format:\n\nglobal/images/my-private-image \n\nYou can also specify a private image by its image family, which returns the latest version of the image in that family. Replace the image name with family/family-name:\n\nglobal/images/family/my-private-family \n\nIf the source image is deleted later, this field will not be set."},"sourceImageEncryptionKey":{"$ref":"CustomerEncryptionKey","description":"The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key.\n\nInstance templates do not store customer-supplied encryption keys, so you cannot create disks for instances in a managed instance group if the source images are encrypted with your own keys."}}},"AuditConfig":{"id":"AuditConfig","type":"object","description":"Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs.\n\nIf there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditConfig are exempted.\n\nExample Policy with multiple AuditConfigs:\n\n{ \"audit_configs\": [ { \"service\": \"allServices\" \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:foo@gmail.com\" ] }, { \"log_type\": \"DATA_WRITE\", }, { \"log_type\": \"ADMIN_READ\", } ] }, { \"service\": \"fooservice.googleapis.com\" \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:bar@gmail.com\" ] } ] } ] }\n\nFor fooservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts foo@gmail.com from DATA_READ logging, and bar@gmail.com from DATA_WRITE logging.","properties":{"auditLogConfigs":{"type":"array","description":"The configuration for logging of each type of permission.","items":{"$ref":"AuditLogConfig"}},"exemptedMembers":{"type":"array","description":"","items":{"type":"string"}},"service":{"type":"string","description":"Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services."}}},"AuditLogConfig":{"id":"AuditLogConfig","type":"object","description":"Provides the configuration for logging a type of permissions. Example:\n\n{ \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:foo@gmail.com\" ] }, { \"log_type\": \"DATA_WRITE\", } ] }\n\nThis enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting foo@gmail.com from DATA_READ logging.","properties":{"exemptedMembers":{"type":"array","description":"Specifies the identities that do not cause logging for this type of permission. Follows the same format of [Binding.members][].","items":{"type":"string"}},"logType":{"type":"string","description":"The log type that this config enables.","enum":["ADMIN_READ","DATA_READ","DATA_WRITE","LOG_TYPE_UNSPECIFIED"],"enumDescriptions":["","","",""]}}},"AuthorizationLoggingOptions":{"id":"AuthorizationLoggingOptions","type":"object","description":"Authorization-related information used by Cloud Audit Logging.","properties":{"permissionType":{"type":"string","description":"The type of the permission that was checked.","enum":["ADMIN_READ","ADMIN_WRITE","DATA_READ","DATA_WRITE","PERMISSION_TYPE_UNSPECIFIED"],"enumDescriptions":["","","","",""]}}},"Autoscaler":{"id":"Autoscaler","type":"object","description":"Represents an Autoscaler resource. Autoscalers allow you to automatically scale virtual machine instances in managed instance groups according to an autoscaling policy that you define. For more information, read Autoscaling Groups of Instances.","properties":{"autoscalingPolicy":{"$ref":"AutoscalingPolicy","description":"The configuration parameters for the autoscaling algorithm. You can define one or more of the policies for an autoscaler: cpuUtilization, customMetricUtilizations, and loadBalancingUtilization.\n\nIf none of these are specified, the default will be to autoscale based on cpuUtilization to 0.6 or 60%."},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#autoscaler for autoscalers.","default":"compute#autoscaler"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.instanceGroups.insert"]}},"region":{"type":"string","description":"[Output Only] URL of the region where the instance group resides (for autoscalers living in regional scope)."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"status":{"type":"string","description":"[Output Only] The status of the autoscaler configuration.","enum":["ACTIVE","DELETING","ERROR","PENDING"],"enumDescriptions":["","","",""]},"statusDetails":{"type":"array","description":"[Output Only] Human-readable details about the current state of the autoscaler. Read the documentation for Commonly returned status messages for examples of status messages you might encounter.","items":{"$ref":"AutoscalerStatusDetails"}},"target":{"type":"string","description":"URL of the managed instance group that this autoscaler will scale."},"zone":{"type":"string","description":"[Output Only] URL of the zone where the instance group resides (for autoscalers living in zonal scope)."}}},"AutoscalerAggregatedList":{"id":"AutoscalerAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of AutoscalersScopedList resources.","additionalProperties":{"$ref":"AutoscalersScopedList","description":"[Output Only] Name of the scope containing this set of autoscalers."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#autoscalerAggregatedList for aggregated lists of autoscalers.","default":"compute#autoscalerAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"AutoscalerList":{"id":"AutoscalerList","type":"object","description":"Contains a list of Autoscaler resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Autoscaler resources.","items":{"$ref":"Autoscaler"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#autoscalerList for lists of autoscalers.","default":"compute#autoscalerList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"AutoscalerStatusDetails":{"id":"AutoscalerStatusDetails","type":"object","properties":{"message":{"type":"string","description":"The status message."},"type":{"type":"string","description":"The type of error returned.","enum":["ALL_INSTANCES_UNHEALTHY","BACKEND_SERVICE_DOES_NOT_EXIST","CAPPED_AT_MAX_NUM_REPLICAS","CUSTOM_METRIC_DATA_POINTS_TOO_SPARSE","CUSTOM_METRIC_INVALID","MIN_EQUALS_MAX","MISSING_CUSTOM_METRIC_DATA_POINTS","MISSING_LOAD_BALANCING_DATA_POINTS","MORE_THAN_ONE_BACKEND_SERVICE","NOT_ENOUGH_QUOTA_AVAILABLE","REGION_RESOURCE_STOCKOUT","SCALING_TARGET_DOES_NOT_EXIST","UNKNOWN","UNSUPPORTED_MAX_RATE_LOAD_BALANCING_CONFIGURATION","ZONE_RESOURCE_STOCKOUT"],"enumDescriptions":["","","","","","","","","","","","","","",""]}}},"AutoscalersScopedList":{"id":"AutoscalersScopedList","type":"object","properties":{"autoscalers":{"type":"array","description":"[Output Only] List of autoscalers contained in this scope.","items":{"$ref":"Autoscaler"}},"warning":{"type":"object","description":"[Output Only] Informational warning which replaces the list of autoscalers when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"AutoscalingPolicy":{"id":"AutoscalingPolicy","type":"object","description":"Cloud Autoscaler policy.","properties":{"coolDownPeriodSec":{"type":"integer","description":"The number of seconds that the autoscaler should wait before it starts collecting information from a new instance. This prevents the autoscaler from collecting information when the instance is initializing, during which the collected usage would not be reliable. The default time autoscaler waits is 60 seconds.\n\nVirtual machine initialization times might vary because of numerous factors. We recommend that you test how long an instance may take to initialize. To do this, create an instance and time the startup process.","format":"int32"},"cpuUtilization":{"$ref":"AutoscalingPolicyCpuUtilization","description":"Defines the CPU utilization policy that allows the autoscaler to scale based on the average CPU utilization of a managed instance group."},"customMetricUtilizations":{"type":"array","description":"Configuration parameters of autoscaling based on a custom metric.","items":{"$ref":"AutoscalingPolicyCustomMetricUtilization"}},"loadBalancingUtilization":{"$ref":"AutoscalingPolicyLoadBalancingUtilization","description":"Configuration parameters of autoscaling based on load balancer."},"maxNumReplicas":{"type":"integer","description":"The maximum number of instances that the autoscaler can scale up to. This is required when creating or updating an autoscaler. The maximum number of replicas should not be lower than minimal number of replicas.","format":"int32"},"minNumReplicas":{"type":"integer","description":"The minimum number of replicas that the autoscaler can scale down to. This cannot be less than 0. If not provided, autoscaler will choose a default value depending on maximum number of instances allowed.","format":"int32"}}},"AutoscalingPolicyCpuUtilization":{"id":"AutoscalingPolicyCpuUtilization","type":"object","description":"CPU utilization policy.","properties":{"utilizationTarget":{"type":"number","description":"The target CPU utilization that the autoscaler should maintain. Must be a float value in the range (0, 1]. If not specified, the default is 0.6.\n\nIf the CPU level is below the target utilization, the autoscaler scales down the number of instances until it reaches the minimum number of instances you specified or until the average CPU of your instances reaches the target utilization.\n\nIf the average CPU is above the target utilization, the autoscaler scales up until it reaches the maximum number of instances you specified or until the average utilization reaches the target utilization.","format":"double"}}},"AutoscalingPolicyCustomMetricUtilization":{"id":"AutoscalingPolicyCustomMetricUtilization","type":"object","description":"Custom utilization metric policy.","properties":{"filter":{"type":"string","description":"A filter string, compatible with a Stackdriver Monitoring filter string for TimeSeries.list API call. This filter is used to select a specific TimeSeries for the purpose of autoscaling and to determine whether the metric is exporting per-instance or per-group data.\n\nFor the filter to be valid for autoscaling purposes, the following rules apply:  \n- You can only use the AND operator for joining selectors. \n- You can only use direct equality comparison operator (=) without any functions for each selector. \n- You can specify the metric in both the filter string and in the metric field. However, if specified in both places, the metric must be identical. \n- The monitored resource type determines what kind of values are expected for the metric. If it is a gce_instance, the autoscaler expects the metric to include a separate TimeSeries for each instance in a group. In such a case, you cannot filter on resource labels.\nIf the resource type is any other value, the autoscaler expects this metric to contain values that apply to the entire autoscaled instance group and resource label filtering can be performed to point autoscaler at the correct TimeSeries to scale upon. This is called a per-group metric for the purpose of autoscaling.\n\nIf not specified, the type defaults to gce_instance.  \n\nYou should provide a filter that is selective enough to pick just one TimeSeries for the autoscaled group or for each of the instances (if you are using gce_instance resource type). If multiple TimeSeries are returned upon the query execution, the autoscaler will sum their respective values to obtain its scaling value."},"metric":{"type":"string","description":"The identifier (type) of the Stackdriver Monitoring metric. The metric cannot have negative values.\n\nThe metric must have a value type of INT64 or DOUBLE."},"singleInstanceAssignment":{"type":"number","description":"If scaling is based on a per-group metric value that represents the total amount of work to be done or resource usage, set this value to an amount assigned for a single instance of the scaled group. Autoscaler will keep the number of instances proportional to the value of this metric, the metric itself should not change value due to group resizing.\n\nA good metric to use with the target is for example pubsub.googleapis.com/subscription/num_undelivered_messages or a custom metric exporting the total number of requests coming to your instances.\n\nA bad example would be a metric exporting an average or median latency, since this value can't include a chunk assignable to a single instance, it could be better used with utilization_target instead.","format":"double"},"utilizationTarget":{"type":"number","description":"The target value of the metric that autoscaler should maintain. This must be a positive value. A utilization metric scales number of virtual machines handling requests to increase or decrease proportionally to the metric.\n\nFor example, a good metric to use as a utilization_target is compute.googleapis.com/instance/network/received_bytes_count. The autoscaler will work to keep this value constant for each of the instances.","format":"double"},"utilizationTargetType":{"type":"string","description":"Defines how target utilization value is expressed for a Stackdriver Monitoring metric. Either GAUGE, DELTA_PER_SECOND, or DELTA_PER_MINUTE. If not specified, the default is GAUGE.","enum":["DELTA_PER_MINUTE","DELTA_PER_SECOND","GAUGE"],"enumDescriptions":["","",""]}}},"AutoscalingPolicyLoadBalancingUtilization":{"id":"AutoscalingPolicyLoadBalancingUtilization","type":"object","description":"Configuration parameters of autoscaling based on load balancing.","properties":{"utilizationTarget":{"type":"number","description":"Fraction of backend capacity utilization (set in HTTP(s) load balancing configuration) that autoscaler should maintain. Must be a positive float value. If not defined, the default is 0.8.","format":"double"}}},"Backend":{"id":"Backend","type":"object","description":"Message containing information of one individual backend.","properties":{"balancingMode":{"type":"string","description":"Specifies the balancing mode for this backend. For global HTTP(S) or TCP/SSL load balancing, the default is UTILIZATION. Valid values are UTILIZATION, RATE (for HTTP(S)) and CONNECTION (for TCP/SSL).\n\nFor Internal Load Balancing, the default and only supported mode is CONNECTION.","enum":["CONNECTION","RATE","UTILIZATION"],"enumDescriptions":["","",""]},"capacityScaler":{"type":"number","description":"A multiplier applied to the group's maximum servicing capacity (based on UTILIZATION, RATE or CONNECTION). Default value is 1, which means the group will serve up to 100% of its configured capacity (depending on balancingMode). A setting of 0 means the group is completely drained, offering 0% of its available Capacity. Valid range is [0.0,1.0].\n\nThis cannot be used for internal load balancing.","format":"float"},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"group":{"type":"string","description":"The fully-qualified URL of a Instance Group resource. This instance group defines the list of instances that serve traffic. Member virtual machine instances from each instance group must live in the same zone as the instance group itself. No two backends in a backend service are allowed to use same Instance Group resource.\n\nNote that you must specify an Instance Group resource using the fully-qualified URL, rather than a partial URL.\n\nWhen the BackendService has load balancing scheme INTERNAL, the instance group must be within the same region as the BackendService."},"maxConnections":{"type":"integer","description":"The max number of simultaneous connections for the group. Can be used with either CONNECTION or UTILIZATION balancing modes. For CONNECTION mode, either maxConnections or maxConnectionsPerInstance must be set.\n\nThis cannot be used for internal load balancing.","format":"int32"},"maxConnectionsPerInstance":{"type":"integer","description":"The max number of simultaneous connections that a single backend instance can handle. This is used to calculate the capacity of the group. Can be used in either CONNECTION or UTILIZATION balancing modes. For CONNECTION mode, either maxConnections or maxConnectionsPerInstance must be set.\n\nThis cannot be used for internal load balancing.","format":"int32"},"maxRate":{"type":"integer","description":"The max requests per second (RPS) of the group. Can be used with either RATE or UTILIZATION balancing modes, but required if RATE mode. For RATE mode, either maxRate or maxRatePerInstance must be set.\n\nThis cannot be used for internal load balancing.","format":"int32"},"maxRatePerInstance":{"type":"number","description":"The max requests per second (RPS) that a single backend instance can handle. This is used to calculate the capacity of the group. Can be used in either balancing mode. For RATE mode, either maxRate or maxRatePerInstance must be set.\n\nThis cannot be used for internal load balancing.","format":"float"},"maxUtilization":{"type":"number","description":"Used when balancingMode is UTILIZATION. This ratio defines the CPU utilization target for the group. The default is 0.8. Valid range is [0.0, 1.0].\n\nThis cannot be used for internal load balancing.","format":"float"}}},"BackendBucket":{"id":"BackendBucket","type":"object","description":"A BackendBucket resource. This resource defines a Cloud Storage bucket.","properties":{"bucketName":{"type":"string","description":"Cloud Storage bucket name."},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional textual description of the resource; provided by the client when the resource is created."},"enableCdn":{"type":"boolean","description":"If true, enable Cloud CDN for this BackendBucket."},"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server.","format":"uint64"},"kind":{"type":"string","description":"Type of the resource.","default":"compute#backendBucket"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."}}},"BackendBucketList":{"id":"BackendBucketList","type":"object","description":"Contains a list of BackendBucket resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of BackendBucket resources.","items":{"$ref":"BackendBucket"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#backendBucketList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"BackendService":{"id":"BackendService","type":"object","description":"A BackendService resource. This resource defines a group of backend virtual machines and their serving capacity.","properties":{"affinityCookieTtlSec":{"type":"integer","description":"Lifetime of cookies in seconds if session_affinity is GENERATED_COOKIE. If set to 0, the cookie is non-persistent and lasts only until the end of the browser session (or equivalent). The maximum allowed value for TTL is one day.\n\nWhen the load balancing scheme is INTERNAL, this field is not used.","format":"int32"},"backends":{"type":"array","description":"The list of backends that serve this BackendService.","items":{"$ref":"Backend"}},"cdnPolicy":{"$ref":"BackendServiceCdnPolicy","description":"Cloud CDN configuration for this BackendService."},"connectionDraining":{"$ref":"ConnectionDraining"},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"enableCDN":{"type":"boolean","description":"If true, enable Cloud CDN for this BackendService.\n\nWhen the load balancing scheme is INTERNAL, this field is not used."},"fingerprint":{"type":"string","description":"Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a BackendService. An up-to-date fingerprint must be provided in order to update the BackendService.","format":"byte"},"healthChecks":{"type":"array","description":"The list of URLs to the HttpHealthCheck or HttpsHealthCheck resource for health checking this BackendService. Currently at most one health check can be specified, and a health check is required for Compute Engine backend services. A health check must not be specified for App Engine backend and Cloud Function backend.\n\nFor internal load balancing, a URL to a HealthCheck resource must be specified instead.","items":{"type":"string"}},"iap":{"$ref":"BackendServiceIAP"},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#backendService for backend services.","default":"compute#backendService"},"loadBalancingScheme":{"type":"string","description":"Indicates whether the backend service will be used with internal or external load balancing. A backend service created for one type of load balancing cannot be used with the other. Possible values are INTERNAL and EXTERNAL.","enum":["EXTERNAL","INTERNAL","INVALID_LOAD_BALANCING_SCHEME"],"enumDescriptions":["","",""]},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"port":{"type":"integer","description":"Deprecated in favor of portName. The TCP port to connect on the backend. The default value is 80.\n\nThis cannot be used for internal load balancing.","format":"int32"},"portName":{"type":"string","description":"Name of backend port. The same name should appear in the instance groups referenced by this service. Required when the load balancing scheme is EXTERNAL.\n\nWhen the load balancing scheme is INTERNAL, this field is not used."},"protocol":{"type":"string","description":"The protocol this BackendService uses to communicate with backends.\n\nPossible values are HTTP, HTTPS, TCP, and SSL. The default is HTTP.\n\nFor internal load balancing, the possible values are TCP and UDP, and the default is TCP.","enum":["HTTP","HTTPS","SSL","TCP","UDP"],"enumDescriptions":["","","","",""]},"region":{"type":"string","description":"[Output Only] URL of the region where the regional backend service resides. This field is not applicable to global backend services."},"securityPolicy":{"type":"string","description":"[Output Only] The resource URL for the security policy associated with this backend service."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"sessionAffinity":{"type":"string","description":"Type of session affinity to use. The default is NONE.\n\nWhen the load balancing scheme is EXTERNAL, can be NONE, CLIENT_IP, or GENERATED_COOKIE.\n\nWhen the load balancing scheme is INTERNAL, can be NONE, CLIENT_IP, CLIENT_IP_PROTO, or CLIENT_IP_PORT_PROTO.\n\nWhen the protocol is UDP, this field is not used.","enum":["CLIENT_IP","CLIENT_IP_PORT_PROTO","CLIENT_IP_PROTO","GENERATED_COOKIE","NONE"],"enumDescriptions":["","","","",""]},"timeoutSec":{"type":"integer","description":"How many seconds to wait for the backend before considering it a failed request. Default is 30 seconds.","format":"int32"}}},"BackendServiceAggregatedList":{"id":"BackendServiceAggregatedList","type":"object","description":"Contains a list of BackendServicesScopedList.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of BackendServicesScopedList resources.","additionalProperties":{"$ref":"BackendServicesScopedList","description":"Name of the scope containing this set of BackendServices."}},"kind":{"type":"string","description":"Type of resource.","default":"compute#backendServiceAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"BackendServiceCdnPolicy":{"id":"BackendServiceCdnPolicy","type":"object","description":"Message containing Cloud CDN configuration for a backend service.","properties":{"cacheKeyPolicy":{"$ref":"CacheKeyPolicy","description":"The CacheKeyPolicy for this CdnPolicy."}}},"BackendServiceGroupHealth":{"id":"BackendServiceGroupHealth","type":"object","properties":{"healthStatus":{"type":"array","items":{"$ref":"HealthStatus"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#backendServiceGroupHealth for the health of backend services.","default":"compute#backendServiceGroupHealth"}}},"BackendServiceIAP":{"id":"BackendServiceIAP","type":"object","description":"Identity-Aware Proxy","properties":{"enabled":{"type":"boolean"},"oauth2ClientId":{"type":"string"},"oauth2ClientSecret":{"type":"string"},"oauth2ClientSecretSha256":{"type":"string","description":"[Output Only] SHA256 hash value for the field oauth2_client_secret above."}}},"BackendServiceList":{"id":"BackendServiceList","type":"object","description":"Contains a list of BackendService resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of BackendService resources.","items":{"$ref":"BackendService"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#backendServiceList for lists of backend services.","default":"compute#backendServiceList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"BackendServicesScopedList":{"id":"BackendServicesScopedList","type":"object","properties":{"backendServices":{"type":"array","description":"List of BackendServices contained in this scope.","items":{"$ref":"BackendService"}},"warning":{"type":"object","description":"Informational warning which replaces the list of backend services when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"Binding":{"id":"Binding","type":"object","description":"Associates `members` with a `role`.","properties":{"condition":{"$ref":"Expr","description":"The condition that is associated with this binding. NOTE: an unsatisfied condition will not allow user access via current binding. Different bindings, including their conditions, are examined independently. This field is GOOGLE_INTERNAL."},"members":{"type":"array","description":"Specifies the identities requesting access for a Cloud Platform resource. `members` can have the following values:\n\n* `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account.\n\n* `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account.\n\n* `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@gmail.com` or `joe@example.com`.\n\n\n\n* `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`.\n\n* `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`.\n\n\n\n* `domain:{domain}`: A Google Apps domain name that represents all the users of that domain. For example, `google.com` or `example.com`.","items":{"type":"string"}},"role":{"type":"string","description":"Role that is assigned to `members`. For example, `roles/viewer`, `roles/editor`, or `roles/owner`."}}},"CacheInvalidationRule":{"id":"CacheInvalidationRule","type":"object","properties":{"host":{"type":"string","description":"If set, this invalidation rule will only apply to requests with a Host header matching host."},"path":{"type":"string"}}},"CacheKeyPolicy":{"id":"CacheKeyPolicy","type":"object","description":"Message containing what to include in the cache key for a request for Cloud CDN.","properties":{"includeHost":{"type":"boolean","description":"If true, requests to different hosts will be cached separately."},"includeProtocol":{"type":"boolean","description":"If true, http and https requests will be cached separately."},"includeQueryString":{"type":"boolean","description":"If true, include query string parameters in the cache key according to query_string_whitelist and query_string_blacklist. If neither is set, the entire query string will be included. If false, the query string will be excluded from the cache key entirely."},"queryStringBlacklist":{"type":"array","description":"Names of query string parameters to exclude in cache keys. All other parameters will be included. Either specify query_string_whitelist or query_string_blacklist, not both. '&' and '=' will be percent encoded and not treated as delimiters.","items":{"type":"string"}},"queryStringWhitelist":{"type":"array","description":"Names of query string parameters to include in cache keys. All other parameters will be excluded. Either specify query_string_whitelist or query_string_blacklist, not both. '&' and '=' will be percent encoded and not treated as delimiters.","items":{"type":"string"}}}},"Commitment":{"id":"Commitment","type":"object","description":"Represents a Commitment resource. Creating a Commitment resource means that you are purchasing a committed use contract with an explicit start and end time. You can create commitments based on vCPUs and memory usage and receive discounted rates. For full details, read Signing Up for Committed Use Discounts.\n\nCommitted use discounts are subject to Google Cloud Platform's Service Specific Terms. By purchasing a committed use discount, you agree to these terms. Committed use discounts will not renew, so you must purchase a new commitment to continue receiving discounts.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"endTimestamp":{"type":"string","description":"[Output Only] Commitment end time in RFC3339 text format."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#commitment for commitments.","default":"compute#commitment"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"plan":{"type":"string","description":"The plan for this commitment, which determines duration and discount rate. The currently supported plans are TWELVE_MONTH (1 year), and THIRTY_SIX_MONTH (3 years).","enum":["INVALID","THIRTY_SIX_MONTH","TWELVE_MONTH"],"enumDescriptions":["","",""]},"region":{"type":"string","description":"[Output Only] URL of the region where this commitment may be used."},"resources":{"type":"array","description":"List of commitment amounts for particular resources. Note that VCPU and MEMORY resource commitments must occur together.","items":{"$ref":"ResourceCommitment"}},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"startTimestamp":{"type":"string","description":"[Output Only] Commitment start time in RFC3339 text format."},"status":{"type":"string","description":"[Output Only] Status of the commitment with regards to eventual expiration (each commitment has an end date defined). One of the following values: NOT_YET_ACTIVE, ACTIVE, EXPIRED.","enum":["ACTIVE","CREATING","EXPIRED","NOT_YET_ACTIVE"],"enumDescriptions":["","","",""]},"statusMessage":{"type":"string","description":"[Output Only] An optional, human-readable explanation of the status."}}},"CommitmentAggregatedList":{"id":"CommitmentAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of CommitmentsScopedList resources.","additionalProperties":{"$ref":"CommitmentsScopedList","description":"[Output Only] Name of the scope containing this set of commitments."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#commitmentAggregatedList for aggregated lists of commitments.","default":"compute#commitmentAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"CommitmentList":{"id":"CommitmentList","type":"object","description":"Contains a list of Commitment resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Commitment resources.","items":{"$ref":"Commitment"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#commitmentList for lists of commitments.","default":"compute#commitmentList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"CommitmentsScopedList":{"id":"CommitmentsScopedList","type":"object","properties":{"commitments":{"type":"array","description":"[Output Only] List of commitments contained in this scope.","items":{"$ref":"Commitment"}},"warning":{"type":"object","description":"[Output Only] Informational warning which replaces the list of commitments when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"Condition":{"id":"Condition","type":"object","description":"A condition to be met.","properties":{"iam":{"type":"string","description":"Trusted attributes supplied by the IAM system.","enum":["APPROVER","ATTRIBUTION","AUTHORITY","JUSTIFICATION_TYPE","NO_ATTR","SECURITY_REALM"],"enumDescriptions":["","","","","",""]},"op":{"type":"string","description":"An operator to apply the subject with.","enum":["DISCHARGED","EQUALS","IN","NOT_EQUALS","NOT_IN","NO_OP"],"enumDescriptions":["","","","","",""]},"svc":{"type":"string","description":"Trusted attributes discharged by the service."},"sys":{"type":"string","description":"Trusted attributes supplied by any service that owns resources and uses the IAM system for access control.","enum":["IP","NAME","NO_ATTR","REGION","SERVICE"],"enumDescriptions":["","","","",""]},"value":{"type":"string","description":"DEPRECATED. Use 'values' instead."},"values":{"type":"array","description":"The objects of the condition. This is mutually exclusive with 'value'.","items":{"type":"string"}}}},"ConnectionDraining":{"id":"ConnectionDraining","type":"object","description":"Message containing connection draining configuration.","properties":{"drainingTimeoutSec":{"type":"integer","description":"Time for which instance will be drained (not accept new connections, but still work to finish started).","format":"int32"}}},"CustomerEncryptionKey":{"id":"CustomerEncryptionKey","type":"object","description":"Represents a customer-supplied encryption key","properties":{"rawKey":{"type":"string","description":"Specifies a 256-bit customer-supplied encryption key, encoded in RFC 4648 base64 to either encrypt or decrypt this resource."},"rsaEncryptedKey":{"type":"string","description":"Specifies an RFC 4648 base64 encoded, RSA-wrapped 2048-bit customer-supplied encryption key to either encrypt or decrypt this resource.\n\nThe key must meet the following requirements before you can provide it to Compute Engine:  \n- The key is wrapped using a RSA public key certificate provided by Google. \n- After being wrapped, the key must be encoded in RFC 4648 base64 encoding.  Get the RSA public key certificate provided by Google at:\nhttps://cloud-certs.storage.googleapis.com/google-cloud-csek-ingress.pem"},"sha256":{"type":"string","description":"[Output only] The RFC 4648 base64 encoded SHA-256 hash of the customer-supplied encryption key that protects this resource."}}},"CustomerEncryptionKeyProtectedDisk":{"id":"CustomerEncryptionKeyProtectedDisk","type":"object","properties":{"diskEncryptionKey":{"$ref":"CustomerEncryptionKey","description":"Decrypts data associated with the disk with a customer-supplied encryption key."},"source":{"type":"string","description":"Specifies a valid partial or full URL to an existing Persistent Disk resource. This field is only applicable for persistent disks."}}},"DeprecationStatus":{"id":"DeprecationStatus","type":"object","description":"Deprecation status for a public resource.","properties":{"deleted":{"type":"string","description":"An optional RFC3339 timestamp on or after which the state of this resource is intended to change to DELETED. This is only informational and the status will not change unless the client explicitly changes it."},"deprecated":{"type":"string","description":"An optional RFC3339 timestamp on or after which the state of this resource is intended to change to DEPRECATED. This is only informational and the status will not change unless the client explicitly changes it."},"obsolete":{"type":"string","description":"An optional RFC3339 timestamp on or after which the state of this resource is intended to change to OBSOLETE. This is only informational and the status will not change unless the client explicitly changes it."},"replacement":{"type":"string","description":"The URL of the suggested replacement for a deprecated resource. The suggested replacement resource must be the same kind of resource as the deprecated resource."},"state":{"type":"string","description":"The deprecation state of this resource. This can be DEPRECATED, OBSOLETE, or DELETED. Operations which create a new resource using a DEPRECATED resource will return successfully, but with a warning indicating the deprecated resource and recommending its replacement. Operations which use OBSOLETE or DELETED resources will be rejected and result in an error.","enum":["DELETED","DEPRECATED","OBSOLETE"],"enumDescriptions":["","",""]}}},"Disk":{"id":"Disk","type":"object","description":"A Disk resource.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"diskEncryptionKey":{"$ref":"CustomerEncryptionKey","description":"Encrypts the disk using a customer-supplied encryption key.\n\nAfter you encrypt a disk with a customer-supplied key, you must provide the same key if you use the disk later (e.g. to create a disk snapshot or an image, or to attach the disk to a virtual machine).\n\nCustomer-supplied encryption keys do not protect access to metadata of the disk.\n\nIf you do not provide an encryption key when creating the disk, then the disk will be encrypted using an automatically generated key and you do not need to provide a key to use the disk later."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#disk for disks.","default":"compute#disk"},"labelFingerprint":{"type":"string","description":"A fingerprint for the labels being applied to this disk, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels.\n\nTo see the latest fingerprint, make a get() request to retrieve a disk.","format":"byte"},"labels":{"type":"object","description":"Labels to apply to this disk. These can be later modified by the setLabels method.","additionalProperties":{"type":"string"}},"lastAttachTimestamp":{"type":"string","description":"[Output Only] Last attach timestamp in RFC3339 text format."},"lastDetachTimestamp":{"type":"string","description":"[Output Only] Last detach timestamp in RFC3339 text format."},"licenses":{"type":"array","description":"Any applicable publicly visible licenses.","items":{"type":"string"}},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.disks.insert"]}},"options":{"type":"string","description":"Internal use only."},"selfLink":{"type":"string","description":"[Output Only] Server-defined fully-qualified URL for this resource."},"sizeGb":{"type":"string","description":"Size of the persistent disk, specified in GB. You can specify this field when creating a persistent disk using the sourceImage or sourceSnapshot parameter, or specify it alone to create an empty persistent disk.\n\nIf you specify this field along with sourceImage or sourceSnapshot, the value of sizeGb must not be less than the size of the sourceImage or the size of the snapshot. Acceptable values are 1 to 65536, inclusive.","format":"int64"},"sourceImage":{"type":"string","description":"The source image used to create this disk. If the source image is deleted, this field will not be set.\n\nTo create a disk with one of the public operating system images, specify the image by its family name. For example, specify family/debian-8 to use the latest Debian 8 image:\n\nprojects/debian-cloud/global/images/family/debian-8 \n\nAlternatively, use a specific version of a public operating system image:\n\nprojects/debian-cloud/global/images/debian-8-jessie-vYYYYMMDD \n\nTo create a disk with a private image that you created, specify the image name in the following format:\n\nglobal/images/my-private-image \n\nYou can also specify a private image by its image family, which returns the latest version of the image in that family. Replace the image name with family/family-name:\n\nglobal/images/family/my-private-family"},"sourceImageEncryptionKey":{"$ref":"CustomerEncryptionKey","description":"The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key."},"sourceImageId":{"type":"string","description":"[Output Only] The ID value of the image used to create this disk. This value identifies the exact image that was used to create this persistent disk. For example, if you created the persistent disk from an image that was later deleted and recreated under the same name, the source image ID would identify the exact version of the image that was used."},"sourceSnapshot":{"type":"string","description":"The source snapshot used to create this disk. You can provide this as a partial or full URL to the resource. For example, the following are valid values:  \n- https://www.googleapis.com/compute/v1/projects/project/global/snapshots/snapshot \n- projects/project/global/snapshots/snapshot \n- global/snapshots/snapshot"},"sourceSnapshotEncryptionKey":{"$ref":"CustomerEncryptionKey","description":"The customer-supplied encryption key of the source snapshot. Required if the source snapshot is protected by a customer-supplied encryption key."},"sourceSnapshotId":{"type":"string","description":"[Output Only] The unique ID of the snapshot used to create this disk. This value identifies the exact snapshot that was used to create this persistent disk. For example, if you created the persistent disk from a snapshot that was later deleted and recreated under the same name, the source snapshot ID would identify the exact version of the snapshot that was used."},"status":{"type":"string","description":"[Output Only] The status of disk creation.","enum":["CREATING","FAILED","READY","RESTORING"],"enumDescriptions":["","","",""]},"storageType":{"type":"string","description":"[Deprecated] Storage type of the persistent disk.","enum":["HDD","SSD"],"enumDescriptions":["",""]},"type":{"type":"string","description":"URL of the disk type resource describing which disk type to use to create the disk. Provide this when creating the disk."},"users":{"type":"array","description":"[Output Only] Links to the users of the disk (attached instances) in form: project/zones/zone/instances/instance","items":{"type":"string"}},"zone":{"type":"string","description":"[Output Only] URL of the zone where the disk resides."}}},"DiskAggregatedList":{"id":"DiskAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of DisksScopedList resources.","additionalProperties":{"$ref":"DisksScopedList","description":"[Output Only] Name of the scope containing this set of disks."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#diskAggregatedList for aggregated lists of persistent disks.","default":"compute#diskAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"DiskList":{"id":"DiskList","type":"object","description":"A list of Disk resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Disk resources.","items":{"$ref":"Disk"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#diskList for lists of disks.","default":"compute#diskList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"DiskMoveRequest":{"id":"DiskMoveRequest","type":"object","properties":{"destinationZone":{"type":"string","description":"The URL of the destination zone to move the disk. This can be a full or partial URL. For example, the following are all valid URLs to a zone:  \n- https://www.googleapis.com/compute/v1/projects/project/zones/zone \n- projects/project/zones/zone \n- zones/zone"},"targetDisk":{"type":"string","description":"The URL of the target disk to move. This can be a full or partial URL. For example, the following are all valid URLs to a disk:  \n- https://www.googleapis.com/compute/v1/projects/project/zones/zone/disks/disk \n- projects/project/zones/zone/disks/disk \n- zones/zone/disks/disk"}}},"DiskType":{"id":"DiskType","type":"object","description":"A DiskType resource.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"defaultDiskSizeGb":{"type":"string","description":"[Output Only] Server-defined default disk size in GB.","format":"int64"},"deprecated":{"$ref":"DeprecationStatus","description":"[Output Only] The deprecation status associated with this disk type."},"description":{"type":"string","description":"[Output Only] An optional description of this resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#diskType for disk types.","default":"compute#diskType"},"name":{"type":"string","description":"[Output Only] Name of the resource.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"validDiskSize":{"type":"string","description":"[Output Only] An optional textual description of the valid disk size, such as \"10GB-10TB\"."},"zone":{"type":"string","description":"[Output Only] URL of the zone where the disk type resides."}}},"DiskTypeAggregatedList":{"id":"DiskTypeAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of DiskTypesScopedList resources.","additionalProperties":{"$ref":"DiskTypesScopedList","description":"[Output Only] Name of the scope containing this set of disk types."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#diskTypeAggregatedList.","default":"compute#diskTypeAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"DiskTypeList":{"id":"DiskTypeList","type":"object","description":"Contains a list of disk types.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of DiskType resources.","items":{"$ref":"DiskType"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#diskTypeList for disk types.","default":"compute#diskTypeList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"DiskTypesScopedList":{"id":"DiskTypesScopedList","type":"object","properties":{"diskTypes":{"type":"array","description":"[Output Only] List of disk types contained in this scope.","items":{"$ref":"DiskType"}},"warning":{"type":"object","description":"[Output Only] Informational warning which replaces the list of disk types when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"DisksResizeRequest":{"id":"DisksResizeRequest","type":"object","properties":{"sizeGb":{"type":"string","description":"The new size of the persistent disk, which is specified in GB.","format":"int64"}}},"DisksScopedList":{"id":"DisksScopedList","type":"object","properties":{"disks":{"type":"array","description":"[Output Only] List of disks contained in this scope.","items":{"$ref":"Disk"}},"warning":{"type":"object","description":"[Output Only] Informational warning which replaces the list of disks when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"DistributionPolicy":{"id":"DistributionPolicy","type":"object","properties":{"zones":{"type":"array","items":{"$ref":"DistributionPolicyZoneConfiguration"}}}},"DistributionPolicyZoneConfiguration":{"id":"DistributionPolicyZoneConfiguration","type":"object","properties":{"zone":{"type":"string","description":"URL of the zone where managed instance group is spawning instances (for regional resources). Zone has to belong to the region where managed instance group is located.","annotations":{"required":["compute.regionInstanceGroupManagers.insert","compute.regionInstanceGroupManagers.update"]}}}},"Expr":{"id":"Expr","type":"object","description":"Represents an expression text. Example:\n\ntitle: \"User account presence\" description: \"Determines whether the request has a user account\" expression: \"size(request.user) > 0\"","properties":{"description":{"type":"string","description":"An optional description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI."},"expression":{"type":"string","description":"Textual representation of an expression in Common Expression Language syntax.\n\nThe application context of the containing message determines which well-known feature set of CEL is supported."},"location":{"type":"string","description":"An optional string indicating the location of the expression for error reporting, e.g. a file name and a position in the file."},"title":{"type":"string","description":"An optional title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression."}}},"Firewall":{"id":"Firewall","type":"object","description":"Represents a Firewall resource.","properties":{"allowed":{"type":"array","description":"The list of ALLOW rules specified by this firewall. Each rule specifies a protocol and port-range tuple that describes a permitted connection.","items":{"type":"object","properties":{"IPProtocol":{"type":"string","description":"The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp), or the IP protocol number."},"ports":{"type":"array","description":"An optional list of ports to which this rule applies. This field is only applicable for UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port.\n\nExample inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"].","items":{"type":"string"}}}}},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"denied":{"type":"array","description":"The list of DENY rules specified by this firewall. Each rule specifies a protocol and port-range tuple that describes a permitted connection.","items":{"type":"object","properties":{"IPProtocol":{"type":"string","description":"The IP protocol to which this rule applies. The protocol type is required when creating a firewall rule. This value can either be one of the following well known protocol strings (tcp, udp, icmp, esp, ah, ipip, sctp), or the IP protocol number."},"ports":{"type":"array","description":"An optional list of ports to which this rule applies. This field is only applicable for UDP or TCP protocol. Each entry must be either an integer or a range. If not specified, this rule applies to connections through any port.\n\nExample inputs include: [\"22\"], [\"80\",\"443\"], and [\"12345-12349\"].","items":{"type":"string"}}}}},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"destinationRanges":{"type":"array","description":"If destination ranges are specified, the firewall will apply only to traffic that has destination IP address in these ranges. These ranges must be expressed in CIDR format. Only IPv4 is supported.","items":{"type":"string"}},"direction":{"type":"string","description":"Direction of traffic to which this firewall applies; default is INGRESS. Note: For INGRESS traffic, it is NOT supported to specify destinationRanges; For EGRESS traffic, it is NOT supported to specify sourceRanges OR sourceTags.","enum":["EGRESS","INGRESS"],"enumDescriptions":["",""]},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#firewall for firewall rules.","default":"compute#firewall"},"name":{"type":"string","description":"Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.firewalls.insert","compute.firewalls.patch"]}},"network":{"type":"string","description":"URL of the network resource for this firewall rule. If not specified when creating a firewall rule, the default network is used:\nglobal/networks/default\nIf you choose to specify this property, you can specify the network as a full or partial URL. For example, the following are all valid URLs:  \n- https://www.googleapis.com/compute/v1/projects/myproject/global/networks/my-network \n- projects/myproject/global/networks/my-network \n- global/networks/default"},"priority":{"type":"integer","description":"Priority for this rule. This is an integer between 0 and 65535, both inclusive. When not specified, the value assumed is 1000. Relative priorities determine precedence of conflicting rules. Lower value of priority implies higher precedence (eg, a rule with priority 0 has higher precedence than a rule with priority 1). DENY rules take precedence over ALLOW rules having equal priority.","format":"int32"},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"sourceRanges":{"type":"array","description":"If source ranges are specified, the firewall will apply only to traffic that has source IP address in these ranges. These ranges must be expressed in CIDR format. One or both of sourceRanges and sourceTags may be set. If both properties are set, the firewall will apply to traffic that has source IP address within sourceRanges OR the source IP that belongs to a tag listed in the sourceTags property. The connection does not need to match both properties for the firewall to apply. Only IPv4 is supported.","items":{"type":"string"}},"sourceServiceAccounts":{"type":"array","description":"If source service accounts are specified, the firewall will apply only to traffic originating from an instance with a service account in this list. Source service accounts cannot be used to control traffic to an instance's external IP address because service accounts are associated with an instance, not an IP address. sourceRanges can be set at the same time as sourceServiceAccounts. If both are set, the firewall will apply to traffic that has source IP address within sourceRanges OR the source IP belongs to an instance with service account listed in sourceServiceAccount. The connection does not need to match both properties for the firewall to apply. sourceServiceAccounts cannot be used at the same time as sourceTags or targetTags.","items":{"type":"string"}},"sourceTags":{"type":"array","description":"If source tags are specified, the firewall rule applies only to traffic with source IPs that match the primary network interfaces of VM instances that have the tag and are in the same VPC network. Source tags cannot be used to control traffic to an instance's external IP address, it only applies to traffic between instances in the same virtual network. Because tags are associated with instances, not IP addresses. One or both of sourceRanges and sourceTags may be set. If both properties are set, the firewall will apply to traffic that has source IP address within sourceRanges OR the source IP that belongs to a tag listed in the sourceTags property. The connection does not need to match both properties for the firewall to apply.","items":{"type":"string"}},"targetServiceAccounts":{"type":"array","description":"A list of service accounts indicating sets of instances located in the network that may make network connections as specified in allowed[]. targetServiceAccounts cannot be used at the same time as targetTags or sourceTags. If neither targetServiceAccounts nor targetTags are specified, the firewall rule applies to all instances on the specified network.","items":{"type":"string"}},"targetTags":{"type":"array","description":"A list of tags that controls which instances the firewall rule applies to. If targetTags are specified, then the firewall rule applies only to instances in the VPC network that have one of those tags. If no targetTags are specified, the firewall rule applies to all instances on the specified network.","items":{"type":"string"}}}},"FirewallList":{"id":"FirewallList","type":"object","description":"Contains a list of firewalls.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Firewall resources.","items":{"$ref":"Firewall"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#firewallList for lists of firewalls.","default":"compute#firewallList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"FixedOrPercent":{"id":"FixedOrPercent","type":"object","description":"Encapsulates numeric value that can be either absolute or relative.","properties":{"calculated":{"type":"integer","description":"[Output Only] Absolute value of VM instances calculated based on the specific mode.\n\n \n- If the value is fixed, then the caculated value is equal to the fixed value. \n- If the value is a percent, then the calculated value is percent/100 * targetSize. For example, the calculated value of a 80% of a managed instance group with 150 instances would be (80/100 * 150) = 120 VM instances. If there is a remainder, the number is rounded up.","format":"int32"},"fixed":{"type":"integer","description":"Specifies a fixed number of VM instances. This must be a positive integer.","format":"int32"},"percent":{"type":"integer","description":"Specifies a percentage of instances between 0 to 100%, inclusive. For example, specify 80 for 80%.","format":"int32"}}},"ForwardingRule":{"id":"ForwardingRule","type":"object","description":"A ForwardingRule resource. A ForwardingRule resource specifies which pool of target virtual machines to forward a packet to if it matches the given [IPAddress, IPProtocol, ports] tuple.","properties":{"IPAddress":{"type":"string","description":"The IP address that this forwarding rule is serving on behalf of.\n\nAddresses are restricted based on the forwarding rule's load balancing scheme (EXTERNAL or INTERNAL) and scope (global or regional).\n\nWhen the load balancing scheme is EXTERNAL, for global forwarding rules, the address must be a global IP, and for regional forwarding rules, the address must live in the same region as the forwarding rule. If this field is empty, an ephemeral IPv4 address from the same scope (global or regional) will be assigned. A regional forwarding rule supports IPv4 only. A global forwarding rule supports either IPv4 or IPv6.\n\nWhen the load balancing scheme is INTERNAL, this can only be an RFC 1918 IP address belonging to the network/subnet configured for the forwarding rule. By default, if this field is empty, an ephemeral internal IP address will be automatically allocated from the IP range of the subnet or network configured for this forwarding rule.\n\nAn address can be specified either by a literal IP address or a URL reference to an existing Address resource. The following examples are all valid:  \n- 100.1.2.3 \n- https://www.googleapis.com/compute/v1/projects/project/regions/region/addresses/address \n- projects/project/regions/region/addresses/address \n- regions/region/addresses/address \n- global/addresses/address \n- address"},"IPProtocol":{"type":"string","description":"The IP protocol to which this rule applies. Valid options are TCP, UDP, ESP, AH, SCTP or ICMP.\n\nWhen the load balancing scheme is INTERNAL, only TCP and UDP are valid.","enum":["AH","ESP","ICMP","SCTP","TCP","UDP"],"enumDescriptions":["","","","","",""]},"backendService":{"type":"string","description":"This field is not used for external load balancing.\n\nFor internal load balancing, this field identifies the BackendService resource to receive the matched traffic."},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"ipVersion":{"type":"string","description":"The IP Version that will be used by this forwarding rule. Valid options are IPV4 or IPV6. This can only be specified for a global forwarding rule.","enum":["IPV4","IPV6","UNSPECIFIED_VERSION"],"enumDescriptions":["","",""]},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#forwardingRule for Forwarding Rule resources.","default":"compute#forwardingRule"},"labelFingerprint":{"type":"string","description":"A fingerprint for the labels being applied to this resource, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels.\n\nTo see the latest fingerprint, make a get() request to retrieve a ForwardingRule.","format":"byte"},"labels":{"type":"object","description":"Labels to apply to this resource. These can be later modified by the setLabels method. Each label key/value pair must comply with RFC1035. Label values may be empty.","additionalProperties":{"type":"string"}},"loadBalancingScheme":{"type":"string","description":"This signifies what the ForwardingRule will be used for and can only take the following values: INTERNAL, EXTERNAL The value of INTERNAL means that this will be used for Internal Network Load Balancing (TCP, UDP). The value of EXTERNAL means that this will be used for External Load Balancing (HTTP(S) LB, External TCP/UDP LB, SSL Proxy)","enum":["EXTERNAL","INTERNAL","INVALID"],"enumDescriptions":["","",""]},"name":{"type":"string","description":"Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"network":{"type":"string","description":"This field is not used for external load balancing.\n\nFor internal load balancing, this field identifies the network that the load balanced IP should belong to for this Forwarding Rule. If this field is not specified, the default network will be used."},"portRange":{"type":"string","description":"This field is used along with the target field for TargetHttpProxy, TargetHttpsProxy, TargetSslProxy, TargetTcpProxy, TargetVpnGateway, TargetPool, TargetInstance.\n\nApplicable only when IPProtocol is TCP, UDP, or SCTP, only packets addressed to ports in the specified range will be forwarded to target. Forwarding rules with the same [IPAddress, IPProtocol] pair must have disjoint port ranges.\n\nSome types of forwarding target have constraints on the acceptable ports:  \n- TargetHttpProxy: 80, 8080 \n- TargetHttpsProxy: 443 \n- TargetTcpProxy: 25, 43, 110, 143, 195, 443, 465, 587, 700, 993, 995, 1883, 5222 \n- TargetSslProxy: 25, 43, 110, 143, 195, 443, 465, 587, 700, 993, 995, 1883, 5222 \n- TargetVpnGateway: 500, 4500\n-"},"ports":{"type":"array","description":"This field is used along with the backend_service field for internal load balancing.\n\nWhen the load balancing scheme is INTERNAL, a single port or a comma separated list of ports can be configured. Only packets addressed to these ports will be forwarded to the backends configured with this forwarding rule.\n\nYou may specify a maximum of up to 5 ports.","items":{"type":"string"}},"region":{"type":"string","description":"[Output Only] URL of the region where the regional forwarding rule resides. This field is not applicable to global forwarding rules."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"serviceLabel":{"type":"string","description":"An optional prefix to the service name for this Forwarding Rule. If specified, will be the first label of the fully qualified service name.\n\nThe label must be 1-63 characters long, and comply with RFC1035. Specifically, the label must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.\n\nThis field is only used for internal load balancing.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"serviceName":{"type":"string","description":"[Output Only] The internal fully qualified service name for this Forwarding Rule.\n\nThis field is only used for internal load balancing."},"subnetwork":{"type":"string","description":"This field is not used for external load balancing.\n\nFor internal load balancing, this field identifies the subnetwork that the load balanced IP should belong to for this Forwarding Rule.\n\nIf the network specified is in auto subnet mode, this field is optional. However, if the network is in custom subnet mode, a subnetwork must be specified."},"target":{"type":"string","description":"The URL of the target resource to receive the matched traffic. For regional forwarding rules, this target must live in the same region as the forwarding rule. For global forwarding rules, this target must be a global load balancing resource. The forwarded traffic must be of a type appropriate to the target object.\n\nThis field is not used for internal load balancing."}}},"ForwardingRuleAggregatedList":{"id":"ForwardingRuleAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of ForwardingRulesScopedList resources.","additionalProperties":{"$ref":"ForwardingRulesScopedList","description":"Name of the scope containing this set of addresses."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#forwardingRuleAggregatedList for lists of forwarding rules.","default":"compute#forwardingRuleAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"ForwardingRuleList":{"id":"ForwardingRuleList","type":"object","description":"Contains a list of ForwardingRule resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of ForwardingRule resources.","items":{"$ref":"ForwardingRule"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#forwardingRuleList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"ForwardingRulesScopedList":{"id":"ForwardingRulesScopedList","type":"object","properties":{"forwardingRules":{"type":"array","description":"List of forwarding rules contained in this scope.","items":{"$ref":"ForwardingRule"}},"warning":{"type":"object","description":"Informational warning which replaces the list of forwarding rules when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"GlobalSetLabelsRequest":{"id":"GlobalSetLabelsRequest","type":"object","properties":{"labelFingerprint":{"type":"string","description":"The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash when updating or changing labels. Make a get() request to the resource to get the latest fingerprint.","format":"byte"},"labels":{"type":"object","description":"A list of labels to apply for this resource. Each label key & value must comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. For example, \"webserver-frontend\": \"images\". A label value can also be empty (e.g. \"my-label\": \"\").","additionalProperties":{"type":"string"}}}},"GuestOsFeature":{"id":"GuestOsFeature","type":"object","description":"Guest OS features.","properties":{"type":{"type":"string","description":"The type of supported feature. Currently only VIRTIO_SCSI_MULTIQUEUE is supported. For newer Windows images, the server might also populate this property with the value WINDOWS to indicate that this is a Windows image.","enum":["FEATURE_TYPE_UNSPECIFIED","MULTI_IP_SUBNET","SECURE_BOOT","UEFI_COMPATIBLE","VIRTIO_SCSI_MULTIQUEUE","WINDOWS"],"enumDescriptions":["","","","","",""]}}},"HTTPHealthCheck":{"id":"HTTPHealthCheck","type":"object","properties":{"host":{"type":"string","description":"The value of the host header in the HTTP health check request. If left empty (default value), the IP on behalf of which this health check is performed will be used."},"port":{"type":"integer","description":"The TCP port number for the health check request. The default value is 80. Valid values are 1 through 65535.","format":"int32"},"portName":{"type":"string","description":"Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence."},"proxyHeader":{"type":"string","description":"Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.","enum":["NONE","PROXY_V1"],"enumDescriptions":["",""]},"requestPath":{"type":"string","description":"The request path of the HTTP health check request. The default value is /."},"response":{"type":"string","description":"The string to match anywhere in the first 1024 bytes of the response body. If left empty (the default value), the status code determines health. The response data can only be ASCII."}}},"HTTPSHealthCheck":{"id":"HTTPSHealthCheck","type":"object","properties":{"host":{"type":"string","description":"The value of the host header in the HTTPS health check request. If left empty (default value), the IP on behalf of which this health check is performed will be used."},"port":{"type":"integer","description":"The TCP port number for the health check request. The default value is 443. Valid values are 1 through 65535.","format":"int32"},"portName":{"type":"string","description":"Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence."},"proxyHeader":{"type":"string","description":"Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.","enum":["NONE","PROXY_V1"],"enumDescriptions":["",""]},"requestPath":{"type":"string","description":"The request path of the HTTPS health check request. The default value is /."},"response":{"type":"string","description":"The string to match anywhere in the first 1024 bytes of the response body. If left empty (the default value), the status code determines health. The response data can only be ASCII."}}},"HealthCheck":{"id":"HealthCheck","type":"object","description":"An HealthCheck resource. This resource defines a template for how individual virtual machines should be checked for health, via one of the supported protocols.","properties":{"checkIntervalSec":{"type":"integer","description":"How often (in seconds) to send a health check. The default value is 5 seconds.","format":"int32"},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in 3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"healthyThreshold":{"type":"integer","description":"A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2.","format":"int32"},"httpHealthCheck":{"$ref":"HTTPHealthCheck"},"httpsHealthCheck":{"$ref":"HTTPSHealthCheck"},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"Type of the resource.","default":"compute#healthCheck"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"sslHealthCheck":{"$ref":"SSLHealthCheck"},"tcpHealthCheck":{"$ref":"TCPHealthCheck"},"timeoutSec":{"type":"integer","description":"How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have greater value than checkIntervalSec.","format":"int32"},"type":{"type":"string","description":"Specifies the type of the healthCheck, either TCP, SSL, HTTP or HTTPS. If not specified, the default is TCP. Exactly one of the protocol-specific health check field must be specified, which must match type field.","enum":["HTTP","HTTPS","INVALID","SSL","TCP","UDP"],"enumDescriptions":["","","","","",""]},"udpHealthCheck":{"$ref":"UDPHealthCheck"},"unhealthyThreshold":{"type":"integer","description":"A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2.","format":"int32"}}},"HealthCheckList":{"id":"HealthCheckList","type":"object","description":"Contains a list of HealthCheck resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of HealthCheck resources.","items":{"$ref":"HealthCheck"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#healthCheckList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"HealthCheckReference":{"id":"HealthCheckReference","type":"object","description":"A full or valid partial URL to a health check. For example, the following are valid URLs:  \n- https://www.googleapis.com/compute/beta/projects/project-id/global/httpHealthChecks/health-check \n- projects/project-id/global/httpHealthChecks/health-check \n- global/httpHealthChecks/health-check","properties":{"healthCheck":{"type":"string"}}},"HealthStatus":{"id":"HealthStatus","type":"object","properties":{"healthState":{"type":"string","description":"Health state of the instance.","enum":["HEALTHY","UNHEALTHY"],"enumDescriptions":["",""]},"instance":{"type":"string","description":"URL of the instance resource."},"ipAddress":{"type":"string","description":"The IP address represented by this resource."},"port":{"type":"integer","description":"The port on the instance.","format":"int32"}}},"HostRule":{"id":"HostRule","type":"object","description":"UrlMaps A host-matching rule for a URL. If matched, will use the named PathMatcher to select the BackendService.","properties":{"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"hosts":{"type":"array","description":"The list of host patterns to match. They must be valid hostnames, except * will match any string of ([a-z0-9-.]*). In that case, * must be the first character and must be followed in the pattern by either - or ..","items":{"type":"string"}},"pathMatcher":{"type":"string","description":"The name of the PathMatcher to use to match the path portion of the URL if the hostRule matches the URL's host portion."}}},"HttpHealthCheck":{"id":"HttpHealthCheck","type":"object","description":"An HttpHealthCheck resource. This resource defines a template for how individual instances should be checked for health, via HTTP.","properties":{"checkIntervalSec":{"type":"integer","description":"How often (in seconds) to send a health check. The default value is 5 seconds.","format":"int32"},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"healthyThreshold":{"type":"integer","description":"A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2.","format":"int32"},"host":{"type":"string","description":"The value of the host header in the HTTP health check request. If left empty (default value), the public IP on behalf of which this health check is performed will be used."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#httpHealthCheck for HTTP health checks.","default":"compute#httpHealthCheck"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"port":{"type":"integer","description":"The TCP port number for the HTTP health check request. The default value is 80.","format":"int32"},"requestPath":{"type":"string","description":"The request path of the HTTP health check request. The default value is /."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"timeoutSec":{"type":"integer","description":"How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have greater value than checkIntervalSec.","format":"int32"},"unhealthyThreshold":{"type":"integer","description":"A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2.","format":"int32"}}},"HttpHealthCheckList":{"id":"HttpHealthCheckList","type":"object","description":"Contains a list of HttpHealthCheck resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of HttpHealthCheck resources.","items":{"$ref":"HttpHealthCheck"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#httpHealthCheckList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"HttpsHealthCheck":{"id":"HttpsHealthCheck","type":"object","description":"An HttpsHealthCheck resource. This resource defines a template for how individual instances should be checked for health, via HTTPS.","properties":{"checkIntervalSec":{"type":"integer","description":"How often (in seconds) to send a health check. The default value is 5 seconds.","format":"int32"},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"healthyThreshold":{"type":"integer","description":"A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2.","format":"int32"},"host":{"type":"string","description":"The value of the host header in the HTTPS health check request. If left empty (default value), the public IP on behalf of which this health check is performed will be used."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"Type of the resource.","default":"compute#httpsHealthCheck"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"port":{"type":"integer","description":"The TCP port number for the HTTPS health check request. The default value is 443.","format":"int32"},"requestPath":{"type":"string","description":"The request path of the HTTPS health check request. The default value is \"/\"."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"timeoutSec":{"type":"integer","description":"How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have a greater value than checkIntervalSec.","format":"int32"},"unhealthyThreshold":{"type":"integer","description":"A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2.","format":"int32"}}},"HttpsHealthCheckList":{"id":"HttpsHealthCheckList","type":"object","description":"Contains a list of HttpsHealthCheck resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of HttpsHealthCheck resources.","items":{"$ref":"HttpsHealthCheck"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#httpsHealthCheckList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"Image":{"id":"Image","type":"object","description":"An Image resource.","properties":{"archiveSizeBytes":{"type":"string","description":"Size of the image tar.gz archive stored in Google Cloud Storage (in bytes).","format":"int64"},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"deprecated":{"$ref":"DeprecationStatus","description":"The deprecation status associated with this image."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"diskSizeGb":{"type":"string","description":"Size of the image when restored onto a persistent disk (in GB).","format":"int64"},"family":{"type":"string","description":"The name of the image family to which this image belongs. You can create disks by specifying an image family instead of a specific image name. The image family always returns its latest image that is not deprecated. The name of the image family must comply with RFC1035."},"guestOsFeatures":{"type":"array","description":"A list of features to enable on the guest OS. Applicable for bootable images only. Currently, only one feature can be enabled, VIRTIO_SCSI_MULTIQUEUE, which allows each virtual CPU to have its own queue. For Windows images, you can only enable VIRTIO_SCSI_MULTIQUEUE on images with driver version 1.2.0.1621 or higher. Linux images with kernel versions 3.17 and higher will support VIRTIO_SCSI_MULTIQUEUE.\n\nFor newer Windows images, the server might also populate this property with the value WINDOWS to indicate that this is a Windows image.","items":{"$ref":"GuestOsFeature"}},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"imageEncryptionKey":{"$ref":"CustomerEncryptionKey","description":"Encrypts the image using a customer-supplied encryption key.\n\nAfter you encrypt an image with a customer-supplied key, you must provide the same key if you use the image later (e.g. to create a disk from the image).\n\nCustomer-supplied encryption keys do not protect access to metadata of the disk.\n\nIf you do not provide an encryption key when creating the image, then the disk will be encrypted using an automatically generated key and you do not need to provide a key to use the image later."},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#image for images.","default":"compute#image"},"labelFingerprint":{"type":"string","description":"A fingerprint for the labels being applied to this image, which is essentially a hash of the labels used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels.\n\nTo see the latest fingerprint, make a get() request to retrieve an image.","format":"byte"},"labels":{"type":"object","description":"Labels to apply to this image. These can be later modified by the setLabels method.","additionalProperties":{"type":"string"}},"licenses":{"type":"array","description":"Any applicable license URI.","items":{"type":"string"}},"name":{"type":"string","description":"Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.images.insert"]}},"rawDisk":{"type":"object","description":"The parameters of the raw disk image.","properties":{"containerType":{"type":"string","description":"The format used to encode and transmit the block device, which should be TAR. This is just a container and transmission format and not a runtime format. Provided by the client when the disk image is created.","enum":["TAR"],"enumDescriptions":[""]},"sha1Checksum":{"type":"string","description":"An optional SHA1 checksum of the disk image before unpackaging; provided by the client when the disk image is created.","pattern":"[a-f0-9]{40}"},"source":{"type":"string","description":"The full Google Cloud Storage URL where the disk image is stored. You must provide either this property or the sourceDisk property but not both.","annotations":{"required":["compute.images.insert"]}}}},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"sourceDisk":{"type":"string","description":"URL of the source disk used to create this image. This can be a full or valid partial URL. You must provide either this property or the rawDisk.source property but not both to create an image. For example, the following are valid values:  \n- https://www.googleapis.com/compute/v1/projects/project/zones/zone/disks/disk \n- projects/project/zones/zone/disks/disk \n- zones/zone/disks/disk"},"sourceDiskEncryptionKey":{"$ref":"CustomerEncryptionKey","description":"The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key."},"sourceDiskId":{"type":"string","description":"The ID value of the disk used to create this image. This value may be used to determine whether the image was taken from the current or a previous instance of a given disk name."},"sourceImage":{"type":"string","description":"URL of the source image used to create this image. This can be a full or valid partial URL. You must provide exactly one of:  \n- this property, or  \n- the rawDisk.source property, or  \n- the sourceDisk property   in order to create an image."},"sourceImageEncryptionKey":{"$ref":"CustomerEncryptionKey","description":"The customer-supplied encryption key of the source image. Required if the source image is protected by a customer-supplied encryption key."},"sourceImageId":{"type":"string","description":"[Output Only] The ID value of the image used to create this image. This value may be used to determine whether the image was taken from the current or a previous instance of a given image name."},"sourceType":{"type":"string","description":"The type of the image used to create this disk. The default and only value is RAW","default":"RAW","enum":["RAW"],"enumDescriptions":[""]},"status":{"type":"string","description":"[Output Only] The status of the image. An image can be used to create other resources, such as instances, only after the image has been successfully created and the status is set to READY. Possible values are FAILED, PENDING, or READY.","enum":["FAILED","PENDING","READY"],"enumDescriptions":["","",""]}}},"ImageList":{"id":"ImageList","type":"object","description":"Contains a list of images.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Image resources.","items":{"$ref":"Image"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#imageList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"Instance":{"id":"Instance","type":"object","description":"An Instance resource.","properties":{"canIpForward":{"type":"boolean","description":"Allows this instance to send and receive packets with non-matching destination or source IPs. This is required if you plan to use this instance to forward routes. For more information, see Enabling IP Forwarding."},"cpuPlatform":{"type":"string","description":"[Output Only] The CPU platform used by this instance."},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"deletionProtection":{"type":"boolean","description":"Whether the resource should be protected against deletion."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"disks":{"type":"array","description":"Array of disks associated with this instance. Persistent disks must be created before you can assign them.","items":{"$ref":"AttachedDisk"}},"guestAccelerators":{"type":"array","description":"List of the type and count of accelerator cards attached to the instance.","items":{"$ref":"AcceleratorConfig"}},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#instance for instances.","default":"compute#instance"},"labelFingerprint":{"type":"string","description":"A fingerprint for this request, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata.\n\nTo see the latest fingerprint, make get() request to the instance.","format":"byte"},"labels":{"type":"object","description":"Labels to apply to this instance. These can be later modified by the setLabels method.","additionalProperties":{"type":"string"}},"machineType":{"type":"string","description":"Full or partial URL of the machine type resource to use for this instance, in the format: zones/zone/machineTypes/machine-type. This is provided by the client when the instance is created. For example, the following is a valid partial url to a predefined machine type:\n\nzones/us-central1-f/machineTypes/n1-standard-1 \n\nTo create a custom machine type, provide a URL to a machine type in the following format, where CPUS is 1 or an even number up to 32 (2, 4, 6, ... 24, etc), and MEMORY is the total memory for this instance. Memory must be a multiple of 256 MB and must be supplied in MB (e.g. 5 GB of memory is 5120 MB):\n\nzones/zone/machineTypes/custom-CPUS-MEMORY \n\nFor example: zones/us-central1-f/machineTypes/custom-4-5120 \n\nFor a full list of restrictions, read the Specifications for custom machine types.","annotations":{"required":["compute.instances.insert"]}},"metadata":{"$ref":"Metadata","description":"The metadata key/value pairs assigned to this instance. This includes custom metadata and predefined keys."},"minCpuPlatform":{"type":"string","description":"Specifies a minimum CPU platform for the VM instance. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\"."},"name":{"type":"string","description":"The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.instances.insert"]}},"networkInterfaces":{"type":"array","description":"An array of network configurations for this instance. These specify how interfaces are configured to interact with other network services, such as connecting to the internet. Multiple interfaces are supported per instance.","items":{"$ref":"NetworkInterface"}},"scheduling":{"$ref":"Scheduling","description":"Sets the scheduling options for this instance."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"serviceAccounts":{"type":"array","description":"A list of service accounts, with their specified scopes, authorized for this instance. Only one service account per VM instance is supported.\n\nService accounts generate access tokens that can be accessed through the metadata server and used to authenticate applications on the instance. See Service Accounts for more information.","items":{"$ref":"ServiceAccount"}},"startRestricted":{"type":"boolean","description":"[Output Only] Whether a VM has been restricted for start because Compute Engine has detected suspicious activity."},"status":{"type":"string","description":"[Output Only] The status of the instance. One of the following values: PROVISIONING, STAGING, RUNNING, STOPPING, STOPPED, SUSPENDING, SUSPENDED, and TERMINATED.","enum":["PROVISIONING","RUNNING","STAGING","STOPPED","STOPPING","SUSPENDED","SUSPENDING","TERMINATED"],"enumDescriptions":["","","","","","","",""]},"statusMessage":{"type":"string","description":"[Output Only] An optional, human-readable explanation of the status."},"tags":{"$ref":"Tags","description":"A list of tags to apply to this instance. Tags are used to identify valid sources or targets for network firewalls and are specified by the client during instance creation. The tags can be later modified by the setTags method. Each tag within the list must comply with RFC1035."},"zone":{"type":"string","description":"[Output Only] URL of the zone where the instance resides."}}},"InstanceAggregatedList":{"id":"InstanceAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of InstancesScopedList resources.","additionalProperties":{"$ref":"InstancesScopedList","description":"[Output Only] Name of the scope containing this set of instances."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#instanceAggregatedList for aggregated lists of Instance resources.","default":"compute#instanceAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InstanceGroup":{"id":"InstanceGroup","type":"object","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] The creation timestamp for this instance group in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"fingerprint":{"type":"string","description":"[Output Only] The fingerprint of the named ports. The system uses this fingerprint to detect conflicts when multiple users change the named ports concurrently.","format":"byte"},"id":{"type":"string","description":"[Output Only] A unique identifier for this instance group, generated by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] The resource type, which is always compute#instanceGroup for instance groups.","default":"compute#instanceGroup"},"name":{"type":"string","description":"The name of the instance group. The name must be 1-63 characters long, and comply with RFC1035.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.instanceGroupManagers.insert"]}},"namedPorts":{"type":"array","description":"Assigns a name to a port number. For example: {name: \"http\", port: 80}\n\nThis allows the system to reference ports by the assigned name instead of a port number. Named ports can also contain multiple ports. For example: [{name: \"http\", port: 80},{name: \"http\", port: 8080}] \n\nNamed ports apply to all instances in this instance group.","items":{"$ref":"NamedPort"}},"network":{"type":"string","description":"The URL of the network to which all instances in the instance group belong."},"region":{"type":"string","description":"The URL of the region where the instance group is located (for regional resources)."},"selfLink":{"type":"string","description":"[Output Only] The URL for this instance group. The server generates this URL."},"size":{"type":"integer","description":"[Output Only] The total number of instances in the instance group.","format":"int32"},"subnetwork":{"type":"string","description":"The URL of the subnetwork to which all instances in the instance group belong."},"zone":{"type":"string","description":"[Output Only] The URL of the zone where the instance group is located (for zonal resources)."}}},"InstanceGroupAggregatedList":{"id":"InstanceGroupAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of InstanceGroupsScopedList resources.","additionalProperties":{"$ref":"InstanceGroupsScopedList","description":"The name of the scope that contains this set of instance groups."}},"kind":{"type":"string","description":"[Output Only] The resource type, which is always compute#instanceGroupAggregatedList for aggregated lists of instance groups.","default":"compute#instanceGroupAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InstanceGroupList":{"id":"InstanceGroupList","type":"object","description":"A list of InstanceGroup resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of InstanceGroup resources.","items":{"$ref":"InstanceGroup"}},"kind":{"type":"string","description":"[Output Only] The resource type, which is always compute#instanceGroupList for instance group lists.","default":"compute#instanceGroupList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InstanceGroupManager":{"id":"InstanceGroupManager","type":"object","description":"An Instance Group Manager resource.","properties":{"autoHealingPolicies":{"type":"array","description":"The autohealing policy for this managed instance group. You can specify only one value.","items":{"$ref":"InstanceGroupManagerAutoHealingPolicy"}},"baseInstanceName":{"type":"string","description":"The base instance name to use for instances in this group. The value must be 1-58 characters long. Instances are named by appending a hyphen and a random four-character string to the base instance name. The base instance name must comply with RFC1035.","pattern":"[a-z][-a-z0-9]{0,57}","annotations":{"required":["compute.instanceGroupManagers.insert"]}},"creationTimestamp":{"type":"string","description":"[Output Only] The creation timestamp for this managed instance group in RFC3339 text format."},"currentActions":{"$ref":"InstanceGroupManagerActionsSummary","description":"[Output Only] The list of instance actions and the number of instances in this managed instance group that are scheduled for each of those actions."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"distributionPolicy":{"$ref":"DistributionPolicy","description":"Policy valid only for regional managed instance groups."},"failoverAction":{"type":"string","description":"The action to perform in case of zone failure. Only one value is supported, NO_FAILOVER. The default is NO_FAILOVER.","enum":["NO_FAILOVER","UNKNOWN"],"enumDescriptions":["",""]},"fingerprint":{"type":"string","description":"[Output Only] The fingerprint of the resource data. You can use this optional field for optimistic locking when you update the resource.","format":"byte"},"id":{"type":"string","description":"[Output Only] A unique identifier for this resource type. The server generates this identifier.","format":"uint64"},"instanceGroup":{"type":"string","description":"[Output Only] The URL of the Instance Group resource."},"instanceTemplate":{"type":"string","description":"The URL of the instance template that is specified for this managed instance group. The group uses this template to create all new instances in the managed instance group."},"kind":{"type":"string","description":"[Output Only] The resource type, which is always compute#instanceGroupManager for managed instance groups.","default":"compute#instanceGroupManager"},"name":{"type":"string","description":"The name of the managed instance group. The name must be 1-63 characters long, and comply with RFC1035.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.instanceGroupManagers.insert","compute.regionInstanceGroupManagers.insert"]}},"namedPorts":{"type":"array","description":"Named ports configured for the Instance Groups complementary to this Instance Group Manager.","items":{"$ref":"NamedPort"}},"pendingActions":{"$ref":"InstanceGroupManagerPendingActionsSummary","description":"[Output Only] The list of instance actions and the number of instances in this managed instance group that are pending for each of those actions."},"region":{"type":"string","description":"[Output Only] The URL of the region where the managed instance group resides (for regional resources)."},"selfLink":{"type":"string","description":"[Output Only] The URL for this managed instance group. The server defines this URL."},"serviceAccount":{"type":"string","description":"[Output Only] The service account to be used as credentials for all operations performed by the managed instance group on instances. The service accounts needs all permissions required to create and delete instances. By default, the service account {projectNumber}@cloudservices.gserviceaccount.com is used."},"targetPools":{"type":"array","description":"The URLs for all TargetPool resources to which instances in the instanceGroup field are added. The target pools automatically apply to all of the instances in the managed instance group.","items":{"type":"string"}},"targetSize":{"type":"integer","description":"The target number of running instances for this managed instance group. Deleting or abandoning instances reduces this number. Resizing the group changes this number.","format":"int32","annotations":{"required":["compute.instanceGroupManagers.insert","compute.regionInstanceGroupManagers.insert"]}},"updatePolicy":{"$ref":"InstanceGroupManagerUpdatePolicy","description":"The update policy for this managed instance group."},"versions":{"type":"array","description":"Specifies the instance templates used by this managed instance group to create instances.\n\nEach version is defined by an instanceTemplate. Every template can appear at most once per instance group. This field overrides the top-level instanceTemplate field. Read more about the relationships between these fields. Exactly one version must leave the targetSize field unset. That version will be applied to all remaining instances. For more information, read about canary updates.","items":{"$ref":"InstanceGroupManagerVersion"}},"zone":{"type":"string","description":"[Output Only] The URL of the zone where the managed instance group is located (for zonal resources)."}}},"InstanceGroupManagerActionsSummary":{"id":"InstanceGroupManagerActionsSummary","type":"object","properties":{"abandoning":{"type":"integer","description":"[Output Only] The total number of instances in the managed instance group that are scheduled to be abandoned. Abandoning an instance removes it from the managed instance group without deleting it.","format":"int32"},"creating":{"type":"integer","description":"[Output Only] The number of instances in the managed instance group that are scheduled to be created or are currently being created. If the group fails to create any of these instances, it tries again until it creates the instance successfully.\n\nIf you have disabled creation retries, this field will not be populated; instead, the creatingWithoutRetries field will be populated.","format":"int32"},"creatingWithoutRetries":{"type":"integer","description":"[Output Only] The number of instances that the managed instance group will attempt to create. The group attempts to create each instance only once. If the group fails to create any of these instances, it decreases the group's targetSize value accordingly.","format":"int32"},"deleting":{"type":"integer","description":"[Output Only] The number of instances in the managed instance group that are scheduled to be deleted or are currently being deleted.","format":"int32"},"none":{"type":"integer","description":"[Output Only] The number of instances in the managed instance group that are running and have no scheduled actions.","format":"int32"},"recreating":{"type":"integer","description":"[Output Only] The number of instances in the managed instance group that are scheduled to be recreated or are currently being being recreated. Recreating an instance deletes the existing root persistent disk and creates a new disk from the image that is defined in the instance template.","format":"int32"},"refreshing":{"type":"integer","description":"[Output Only] The number of instances in the managed instance group that are being reconfigured with properties that do not require a restart or a recreate action. For example, setting or removing target pools for the instance.","format":"int32"},"restarting":{"type":"integer","description":"[Output Only] The number of instances in the managed instance group that are scheduled to be restarted or are currently being restarted.","format":"int32"},"verifying":{"type":"integer","description":"[Output Only] The number of instances in the managed instance group that are being verified. More details regarding verification process are covered in the documentation of ManagedInstance.InstanceAction.VERIFYING enum field.","format":"int32"}}},"InstanceGroupManagerAggregatedList":{"id":"InstanceGroupManagerAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of InstanceGroupManagersScopedList resources.","additionalProperties":{"$ref":"InstanceGroupManagersScopedList","description":"[Output Only] The name of the scope that contains this set of managed instance groups."}},"kind":{"type":"string","description":"[Output Only] The resource type, which is always compute#instanceGroupManagerAggregatedList for an aggregated list of managed instance groups.","default":"compute#instanceGroupManagerAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InstanceGroupManagerAutoHealingPolicy":{"id":"InstanceGroupManagerAutoHealingPolicy","type":"object","properties":{"healthCheck":{"type":"string","description":"The URL for the health check that signals autohealing."},"initialDelaySec":{"type":"integer","description":"The number of seconds that the managed instance group waits before it applies autohealing policies to new instances or recently recreated instances. This initial delay allows instances to initialize and run their startup scripts before the instance group determines that they are UNHEALTHY. This prevents the managed instance group from recreating its instances prematurely. This value must be from range [0, 3600].","format":"int32"}}},"InstanceGroupManagerList":{"id":"InstanceGroupManagerList","type":"object","description":"[Output Only] A list of managed instance groups.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of InstanceGroupManager resources.","items":{"$ref":"InstanceGroupManager"}},"kind":{"type":"string","description":"[Output Only] The resource type, which is always compute#instanceGroupManagerList for a list of managed instance groups.","default":"compute#instanceGroupManagerList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InstanceGroupManagerPendingActionsSummary":{"id":"InstanceGroupManagerPendingActionsSummary","type":"object","properties":{"creating":{"type":"integer","description":"[Output Only] The number of instances in the managed instance group that are pending to be created.","format":"int32"},"deleting":{"type":"integer","description":"[Output Only] The number of instances in the managed instance group that are pending to be deleted.","format":"int32"},"recreating":{"type":"integer","description":"[Output Only] The number of instances in the managed instance group that are pending to be recreated.","format":"int32"},"restarting":{"type":"integer","description":"[Output Only] The number of instances in the managed instance group that are pending to be restarted.","format":"int32"}}},"InstanceGroupManagerUpdatePolicy":{"id":"InstanceGroupManagerUpdatePolicy","type":"object","properties":{"maxSurge":{"$ref":"FixedOrPercent","description":"The maximum number of instances that can be created above the specified targetSize during the update process. By default, a fixed value of 1 is used. This value can be either a fixed number or a percentage if the instance group has 10 or more instances. If you set a percentage, the number of instances will be rounded up if necessary.\n\nAt least one of either maxSurge or maxUnavailable must be greater than 0. Learn more about maxSurge."},"maxUnavailable":{"$ref":"FixedOrPercent","description":"The maximum number of instances that can be unavailable during the update process. An instance is considered available if all of the following conditions are satisfied:\n\n \n- The instance's status is RUNNING. \n- If there is a health check on the instance grourp, the instance's liveness health check result must be HEALTHY at least once. If there is no health check on the group, then the instance only needs to have a status of RUNNING to be considered available.  By default, a fixed value of 1 is used. This value can be either a fixed number or a percentage if the instance group has 10 or more instances. If you set a percentage, the number of instances will be rounded up if necessary.\n\nAt least one of either maxSurge or maxUnavailable must be greater than 0. Learn more about maxUnavailable."},"minReadySec":{"type":"integer","description":"Minimum number of seconds to wait for after a newly created instance becomes available. This value must be from range [0, 3600].","format":"int32"},"minimalAction":{"type":"string","description":"Minimal action to be taken on an instance. You can specify either RESTART to restart existing instances or REPLACE to delete and create new instances from the target template. If you specify a code>RESTART, the Updater will attempt to perform that action only. However, if the Updater determines that the minimal action you specify is not enough to perform the update, it might perform a more disruptive action.","enum":["REPLACE","RESTART"],"enumDescriptions":["",""]},"type":{"type":"string","enum":["OPPORTUNISTIC","PROACTIVE"],"enumDescriptions":["",""]}}},"InstanceGroupManagerVersion":{"id":"InstanceGroupManagerVersion","type":"object","properties":{"instanceTemplate":{"type":"string"},"name":{"type":"string","description":"Name of the version. Unique among all versions in the scope of this managed instance group."},"targetSize":{"$ref":"FixedOrPercent","description":"Specifies the intended number of instances to be created from the instanceTemplate. The final number of instances created from the template will be equal to:  \n- If expressed as a fixed number, the minimum of either targetSize.fixed or instanceGroupManager.targetSize is used. \n- if expressed as a percent, the targetSize would be (targetSize.percent/100 * InstanceGroupManager.targetSize) If there is a remainder, the number is rounded up.  If unset, this version will update any remaining instances not updated by another version. Read Starting a canary update for more information."}}},"InstanceGroupManagersAbandonInstancesRequest":{"id":"InstanceGroupManagersAbandonInstancesRequest","type":"object","properties":{"instances":{"type":"array","description":"The URLs of one or more instances to abandon. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].","items":{"type":"string"}}}},"InstanceGroupManagersDeleteInstancesRequest":{"id":"InstanceGroupManagersDeleteInstancesRequest","type":"object","properties":{"instances":{"type":"array","description":"The URLs of one or more instances to delete. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].","items":{"type":"string"}}}},"InstanceGroupManagersListManagedInstancesResponse":{"id":"InstanceGroupManagersListManagedInstancesResponse","type":"object","properties":{"managedInstances":{"type":"array","description":"[Output Only] The list of instances in the managed instance group.","items":{"$ref":"ManagedInstance"}},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."}}},"InstanceGroupManagersRecreateInstancesRequest":{"id":"InstanceGroupManagersRecreateInstancesRequest","type":"object","properties":{"instances":{"type":"array","description":"The URLs of one or more instances to recreate. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].","items":{"type":"string"}}}},"InstanceGroupManagersResizeAdvancedRequest":{"id":"InstanceGroupManagersResizeAdvancedRequest","type":"object","properties":{"noCreationRetries":{"type":"boolean","description":"If this flag is true, the managed instance group attempts to create all instances initiated by this resize request only once. If there is an error during creation, the managed instance group does not retry create this instance, and we will decrease the targetSize of the request instead. If the flag is false, the group attemps to recreate each instance continuously until it succeeds.\n\nThis flag matters only in the first attempt of creation of an instance. After an instance is successfully created while this flag is enabled, the instance behaves the same way as all the other instances created with a regular resize request. In particular, if a running instance dies unexpectedly at a later time and needs to be recreated, this mode does not affect the recreation behavior in that scenario.\n\nThis flag is applicable only to the current resize request. It does not influence other resize requests in any way.\n\nYou can see which instances is being creating in which mode by calling the get or listManagedInstances API."},"targetSize":{"type":"integer","description":"The number of running instances that the managed instance group should maintain at any given time. The group automatically adds or removes instances to maintain the number of instances specified by this parameter.","format":"int32"}}},"InstanceGroupManagersScopedList":{"id":"InstanceGroupManagersScopedList","type":"object","properties":{"instanceGroupManagers":{"type":"array","description":"[Output Only] The list of managed instance groups that are contained in the specified project and zone.","items":{"$ref":"InstanceGroupManager"}},"warning":{"type":"object","description":"[Output Only] The warning that replaces the list of managed instance groups when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InstanceGroupManagersSetAutoHealingRequest":{"id":"InstanceGroupManagersSetAutoHealingRequest","type":"object","properties":{"autoHealingPolicies":{"type":"array","items":{"$ref":"InstanceGroupManagerAutoHealingPolicy"}}}},"InstanceGroupManagersSetInstanceTemplateRequest":{"id":"InstanceGroupManagersSetInstanceTemplateRequest","type":"object","properties":{"instanceTemplate":{"type":"string","description":"The URL of the instance template that is specified for this managed instance group. The group uses this template to create all new instances in the managed instance group."}}},"InstanceGroupManagersSetTargetPoolsRequest":{"id":"InstanceGroupManagersSetTargetPoolsRequest","type":"object","properties":{"fingerprint":{"type":"string","description":"The fingerprint of the target pools information. Use this optional property to prevent conflicts when multiple users change the target pools settings concurrently. Obtain the fingerprint with the instanceGroupManagers.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request.","format":"byte"},"targetPools":{"type":"array","description":"The list of target pool URLs that instances in this managed instance group belong to. The managed instance group applies these target pools to all of the instances in the group. Existing instances and new instances in the group all receive these target pool settings.","items":{"type":"string"}}}},"InstanceGroupsAddInstancesRequest":{"id":"InstanceGroupsAddInstancesRequest","type":"object","properties":{"instances":{"type":"array","description":"The list of instances to add to the instance group.","items":{"$ref":"InstanceReference"}}}},"InstanceGroupsListInstances":{"id":"InstanceGroupsListInstances","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of InstanceWithNamedPorts resources.","items":{"$ref":"InstanceWithNamedPorts"}},"kind":{"type":"string","description":"[Output Only] The resource type, which is always compute#instanceGroupsListInstances for the list of instances in the specified instance group.","default":"compute#instanceGroupsListInstances"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InstanceGroupsListInstancesRequest":{"id":"InstanceGroupsListInstancesRequest","type":"object","properties":{"instanceState":{"type":"string","description":"A filter for the state of the instances in the instance group. Valid options are ALL or RUNNING. If you do not specify this parameter the list includes all instances regardless of their state.","enum":["ALL","RUNNING"],"enumDescriptions":["",""]}}},"InstanceGroupsRemoveInstancesRequest":{"id":"InstanceGroupsRemoveInstancesRequest","type":"object","properties":{"instances":{"type":"array","description":"The list of instances to remove from the instance group.","items":{"$ref":"InstanceReference"}}}},"InstanceGroupsScopedList":{"id":"InstanceGroupsScopedList","type":"object","properties":{"instanceGroups":{"type":"array","description":"[Output Only] The list of instance groups that are contained in this scope.","items":{"$ref":"InstanceGroup"}},"warning":{"type":"object","description":"[Output Only] An informational warning that replaces the list of instance groups when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InstanceGroupsSetNamedPortsRequest":{"id":"InstanceGroupsSetNamedPortsRequest","type":"object","properties":{"fingerprint":{"type":"string","description":"The fingerprint of the named ports information for this instance group. Use this optional property to prevent conflicts when multiple users change the named ports settings concurrently. Obtain the fingerprint with the instanceGroups.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request.","format":"byte"},"namedPorts":{"type":"array","description":"The list of named ports to set for this instance group.","items":{"$ref":"NamedPort"}}}},"InstanceList":{"id":"InstanceList","type":"object","description":"Contains a list of instances.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Instance resources.","items":{"$ref":"Instance"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#instanceList for lists of Instance resources.","default":"compute#instanceList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InstanceListReferrers":{"id":"InstanceListReferrers","type":"object","description":"Contains a list of instance referrers.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Reference resources.","items":{"$ref":"Reference"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#instanceListReferrers for lists of Instance referrers.","default":"compute#instanceListReferrers"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InstanceMoveRequest":{"id":"InstanceMoveRequest","type":"object","properties":{"destinationZone":{"type":"string","description":"The URL of the destination zone to move the instance. This can be a full or partial URL. For example, the following are all valid URLs to a zone:  \n- https://www.googleapis.com/compute/v1/projects/project/zones/zone \n- projects/project/zones/zone \n- zones/zone"},"targetInstance":{"type":"string","description":"The URL of the target instance to move. This can be a full or partial URL. For example, the following are all valid URLs to an instance:  \n- https://www.googleapis.com/compute/v1/projects/project/zones/zone/instances/instance \n- projects/project/zones/zone/instances/instance \n- zones/zone/instances/instance"}}},"InstanceProperties":{"id":"InstanceProperties","type":"object","description":"","properties":{"canIpForward":{"type":"boolean","description":"Enables instances created based on this template to send packets with source IP addresses other than their own and receive packets with destination IP addresses other than their own. If these instances will be used as an IP gateway or it will be set as the next-hop in a Route resource, specify true. If unsure, leave this set to false. See the Enable IP forwarding documentation for more information."},"description":{"type":"string","description":"An optional text description for the instances that are created from this instance template."},"disks":{"type":"array","description":"An array of disks that are associated with the instances that are created from this template.","items":{"$ref":"AttachedDisk"}},"guestAccelerators":{"type":"array","description":"A list of guest accelerator cards' type and count to use for instances created from the instance template.","items":{"$ref":"AcceleratorConfig"}},"labels":{"type":"object","description":"Labels to apply to instances that are created from this template.","additionalProperties":{"type":"string"}},"machineType":{"type":"string","description":"The machine type to use for instances that are created from this template.","annotations":{"required":["compute.instanceTemplates.insert"]}},"metadata":{"$ref":"Metadata","description":"The metadata key/value pairs to assign to instances that are created from this template. These pairs can consist of custom metadata or predefined keys. See Project and instance metadata for more information."},"minCpuPlatform":{"type":"string","description":"Minimum cpu/platform to be used by this instance. The instance may be scheduled on the specified or newer cpu/platform. Applicable values are the friendly names of CPU platforms, such as minCpuPlatform: \"Intel Haswell\" or minCpuPlatform: \"Intel Sandy Bridge\". For more information, read Specifying a Minimum CPU Platform."},"networkInterfaces":{"type":"array","description":"An array of network access configurations for this interface.","items":{"$ref":"NetworkInterface"}},"scheduling":{"$ref":"Scheduling","description":"Specifies the scheduling options for the instances that are created from this template."},"serviceAccounts":{"type":"array","description":"A list of service accounts with specified scopes. Access tokens for these service accounts are available to the instances that are created from this template. Use metadata queries to obtain the access tokens for these instances.","items":{"$ref":"ServiceAccount"}},"tags":{"$ref":"Tags","description":"A list of tags to apply to the instances that are created from this template. The tags identify valid sources or targets for network firewalls. The setTags method can modify this list of tags. Each tag within the list must comply with RFC1035."}}},"InstanceReference":{"id":"InstanceReference","type":"object","properties":{"instance":{"type":"string","description":"The URL for a specific instance."}}},"InstanceTemplate":{"id":"InstanceTemplate","type":"object","description":"An Instance Template resource.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] The creation timestamp for this instance template in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"id":{"type":"string","description":"[Output Only] A unique identifier for this instance template. The server defines this identifier.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] The resource type, which is always compute#instanceTemplate for instance templates.","default":"compute#instanceTemplate"},"name":{"type":"string","description":"Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.instanceTemplates.insert"]}},"properties":{"$ref":"InstanceProperties","description":"The instance properties for this instance template."},"selfLink":{"type":"string","description":"[Output Only] The URL for this instance template. The server defines this URL."}}},"InstanceTemplateList":{"id":"InstanceTemplateList","type":"object","description":"A list of instance templates.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of InstanceTemplate resources.","items":{"$ref":"InstanceTemplate"}},"kind":{"type":"string","description":"[Output Only] The resource type, which is always compute#instanceTemplatesListResponse for instance template lists.","default":"compute#instanceTemplateList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InstanceWithNamedPorts":{"id":"InstanceWithNamedPorts","type":"object","properties":{"instance":{"type":"string","description":"[Output Only] The URL of the instance."},"namedPorts":{"type":"array","description":"[Output Only] The named ports that belong to this instance group.","items":{"$ref":"NamedPort"}},"status":{"type":"string","description":"[Output Only] The status of the instance.","enum":["PROVISIONING","RUNNING","STAGING","STOPPED","STOPPING","SUSPENDED","SUSPENDING","TERMINATED"],"enumDescriptions":["","","","","","","",""]}}},"InstancesScopedList":{"id":"InstancesScopedList","type":"object","properties":{"instances":{"type":"array","description":"[Output Only] List of instances contained in this scope.","items":{"$ref":"Instance"}},"warning":{"type":"object","description":"[Output Only] Informational warning which replaces the list of instances when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InstancesSetLabelsRequest":{"id":"InstancesSetLabelsRequest","type":"object","properties":{"labelFingerprint":{"type":"string","description":"Fingerprint of the previous set of labels for this resource, used to prevent conflicts. Provide the latest fingerprint value when making a request to add or change labels.","format":"byte"},"labels":{"type":"object","additionalProperties":{"type":"string"}}}},"InstancesSetMachineResourcesRequest":{"id":"InstancesSetMachineResourcesRequest","type":"object","properties":{"guestAccelerators":{"type":"array","description":"List of the type and count of accelerator cards attached to the instance.","items":{"$ref":"AcceleratorConfig"}}}},"InstancesSetMachineTypeRequest":{"id":"InstancesSetMachineTypeRequest","type":"object","properties":{"machineType":{"type":"string","description":"Full or partial URL of the machine type resource. See Machine Types for a full list of machine types. For example: zones/us-central1-f/machineTypes/n1-standard-1"}}},"InstancesSetMinCpuPlatformRequest":{"id":"InstancesSetMinCpuPlatformRequest","type":"object","properties":{"minCpuPlatform":{"type":"string","description":"Minimum cpu/platform this instance should be started at."}}},"InstancesSetServiceAccountRequest":{"id":"InstancesSetServiceAccountRequest","type":"object","properties":{"email":{"type":"string","description":"Email address of the service account."},"scopes":{"type":"array","description":"The list of scopes to be made available for this service account.","items":{"type":"string"}}}},"InstancesStartWithEncryptionKeyRequest":{"id":"InstancesStartWithEncryptionKeyRequest","type":"object","properties":{"disks":{"type":"array","description":"Array of disks associated with this instance that are protected with a customer-supplied encryption key.\n\nIn order to start the instance, the disk url and its corresponding key must be provided.\n\nIf the disk is not protected with a customer-supplied encryption key it should not be specified.","items":{"$ref":"CustomerEncryptionKeyProtectedDisk"}}}},"Interconnect":{"id":"Interconnect","type":"object","description":"Protocol definitions for Mixer API to support Interconnect. Next available tag: 25","properties":{"adminEnabled":{"type":"boolean","description":"Administrative status of the interconnect. When this is set to ?true?, the Interconnect is functional and may carry traffic (assuming there are functional InterconnectAttachments and other requirements are satisfied). When set to ?false?, no packets will be carried over this Interconnect and no BGP routes will be exchanged over it. By default, it is set to ?true?."},"circuitInfos":{"type":"array","description":"[Output Only] List of CircuitInfo objects, that describe the individual circuits in this LAG.","items":{"$ref":"InterconnectCircuitInfo"}},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"customerName":{"type":"string","description":"Customer name, to put in the Letter of Authorization as the party authorized to request a crossconnect."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"expectedOutages":{"type":"array","description":"[Output Only] List of outages expected for this Interconnect.","items":{"$ref":"InterconnectOutageNotification"}},"googleIpAddress":{"type":"string","description":"[Output Only] IP address configured on the Google side of the Interconnect link. This can be used only for ping tests."},"googleReferenceId":{"type":"string","description":"[Output Only] Google reference ID; to be used when raising support tickets with Google or otherwise to debug backend connectivity issues."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"interconnectAttachments":{"type":"array","description":"[Output Only] A list of the URLs of all InterconnectAttachments configured to use this Interconnect.","items":{"type":"string"}},"interconnectType":{"type":"string","enum":["DEDICATED","IT_PRIVATE"],"enumDescriptions":["",""]},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#interconnect for interconnects.","default":"compute#interconnect"},"linkType":{"type":"string","enum":["LINK_TYPE_ETHERNET_10G_LR"],"enumDescriptions":[""]},"location":{"type":"string","description":"URL of the InterconnectLocation object that represents where this connection is to be provisioned."},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.interconnects.insert"]}},"nocContactEmail":{"type":"string","description":"Email address to contact the customer NOC for operations and maintenance notifications regarding this Interconnect. If specified, this will be used for notifications in addition to all other forms described, such as Stackdriver logs alerting and Cloud Notifications."},"operationalStatus":{"type":"string","description":"[Output Only] The current status of whether or not this Interconnect is functional.","enum":["ACTIVE","OS_ACTIVE","OS_UNPROVISIONED","UNPROVISIONED"],"enumDescriptions":["","","",""]},"peerIpAddress":{"type":"string","description":"[Output Only] IP address configured on the customer side of the Interconnect link. The customer should configure this IP address during turnup when prompted by Google NOC. This can be used only for ping tests."},"provisionedLinkCount":{"type":"integer","description":"[Output Only] Number of links actually provisioned in this interconnect.","format":"int32"},"requestedLinkCount":{"type":"integer","description":"Target number of physical links in the link bundle, as requested by the customer.","format":"int32"},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."}}},"InterconnectAttachment":{"id":"InterconnectAttachment","type":"object","description":"Protocol definitions for Mixer API to support InterconnectAttachment. Next available tag: 23","properties":{"cloudRouterIpAddress":{"type":"string","description":"[Output Only] IPv4 address + prefix length to be configured on Cloud Router Interface for this interconnect attachment."},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"customerRouterIpAddress":{"type":"string","description":"[Output Only] IPv4 address + prefix length to be configured on the customer router subinterface for this interconnect attachment."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"googleReferenceId":{"type":"string","description":"[Output Only] Google reference ID, to be used when raising support tickets with Google or otherwise to debug backend connectivity issues."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"interconnect":{"type":"string","description":"URL of the underlying Interconnect object that this attachment's traffic will traverse through."},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#interconnectAttachment for interconnect attachments.","default":"compute#interconnectAttachment"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"operationalStatus":{"type":"string","description":"[Output Only] The current status of whether or not this interconnect attachment is functional.","enum":["ACTIVE","OS_ACTIVE","OS_UNPROVISIONED","UNPROVISIONED"],"enumDescriptions":["","","",""]},"privateInterconnectInfo":{"$ref":"InterconnectAttachmentPrivateInfo","description":"[Output Only] Information specific to a Private InterconnectAttachment. Only populated if the interconnect that this is attached is of type IT_PRIVATE."},"region":{"type":"string","description":"[Output Only] URL of the region where the regional interconnect attachment resides."},"router":{"type":"string","description":"URL of the cloud router to be used for dynamic routing. This router must be in the same region as this InterconnectAttachment. The InterconnectAttachment will automatically connect the Interconnect to the network & region within which the Cloud Router is configured."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."}}},"InterconnectAttachmentAggregatedList":{"id":"InterconnectAttachmentAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of InterconnectAttachmentsScopedList resources.","additionalProperties":{"$ref":"InterconnectAttachmentsScopedList","description":"Name of the scope containing this set of interconnect attachments."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#interconnectAttachmentAggregatedList for aggregated lists of interconnect attachments.","default":"compute#interconnectAttachmentAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InterconnectAttachmentList":{"id":"InterconnectAttachmentList","type":"object","description":"Response to the list request, and contains a list of interconnect attachments.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of InterconnectAttachment resources.","items":{"$ref":"InterconnectAttachment"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#interconnectAttachmentList for lists of interconnect attachments.","default":"compute#interconnectAttachmentList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InterconnectAttachmentPrivateInfo":{"id":"InterconnectAttachmentPrivateInfo","type":"object","description":"Private information for an interconnect attachment when this belongs to an interconnect of type IT_PRIVATE.","properties":{"tag8021q":{"type":"integer","description":"[Output Only] 802.1q encapsulation tag to be used for traffic between Google and the customer, going to and from this network and region.","format":"uint32"}}},"InterconnectAttachmentsScopedList":{"id":"InterconnectAttachmentsScopedList","type":"object","properties":{"interconnectAttachments":{"type":"array","description":"List of interconnect attachments contained in this scope.","items":{"$ref":"InterconnectAttachment"}},"warning":{"type":"object","description":"Informational warning which replaces the list of addresses when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InterconnectCircuitInfo":{"id":"InterconnectCircuitInfo","type":"object","description":"Describes a single physical circuit between the Customer and Google. CircuitInfo objects are created by Google, so all fields are output only. Next id: 4","properties":{"customerDemarcId":{"type":"string","description":"Customer-side demarc ID for this circuit. This will only be set if it was provided by the Customer to Google during circuit turn-up."},"googleCircuitId":{"type":"string","description":"Google-assigned unique ID for this circuit. Assigned at circuit turn-up."},"googleDemarcId":{"type":"string","description":"Google-side demarc ID for this circuit. Assigned at circuit turn-up and provided by Google to the customer in the LOA."}}},"InterconnectList":{"id":"InterconnectList","type":"object","description":"Response to the list request, and contains a list of interconnects.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Interconnect resources.","items":{"$ref":"Interconnect"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#interconnectList for lists of interconnects.","default":"compute#interconnectList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InterconnectLocation":{"id":"InterconnectLocation","type":"object","description":"Protocol definitions for Mixer API to support InterconnectLocation.","properties":{"address":{"type":"string","description":"[Output Only] The postal address of the Point of Presence, each line in the address is separated by a newline character."},"availabilityZone":{"type":"string","description":"Availability zone for this location. Within a city, maintenance will not be simultaneously scheduled in more than one availability zone. Example: \"zone1\" or \"zone2\"."},"city":{"type":"string","description":"City designator used by the Interconnect UI to locate this InterconnectLocation within the Continent. For example: \"Chicago, IL\", \"Amsterdam, Netherlands\"."},"continent":{"type":"string","description":"Continent for this location. Used by the location picker in the Interconnect UI.","enum":["AFRICA","ASIA_PAC","C_AFRICA","C_ASIA_PAC","C_EUROPE","C_NORTH_AMERICA","C_SOUTH_AMERICA","EUROPE","NORTH_AMERICA","SOUTH_AMERICA"],"enumDescriptions":["","","","","","","","","",""]},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"[Output Only] An optional description of the resource."},"facilityProvider":{"type":"string","description":"[Output Only] The name of the provider for this facility (e.g., EQUINIX)."},"facilityProviderFacilityId":{"type":"string","description":"[Output Only] A provider-assigned Identifier for this facility (e.g., Ashburn-DC1)."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#interconnectLocation for interconnect locations.","default":"compute#interconnectLocation"},"name":{"type":"string","description":"[Output Only] Name of the resource."},"peeringdbFacilityId":{"type":"string","description":"[Output Only] The peeringdb identifier for this facility (corresponding with a netfac type in peeringdb)."},"regionInfos":{"type":"array","description":"[Output Only] A list of InterconnectLocation.RegionInfo objects, that describe parameters pertaining to the relation between this InterconnectLocation and various Google Cloud regions.","items":{"$ref":"InterconnectLocationRegionInfo"}},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."}}},"InterconnectLocationList":{"id":"InterconnectLocationList","type":"object","description":"Response to the list request, and contains a list of interconnect locations.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of InterconnectLocation resources.","items":{"$ref":"InterconnectLocation"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#interconnectLocationList for lists of interconnect locations.","default":"compute#interconnectLocationList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"InterconnectLocationRegionInfo":{"id":"InterconnectLocationRegionInfo","type":"object","description":"Information about any potential InterconnectAttachments between an Interconnect at a specific InterconnectLocation, and a specific Cloud Region.","properties":{"expectedRttMs":{"type":"string","description":"Expected round-trip time in milliseconds, from this InterconnectLocation to a VM in this region.","format":"int64"},"locationPresence":{"type":"string","description":"Identifies the network presence of this location.","enum":["GLOBAL","LOCAL_REGION","LP_GLOBAL","LP_LOCAL_REGION"],"enumDescriptions":["","","",""]},"region":{"type":"string","description":"URL for the region of this location."}}},"InterconnectOutageNotification":{"id":"InterconnectOutageNotification","type":"object","description":"Description of a planned outage on this Interconnect. Next id: 9","properties":{"affectedCircuits":{"type":"array","description":"Iff issue_type is IT_PARTIAL_OUTAGE, a list of the Google-side circuit IDs that will be affected.","items":{"type":"string"}},"description":{"type":"string","description":"Short user-visible description of the purpose of the outage."},"endTime":{"type":"string","format":"int64"},"issueType":{"type":"string","enum":["IT_OUTAGE","IT_PARTIAL_OUTAGE","OUTAGE","PARTIAL_OUTAGE"],"enumDescriptions":["","","",""]},"name":{"type":"string","description":"Unique identifier for this outage notification."},"source":{"type":"string","enum":["GOOGLE","NSRC_GOOGLE"],"enumDescriptions":["",""]},"startTime":{"type":"string","description":"Scheduled start and end times for the outage (milliseconds since Unix epoch).","format":"int64"},"state":{"type":"string","enum":["ACTIVE","CANCELLED","NS_ACTIVE","NS_CANCELED"],"enumDescriptions":["","","",""]}}},"License":{"id":"License","type":"object","description":"A license resource.","properties":{"chargesUseFee":{"type":"boolean","description":"[Output Only] Deprecated. This field no longer reflects whether a license charges a usage fee."},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#license for licenses.","default":"compute#license"},"name":{"type":"string","description":"[Output Only] Name of the resource. The name is 1-63 characters long and complies with RFC1035.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.images.insert"]}},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."}}},"LogConfig":{"id":"LogConfig","type":"object","description":"Specifies what kind of log the caller must write","properties":{"cloudAudit":{"$ref":"LogConfigCloudAuditOptions","description":"Cloud audit options."},"counter":{"$ref":"LogConfigCounterOptions","description":"Counter options."},"dataAccess":{"$ref":"LogConfigDataAccessOptions","description":"Data access options."}}},"LogConfigCloudAuditOptions":{"id":"LogConfigCloudAuditOptions","type":"object","description":"Write a Cloud Audit log","properties":{"authorizationLoggingOptions":{"$ref":"AuthorizationLoggingOptions","description":"Information used by the Cloud Audit Logging pipeline."},"logName":{"type":"string","description":"The log_name to populate in the Cloud Audit Record.","enum":["ADMIN_ACTIVITY","DATA_ACCESS","UNSPECIFIED_LOG_NAME"],"enumDescriptions":["","",""]}}},"LogConfigCounterOptions":{"id":"LogConfigCounterOptions","type":"object","description":"Increment a streamz counter with the specified metric and field names.\n\nMetric names should start with a '/', generally be lowercase-only, and end in \"_count\". Field names should not contain an initial slash. The actual exported metric names will have \"/iam/policy\" prepended.\n\nField names correspond to IAM request parameters and field values are their respective values.\n\nAt present the only supported field names are - \"iam_principal\", corresponding to IAMContext.principal; - \"\" (empty string), resulting in one aggretated counter with no field.\n\nExamples: counter { metric: \"/debug_access_count\" field: \"iam_principal\" } ==> increment counter /iam/policy/backend_debug_access_count {iam_principal=[value of IAMContext.principal]}\n\nAt this time we do not support: * multiple field names (though this may be supported in the future) * decrementing the counter * incrementing it by anything other than 1","properties":{"field":{"type":"string","description":"The field value to attribute."},"metric":{"type":"string","description":"The metric to update."}}},"LogConfigDataAccessOptions":{"id":"LogConfigDataAccessOptions","type":"object","description":"Write a Data Access (Gin) log","properties":{"logMode":{"type":"string","description":"Whether Gin logging should happen in a fail-closed manner at the caller. This is relevant only in the LocalIAM implementation, for now.","enum":["LOG_FAIL_CLOSED","LOG_MODE_UNSPECIFIED"],"enumDescriptions":["",""]}}},"MachineType":{"id":"MachineType","type":"object","description":"A Machine Type resource.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"deprecated":{"$ref":"DeprecationStatus","description":"[Output Only] The deprecation status associated with this machine type."},"description":{"type":"string","description":"[Output Only] An optional textual description of the resource."},"guestCpus":{"type":"integer","description":"[Output Only] The number of virtual CPUs that are available to the instance.","format":"int32"},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"isSharedCpu":{"type":"boolean","description":"[Output Only] Whether this machine type has a shared CPU. See Shared-core machine types for more information."},"kind":{"type":"string","description":"[Output Only] The type of the resource. Always compute#machineType for machine types.","default":"compute#machineType"},"maximumPersistentDisks":{"type":"integer","description":"[Output Only] Maximum persistent disks allowed.","format":"int32"},"maximumPersistentDisksSizeGb":{"type":"string","description":"[Output Only] Maximum total persistent disks size (GB) allowed.","format":"int64"},"memoryMb":{"type":"integer","description":"[Output Only] The amount of physical memory available to the instance, defined in MB.","format":"int32"},"name":{"type":"string","description":"[Output Only] Name of the resource.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"zone":{"type":"string","description":"[Output Only] The name of the zone where the machine type resides, such as us-central1-a."}}},"MachineTypeAggregatedList":{"id":"MachineTypeAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of MachineTypesScopedList resources.","additionalProperties":{"$ref":"MachineTypesScopedList","description":"[Output Only] Name of the scope containing this set of machine types."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#machineTypeAggregatedList for aggregated lists of machine types.","default":"compute#machineTypeAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"MachineTypeList":{"id":"MachineTypeList","type":"object","description":"Contains a list of machine types.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of MachineType resources.","items":{"$ref":"MachineType"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#machineTypeList for lists of machine types.","default":"compute#machineTypeList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"MachineTypesScopedList":{"id":"MachineTypesScopedList","type":"object","properties":{"machineTypes":{"type":"array","description":"[Output Only] List of machine types contained in this scope.","items":{"$ref":"MachineType"}},"warning":{"type":"object","description":"[Output Only] An informational warning that appears when the machine types list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"ManagedInstance":{"id":"ManagedInstance","type":"object","properties":{"currentAction":{"type":"string","description":"[Output Only] The current action that the managed instance group has scheduled for the instance. Possible values: \n- NONE The instance is running, and the managed instance group does not have any scheduled actions for this instance. \n- CREATING The managed instance group is creating this instance. If the group fails to create this instance, it will try again until it is successful. \n- CREATING_WITHOUT_RETRIES The managed instance group is attempting to create this instance only once. If the group fails to create this instance, it does not try again and the group's targetSize value is decreased instead. \n- RECREATING The managed instance group is recreating this instance. \n- DELETING The managed instance group is permanently deleting this instance. \n- ABANDONING The managed instance group is abandoning this instance. The instance will be removed from the instance group and from any target pools that are associated with this group. \n- RESTARTING The managed instance group is restarting the instance. \n- REFRESHING The managed instance group is applying configuration changes to the instance without stopping it. For example, the group can update the target pool list for an instance without stopping that instance.","enum":["ABANDONING","CREATING","CREATING_WITHOUT_RETRIES","DELETING","NONE","RECREATING","REFRESHING","RESTARTING","VERIFYING"],"enumDescriptions":["","","","","","","","",""]},"id":{"type":"string","description":"[Output only] The unique identifier for this resource. This field is empty when instance does not exist.","format":"uint64"},"instance":{"type":"string","description":"[Output Only] The URL of the instance. The URL can exist even if the instance has not yet been created."},"instanceStatus":{"type":"string","description":"[Output Only] The status of the instance. This field is empty when the instance does not exist.","enum":["PROVISIONING","RUNNING","STAGING","STOPPED","STOPPING","SUSPENDED","SUSPENDING","TERMINATED"],"enumDescriptions":["","","","","","","",""]},"lastAttempt":{"$ref":"ManagedInstanceLastAttempt","description":"[Output Only] Information about the last attempt to create or delete the instance."},"version":{"$ref":"ManagedInstanceVersion","description":"[Output Only] Intended version of this instance."}}},"ManagedInstanceLastAttempt":{"id":"ManagedInstanceLastAttempt","type":"object","properties":{"errors":{"type":"object","description":"[Output Only] Encountered errors during the last attempt to create or delete the instance.","properties":{"errors":{"type":"array","description":"[Output Only] The array of errors encountered while processing this operation.","items":{"type":"object","properties":{"code":{"type":"string","description":"[Output Only] The error type identifier for this error."},"location":{"type":"string","description":"[Output Only] Indicates the field in the request that caused the error. This property is optional."},"message":{"type":"string","description":"[Output Only] An optional, human-readable error message."}}}}}}}},"ManagedInstanceVersion":{"id":"ManagedInstanceVersion","type":"object","properties":{"instanceTemplate":{"type":"string","description":"[Output Only] The intended template of the instance. This field is empty when current_action is one of { DELETING, ABANDONING }."},"name":{"type":"string","description":"[Output Only] Name of the version."}}},"Metadata":{"id":"Metadata","type":"object","description":"A metadata key/value entry.","properties":{"fingerprint":{"type":"string","description":"Specifies a fingerprint for this request, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata.","format":"byte"},"items":{"type":"array","description":"Array of key/value pairs. The total size of all keys and values must be less than 512 KB.","items":{"type":"object","properties":{"key":{"type":"string","description":"Key for the metadata entry. Keys must conform to the following regexp: [a-zA-Z0-9-_]+, and be less than 128 bytes in length. This is reflected as part of a URL in the metadata server. Additionally, to avoid ambiguity, keys must not conflict with any other metadata keys for the project.","pattern":"[a-zA-Z0-9-_]{1,128}","annotations":{"required":["compute.instances.insert","compute.projects.setCommonInstanceMetadata"]}},"value":{"type":"string","description":"Value for the metadata entry. These are free-form strings, and only have meaning as interpreted by the image running in the instance. The only restriction placed on values is that their size must be less than or equal to 262144 bytes (256 KiB).","annotations":{"required":["compute.instances.insert","compute.projects.setCommonInstanceMetadata"]}}}}},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#metadata for metadata.","default":"compute#metadata"}}},"NamedPort":{"id":"NamedPort","type":"object","description":"The named port. For example: .","properties":{"name":{"type":"string","description":"The name for this named port. The name must be 1-63 characters long, and comply with RFC1035."},"port":{"type":"integer","description":"The port number, which can be a value between 1 and 65535.","format":"int32"}}},"Network":{"id":"Network","type":"object","description":"Represents a Network resource. Read Networks and Firewalls for more information.","properties":{"IPv4Range":{"type":"string","description":"The range of internal addresses that are legal on this network. This range is a CIDR specification, for example: 192.168.0.0/16. Provided by the client when the network is created.","pattern":"[0-9]{1,3}(?:\\.[0-9]{1,3}){3}/[0-9]{1,2}"},"autoCreateSubnetworks":{"type":"boolean","description":"When set to true, the network is created in \"auto subnet mode\". When set to false, the network is in \"custom subnet mode\".\n\nIn \"auto subnet mode\", a newly created network is assigned the default CIDR of 10.128.0.0/9 and it automatically creates one subnetwork per region."},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"gatewayIPv4":{"type":"string","description":"A gateway address for default routing to other networks. This value is read only and is selected by the Google Compute Engine, typically as the first usable address in the IPv4Range.","pattern":"[0-9]{1,3}(?:\\.[0-9]{1,3}){3}"},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#network for networks.","default":"compute#network"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.networks.insert"]}},"peerings":{"type":"array","description":"[Output Only] List of network peerings for the resource.","items":{"$ref":"NetworkPeering"}},"routingConfig":{"$ref":"NetworkRoutingConfig","description":"The network-level routing configuration for this network. Used by Cloud Router to determine what type of network-wide routing behavior to enforce."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"subnetworks":{"type":"array","description":"[Output Only] Server-defined fully-qualified URLs for all subnetworks in this network.","items":{"type":"string"}}}},"NetworkInterface":{"id":"NetworkInterface","type":"object","description":"A network interface resource attached to an instance.","properties":{"accessConfigs":{"type":"array","description":"An array of configurations for this interface. Currently, only one access config, ONE_TO_ONE_NAT, is supported. If there are no accessConfigs specified, then this instance will have no external internet access.","items":{"$ref":"AccessConfig"}},"aliasIpRanges":{"type":"array","description":"An array of alias IP ranges for this network interface. Can only be specified for network interfaces on subnet-mode networks.","items":{"$ref":"AliasIpRange"}},"fingerprint":{"type":"string","description":"Fingerprint hash of contents stored in this network interface. This field will be ignored when inserting an Instance or adding a NetworkInterface. An up-to-date fingerprint must be provided in order to update the NetworkInterface.","format":"byte"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#networkInterface for network interfaces.","default":"compute#networkInterface"},"name":{"type":"string","description":"[Output Only] The name of the network interface, generated by the server. For network devices, these are eth0, eth1, etc."},"network":{"type":"string","description":"URL of the network resource for this instance. When creating an instance, if neither the network nor the subnetwork is specified, the default network global/networks/default is used; if the network is not specified but the subnetwork is specified, the network is inferred.\n\nThis field is optional when creating a firewall rule. If not specified when creating a firewall rule, the default network global/networks/default is used.\n\nIf you specify this property, you can specify the network as a full or partial URL. For example, the following are all valid URLs:  \n- https://www.googleapis.com/compute/v1/projects/project/global/networks/network \n- projects/project/global/networks/network \n- global/networks/default"},"networkIP":{"type":"string","description":"An IPv4 internal network address to assign to the instance for this network interface. If not specified by the user, an unused internal IP is assigned by the system."},"subnetwork":{"type":"string","description":"The URL of the Subnetwork resource for this instance. If the network resource is in legacy mode, do not provide this property. If the network is in auto subnet mode, providing the subnetwork is optional. If the network is in custom subnet mode, then this field should be specified. If you specify this property, you can specify the subnetwork as a full or partial URL. For example, the following are all valid URLs:  \n- https://www.googleapis.com/compute/v1/projects/project/regions/region/subnetworks/subnetwork \n- regions/region/subnetworks/subnetwork"}}},"NetworkList":{"id":"NetworkList","type":"object","description":"Contains a list of networks.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Network resources.","items":{"$ref":"Network"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#networkList for lists of networks.","default":"compute#networkList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"NetworkPeering":{"id":"NetworkPeering","type":"object","description":"A network peering attached to a network resource. The message includes the peering name, peer network, peering state, and a flag indicating whether Google Compute Engine should automatically create routes for the peering.","properties":{"autoCreateRoutes":{"type":"boolean","description":"Whether full mesh connectivity is created and managed automatically. When it is set to true, Google Compute Engine will automatically create and manage the routes between two networks when the state is ACTIVE. Otherwise, user needs to create routes manually to route packets to peer network."},"name":{"type":"string","description":"Name of this peering. Provided by the client when the peering is created. The name must comply with RFC1035. Specifically, the name must be 1-63 characters long and match regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all the following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash."},"network":{"type":"string","description":"The URL of the peer network. It can be either full URL or partial URL. The peer network may belong to a different project. If the partial URL does not contain project, it is assumed that the peer network is in the same project as the current network."},"state":{"type":"string","description":"[Output Only] State for the peering.","enum":["ACTIVE","INACTIVE"],"enumDescriptions":["",""]},"stateDetails":{"type":"string","description":"[Output Only] Details about the current state of the peering."}}},"NetworkRoutingConfig":{"id":"NetworkRoutingConfig","type":"object","description":"A routing configuration attached to a network resource. The message includes the list of routers associated with the network, and a flag indicating the type of routing behavior to enforce network-wide.","properties":{"routingMode":{"type":"string","description":"The network-wide routing mode to use. If set to REGIONAL, this network's cloud routers will only advertise routes with subnetworks of this network in the same region as the router. If set to GLOBAL, this network's cloud routers will advertise routes with all subnetworks of this network, across regions.","enum":["GLOBAL","REGIONAL"],"enumDescriptions":["",""]}}},"NetworksAddPeeringRequest":{"id":"NetworksAddPeeringRequest","type":"object","properties":{"autoCreateRoutes":{"type":"boolean","description":"Whether Google Compute Engine manages the routes automatically."},"name":{"type":"string","description":"Name of the peering, which should conform to RFC1035."},"peerNetwork":{"type":"string","description":"URL of the peer network. It can be either full URL or partial URL. The peer network may belong to a different project. If the partial URL does not contain project, it is assumed that the peer network is in the same project as the current network."}}},"NetworksRemovePeeringRequest":{"id":"NetworksRemovePeeringRequest","type":"object","properties":{"name":{"type":"string","description":"Name of the peering, which should conform to RFC1035."}}},"Operation":{"id":"Operation","type":"object","description":"An Operation resource, used to manage asynchronous API requests.","properties":{"clientOperationId":{"type":"string","description":"[Output Only] Reserved for future use."},"creationTimestamp":{"type":"string","description":"[Deprecated] This field is deprecated."},"description":{"type":"string","description":"[Output Only] A textual description of the operation, which is set when the operation is created."},"endTime":{"type":"string","description":"[Output Only] The time that this operation was completed. This value is in RFC3339 text format."},"error":{"type":"object","description":"[Output Only] If errors are generated during processing of the operation, this field will be populated.","properties":{"errors":{"type":"array","description":"[Output Only] The array of errors encountered while processing this operation.","items":{"type":"object","properties":{"code":{"type":"string","description":"[Output Only] The error type identifier for this error."},"location":{"type":"string","description":"[Output Only] Indicates the field in the request that caused the error. This property is optional."},"message":{"type":"string","description":"[Output Only] An optional, human-readable error message."}}}}}},"httpErrorMessage":{"type":"string","description":"[Output Only] If the operation fails, this field contains the HTTP error message that was returned, such as NOT FOUND."},"httpErrorStatusCode":{"type":"integer","description":"[Output Only] If the operation fails, this field contains the HTTP error status code that was returned. For example, a 404 means the resource was not found.","format":"int32"},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"insertTime":{"type":"string","description":"[Output Only] The time that this operation was requested. This value is in RFC3339 text format."},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#operation for Operation resources.","default":"compute#operation"},"name":{"type":"string","description":"[Output Only] Name of the resource."},"operationType":{"type":"string","description":"[Output Only] The type of operation, such as insert, update, or delete, and so on."},"progress":{"type":"integer","description":"[Output Only] An optional progress indicator that ranges from 0 to 100. There is no requirement that this be linear or support any granularity of operations. This should not be used to guess when the operation will be complete. This number should monotonically increase as the operation progresses.","format":"int32"},"region":{"type":"string","description":"[Output Only] The URL of the region where the operation resides. Only available when performing regional operations."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"startTime":{"type":"string","description":"[Output Only] The time that this operation was started by the server. This value is in RFC3339 text format."},"status":{"type":"string","description":"[Output Only] The status of the operation, which can be one of the following: PENDING, RUNNING, or DONE.","enum":["DONE","PENDING","RUNNING"],"enumDescriptions":["","",""]},"statusMessage":{"type":"string","description":"[Output Only] An optional textual description of the current status of the operation."},"targetId":{"type":"string","description":"[Output Only] The unique target ID, which identifies a specific incarnation of the target resource.","format":"uint64"},"targetLink":{"type":"string","description":"[Output Only] The URL of the resource that the operation modifies. For operations related to creating a snapshot, this points to the persistent disk that the snapshot was created from."},"user":{"type":"string","description":"[Output Only] User who requested the operation, for example: user@example.com."},"warnings":{"type":"array","description":"[Output Only] If warning messages are generated during processing of the operation, this field will be populated.","items":{"type":"object","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}},"zone":{"type":"string","description":"[Output Only] The URL of the zone where the operation resides. Only available when performing per-zone operations."}}},"OperationAggregatedList":{"id":"OperationAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server."},"items":{"type":"object","description":"[Output Only] A map of scoped operation lists.","additionalProperties":{"$ref":"OperationsScopedList","description":"[Output Only] Name of the scope containing this set of operations."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#operationAggregatedList for aggregated lists of operations.","default":"compute#operationAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"OperationList":{"id":"OperationList","type":"object","description":"Contains a list of Operation resources.","properties":{"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server."},"items":{"type":"array","description":"[Output Only] A list of Operation resources.","items":{"$ref":"Operation"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#operations for Operations resource.","default":"compute#operationList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"OperationsScopedList":{"id":"OperationsScopedList","type":"object","properties":{"operations":{"type":"array","description":"[Output Only] List of operations contained in this scope.","items":{"$ref":"Operation"}},"warning":{"type":"object","description":"[Output Only] Informational warning which replaces the list of operations when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"PathMatcher":{"id":"PathMatcher","type":"object","description":"A matcher for the path portion of the URL. The BackendService from the longest-matched rule will serve the URL. If no rule was matched, the default service will be used.","properties":{"defaultService":{"type":"string","description":"The full or partial URL to the BackendService resource. This will be used if none of the pathRules defined by this PathMatcher is matched by the URL's path portion. For example, the following are all valid URLs to a BackendService resource:  \n- https://www.googleapis.com/compute/v1/projects/project/global/backendServices/backendService \n- compute/v1/projects/project/global/backendServices/backendService \n- global/backendServices/backendService"},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"name":{"type":"string","description":"The name to which this PathMatcher is referred by the HostRule."},"pathRules":{"type":"array","description":"The list of path rules.","items":{"$ref":"PathRule"}}}},"PathRule":{"id":"PathRule","type":"object","description":"A path-matching rule for a URL. If matched, will use the specified BackendService to handle the traffic arriving at this URL.","properties":{"paths":{"type":"array","description":"The list of path patterns to match. Each must start with / and the only place a * is allowed is at the end following a /. The string fed to the path matcher does not include any text after the first ? or #, and those chars are not allowed here.","items":{"type":"string"}},"service":{"type":"string","description":"The URL of the BackendService resource if this rule is matched."}}},"Policy":{"id":"Policy","type":"object","description":"Defines an Identity and Access Management (IAM) policy. It is used to specify access control policies for Cloud Platform resources.\n\n\n\nA `Policy` consists of a list of `bindings`. A `Binding` binds a list of `members` to a `role`, where the members can be user accounts, Google groups, Google domains, and service accounts. A `role` is a named list of permissions defined by IAM.\n\n**Example**\n\n{ \"bindings\": [ { \"role\": \"roles/owner\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-other-app@appspot.gserviceaccount.com\", ] }, { \"role\": \"roles/viewer\", \"members\": [\"user:sean@example.com\"] } ] }\n\nFor a description of IAM and its features, see the [IAM developer's guide](https://cloud.google.com/iam).","properties":{"auditConfigs":{"type":"array","description":"Specifies cloud audit logging configuration for this policy.","items":{"$ref":"AuditConfig"}},"bindings":{"type":"array","description":"Associates a list of `members` to a `role`. `bindings` with no members will result in an error.","items":{"$ref":"Binding"}},"etag":{"type":"string","description":"`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy.\n\nIf no `etag` is provided in the call to `setIamPolicy`, then the existing policy is overwritten blindly.","format":"byte"},"iamOwned":{"type":"boolean","description":""},"rules":{"type":"array","description":"If more than one rule is specified, the rules are applied in the following manner: - All matching LOG rules are always applied. - If any DENY/DENY_WITH_LOG rule matches, permission is denied. Logging will be applied if one or more matching rule requires logging. - Otherwise, if any ALLOW/ALLOW_WITH_LOG rule matches, permission is granted. Logging will be applied if one or more matching rule requires logging. - Otherwise, if no rule applies, permission is denied.","items":{"$ref":"Rule"}},"version":{"type":"integer","description":"Version of the `Policy`. The default version is 0.","format":"int32"}}},"Project":{"id":"Project","type":"object","description":"A Project resource. Projects can only be created in the Google Cloud Platform Console. Unless marked otherwise, values can only be modified in the console.","properties":{"commonInstanceMetadata":{"$ref":"Metadata","description":"Metadata key/value pairs available to all instances contained in this project. See Custom metadata for more information."},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"defaultServiceAccount":{"type":"string","description":"[Output Only] Default service account used by VMs running in this project."},"description":{"type":"string","description":"An optional textual description of the resource."},"enabledFeatures":{"type":"array","description":"Restricted features enabled for use on this project.","items":{"type":"string"}},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server. This is not the project ID, and is just a unique ID used by Compute Engine to identify resources.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#project for projects.","default":"compute#project"},"name":{"type":"string","description":"The project ID. For example: my-example-project. Use the project ID to make requests to Compute Engine."},"quotas":{"type":"array","description":"[Output Only] Quotas assigned to this project.","items":{"$ref":"Quota"}},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"usageExportLocation":{"$ref":"UsageExportLocation","description":"The naming prefix for daily usage reports and the Google Cloud Storage bucket where they are stored."},"xpnProjectStatus":{"type":"string","description":"[Output Only] The role this project has in a shared VPC configuration. Currently only HOST projects are differentiated.","enum":["HOST","UNSPECIFIED_XPN_PROJECT_STATUS"],"enumDescriptions":["",""]}}},"ProjectsDisableXpnResourceRequest":{"id":"ProjectsDisableXpnResourceRequest","type":"object","properties":{"xpnResource":{"$ref":"XpnResourceId","description":"Service resource (a.k.a service project) ID."}}},"ProjectsEnableXpnResourceRequest":{"id":"ProjectsEnableXpnResourceRequest","type":"object","properties":{"xpnResource":{"$ref":"XpnResourceId","description":"Service resource (a.k.a service project) ID."}}},"ProjectsGetXpnResources":{"id":"ProjectsGetXpnResources","type":"object","properties":{"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#projectsGetXpnResources for lists of service resources (a.k.a service projects)","default":"compute#projectsGetXpnResources"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"resources":{"type":"array","description":"Service resources (a.k.a service projects) attached to this project as their shared VPC host.","items":{"$ref":"XpnResourceId"}}}},"ProjectsListXpnHostsRequest":{"id":"ProjectsListXpnHostsRequest","type":"object","properties":{"organization":{"type":"string","description":"Optional organization ID managed by Cloud Resource Manager, for which to list shared VPC host projects. If not specified, the organization will be inferred from the project."}}},"Quota":{"id":"Quota","type":"object","description":"A quotas entry.","properties":{"limit":{"type":"number","description":"[Output Only] Quota limit for this metric.","format":"double"},"metric":{"type":"string","description":"[Output Only] Name of the quota metric.","enum":["AUTOSCALERS","BACKEND_BUCKETS","BACKEND_SERVICES","COMMITMENTS","CPUS","CPUS_ALL_REGIONS","DISKS_TOTAL_GB","FIREWALLS","FORWARDING_RULES","HEALTH_CHECKS","IMAGES","INSTANCES","INSTANCE_GROUPS","INSTANCE_GROUP_MANAGERS","INSTANCE_TEMPLATES","INTERCONNECTS","IN_USE_ADDRESSES","LOCAL_SSD_TOTAL_GB","NETWORKS","NVIDIA_K80_GPUS","NVIDIA_P100_GPUS","PREEMPTIBLE_CPUS","PREEMPTIBLE_LOCAL_SSD_GB","REGIONAL_AUTOSCALERS","REGIONAL_INSTANCE_GROUP_MANAGERS","ROUTERS","ROUTES","SECURITY_POLICIES","SECURITY_POLICY_RULES","SNAPSHOTS","SSD_TOTAL_GB","SSL_CERTIFICATES","STATIC_ADDRESSES","SUBNETWORKS","TARGET_HTTPS_PROXIES","TARGET_HTTP_PROXIES","TARGET_INSTANCES","TARGET_POOLS","TARGET_SSL_PROXIES","TARGET_TCP_PROXIES","TARGET_VPN_GATEWAYS","URL_MAPS","VPN_TUNNELS"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","",""]},"usage":{"type":"number","description":"[Output Only] Current usage of this metric.","format":"double"}}},"Reference":{"id":"Reference","type":"object","description":"Represents a reference to a resource.","properties":{"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#reference for references.","default":"compute#reference"},"referenceType":{"type":"string","description":"A description of the reference type with no implied semantics. Possible values include:  \n- MEMBER_OF"},"referrer":{"type":"string","description":"URL of the resource which refers to the target."},"target":{"type":"string","description":"URL of the resource to which this reference points."}}},"Region":{"id":"Region","type":"object","description":"Region resource.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"deprecated":{"$ref":"DeprecationStatus","description":"[Output Only] The deprecation status associated with this region."},"description":{"type":"string","description":"[Output Only] Textual description of the resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#region for regions.","default":"compute#region"},"name":{"type":"string","description":"[Output Only] Name of the resource."},"quotas":{"type":"array","description":"[Output Only] Quotas assigned to this region.","items":{"$ref":"Quota"}},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"status":{"type":"string","description":"[Output Only] Status of the region, either UP or DOWN.","enum":["DOWN","UP"],"enumDescriptions":["",""]},"zones":{"type":"array","description":"[Output Only] A list of zones available in this region, in the form of resource URLs.","items":{"type":"string"}}}},"RegionAutoscalerList":{"id":"RegionAutoscalerList","type":"object","description":"Contains a list of autoscalers.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Autoscaler resources.","items":{"$ref":"Autoscaler"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#regionAutoscalerList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"RegionInstanceGroupList":{"id":"RegionInstanceGroupList","type":"object","description":"Contains a list of InstanceGroup resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of InstanceGroup resources.","items":{"$ref":"InstanceGroup"}},"kind":{"type":"string","description":"The resource type.","default":"compute#regionInstanceGroupList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"RegionInstanceGroupManagerList":{"id":"RegionInstanceGroupManagerList","type":"object","description":"Contains a list of managed instance groups.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of InstanceGroupManager resources.","items":{"$ref":"InstanceGroupManager"}},"kind":{"type":"string","description":"[Output Only] The resource type, which is always compute#instanceGroupManagerList for a list of managed instance groups that exist in th regional scope.","default":"compute#regionInstanceGroupManagerList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"RegionInstanceGroupManagersAbandonInstancesRequest":{"id":"RegionInstanceGroupManagersAbandonInstancesRequest","type":"object","properties":{"instances":{"type":"array","description":"The URLs of one or more instances to abandon. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].","items":{"type":"string"}}}},"RegionInstanceGroupManagersDeleteInstancesRequest":{"id":"RegionInstanceGroupManagersDeleteInstancesRequest","type":"object","properties":{"instances":{"type":"array","description":"The URLs of one or more instances to delete. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].","items":{"type":"string"}}}},"RegionInstanceGroupManagersListInstancesResponse":{"id":"RegionInstanceGroupManagersListInstancesResponse","type":"object","properties":{"managedInstances":{"type":"array","description":"List of managed instances.","items":{"$ref":"ManagedInstance"}},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."}}},"RegionInstanceGroupManagersRecreateRequest":{"id":"RegionInstanceGroupManagersRecreateRequest","type":"object","properties":{"instances":{"type":"array","description":"The URLs of one or more instances to recreate. This can be a full URL or a partial URL, such as zones/[ZONE]/instances/[INSTANCE_NAME].","items":{"type":"string"}}}},"RegionInstanceGroupManagersSetAutoHealingRequest":{"id":"RegionInstanceGroupManagersSetAutoHealingRequest","type":"object","properties":{"autoHealingPolicies":{"type":"array","items":{"$ref":"InstanceGroupManagerAutoHealingPolicy"}}}},"RegionInstanceGroupManagersSetTargetPoolsRequest":{"id":"RegionInstanceGroupManagersSetTargetPoolsRequest","type":"object","properties":{"fingerprint":{"type":"string","description":"Fingerprint of the target pools information, which is a hash of the contents. This field is used for optimistic locking when you update the target pool entries. This field is optional.","format":"byte"},"targetPools":{"type":"array","description":"The URL of all TargetPool resources to which instances in the instanceGroup field are added. The target pools automatically apply to all of the instances in the managed instance group.","items":{"type":"string"}}}},"RegionInstanceGroupManagersSetTemplateRequest":{"id":"RegionInstanceGroupManagersSetTemplateRequest","type":"object","properties":{"instanceTemplate":{"type":"string","description":"URL of the InstanceTemplate resource from which all new instances will be created."}}},"RegionInstanceGroupsListInstances":{"id":"RegionInstanceGroupsListInstances","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of InstanceWithNamedPorts resources.","items":{"$ref":"InstanceWithNamedPorts"}},"kind":{"type":"string","description":"The resource type.","default":"compute#regionInstanceGroupsListInstances"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"RegionInstanceGroupsListInstancesRequest":{"id":"RegionInstanceGroupsListInstancesRequest","type":"object","properties":{"instanceState":{"type":"string","description":"Instances in which state should be returned. Valid options are: 'ALL', 'RUNNING'. By default, it lists all instances.","enum":["ALL","RUNNING"],"enumDescriptions":["",""]},"portName":{"type":"string","description":"Name of port user is interested in. It is optional. If it is set, only information about this ports will be returned. If it is not set, all the named ports will be returned. Always lists all instances.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"}}},"RegionInstanceGroupsSetNamedPortsRequest":{"id":"RegionInstanceGroupsSetNamedPortsRequest","type":"object","properties":{"fingerprint":{"type":"string","description":"The fingerprint of the named ports information for this instance group. Use this optional property to prevent conflicts when multiple users change the named ports settings concurrently. Obtain the fingerprint with the instanceGroups.get method. Then, include the fingerprint in your request to ensure that you do not overwrite changes that were applied from another concurrent request.","format":"byte"},"namedPorts":{"type":"array","description":"The list of named ports to set for this instance group.","items":{"$ref":"NamedPort"}}}},"RegionList":{"id":"RegionList","type":"object","description":"Contains a list of region resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Region resources.","items":{"$ref":"Region"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#regionList for lists of regions.","default":"compute#regionList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"RegionSetLabelsRequest":{"id":"RegionSetLabelsRequest","type":"object","properties":{"labelFingerprint":{"type":"string","description":"The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. Make a get() request to the resource to get the latest fingerprint.","format":"byte"},"labels":{"type":"object","description":"The labels to set for this resource.","additionalProperties":{"type":"string"}}}},"ResourceCommitment":{"id":"ResourceCommitment","type":"object","description":"Commitment for a particular resource (a Commitment is composed of one or more of these).","properties":{"amount":{"type":"string","description":"The amount of the resource purchased (in a type-dependent unit, such as bytes). For vCPUs, this can just be an integer. For memory, this must be provided in MB. Memory must be a multiple of 256 MB, with up to 6.5GB of memory per every vCPU.","format":"int64"},"type":{"type":"string","description":"Type of resource for which this commitment applies. Possible values are VCPU and MEMORY","enum":["MEMORY","UNSPECIFIED","VCPU"],"enumDescriptions":["","",""]}}},"ResourceGroupReference":{"id":"ResourceGroupReference","type":"object","properties":{"group":{"type":"string","description":"A URI referencing one of the instance groups listed in the backend service."}}},"Route":{"id":"Route","type":"object","description":"Represents a Route resource. A route specifies how certain packets should be handled by the network. Routes are associated with instances by tags and the set of routes for a particular instance is called its routing table.\n\nFor each packet leaving an instance, the system searches that instance's routing table for a single best matching route. Routes match packets by destination IP address, preferring smaller or more specific ranges over larger ones. If there is a tie, the system selects the route with the smallest priority value. If there is still a tie, it uses the layer three and four packet headers to select just one of the remaining matching routes. The packet is then forwarded as specified by the nextHop field of the winning route - either to another instance destination, an instance gateway, or a Google Compute Engine-operated gateway.\n\nPackets that do not match any route in the sending instance's routing table are dropped.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"destRange":{"type":"string","description":"The destination range of outgoing packets that this route applies to. Only IPv4 is supported.","annotations":{"required":["compute.routes.insert"]}},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of this resource. Always compute#routes for Route resources.","default":"compute#route"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.routes.insert"]}},"network":{"type":"string","description":"Fully-qualified URL of the network that this route applies to.","annotations":{"required":["compute.routes.insert"]}},"nextHopGateway":{"type":"string","description":"The URL to a gateway that should handle matching packets. You can only specify the internet gateway using a full or partial valid URL:  projects/<project-id>/global/gateways/default-internet-gateway"},"nextHopInstance":{"type":"string","description":"The URL to an instance that should handle matching packets. You can specify this as a full or partial URL. For example:\nhttps://www.googleapis.com/compute/v1/projects/project/zones/zone/instances/"},"nextHopIp":{"type":"string","description":"The network IP address of an instance that should handle matching packets. Only IPv4 is supported."},"nextHopNetwork":{"type":"string","description":"The URL of the local network if it should handle matching packets."},"nextHopPeering":{"type":"string","description":"[Output Only] The network peering name that should handle matching packets, which should conform to RFC1035."},"nextHopVpnTunnel":{"type":"string","description":"The URL to a VpnTunnel that should handle matching packets."},"priority":{"type":"integer","description":"The priority of this route. Priority is used to break ties in cases where there is more than one matching route of equal prefix length. In the case of two routes with equal prefix length, the one with the lowest-numbered priority value wins. Default value is 1000. Valid range is 0 through 65535.","format":"uint32","annotations":{"required":["compute.routes.insert"]}},"selfLink":{"type":"string","description":"[Output Only] Server-defined fully-qualified URL for this resource."},"tags":{"type":"array","description":"A list of instance tags to which this route applies.","items":{"type":"string"},"annotations":{"required":["compute.routes.insert"]}},"warnings":{"type":"array","description":"[Output Only] If potential misconfigurations are detected for this route, this field will be populated with warning messages.","items":{"type":"object","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}}},"RouteList":{"id":"RouteList","type":"object","description":"Contains a list of Route resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Route resources.","items":{"$ref":"Route"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#routeList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"Router":{"id":"Router","type":"object","description":"Router resource.","properties":{"bgp":{"$ref":"RouterBgp","description":"BGP information specific to this router."},"bgpPeers":{"type":"array","description":"BGP information that needs to be configured into the routing stack to establish the BGP peering. It must specify peer ASN and either interface name, IP, or peer IP. Please refer to RFC4273.","items":{"$ref":"RouterBgpPeer"}},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"interfaces":{"type":"array","description":"Router interfaces. Each interface requires either one linked resource (e.g. linkedVpnTunnel), or IP address and IP address range (e.g. ipRange), or both.","items":{"$ref":"RouterInterface"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#router for routers.","default":"compute#router"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.routers.insert"]}},"network":{"type":"string","description":"URI of the network to which this router belongs.","annotations":{"required":["compute.routers.insert"]}},"region":{"type":"string","description":"[Output Only] URI of the region where the router resides."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."}}},"RouterAggregatedList":{"id":"RouterAggregatedList","type":"object","description":"Contains a list of routers.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of Router resources.","additionalProperties":{"$ref":"RoutersScopedList","description":"Name of the scope containing this set of routers."}},"kind":{"type":"string","description":"Type of resource.","default":"compute#routerAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"RouterBgp":{"id":"RouterBgp","type":"object","properties":{"asn":{"type":"integer","description":"Local BGP Autonomous System Number (ASN). Must be an RFC6996 private ASN, either 16-bit or 32-bit. The value will be fixed for this router resource. All VPN tunnels that link to this router will have the same local ASN.","format":"uint32"}}},"RouterBgpPeer":{"id":"RouterBgpPeer","type":"object","properties":{"advertisedRoutePriority":{"type":"integer","description":"The priority of routes advertised to this BGP peer. In the case where there is more than one matching route of maximum length, the routes with lowest priority value win.","format":"uint32"},"interfaceName":{"type":"string","description":"Name of the interface the BGP peer is associated with."},"ipAddress":{"type":"string","description":"IP address of the interface inside Google Cloud Platform. Only IPv4 is supported."},"name":{"type":"string","description":"Name of this BGP peer. The name must be 1-63 characters long and comply with RFC1035.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"peerAsn":{"type":"integer","description":"Peer BGP Autonomous System Number (ASN). For VPN use case, this value can be different for every tunnel.","format":"uint32"},"peerIpAddress":{"type":"string","description":"IP address of the BGP interface outside Google cloud. Only IPv4 is supported."}}},"RouterInterface":{"id":"RouterInterface","type":"object","properties":{"ipRange":{"type":"string","description":"IP address and range of the interface. The IP range must be in the RFC3927 link-local IP space. The value must be a CIDR-formatted string, for example: 169.254.0.1/30. NOTE: Do not truncate the address as it represents the IP address of the interface."},"linkedInterconnectAttachment":{"type":"string","description":"URI of the linked interconnect attachment. It must be in the same region as the router. Each interface can have at most one linked resource and it could either be a VPN Tunnel or an interconnect attachment."},"linkedVpnTunnel":{"type":"string","description":"URI of the linked VPN tunnel. It must be in the same region as the router. Each interface can have at most one linked resource and it could either be a VPN Tunnel or an interconnect attachment."},"name":{"type":"string","description":"Name of this interface entry. The name must be 1-63 characters long and comply with RFC1035.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"}}},"RouterList":{"id":"RouterList","type":"object","description":"Contains a list of Router resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Router resources.","items":{"$ref":"Router"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#router for routers.","default":"compute#routerList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"RouterStatus":{"id":"RouterStatus","type":"object","properties":{"bestRoutes":{"type":"array","description":"Best routes for this router's network.","items":{"$ref":"Route"}},"bestRoutesForRouter":{"type":"array","description":"Best routes learned by this router.","items":{"$ref":"Route"}},"bgpPeerStatus":{"type":"array","items":{"$ref":"RouterStatusBgpPeerStatus"}},"network":{"type":"string","description":"URI of the network to which this router belongs."}}},"RouterStatusBgpPeerStatus":{"id":"RouterStatusBgpPeerStatus","type":"object","properties":{"advertisedRoutes":{"type":"array","description":"Routes that were advertised to the remote BGP peer","items":{"$ref":"Route"}},"ipAddress":{"type":"string","description":"IP address of the local BGP interface."},"linkedVpnTunnel":{"type":"string","description":"URL of the VPN tunnel that this BGP peer controls."},"name":{"type":"string","description":"Name of this BGP peer. Unique within the Routers resource."},"numLearnedRoutes":{"type":"integer","description":"Number of routes learned from the remote BGP Peer.","format":"uint32"},"peerIpAddress":{"type":"string","description":"IP address of the remote BGP interface."},"state":{"type":"string","description":"BGP state as specified in RFC1771."},"status":{"type":"string","description":"Status of the BGP peer: {UP, DOWN}","enum":["DOWN","UNKNOWN","UP"],"enumDescriptions":["","",""]},"uptime":{"type":"string","description":"Time this session has been up. Format: 14 years, 51 weeks, 6 days, 23 hours, 59 minutes, 59 seconds"},"uptimeSeconds":{"type":"string","description":"Time this session has been up, in seconds. Format: 145"}}},"RouterStatusResponse":{"id":"RouterStatusResponse","type":"object","properties":{"kind":{"type":"string","description":"Type of resource.","default":"compute#routerStatusResponse"},"result":{"$ref":"RouterStatus"}}},"RoutersPreviewResponse":{"id":"RoutersPreviewResponse","type":"object","properties":{"resource":{"$ref":"Router","description":"Preview of given router."}}},"RoutersScopedList":{"id":"RoutersScopedList","type":"object","properties":{"routers":{"type":"array","description":"List of routers contained in this scope.","items":{"$ref":"Router"}},"warning":{"type":"object","description":"Informational warning which replaces the list of routers when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"Rule":{"id":"Rule","type":"object","description":"A rule to be applied in a Policy.","properties":{"action":{"type":"string","description":"Required","enum":["ALLOW","ALLOW_WITH_LOG","DENY","DENY_WITH_LOG","LOG","NO_ACTION"],"enumDescriptions":["","","","","",""]},"conditions":{"type":"array","description":"Additional restrictions that must be met. All conditions must pass for the rule to match.","items":{"$ref":"Condition"}},"description":{"type":"string","description":"Human-readable description of the rule."},"ins":{"type":"array","description":"If one or more 'in' clauses are specified, the rule matches if the PRINCIPAL/AUTHORITY_SELECTOR is in at least one of these entries.","items":{"type":"string"}},"logConfigs":{"type":"array","description":"The config returned to callers of tech.iam.IAM.CheckPolicy for any entries that match the LOG action.","items":{"$ref":"LogConfig"}},"notIns":{"type":"array","description":"If one or more 'not_in' clauses are specified, the rule matches if the PRINCIPAL/AUTHORITY_SELECTOR is in none of the entries.","items":{"type":"string"}},"permissions":{"type":"array","description":"A permission is a string of form '..' (e.g., 'storage.buckets.list'). A value of '*' matches all permissions, and a verb part of '*' (e.g., 'storage.buckets.*') matches all verbs.","items":{"type":"string"}}}},"SSLHealthCheck":{"id":"SSLHealthCheck","type":"object","properties":{"port":{"type":"integer","description":"The TCP port number for the health check request. The default value is 443. Valid values are 1 through 65535.","format":"int32"},"portName":{"type":"string","description":"Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence."},"proxyHeader":{"type":"string","description":"Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.","enum":["NONE","PROXY_V1"],"enumDescriptions":["",""]},"request":{"type":"string","description":"The application data to send once the SSL connection has been established (default value is empty). If both request and response are empty, the connection establishment alone will indicate health. The request data can only be ASCII."},"response":{"type":"string","description":"The bytes to match against the beginning of the response data. If left empty (the default value), any response will indicate health. The response data can only be ASCII."}}},"Scheduling":{"id":"Scheduling","type":"object","description":"Sets the scheduling options for an Instance.","properties":{"automaticRestart":{"type":"boolean","description":"Specifies whether the instance should be automatically restarted if it is terminated by Compute Engine (not terminated by a user). You can only set the automatic restart option for standard instances. Preemptible instances cannot be automatically restarted.\n\nBy default, this is set to true so an instance is automatically restarted if it is terminated by Compute Engine."},"onHostMaintenance":{"type":"string","description":"Defines the maintenance behavior for this instance. For standard instances, the default behavior is MIGRATE. For preemptible instances, the default and only possible behavior is TERMINATE. For more information, see Setting Instance Scheduling Options.","enum":["MIGRATE","TERMINATE"],"enumDescriptions":["",""]},"preemptible":{"type":"boolean","description":"Defines whether the instance is preemptible. This can only be set during instance creation, it cannot be set or changed after the instance has been created."}}},"SecurityPolicy":{"id":"SecurityPolicy","type":"object","description":"A security policy is comprised of one or more rules. It can also be associated with one or more 'targets'.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"fingerprint":{"type":"string","description":"Specifies a fingerprint for this resource, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata.\n\nTo see the latest fingerprint, make get() request to the security policy.","format":"byte"},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output only] Type of the resource. Always compute#securityPolicyfor security policies","default":"compute#securityPolicy"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"rules":{"type":"array","description":"List of rules that belong to this policy. There must always be a default rule (rule with priority 2147483647 and match \"*\"). If no rules are provided when creating a security policy, a default rule with action \"allow\" will be added.","items":{"$ref":"SecurityPolicyRule"}},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."}}},"SecurityPolicyList":{"id":"SecurityPolicyList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of SecurityPolicy resources.","items":{"$ref":"SecurityPolicy"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#securityPolicyList for listsof securityPolicies","default":"compute#securityPolicyList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"SecurityPolicyReference":{"id":"SecurityPolicyReference","type":"object","properties":{"securityPolicy":{"type":"string"}}},"SecurityPolicyRule":{"id":"SecurityPolicyRule","type":"object","description":"Represents a rule that describes one or more match conditions along with the action to be taken when traffic matches this condition (allow or deny).","properties":{"action":{"type":"string","description":"The Action to preform when the client connection triggers the rule. Can currently be either \"allow\" or \"deny()\" where valid values for status are 403, 404, and 502."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"kind":{"type":"string","description":"[Output only] Type of the resource. Always compute#securityPolicyRule for security policy rules","default":"compute#securityPolicyRule"},"match":{"$ref":"SecurityPolicyRuleMatcher","description":"A match condition that incoming traffic is evaluated against. If it evaluates to true, the corresponding ?action? is enforced."},"preview":{"type":"boolean","description":"If set to true, the specified action is not enforced."},"priority":{"type":"integer","description":"An integer indicating the priority of a rule in the list. The priority must be a positive value between 0 and 2147483647. Rules are evaluated in the increasing order of priority.","format":"int32"}}},"SecurityPolicyRuleMatcher":{"id":"SecurityPolicyRuleMatcher","type":"object","description":"Represents a match condition that incoming traffic is evaluated against. Exactly one field must be specified.","properties":{"srcIpRanges":{"type":"array","description":"CIDR IP address range. Only IPv4 is supported.","items":{"type":"string"}}}},"SerialPortOutput":{"id":"SerialPortOutput","type":"object","description":"An instance's serial console output.","properties":{"contents":{"type":"string","description":"[Output Only] The contents of the console output."},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#serialPortOutput for serial port output.","default":"compute#serialPortOutput"},"next":{"type":"string","description":"[Output Only] The position of the next byte of content from the serial console output. Use this value in the next request as the start parameter.","format":"int64"},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"start":{"type":"string","description":"The starting byte position of the output that was returned. This should match the start parameter sent with the request. If the serial console output exceeds the size of the buffer, older output will be overwritten by newer content and the start values will be mismatched.","format":"int64"}}},"ServiceAccount":{"id":"ServiceAccount","type":"object","description":"A service account.","properties":{"email":{"type":"string","description":"Email address of the service account."},"scopes":{"type":"array","description":"The list of scopes to be made available for this service account.","items":{"type":"string"}}}},"Snapshot":{"id":"Snapshot","type":"object","description":"A persistent disk snapshot resource.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"diskSizeGb":{"type":"string","description":"[Output Only] Size of the snapshot, specified in GB.","format":"int64"},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#snapshot for Snapshot resources.","default":"compute#snapshot"},"labelFingerprint":{"type":"string","description":"A fingerprint for the labels being applied to this snapshot, which is essentially a hash of the labels set used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels.\n\nTo see the latest fingerprint, make a get() request to retrieve a snapshot.","format":"byte"},"labels":{"type":"object","description":"Labels to apply to this snapshot. These can be later modified by the setLabels method. Label values may be empty.","additionalProperties":{"type":"string"}},"licenses":{"type":"array","description":"[Output Only] A list of public visible licenses that apply to this snapshot. This can be because the original image had licenses attached (such as a Windows image).","items":{"type":"string"}},"name":{"type":"string","description":"Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"snapshotEncryptionKey":{"$ref":"CustomerEncryptionKey","description":"Encrypts the snapshot using a customer-supplied encryption key.\n\nAfter you encrypt a snapshot using a customer-supplied key, you must provide the same key if you use the image later For example, you must provide the encryption key when you create a disk from the encrypted snapshot in a future request.\n\nCustomer-supplied encryption keys do not protect access to metadata of the disk.\n\nIf you do not provide an encryption key when creating the snapshot, then the snapshot will be encrypted using an automatically generated key and you do not need to provide a key to use the snapshot later."},"sourceDisk":{"type":"string","description":"[Output Only] The source disk used to create this snapshot."},"sourceDiskEncryptionKey":{"$ref":"CustomerEncryptionKey","description":"The customer-supplied encryption key of the source disk. Required if the source disk is protected by a customer-supplied encryption key."},"sourceDiskId":{"type":"string","description":"[Output Only] The ID value of the disk used to create this snapshot. This value may be used to determine whether the snapshot was taken from the current or a previous instance of a given disk name."},"status":{"type":"string","description":"[Output Only] The status of the snapshot. This can be CREATING, DELETING, FAILED, READY, or UPLOADING.","enum":["CREATING","DELETING","FAILED","READY","UPLOADING"],"enumDescriptions":["","","","",""]},"storageBytes":{"type":"string","description":"[Output Only] A size of the storage used by the snapshot. As snapshots share storage, this number is expected to change with snapshot creation/deletion.","format":"int64"},"storageBytesStatus":{"type":"string","description":"[Output Only] An indicator whether storageBytes is in a stable state or it is being adjusted as a result of shared storage reallocation. This status can either be UPDATING, meaning the size of the snapshot is being updated, or UP_TO_DATE, meaning the size of the snapshot is up-to-date.","enum":["UPDATING","UP_TO_DATE"],"enumDescriptions":["",""]}}},"SnapshotList":{"id":"SnapshotList","type":"object","description":"Contains a list of Snapshot resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Snapshot resources.","items":{"$ref":"Snapshot"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#snapshotList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"SslCertificate":{"id":"SslCertificate","type":"object","description":"An SslCertificate resource. This resource provides a mechanism to upload an SSL key and certificate to the load balancer to serve secure connections from the user.","properties":{"certificate":{"type":"string","description":"A local certificate file. The certificate must be in PEM format. The certificate chain must be no greater than 5 certs long. The chain must include at least one intermediate cert."},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#sslCertificate for SSL certificates.","default":"compute#sslCertificate"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"privateKey":{"type":"string","description":"A write-only private key in PEM format. Only insert requests will include this field."},"selfLink":{"type":"string","description":"[Output only] Server-defined URL for the resource."}}},"SslCertificateList":{"id":"SslCertificateList","type":"object","description":"Contains a list of SslCertificate resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of SslCertificate resources.","items":{"$ref":"SslCertificate"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#sslCertificateList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"Subnetwork":{"id":"Subnetwork","type":"object","description":"A Subnetwork resource.","properties":{"allowSubnetCidrRoutesOverlap":{"type":"boolean","description":"Whether this subnetwork can conflict with static routes. Setting this to true allows this subnetwork's primary and secondary ranges to conflict with routes that have already been configured on the corresponding network. Static routes will take precedence over the subnetwork route if the route prefix length is at least as large as the subnetwork prefix length.\n\nAlso, packets destined to IPs within subnetwork may contain private/sensitive data and are prevented from leaving the virtual network. Setting this field to true will disable this feature.\n\nThe default value is false and applies to all existing subnetworks and automatically created subnetworks.\n\nThis field cannot be set to true at resource creation time."},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource. This field can be set only at resource creation time."},"fingerprint":{"type":"string","description":"Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a Subnetwork. An up-to-date fingerprint must be provided in order to update the Subnetwork.","format":"byte"},"gatewayAddress":{"type":"string","description":"[Output Only] The gateway address for default routes to reach destination addresses outside this subnetwork. This field can be set only at resource creation time."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"ipCidrRange":{"type":"string","description":"The range of internal addresses that are owned by this subnetwork. Provide this property when you create the subnetwork. For example, 10.0.0.0/8 or 192.168.0.0/16. Ranges must be unique and non-overlapping within a network. Only IPv4 is supported. This field can be set only at resource creation time."},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#subnetwork for Subnetwork resources.","default":"compute#subnetwork"},"name":{"type":"string","description":"The name of the resource, provided by the client when initially creating the resource. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"network":{"type":"string","description":"The URL of the network to which this subnetwork belongs, provided by the client when initially creating the subnetwork. Only networks that are in the distributed mode can have subnetworks. This field can be set only at resource creation time."},"privateIpGoogleAccess":{"type":"boolean","description":"Whether the VMs in this subnet can access Google services without assigned external IP addresses. This field can be both set at resource creation time and updated using setPrivateIpGoogleAccess."},"region":{"type":"string","description":"URL of the region where the Subnetwork resides. This field can be set only at resource creation time."},"secondaryIpRanges":{"type":"array","description":"An array of configurations for secondary IP ranges for VM instances contained in this subnetwork. The primary IP of such VM must belong to the primary ipCidrRange of the subnetwork. The alias IPs may belong to either primary or secondary ranges.","items":{"$ref":"SubnetworkSecondaryRange"}},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."}}},"SubnetworkAggregatedList":{"id":"SubnetworkAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of SubnetworksScopedList resources.","additionalProperties":{"$ref":"SubnetworksScopedList","description":"Name of the scope containing this set of Subnetworks."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#subnetworkAggregatedList for aggregated lists of subnetworks.","default":"compute#subnetworkAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"SubnetworkList":{"id":"SubnetworkList","type":"object","description":"Contains a list of Subnetwork resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Subnetwork resources.","items":{"$ref":"Subnetwork"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#subnetworkList for lists of subnetworks.","default":"compute#subnetworkList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"SubnetworkSecondaryRange":{"id":"SubnetworkSecondaryRange","type":"object","description":"Represents a secondary IP range of a subnetwork.","properties":{"ipCidrRange":{"type":"string","description":"The range of IP addresses belonging to this subnetwork secondary range. Provide this property when you create the subnetwork. Ranges must be unique and non-overlapping with all primary and secondary IP ranges within a network. Only IPv4 is supported."},"rangeName":{"type":"string","description":"The name associated with this subnetwork secondary range, used when adding an alias IP range to a VM instance. The name must be 1-63 characters long, and comply with RFC1035. The name must be unique within the subnetwork."}}},"SubnetworksExpandIpCidrRangeRequest":{"id":"SubnetworksExpandIpCidrRangeRequest","type":"object","properties":{"ipCidrRange":{"type":"string","description":"The IP (in CIDR format or netmask) of internal addresses that are legal on this Subnetwork. This range should be disjoint from other subnetworks within this network. This range can only be larger than (i.e. a superset of) the range previously defined before the update."}}},"SubnetworksScopedList":{"id":"SubnetworksScopedList","type":"object","properties":{"subnetworks":{"type":"array","description":"List of subnetworks contained in this scope.","items":{"$ref":"Subnetwork"}},"warning":{"type":"object","description":"An informational warning that appears when the list of addresses is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"SubnetworksSetPrivateIpGoogleAccessRequest":{"id":"SubnetworksSetPrivateIpGoogleAccessRequest","type":"object","properties":{"privateIpGoogleAccess":{"type":"boolean"}}},"TCPHealthCheck":{"id":"TCPHealthCheck","type":"object","properties":{"port":{"type":"integer","description":"The TCP port number for the health check request. The default value is 80. Valid values are 1 through 65535.","format":"int32"},"portName":{"type":"string","description":"Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence."},"proxyHeader":{"type":"string","description":"Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.","enum":["NONE","PROXY_V1"],"enumDescriptions":["",""]},"request":{"type":"string","description":"The application data to send once the TCP connection has been established (default value is empty). If both request and response are empty, the connection establishment alone will indicate health. The request data can only be ASCII."},"response":{"type":"string","description":"The bytes to match against the beginning of the response data. If left empty (the default value), any response will indicate health. The response data can only be ASCII."}}},"Tags":{"id":"Tags","type":"object","description":"A set of instance tags.","properties":{"fingerprint":{"type":"string","description":"Specifies a fingerprint for this request, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata.\n\nTo see the latest fingerprint, make get() request to the instance.","format":"byte"},"items":{"type":"array","description":"An array of tags. Each tag must be 1-63 characters long, and comply with RFC1035.","items":{"type":"string"}}}},"TargetHttpProxy":{"id":"TargetHttpProxy","type":"object","description":"A TargetHttpProxy resource. This resource defines an HTTP proxy.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#targetHttpProxy for target HTTP proxies.","default":"compute#targetHttpProxy"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"urlMap":{"type":"string","description":"URL to the UrlMap resource that defines the mapping from URL to the BackendService."}}},"TargetHttpProxyList":{"id":"TargetHttpProxyList","type":"object","description":"A list of TargetHttpProxy resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of TargetHttpProxy resources.","items":{"$ref":"TargetHttpProxy"}},"kind":{"type":"string","description":"Type of resource. Always compute#targetHttpProxyList for lists of target HTTP proxies.","default":"compute#targetHttpProxyList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"TargetHttpsProxiesSetSslCertificatesRequest":{"id":"TargetHttpsProxiesSetSslCertificatesRequest","type":"object","properties":{"sslCertificates":{"type":"array","description":"New set of SslCertificate resources to associate with this TargetHttpsProxy resource. Currently exactly one SslCertificate resource must be specified.","items":{"type":"string"}}}},"TargetHttpsProxy":{"id":"TargetHttpsProxy","type":"object","description":"A TargetHttpsProxy resource. This resource defines an HTTPS proxy.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#targetHttpsProxy for target HTTPS proxies.","default":"compute#targetHttpsProxy"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"sslCertificates":{"type":"array","description":"URLs to SslCertificate resources that are used to authenticate connections between users and the load balancer. Currently, exactly one SSL certificate must be specified.","items":{"type":"string"}},"urlMap":{"type":"string","description":"A fully-qualified or valid partial URL to the UrlMap resource that defines the mapping from URL to the BackendService. For example, the following are all valid URLs for specifying a URL map:  \n- https://www.googleapis.compute/v1/projects/project/global/urlMaps/url-map \n- projects/project/global/urlMaps/url-map \n- global/urlMaps/url-map"}}},"TargetHttpsProxyList":{"id":"TargetHttpsProxyList","type":"object","description":"Contains a list of TargetHttpsProxy resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of TargetHttpsProxy resources.","items":{"$ref":"TargetHttpsProxy"}},"kind":{"type":"string","description":"Type of resource. Always compute#targetHttpsProxyList for lists of target HTTPS proxies.","default":"compute#targetHttpsProxyList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"TargetInstance":{"id":"TargetInstance","type":"object","description":"A TargetInstance resource. This resource defines an endpoint instance that terminates traffic of certain protocols.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"instance":{"type":"string","description":"A URL to the virtual machine instance that handles traffic for this target instance. When creating a target instance, you can provide the fully-qualified URL or a valid partial URL to the desired virtual machine. For example, the following are all valid URLs: \n- https://www.googleapis.com/compute/v1/projects/project/zones/zone/instances/instance \n- projects/project/zones/zone/instances/instance \n- zones/zone/instances/instance"},"kind":{"type":"string","description":"[Output Only] The type of the resource. Always compute#targetInstance for target instances.","default":"compute#targetInstance"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"natPolicy":{"type":"string","description":"NAT option controlling how IPs are NAT'ed to the instance. Currently only NO_NAT (default value) is supported.","enum":["NO_NAT"],"enumDescriptions":[""]},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"zone":{"type":"string","description":"[Output Only] URL of the zone where the target instance resides."}}},"TargetInstanceAggregatedList":{"id":"TargetInstanceAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of TargetInstance resources.","additionalProperties":{"$ref":"TargetInstancesScopedList","description":"Name of the scope containing this set of target instances."}},"kind":{"type":"string","description":"Type of resource.","default":"compute#targetInstanceAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"TargetInstanceList":{"id":"TargetInstanceList","type":"object","description":"Contains a list of TargetInstance resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of TargetInstance resources.","items":{"$ref":"TargetInstance"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#targetInstanceList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"TargetInstancesScopedList":{"id":"TargetInstancesScopedList","type":"object","properties":{"targetInstances":{"type":"array","description":"List of target instances contained in this scope.","items":{"$ref":"TargetInstance"}},"warning":{"type":"object","description":"Informational warning which replaces the list of addresses when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"TargetPool":{"id":"TargetPool","type":"object","description":"A TargetPool resource. This resource defines a pool of instances, an associated HttpHealthCheck resource, and the fallback target pool.","properties":{"backupPool":{"type":"string","description":"This field is applicable only when the containing target pool is serving a forwarding rule as the primary pool, and its failoverRatio field is properly set to a value between [0, 1].\n\nbackupPool and failoverRatio together define the fallback behavior of the primary target pool: if the ratio of the healthy instances in the primary pool is at or below failoverRatio, traffic arriving at the load-balanced IP will be directed to the backup pool.\n\nIn case where failoverRatio and backupPool are not set, or all the instances in the backup pool are unhealthy, the traffic will be directed back to the primary pool in the \"force\" mode, where traffic will be spread to the healthy instances with the best effort, or to all instances when no instance is healthy."},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"failoverRatio":{"type":"number","description":"This field is applicable only when the containing target pool is serving a forwarding rule as the primary pool (i.e., not as a backup pool to some other target pool). The value of the field must be in [0, 1].\n\nIf set, backupPool must also be set. They together define the fallback behavior of the primary target pool: if the ratio of the healthy instances in the primary pool is at or below this number, traffic arriving at the load-balanced IP will be directed to the backup pool.\n\nIn case where failoverRatio is not set or all the instances in the backup pool are unhealthy, the traffic will be directed back to the primary pool in the \"force\" mode, where traffic will be spread to the healthy instances with the best effort, or to all instances when no instance is healthy.","format":"float"},"healthChecks":{"type":"array","description":"The URL of the HttpHealthCheck resource. A member instance in this pool is considered healthy if and only if the health checks pass. An empty list means all member instances will be considered healthy at all times. Only HttpHealthChecks are supported. Only one health check may be specified.","items":{"type":"string"}},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"instances":{"type":"array","description":"A list of resource URLs to the virtual machine instances serving this pool. They must live in zones contained in the same region as this pool.","items":{"type":"string"}},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#targetPool for target pools.","default":"compute#targetPool"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"region":{"type":"string","description":"[Output Only] URL of the region where the target pool resides."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"sessionAffinity":{"type":"string","description":"Sesssion affinity option, must be one of the following values:\nNONE: Connections from the same client IP may go to any instance in the pool.\nCLIENT_IP: Connections from the same client IP will go to the same instance in the pool while that instance remains healthy.\nCLIENT_IP_PROTO: Connections from the same client IP with the same IP protocol will go to the same instance in the pool while that instance remains healthy.","enum":["CLIENT_IP","CLIENT_IP_PORT_PROTO","CLIENT_IP_PROTO","GENERATED_COOKIE","NONE"],"enumDescriptions":["","","","",""]}}},"TargetPoolAggregatedList":{"id":"TargetPoolAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of TargetPool resources.","additionalProperties":{"$ref":"TargetPoolsScopedList","description":"Name of the scope containing this set of target pools."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#targetPoolAggregatedList for aggregated lists of target pools.","default":"compute#targetPoolAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"TargetPoolInstanceHealth":{"id":"TargetPoolInstanceHealth","type":"object","properties":{"healthStatus":{"type":"array","items":{"$ref":"HealthStatus"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#targetPoolInstanceHealth when checking the health of an instance.","default":"compute#targetPoolInstanceHealth"}}},"TargetPoolList":{"id":"TargetPoolList","type":"object","description":"Contains a list of TargetPool resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of TargetPool resources.","items":{"$ref":"TargetPool"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#targetPoolList for lists of target pools.","default":"compute#targetPoolList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"TargetPoolsAddHealthCheckRequest":{"id":"TargetPoolsAddHealthCheckRequest","type":"object","properties":{"healthChecks":{"type":"array","description":"The HttpHealthCheck to add to the target pool.","items":{"$ref":"HealthCheckReference"}}}},"TargetPoolsAddInstanceRequest":{"id":"TargetPoolsAddInstanceRequest","type":"object","properties":{"instances":{"type":"array","description":"A full or partial URL to an instance to add to this target pool. This can be a full or partial URL. For example, the following are valid URLs:  \n- https://www.googleapis.com/compute/v1/projects/project-id/zones/zone/instances/instance-name \n- projects/project-id/zones/zone/instances/instance-name \n- zones/zone/instances/instance-name","items":{"$ref":"InstanceReference"}}}},"TargetPoolsRemoveHealthCheckRequest":{"id":"TargetPoolsRemoveHealthCheckRequest","type":"object","properties":{"healthChecks":{"type":"array","description":"Health check URL to be removed. This can be a full or valid partial URL. For example, the following are valid URLs:  \n- https://www.googleapis.com/compute/beta/projects/project/global/httpHealthChecks/health-check \n- projects/project/global/httpHealthChecks/health-check \n- global/httpHealthChecks/health-check","items":{"$ref":"HealthCheckReference"}}}},"TargetPoolsRemoveInstanceRequest":{"id":"TargetPoolsRemoveInstanceRequest","type":"object","properties":{"instances":{"type":"array","description":"URLs of the instances to be removed from target pool.","items":{"$ref":"InstanceReference"}}}},"TargetPoolsScopedList":{"id":"TargetPoolsScopedList","type":"object","properties":{"targetPools":{"type":"array","description":"List of target pools contained in this scope.","items":{"$ref":"TargetPool"}},"warning":{"type":"object","description":"Informational warning which replaces the list of addresses when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"TargetReference":{"id":"TargetReference","type":"object","properties":{"target":{"type":"string"}}},"TargetSslProxiesSetBackendServiceRequest":{"id":"TargetSslProxiesSetBackendServiceRequest","type":"object","properties":{"service":{"type":"string","description":"The URL of the new BackendService resource for the targetSslProxy."}}},"TargetSslProxiesSetProxyHeaderRequest":{"id":"TargetSslProxiesSetProxyHeaderRequest","type":"object","properties":{"proxyHeader":{"type":"string","description":"The new type of proxy header to append before sending data to the backend. NONE or PROXY_V1 are allowed.","enum":["NONE","PROXY_V1"],"enumDescriptions":["",""]}}},"TargetSslProxiesSetSslCertificatesRequest":{"id":"TargetSslProxiesSetSslCertificatesRequest","type":"object","properties":{"sslCertificates":{"type":"array","description":"New set of URLs to SslCertificate resources to associate with this TargetSslProxy. Currently exactly one ssl certificate must be specified.","items":{"type":"string"}}}},"TargetSslProxy":{"id":"TargetSslProxy","type":"object","description":"A TargetSslProxy resource. This resource defines an SSL proxy.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#targetSslProxy for target SSL proxies.","default":"compute#targetSslProxy"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"proxyHeader":{"type":"string","description":"Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.","enum":["NONE","PROXY_V1"],"enumDescriptions":["",""]},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"service":{"type":"string","description":"URL to the BackendService resource."},"sslCertificates":{"type":"array","description":"URLs to SslCertificate resources that are used to authenticate connections to Backends. Currently exactly one SSL certificate must be specified.","items":{"type":"string"}}}},"TargetSslProxyList":{"id":"TargetSslProxyList","type":"object","description":"Contains a list of TargetSslProxy resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of TargetSslProxy resources.","items":{"$ref":"TargetSslProxy"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#targetSslProxyList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"TargetTcpProxiesSetBackendServiceRequest":{"id":"TargetTcpProxiesSetBackendServiceRequest","type":"object","properties":{"service":{"type":"string","description":"The URL of the new BackendService resource for the targetTcpProxy."}}},"TargetTcpProxiesSetProxyHeaderRequest":{"id":"TargetTcpProxiesSetProxyHeaderRequest","type":"object","properties":{"proxyHeader":{"type":"string","description":"The new type of proxy header to append before sending data to the backend. NONE or PROXY_V1 are allowed.","enum":["NONE","PROXY_V1"],"enumDescriptions":["",""]}}},"TargetTcpProxy":{"id":"TargetTcpProxy","type":"object","description":"A TargetTcpProxy resource. This resource defines a TCP proxy.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#targetTcpProxy for target TCP proxies.","default":"compute#targetTcpProxy"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"proxyHeader":{"type":"string","description":"Specifies the type of proxy header to append before sending data to the backend, either NONE or PROXY_V1. The default is NONE.","enum":["NONE","PROXY_V1"],"enumDescriptions":["",""]},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"service":{"type":"string","description":"URL to the BackendService resource."}}},"TargetTcpProxyList":{"id":"TargetTcpProxyList","type":"object","description":"Contains a list of TargetTcpProxy resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of TargetTcpProxy resources.","items":{"$ref":"TargetTcpProxy"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#targetTcpProxyList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"TargetVpnGateway":{"id":"TargetVpnGateway","type":"object","description":"Represents a Target VPN gateway resource.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"forwardingRules":{"type":"array","description":"[Output Only] A list of URLs to the ForwardingRule resources. ForwardingRules are created using compute.forwardingRules.insert and associated to a VPN gateway.","items":{"type":"string"}},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways.","default":"compute#targetVpnGateway"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.targetVpnGateways.insert"]}},"network":{"type":"string","description":"URL of the network to which this VPN gateway is attached. Provided by the client when the VPN gateway is created.","annotations":{"required":["compute.targetVpnGateways.insert"]}},"region":{"type":"string","description":"[Output Only] URL of the region where the target VPN gateway resides."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"status":{"type":"string","description":"[Output Only] The status of the VPN gateway.","enum":["CREATING","DELETING","FAILED","READY"],"enumDescriptions":["","","",""]},"tunnels":{"type":"array","description":"[Output Only] A list of URLs to VpnTunnel resources. VpnTunnels are created using compute.vpntunnels.insert method and associated to a VPN gateway.","items":{"type":"string"}}}},"TargetVpnGatewayAggregatedList":{"id":"TargetVpnGatewayAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of TargetVpnGateway resources.","additionalProperties":{"$ref":"TargetVpnGatewaysScopedList","description":"[Output Only] Name of the scope containing this set of target VPN gateways."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways.","default":"compute#targetVpnGatewayAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"TargetVpnGatewayList":{"id":"TargetVpnGatewayList","type":"object","description":"Contains a list of TargetVpnGateway resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of TargetVpnGateway resources.","items":{"$ref":"TargetVpnGateway"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#targetVpnGateway for target VPN gateways.","default":"compute#targetVpnGatewayList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"TargetVpnGatewaysScopedList":{"id":"TargetVpnGatewaysScopedList","type":"object","properties":{"targetVpnGateways":{"type":"array","description":"[Output Only] List of target vpn gateways contained in this scope.","items":{"$ref":"TargetVpnGateway"}},"warning":{"type":"object","description":"[Output Only] Informational warning which replaces the list of addresses when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"TestFailure":{"id":"TestFailure","type":"object","properties":{"actualService":{"type":"string"},"expectedService":{"type":"string"},"host":{"type":"string"},"path":{"type":"string"}}},"TestPermissionsRequest":{"id":"TestPermissionsRequest","type":"object","properties":{"permissions":{"type":"array","description":"The set of permissions to check for the 'resource'. Permissions with wildcards (such as '*' or 'storage.*') are not allowed.","items":{"type":"string"}}}},"TestPermissionsResponse":{"id":"TestPermissionsResponse","type":"object","properties":{"permissions":{"type":"array","description":"A subset of `TestPermissionsRequest.permissions` that the caller is allowed.","items":{"type":"string"}}}},"UDPHealthCheck":{"id":"UDPHealthCheck","type":"object","properties":{"port":{"type":"integer","description":"The UDP port number for the health check request. Valid values are 1 through 65535.","format":"int32"},"portName":{"type":"string","description":"Port name as defined in InstanceGroup#NamedPort#name. If both port and port_name are defined, port takes precedence."},"request":{"type":"string","description":"Raw data of request to send in payload of UDP packet. It is an error if this is empty. The request data can only be ASCII."},"response":{"type":"string","description":"The bytes to match against the beginning of the response data. It is an error if this is empty. The response data can only be ASCII."}}},"UrlMap":{"id":"UrlMap","type":"object","description":"A UrlMap resource. This resource defines the mapping from URL to the BackendService resource, based on the \"longest-match\" of the URL's host and path.","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"defaultService":{"type":"string","description":"The URL of the BackendService resource if none of the hostRules match."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"fingerprint":{"type":"string","description":"Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a UrlMap. An up-to-date fingerprint must be provided in order to update the UrlMap.","format":"byte"},"hostRules":{"type":"array","description":"The list of HostRules to use against the URL.","items":{"$ref":"HostRule"}},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#urlMaps for url maps.","default":"compute#urlMap"},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?"},"pathMatchers":{"type":"array","description":"The list of named PathMatchers to use against the URL.","items":{"$ref":"PathMatcher"}},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"tests":{"type":"array","description":"The list of expected URL mappings. Request to update this UrlMap will succeed only if all of the test cases pass.","items":{"$ref":"UrlMapTest"}}}},"UrlMapList":{"id":"UrlMapList","type":"object","description":"Contains a list of UrlMap resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of UrlMap resources.","items":{"$ref":"UrlMap"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#urlMapList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"UrlMapReference":{"id":"UrlMapReference","type":"object","properties":{"urlMap":{"type":"string"}}},"UrlMapTest":{"id":"UrlMapTest","type":"object","description":"Message for the expected URL mappings.","properties":{"description":{"type":"string","description":"Description of this test case."},"host":{"type":"string","description":"Host portion of the URL."},"path":{"type":"string","description":"Path portion of the URL."},"service":{"type":"string","description":"Expected BackendService resource the given URL should be mapped to."}}},"UrlMapValidationResult":{"id":"UrlMapValidationResult","type":"object","description":"Message representing the validation result for a UrlMap.","properties":{"loadErrors":{"type":"array","items":{"type":"string"}},"loadSucceeded":{"type":"boolean","description":"Whether the given UrlMap can be successfully loaded. If false, 'loadErrors' indicates the reasons."},"testFailures":{"type":"array","items":{"$ref":"TestFailure"}},"testPassed":{"type":"boolean","description":"If successfully loaded, this field indicates whether the test passed. If false, 'testFailures's indicate the reason of failure."}}},"UrlMapsValidateRequest":{"id":"UrlMapsValidateRequest","type":"object","properties":{"resource":{"$ref":"UrlMap","description":"Content of the UrlMap to be validated."}}},"UrlMapsValidateResponse":{"id":"UrlMapsValidateResponse","type":"object","properties":{"result":{"$ref":"UrlMapValidationResult"}}},"UsageExportLocation":{"id":"UsageExportLocation","type":"object","description":"The location in Cloud Storage and naming method of the daily usage report. Contains bucket_name and report_name prefix.","properties":{"bucketName":{"type":"string","description":"The name of an existing bucket in Cloud Storage where the usage report object is stored. The Google Service Account is granted write access to this bucket. This can either be the bucket name by itself, such as example-bucket, or the bucket name with gs:// or https://storage.googleapis.com/ in front of it, such as gs://example-bucket."},"reportNamePrefix":{"type":"string","description":"An optional prefix for the name of the usage report object stored in bucketName. If not supplied, defaults to usage. The report is stored as a CSV file named report_name_prefix_gce_YYYYMMDD.csv where YYYYMMDD is the day of the usage according to Pacific Time. If you supply a prefix, it should conform to Cloud Storage object naming conventions."}}},"VpnTunnel":{"id":"VpnTunnel","type":"object","properties":{"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"description":{"type":"string","description":"An optional description of this resource. Provide this property when you create the resource."},"detailedStatus":{"type":"string","description":"[Output Only] Detailed status message for the VPN tunnel."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"ikeVersion":{"type":"integer","description":"IKE protocol version to use when establishing the VPN tunnel with peer VPN gateway. Acceptable IKE versions are 1 or 2. Default version is 2.","format":"int32"},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels.","default":"compute#vpnTunnel"},"localTrafficSelector":{"type":"array","description":"Local traffic selector to use when establishing the VPN tunnel with peer VPN gateway. The value should be a CIDR formatted string, for example: 192.168.0.0/16. The ranges should be disjoint. Only IPv4 is supported.","items":{"type":"string"}},"name":{"type":"string","description":"Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","annotations":{"required":["compute.vpnTunnels.insert"]}},"peerIp":{"type":"string","description":"IP address of the peer VPN gateway. Only IPv4 is supported."},"region":{"type":"string","description":"[Output Only] URL of the region where the VPN tunnel resides."},"remoteTrafficSelector":{"type":"array","description":"Remote traffic selectors to use when establishing the VPN tunnel with peer VPN gateway. The value should be a CIDR formatted string, for example: 192.168.0.0/16. The ranges should be disjoint. Only IPv4 is supported.","items":{"type":"string"}},"router":{"type":"string","description":"URL of router resource to be used for dynamic routing."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"sharedSecret":{"type":"string","description":"Shared secret used to set the secure session between the Cloud VPN gateway and the peer VPN gateway."},"sharedSecretHash":{"type":"string","description":"Hash of the shared secret."},"status":{"type":"string","description":"[Output Only] The status of the VPN tunnel.","enum":["ALLOCATING_RESOURCES","AUTHORIZATION_ERROR","DEPROVISIONING","ESTABLISHED","FAILED","FIRST_HANDSHAKE","NEGOTIATION_FAILURE","NETWORK_ERROR","NO_INCOMING_PACKETS","PROVISIONING","REJECTED","WAITING_FOR_FULL_CONFIG"],"enumDescriptions":["","","","","","","","","","","",""]},"targetVpnGateway":{"type":"string","description":"URL of the VPN gateway with which this VPN tunnel is associated. Provided by the client when the VPN tunnel is created.","annotations":{"required":["compute.vpnTunnels.insert"]}}}},"VpnTunnelAggregatedList":{"id":"VpnTunnelAggregatedList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"object","description":"A list of VpnTunnelsScopedList resources.","additionalProperties":{"$ref":"VpnTunnelsScopedList","description":"Name of the scope containing this set of vpn tunnels."}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels.","default":"compute#vpnTunnelAggregatedList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"VpnTunnelList":{"id":"VpnTunnelList","type":"object","description":"Contains a list of VpnTunnel resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of VpnTunnel resources.","items":{"$ref":"VpnTunnel"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#vpnTunnel for VPN tunnels.","default":"compute#vpnTunnelList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"VpnTunnelsScopedList":{"id":"VpnTunnelsScopedList","type":"object","properties":{"vpnTunnels":{"type":"array","description":"List of vpn tunnels contained in this scope.","items":{"$ref":"VpnTunnel"}},"warning":{"type":"object","description":"Informational warning which replaces the list of addresses when the list is empty.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"XpnHostList":{"id":"XpnHostList","type":"object","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"[Output Only] A list of shared VPC host project URLs.","items":{"$ref":"Project"}},"kind":{"type":"string","description":"[Output Only] Type of resource. Always compute#xpnHostList for lists of shared VPC hosts.","default":"compute#xpnHostList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"XpnResourceId":{"id":"XpnResourceId","type":"object","description":"Service resource (a.k.a service project) ID.","properties":{"id":{"type":"string","description":"The ID of the service resource. In the case of projects, this field matches the project ID (e.g., my-project), not the project number (e.g., 12345678)."},"type":{"type":"string","description":"The type of the service resource.","enum":["PROJECT","XPN_RESOURCE_TYPE_UNSPECIFIED"],"enumDescriptions":["",""]}}},"Zone":{"id":"Zone","type":"object","description":"A Zone resource.","properties":{"availableCpuPlatforms":{"type":"array","description":"[Output Only] Available cpu/platform selections for the zone.","items":{"type":"string"}},"creationTimestamp":{"type":"string","description":"[Output Only] Creation timestamp in RFC3339 text format."},"deprecated":{"$ref":"DeprecationStatus","description":"[Output Only] The deprecation status associated with this zone."},"description":{"type":"string","description":"[Output Only] Textual description of the resource."},"id":{"type":"string","description":"[Output Only] The unique identifier for the resource. This identifier is defined by the server.","format":"uint64"},"kind":{"type":"string","description":"[Output Only] Type of the resource. Always compute#zone for zones.","default":"compute#zone"},"name":{"type":"string","description":"[Output Only] Name of the resource."},"region":{"type":"string","description":"[Output Only] Full URL reference to the region which hosts the zone."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for the resource."},"status":{"type":"string","description":"[Output Only] Status of the zone, either UP or DOWN.","enum":["DOWN","UP"],"enumDescriptions":["",""]}}},"ZoneList":{"id":"ZoneList","type":"object","description":"Contains a list of zone resources.","properties":{"id":{"type":"string","description":"[Output Only] Unique identifier for the resource; defined by the server."},"items":{"type":"array","description":"A list of Zone resources.","items":{"$ref":"Zone"}},"kind":{"type":"string","description":"Type of resource.","default":"compute#zoneList"},"nextPageToken":{"type":"string","description":"[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results."},"selfLink":{"type":"string","description":"[Output Only] Server-defined URL for this resource."},"warning":{"type":"object","description":"[Output Only] Informational warning message.","properties":{"code":{"type":"string","description":"[Output Only] A warning code, if applicable. For example, Compute Engine returns NO_RESULTS_ON_PAGE if there are no results in the response.","enum":["CLEANUP_FAILED","DEPRECATED_RESOURCE_USED","DEPRECATED_TYPE_USED","DISK_SIZE_LARGER_THAN_IMAGE_SIZE","EXPERIMENTAL_TYPE_USED","EXTERNAL_API_WARNING","FIELD_VALUE_OVERRIDEN","INJECTED_KERNELS_DEPRECATED","MISSING_TYPE_DEPENDENCY","NEXT_HOP_ADDRESS_NOT_ASSIGNED","NEXT_HOP_CANNOT_IP_FORWARD","NEXT_HOP_INSTANCE_NOT_FOUND","NEXT_HOP_INSTANCE_NOT_ON_NETWORK","NEXT_HOP_NOT_RUNNING","NOT_CRITICAL_ERROR","NO_RESULTS_ON_PAGE","REQUIRED_TOS_AGREEMENT","RESOURCE_IN_USE_BY_OTHER_RESOURCE_WARNING","RESOURCE_NOT_DELETED","SCHEMA_VALIDATION_IGNORED","SINGLE_INSTANCE_PROPERTY_TEMPLATE","UNDECLARED_PROPERTIES","UNREACHABLE"],"enumDescriptions":["","","","","","","","","","","","","","","","","","","","","","",""]},"data":{"type":"array","description":"[Output Only] Metadata about this warning in key: value format. For example:\n\"data\": [ { \"key\": \"scope\", \"value\": \"zones/us-east1-d\" }","items":{"type":"object","properties":{"key":{"type":"string","description":"[Output Only] A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be scope and the key value might be the zone name. Other examples might be a key indicating a deprecated resource and a suggested replacement, or a warning about invalid network settings (for example, if an instance attempts to perform IP forwarding but is not enabled for IP forwarding)."},"value":{"type":"string","description":"[Output Only] A warning data value corresponding to the key."}}}},"message":{"type":"string","description":"[Output Only] A human-readable description of the warning code."}}}}},"ZoneSetLabelsRequest":{"id":"ZoneSetLabelsRequest","type":"object","properties":{"labelFingerprint":{"type":"string","description":"The fingerprint of the previous set of labels for this resource, used to detect conflicts. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update labels. You must always provide an up-to-date fingerprint hash in order to update or change labels. Make a get() request to the resource to get the latest fingerprint.","format":"byte"},"labels":{"type":"object","description":"The labels to set for this resource.","additionalProperties":{"type":"string"}}}}},"resources":{"acceleratorTypes":{"methods":{"aggregatedList":{"id":"compute.acceleratorTypes.aggregatedList","path":"{project}/aggregated/acceleratorTypes","httpMethod":"GET","description":"Retrieves an aggregated list of accelerator types.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"AcceleratorTypeAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"get":{"id":"compute.acceleratorTypes.get","path":"{project}/zones/{zone}/acceleratorTypes/{acceleratorType}","httpMethod":"GET","description":"Returns the specified accelerator type. Get a list of available accelerator types by making a list() request.","parameters":{"acceleratorType":{"type":"string","description":"Name of the accelerator type to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","acceleratorType"],"response":{"$ref":"AcceleratorType"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"list":{"id":"compute.acceleratorTypes.list","path":"{project}/zones/{zone}/acceleratorTypes","httpMethod":"GET","description":"Retrieves a list of accelerator types available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"response":{"$ref":"AcceleratorTypeList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"addresses":{"methods":{"aggregatedList":{"id":"compute.addresses.aggregatedList","path":"{project}/aggregated/addresses","httpMethod":"GET","description":"Retrieves an aggregated list of addresses.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"AddressAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.addresses.delete","path":"{project}/regions/{region}/addresses/{address}","httpMethod":"DELETE","description":"Deletes the specified address resource.","parameters":{"address":{"type":"string","description":"Name of the address resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","address"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.addresses.get","path":"{project}/regions/{region}/addresses/{address}","httpMethod":"GET","description":"Returns the specified address resource.","parameters":{"address":{"type":"string","description":"Name of the address resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","address"],"response":{"$ref":"Address"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.addresses.insert","path":"{project}/regions/{region}/addresses","httpMethod":"POST","description":"Creates an address resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"Address"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.addresses.list","path":"{project}/regions/{region}/addresses","httpMethod":"GET","description":"Retrieves a list of addresses contained within the specified region.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"AddressList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"setLabels":{"id":"compute.addresses.setLabels","path":"{project}/regions/{region}/addresses/{resource}/setLabels","httpMethod":"POST","description":"Sets the labels on an Address. To learn more about labels, read the Labeling Resources documentation.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"RegionSetLabelsRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.addresses.testIamPermissions","path":"{project}/regions/{region}/addresses/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"autoscalers":{"methods":{"aggregatedList":{"id":"compute.autoscalers.aggregatedList","path":"{project}/aggregated/autoscalers","httpMethod":"GET","description":"Retrieves an aggregated list of autoscalers.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"AutoscalerAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.autoscalers.delete","path":"{project}/zones/{zone}/autoscalers/{autoscaler}","httpMethod":"DELETE","description":"Deletes the specified autoscaler.","parameters":{"autoscaler":{"type":"string","description":"Name of the autoscaler to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"Name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","autoscaler"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.autoscalers.get","path":"{project}/zones/{zone}/autoscalers/{autoscaler}","httpMethod":"GET","description":"Returns the specified autoscaler resource. Get a list of available autoscalers by making a list() request.","parameters":{"autoscaler":{"type":"string","description":"Name of the autoscaler to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"Name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","autoscaler"],"response":{"$ref":"Autoscaler"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.autoscalers.insert","path":"{project}/zones/{zone}/autoscalers","httpMethod":"POST","description":"Creates an autoscaler in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"Name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"request":{"$ref":"Autoscaler"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.autoscalers.list","path":"{project}/zones/{zone}/autoscalers","httpMethod":"GET","description":"Retrieves a list of autoscalers contained within the specified zone.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"Name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"response":{"$ref":"AutoscalerList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.autoscalers.patch","path":"{project}/zones/{zone}/autoscalers","httpMethod":"PATCH","description":"Updates an autoscaler in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"autoscaler":{"type":"string","description":"Name of the autoscaler to patch.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"Name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"request":{"$ref":"Autoscaler"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.autoscalers.testIamPermissions","path":"{project}/zones/{zone}/autoscalers/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"update":{"id":"compute.autoscalers.update","path":"{project}/zones/{zone}/autoscalers","httpMethod":"PUT","description":"Updates an autoscaler in the specified project using the data included in the request.","parameters":{"autoscaler":{"type":"string","description":"Name of the autoscaler to update.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"Name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"request":{"$ref":"Autoscaler"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"backendBuckets":{"methods":{"delete":{"id":"compute.backendBuckets.delete","path":"{project}/global/backendBuckets/{backendBucket}","httpMethod":"DELETE","description":"Deletes the specified BackendBucket resource.","parameters":{"backendBucket":{"type":"string","description":"Name of the BackendBucket resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","backendBucket"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.backendBuckets.get","path":"{project}/global/backendBuckets/{backendBucket}","httpMethod":"GET","description":"Returns the specified BackendBucket resource. Get a list of available backend buckets by making a list() request.","parameters":{"backendBucket":{"type":"string","description":"Name of the BackendBucket resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","backendBucket"],"response":{"$ref":"BackendBucket"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.backendBuckets.insert","path":"{project}/global/backendBuckets","httpMethod":"POST","description":"Creates a BackendBucket resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"BackendBucket"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.backendBuckets.list","path":"{project}/global/backendBuckets","httpMethod":"GET","description":"Retrieves the list of BackendBucket resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"BackendBucketList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.backendBuckets.patch","path":"{project}/global/backendBuckets/{backendBucket}","httpMethod":"PATCH","description":"Updates the specified BackendBucket resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"backendBucket":{"type":"string","description":"Name of the BackendBucket resource to patch.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","backendBucket"],"request":{"$ref":"BackendBucket"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"update":{"id":"compute.backendBuckets.update","path":"{project}/global/backendBuckets/{backendBucket}","httpMethod":"PUT","description":"Updates the specified BackendBucket resource with the data included in the request.","parameters":{"backendBucket":{"type":"string","description":"Name of the BackendBucket resource to update.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","backendBucket"],"request":{"$ref":"BackendBucket"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"backendServices":{"methods":{"aggregatedList":{"id":"compute.backendServices.aggregatedList","path":"{project}/aggregated/backendServices","httpMethod":"GET","description":"Retrieves the list of all BackendService resources, regional and global, available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Name of the project scoping this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"BackendServiceAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.backendServices.delete","path":"{project}/global/backendServices/{backendService}","httpMethod":"DELETE","description":"Deletes the specified BackendService resource.","parameters":{"backendService":{"type":"string","description":"Name of the BackendService resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","backendService"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.backendServices.get","path":"{project}/global/backendServices/{backendService}","httpMethod":"GET","description":"Returns the specified BackendService resource. Get a list of available backend services by making a list() request.","parameters":{"backendService":{"type":"string","description":"Name of the BackendService resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","backendService"],"response":{"$ref":"BackendService"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"getHealth":{"id":"compute.backendServices.getHealth","path":"{project}/global/backendServices/{backendService}/getHealth","httpMethod":"POST","description":"Gets the most recent health check results for this BackendService.","parameters":{"backendService":{"type":"string","description":"Name of the BackendService resource to which the queried instance belongs.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","backendService"],"request":{"$ref":"ResourceGroupReference"},"response":{"$ref":"BackendServiceGroupHealth"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.backendServices.insert","path":"{project}/global/backendServices","httpMethod":"POST","description":"Creates a BackendService resource in the specified project using the data included in the request. There are several restrictions and guidelines to keep in mind when creating a backend service. Read  Restrictions and Guidelines for more information.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"BackendService"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.backendServices.list","path":"{project}/global/backendServices","httpMethod":"GET","description":"Retrieves the list of BackendService resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"BackendServiceList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.backendServices.patch","path":"{project}/global/backendServices/{backendService}","httpMethod":"PATCH","description":"Patches the specified BackendService resource with the data included in the request. There are several restrictions and guidelines to keep in mind when updating a backend service. Read  Restrictions and Guidelines for more information. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"backendService":{"type":"string","description":"Name of the BackendService resource to patch.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","backendService"],"request":{"$ref":"BackendService"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setSecurityPolicy":{"id":"compute.backendServices.setSecurityPolicy","path":"{project}/global/backendServices/{backendService}/setSecurityPolicy","httpMethod":"POST","description":"Sets the security policy for the specified backend service.","parameters":{"backendService":{"type":"string","description":"Name of the BackendService resource to which the security policy should be set. The name should conform to RFC1035.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","backendService"],"request":{"$ref":"SecurityPolicyReference"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.backendServices.testIamPermissions","path":"{project}/global/backendServices/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"update":{"id":"compute.backendServices.update","path":"{project}/global/backendServices/{backendService}","httpMethod":"PUT","description":"Updates the specified BackendService resource with the data included in the request. There are several restrictions and guidelines to keep in mind when updating a backend service. Read  Restrictions and Guidelines for more information.","parameters":{"backendService":{"type":"string","description":"Name of the BackendService resource to update.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","backendService"],"request":{"$ref":"BackendService"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"diskTypes":{"methods":{"aggregatedList":{"id":"compute.diskTypes.aggregatedList","path":"{project}/aggregated/diskTypes","httpMethod":"GET","description":"Retrieves an aggregated list of disk types.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"DiskTypeAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"get":{"id":"compute.diskTypes.get","path":"{project}/zones/{zone}/diskTypes/{diskType}","httpMethod":"GET","description":"Returns the specified disk type. Get a list of available disk types by making a list() request.","parameters":{"diskType":{"type":"string","description":"Name of the disk type to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","diskType"],"response":{"$ref":"DiskType"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"list":{"id":"compute.diskTypes.list","path":"{project}/zones/{zone}/diskTypes","httpMethod":"GET","description":"Retrieves a list of disk types available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"response":{"$ref":"DiskTypeList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"disks":{"methods":{"aggregatedList":{"id":"compute.disks.aggregatedList","path":"{project}/aggregated/disks","httpMethod":"GET","description":"Retrieves an aggregated list of persistent disks.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"DiskAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"createSnapshot":{"id":"compute.disks.createSnapshot","path":"{project}/zones/{zone}/disks/{disk}/createSnapshot","httpMethod":"POST","description":"Creates a snapshot of a specified persistent disk.","parameters":{"disk":{"type":"string","description":"Name of the persistent disk to snapshot.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"guestFlush":{"type":"boolean","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","disk"],"request":{"$ref":"Snapshot"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"delete":{"id":"compute.disks.delete","path":"{project}/zones/{zone}/disks/{disk}","httpMethod":"DELETE","description":"Deletes the specified persistent disk. Deleting a disk removes its data permanently and is irreversible. However, deleting a disk does not delete any snapshots previously made from the disk. You must separately delete snapshots.","parameters":{"disk":{"type":"string","description":"Name of the persistent disk to delete.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","disk"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.disks.get","path":"{project}/zones/{zone}/disks/{disk}","httpMethod":"GET","description":"Returns a specified persistent disk. Get a list of available persistent disks by making a list() request.","parameters":{"disk":{"type":"string","description":"Name of the persistent disk to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","disk"],"response":{"$ref":"Disk"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.disks.insert","path":"{project}/zones/{zone}/disks","httpMethod":"POST","description":"Creates a persistent disk in the specified project using the data in the request. You can create a disk with a sourceImage, a sourceSnapshot, or create an empty 500 GB data disk by omitting all properties. You can also create a disk that is larger than the default size by specifying the sizeGb property.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"sourceImage":{"type":"string","description":"Optional. Source image to restore onto a disk.","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"request":{"$ref":"Disk"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.disks.list","path":"{project}/zones/{zone}/disks","httpMethod":"GET","description":"Retrieves a list of persistent disks contained within the specified zone.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"response":{"$ref":"DiskList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"resize":{"id":"compute.disks.resize","path":"{project}/zones/{zone}/disks/{disk}/resize","httpMethod":"POST","description":"Resizes the specified persistent disk.","parameters":{"disk":{"type":"string","description":"The name of the persistent disk.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","disk"],"request":{"$ref":"DisksResizeRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setLabels":{"id":"compute.disks.setLabels","path":"{project}/zones/{zone}/disks/{resource}/setLabels","httpMethod":"POST","description":"Sets the labels on a disk. To learn more about labels, read the Labeling Resources documentation.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","resource"],"request":{"$ref":"ZoneSetLabelsRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.disks.testIamPermissions","path":"{project}/zones/{zone}/disks/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"firewalls":{"methods":{"delete":{"id":"compute.firewalls.delete","path":"{project}/global/firewalls/{firewall}","httpMethod":"DELETE","description":"Deletes the specified firewall.","parameters":{"firewall":{"type":"string","description":"Name of the firewall rule to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","firewall"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.firewalls.get","path":"{project}/global/firewalls/{firewall}","httpMethod":"GET","description":"Returns the specified firewall.","parameters":{"firewall":{"type":"string","description":"Name of the firewall rule to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","firewall"],"response":{"$ref":"Firewall"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.firewalls.insert","path":"{project}/global/firewalls","httpMethod":"POST","description":"Creates a firewall rule in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"Firewall"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.firewalls.list","path":"{project}/global/firewalls","httpMethod":"GET","description":"Retrieves the list of firewall rules available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"FirewallList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.firewalls.patch","path":"{project}/global/firewalls/{firewall}","httpMethod":"PATCH","description":"Updates the specified firewall rule with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"firewall":{"type":"string","description":"Name of the firewall rule to patch.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","firewall"],"request":{"$ref":"Firewall"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.firewalls.testIamPermissions","path":"{project}/global/firewalls/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"update":{"id":"compute.firewalls.update","path":"{project}/global/firewalls/{firewall}","httpMethod":"PUT","description":"Updates the specified firewall rule with the data included in the request. Using PUT method, can only update following fields of firewall rule: allowed, description, sourceRanges, sourceTags, targetTags.","parameters":{"firewall":{"type":"string","description":"Name of the firewall rule to update.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","firewall"],"request":{"$ref":"Firewall"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"forwardingRules":{"methods":{"aggregatedList":{"id":"compute.forwardingRules.aggregatedList","path":"{project}/aggregated/forwardingRules","httpMethod":"GET","description":"Retrieves an aggregated list of forwarding rules.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"ForwardingRuleAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.forwardingRules.delete","path":"{project}/regions/{region}/forwardingRules/{forwardingRule}","httpMethod":"DELETE","description":"Deletes the specified ForwardingRule resource.","parameters":{"forwardingRule":{"type":"string","description":"Name of the ForwardingRule resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","forwardingRule"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.forwardingRules.get","path":"{project}/regions/{region}/forwardingRules/{forwardingRule}","httpMethod":"GET","description":"Returns the specified ForwardingRule resource.","parameters":{"forwardingRule":{"type":"string","description":"Name of the ForwardingRule resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","forwardingRule"],"response":{"$ref":"ForwardingRule"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.forwardingRules.insert","path":"{project}/regions/{region}/forwardingRules","httpMethod":"POST","description":"Creates a ForwardingRule resource in the specified project and region using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"ForwardingRule"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.forwardingRules.list","path":"{project}/regions/{region}/forwardingRules","httpMethod":"GET","description":"Retrieves a list of ForwardingRule resources available to the specified project and region.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"ForwardingRuleList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"setLabels":{"id":"compute.forwardingRules.setLabels","path":"{project}/regions/{region}/forwardingRules/{resource}/setLabels","httpMethod":"POST","description":"Sets the labels on the specified resource. To learn more about labels, read the Labeling Resources documentation.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"RegionSetLabelsRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setTarget":{"id":"compute.forwardingRules.setTarget","path":"{project}/regions/{region}/forwardingRules/{forwardingRule}/setTarget","httpMethod":"POST","description":"Changes target URL for forwarding rule. The new target should be of the same type as the old target.","parameters":{"forwardingRule":{"type":"string","description":"Name of the ForwardingRule resource in which target is to be set.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","forwardingRule"],"request":{"$ref":"TargetReference"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.forwardingRules.testIamPermissions","path":"{project}/regions/{region}/forwardingRules/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"globalAddresses":{"methods":{"delete":{"id":"compute.globalAddresses.delete","path":"{project}/global/addresses/{address}","httpMethod":"DELETE","description":"Deletes the specified address resource.","parameters":{"address":{"type":"string","description":"Name of the address resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","address"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.globalAddresses.get","path":"{project}/global/addresses/{address}","httpMethod":"GET","description":"Returns the specified address resource. Get a list of available addresses by making a list() request.","parameters":{"address":{"type":"string","description":"Name of the address resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","address"],"response":{"$ref":"Address"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.globalAddresses.insert","path":"{project}/global/addresses","httpMethod":"POST","description":"Creates an address resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"Address"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.globalAddresses.list","path":"{project}/global/addresses","httpMethod":"GET","description":"Retrieves a list of global addresses.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"AddressList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"setLabels":{"id":"compute.globalAddresses.setLabels","path":"{project}/global/addresses/{resource}/setLabels","httpMethod":"POST","description":"Sets the labels on a GlobalAddress. To learn more about labels, read the Labeling Resources documentation.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"GlobalSetLabelsRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.globalAddresses.testIamPermissions","path":"{project}/global/addresses/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"globalForwardingRules":{"methods":{"delete":{"id":"compute.globalForwardingRules.delete","path":"{project}/global/forwardingRules/{forwardingRule}","httpMethod":"DELETE","description":"Deletes the specified GlobalForwardingRule resource.","parameters":{"forwardingRule":{"type":"string","description":"Name of the ForwardingRule resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","forwardingRule"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.globalForwardingRules.get","path":"{project}/global/forwardingRules/{forwardingRule}","httpMethod":"GET","description":"Returns the specified GlobalForwardingRule resource. Get a list of available forwarding rules by making a list() request.","parameters":{"forwardingRule":{"type":"string","description":"Name of the ForwardingRule resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","forwardingRule"],"response":{"$ref":"ForwardingRule"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.globalForwardingRules.insert","path":"{project}/global/forwardingRules","httpMethod":"POST","description":"Creates a GlobalForwardingRule resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"ForwardingRule"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.globalForwardingRules.list","path":"{project}/global/forwardingRules","httpMethod":"GET","description":"Retrieves a list of GlobalForwardingRule resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"ForwardingRuleList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"setLabels":{"id":"compute.globalForwardingRules.setLabels","path":"{project}/global/forwardingRules/{resource}/setLabels","httpMethod":"POST","description":"Sets the labels on the specified resource. To learn more about labels, read the Labeling Resources documentation.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"GlobalSetLabelsRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setTarget":{"id":"compute.globalForwardingRules.setTarget","path":"{project}/global/forwardingRules/{forwardingRule}/setTarget","httpMethod":"POST","description":"Changes target URL for the GlobalForwardingRule resource. The new target should be of the same type as the old target.","parameters":{"forwardingRule":{"type":"string","description":"Name of the ForwardingRule resource in which target is to be set.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","forwardingRule"],"request":{"$ref":"TargetReference"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.globalForwardingRules.testIamPermissions","path":"{project}/global/forwardingRules/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"globalOperations":{"methods":{"aggregatedList":{"id":"compute.globalOperations.aggregatedList","path":"{project}/aggregated/operations","httpMethod":"GET","description":"Retrieves an aggregated list of all operations.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"OperationAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.globalOperations.delete","path":"{project}/global/operations/{operation}","httpMethod":"DELETE","description":"Deletes the specified Operations resource.","parameters":{"operation":{"type":"string","description":"Name of the Operations resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","operation"],"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.globalOperations.get","path":"{project}/global/operations/{operation}","httpMethod":"GET","description":"Retrieves the specified Operations resource. Get a list of operations by making a list() request.","parameters":{"operation":{"type":"string","description":"Name of the Operations resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","operation"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"list":{"id":"compute.globalOperations.list","path":"{project}/global/operations","httpMethod":"GET","description":"Retrieves a list of Operation resources contained within the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"OperationList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"healthChecks":{"methods":{"delete":{"id":"compute.healthChecks.delete","path":"{project}/global/healthChecks/{healthCheck}","httpMethod":"DELETE","description":"Deletes the specified HealthCheck resource.","parameters":{"healthCheck":{"type":"string","description":"Name of the HealthCheck resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","healthCheck"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.healthChecks.get","path":"{project}/global/healthChecks/{healthCheck}","httpMethod":"GET","description":"Returns the specified HealthCheck resource. Get a list of available health checks by making a list() request.","parameters":{"healthCheck":{"type":"string","description":"Name of the HealthCheck resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","healthCheck"],"response":{"$ref":"HealthCheck"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.healthChecks.insert","path":"{project}/global/healthChecks","httpMethod":"POST","description":"Creates a HealthCheck resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"HealthCheck"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.healthChecks.list","path":"{project}/global/healthChecks","httpMethod":"GET","description":"Retrieves the list of HealthCheck resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"HealthCheckList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.healthChecks.patch","path":"{project}/global/healthChecks/{healthCheck}","httpMethod":"PATCH","description":"Updates a HealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"healthCheck":{"type":"string","description":"Name of the HealthCheck resource to patch.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","healthCheck"],"request":{"$ref":"HealthCheck"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.healthChecks.testIamPermissions","path":"{project}/global/healthChecks/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"update":{"id":"compute.healthChecks.update","path":"{project}/global/healthChecks/{healthCheck}","httpMethod":"PUT","description":"Updates a HealthCheck resource in the specified project using the data included in the request.","parameters":{"healthCheck":{"type":"string","description":"Name of the HealthCheck resource to update.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","healthCheck"],"request":{"$ref":"HealthCheck"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"httpHealthChecks":{"methods":{"delete":{"id":"compute.httpHealthChecks.delete","path":"{project}/global/httpHealthChecks/{httpHealthCheck}","httpMethod":"DELETE","description":"Deletes the specified HttpHealthCheck resource.","parameters":{"httpHealthCheck":{"type":"string","description":"Name of the HttpHealthCheck resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","httpHealthCheck"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.httpHealthChecks.get","path":"{project}/global/httpHealthChecks/{httpHealthCheck}","httpMethod":"GET","description":"Returns the specified HttpHealthCheck resource. Get a list of available HTTP health checks by making a list() request.","parameters":{"httpHealthCheck":{"type":"string","description":"Name of the HttpHealthCheck resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","httpHealthCheck"],"response":{"$ref":"HttpHealthCheck"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.httpHealthChecks.insert","path":"{project}/global/httpHealthChecks","httpMethod":"POST","description":"Creates a HttpHealthCheck resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"HttpHealthCheck"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.httpHealthChecks.list","path":"{project}/global/httpHealthChecks","httpMethod":"GET","description":"Retrieves the list of HttpHealthCheck resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"HttpHealthCheckList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.httpHealthChecks.patch","path":"{project}/global/httpHealthChecks/{httpHealthCheck}","httpMethod":"PATCH","description":"Updates a HttpHealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"httpHealthCheck":{"type":"string","description":"Name of the HttpHealthCheck resource to patch.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","httpHealthCheck"],"request":{"$ref":"HttpHealthCheck"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.httpHealthChecks.testIamPermissions","path":"{project}/global/httpHealthChecks/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"update":{"id":"compute.httpHealthChecks.update","path":"{project}/global/httpHealthChecks/{httpHealthCheck}","httpMethod":"PUT","description":"Updates a HttpHealthCheck resource in the specified project using the data included in the request.","parameters":{"httpHealthCheck":{"type":"string","description":"Name of the HttpHealthCheck resource to update.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","httpHealthCheck"],"request":{"$ref":"HttpHealthCheck"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"httpsHealthChecks":{"methods":{"delete":{"id":"compute.httpsHealthChecks.delete","path":"{project}/global/httpsHealthChecks/{httpsHealthCheck}","httpMethod":"DELETE","description":"Deletes the specified HttpsHealthCheck resource.","parameters":{"httpsHealthCheck":{"type":"string","description":"Name of the HttpsHealthCheck resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","httpsHealthCheck"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.httpsHealthChecks.get","path":"{project}/global/httpsHealthChecks/{httpsHealthCheck}","httpMethod":"GET","description":"Returns the specified HttpsHealthCheck resource. Get a list of available HTTPS health checks by making a list() request.","parameters":{"httpsHealthCheck":{"type":"string","description":"Name of the HttpsHealthCheck resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","httpsHealthCheck"],"response":{"$ref":"HttpsHealthCheck"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.httpsHealthChecks.insert","path":"{project}/global/httpsHealthChecks","httpMethod":"POST","description":"Creates a HttpsHealthCheck resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"HttpsHealthCheck"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.httpsHealthChecks.list","path":"{project}/global/httpsHealthChecks","httpMethod":"GET","description":"Retrieves the list of HttpsHealthCheck resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"HttpsHealthCheckList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.httpsHealthChecks.patch","path":"{project}/global/httpsHealthChecks/{httpsHealthCheck}","httpMethod":"PATCH","description":"Updates a HttpsHealthCheck resource in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"httpsHealthCheck":{"type":"string","description":"Name of the HttpsHealthCheck resource to patch.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","httpsHealthCheck"],"request":{"$ref":"HttpsHealthCheck"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.httpsHealthChecks.testIamPermissions","path":"{project}/global/httpsHealthChecks/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"update":{"id":"compute.httpsHealthChecks.update","path":"{project}/global/httpsHealthChecks/{httpsHealthCheck}","httpMethod":"PUT","description":"Updates a HttpsHealthCheck resource in the specified project using the data included in the request.","parameters":{"httpsHealthCheck":{"type":"string","description":"Name of the HttpsHealthCheck resource to update.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","httpsHealthCheck"],"request":{"$ref":"HttpsHealthCheck"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"images":{"methods":{"delete":{"id":"compute.images.delete","path":"{project}/global/images/{image}","httpMethod":"DELETE","description":"Deletes the specified image.","parameters":{"image":{"type":"string","description":"Name of the image resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","image"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"deprecate":{"id":"compute.images.deprecate","path":"{project}/global/images/{image}/deprecate","httpMethod":"POST","description":"Sets the deprecation status of an image.\n\nIf an empty request body is given, clears the deprecation status instead.","parameters":{"image":{"type":"string","description":"Image name.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","image"],"request":{"$ref":"DeprecationStatus"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.images.get","path":"{project}/global/images/{image}","httpMethod":"GET","description":"Returns the specified image. Get a list of available images by making a list() request.","parameters":{"image":{"type":"string","description":"Name of the image resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","image"],"response":{"$ref":"Image"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"getFromFamily":{"id":"compute.images.getFromFamily","path":"{project}/global/images/family/{family}","httpMethod":"GET","description":"Returns the latest image that is part of an image family and is not deprecated.","parameters":{"family":{"type":"string","description":"Name of the image family to search for.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","family"],"response":{"$ref":"Image"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.images.insert","path":"{project}/global/images","httpMethod":"POST","description":"Creates an image in the specified project using the data included in the request.","parameters":{"forceCreate":{"type":"boolean","description":"Force image creation if true.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"Image"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/devstorage.full_control","https://www.googleapis.com/auth/devstorage.read_only","https://www.googleapis.com/auth/devstorage.read_write"]},"list":{"id":"compute.images.list","path":"{project}/global/images","httpMethod":"GET","description":"Retrieves the list of private images available to the specified project. Private images are images you create that belong to your project. This method does not get any images that belong to other projects, including publicly-available images, like Debian 8. If you want to get a list of publicly-available images, use this method to make a request to the respective image project, such as debian-cloud or windows-cloud.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"ImageList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"setLabels":{"id":"compute.images.setLabels","path":"{project}/global/images/{resource}/setLabels","httpMethod":"POST","description":"Sets the labels on an image. To learn more about labels, read the Labeling Resources documentation.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"GlobalSetLabelsRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.images.testIamPermissions","path":"{project}/global/images/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"instanceGroupManagers":{"methods":{"abandonInstances":{"id":"compute.instanceGroupManagers.abandonInstances","path":"{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/abandonInstances","httpMethod":"POST","description":"Schedules a group action to remove the specified instances from the managed instance group. Abandoning an instance does not delete the instance, but it does remove the instance from any target pools that are applied by the managed instance group. This method reduces the targetSize of the managed instance group by the number of instances that you abandon. This operation is marked as DONE when the action is scheduled even if the instances have not yet been removed from the group. You must separately verify the status of the abandoning action with the listmanagedinstances method.\n\nIf the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.\n\nYou can specify a maximum of 1000 instances with this method per request.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where the managed instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroupManager"],"request":{"$ref":"InstanceGroupManagersAbandonInstancesRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"aggregatedList":{"id":"compute.instanceGroupManagers.aggregatedList","path":"{project}/aggregated/instanceGroupManagers","httpMethod":"GET","description":"Retrieves the list of managed instance groups and groups them by zone.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"InstanceGroupManagerAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.instanceGroupManagers.delete","path":"{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}","httpMethod":"DELETE","description":"Deletes the specified managed instance group and all of the instances in that group. Note that the instance group must not belong to a backend service. Read  Deleting an instance group for more information.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the managed instance group to delete.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where the managed instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroupManager"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"deleteInstances":{"id":"compute.instanceGroupManagers.deleteInstances","path":"{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/deleteInstances","httpMethod":"POST","description":"Schedules a group action to delete the specified instances in the managed instance group. The instances are also removed from any target pools of which they were a member. This method reduces the targetSize of the managed instance group by the number of instances that you delete. This operation is marked as DONE when the action is scheduled even if the instances are still being deleted. You must separately verify the status of the deleting action with the listmanagedinstances method.\n\nIf the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.\n\nYou can specify a maximum of 1000 instances with this method per request.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where the managed instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroupManager"],"request":{"$ref":"InstanceGroupManagersDeleteInstancesRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.instanceGroupManagers.get","path":"{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}","httpMethod":"GET","description":"Returns all of the details about the specified managed instance group. Get a list of available managed instance groups by making a list() request.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone where the managed instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroupManager"],"response":{"$ref":"InstanceGroupManager"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.instanceGroupManagers.insert","path":"{project}/zones/{zone}/instanceGroupManagers","httpMethod":"POST","description":"Creates a managed instance group using the information that you specify in the request. After the group is created, it schedules an action to create instances in the group using the specified instance template. This operation is marked as DONE when the group is created even if the instances in the group have not yet been created. You must separately verify the status of the individual instances with the listmanagedinstances method.\n\nA managed instance group can have up to 1000 VM instances per group. Please contact Cloud Support if you need an increase in this limit.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where you want to create the managed instance group.","required":true,"location":"path"}},"parameterOrder":["project","zone"],"request":{"$ref":"InstanceGroupManager"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.instanceGroupManagers.list","path":"{project}/zones/{zone}/instanceGroupManagers","httpMethod":"GET","description":"Retrieves a list of managed instance groups that are contained within the specified project and zone.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone where the managed instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone"],"response":{"$ref":"InstanceGroupManagerList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"listManagedInstances":{"id":"compute.instanceGroupManagers.listManagedInstances","path":"{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances","httpMethod":"POST","description":"Lists all of the instances in the managed instance group. Each instance in the list has a currentAction, which indicates the action that the managed instance group is performing on the instance. For example, if the group is still creating an instance, the currentAction is CREATING. If a previous action failed, the list displays the errors for that failed action.","parameters":{"filter":{"type":"string","location":"query"},"instanceGroupManager":{"type":"string","description":"The name of the managed instance group.","required":true,"location":"path"},"maxResults":{"type":"integer","default":"500","format":"uint32","minimum":"0","location":"query"},"order_by":{"type":"string","location":"query"},"pageToken":{"type":"string","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone where the managed instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroupManager"],"response":{"$ref":"InstanceGroupManagersListManagedInstancesResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.instanceGroupManagers.patch","path":"{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}","httpMethod":"PATCH","description":"Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is patched even if the instances in the group are still in the process of being patched. You must separately verify the status of the individual instances with the listManagedInstances method. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the instance group manager.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where you want to create the managed instance group.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroupManager"],"request":{"$ref":"InstanceGroupManager"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"recreateInstances":{"id":"compute.instanceGroupManagers.recreateInstances","path":"{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/recreateInstances","httpMethod":"POST","description":"Schedules a group action to recreate the specified instances in the managed instance group. The instances are deleted and recreated using the current instance template for the managed instance group. This operation is marked as DONE when the action is scheduled even if the instances have not yet been recreated. You must separately verify the status of the recreating action with the listmanagedinstances method.\n\nIf the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.\n\nYou can specify a maximum of 1000 instances with this method per request.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where the managed instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroupManager"],"request":{"$ref":"InstanceGroupManagersRecreateInstancesRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"resize":{"id":"compute.instanceGroupManagers.resize","path":"{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resize","httpMethod":"POST","description":"Resizes the managed instance group. If you increase the size, the group creates new instances using the current instance template. If you decrease the size, the group deletes instances. The resize operation is marked DONE when the resize actions are scheduled even if the group has not yet added or deleted any instances. You must separately verify the status of the creating or deleting actions with the listmanagedinstances method.\n\nIf the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"size":{"type":"integer","description":"The number of running instances that the managed instance group should maintain at any given time. The group automatically adds or removes instances to maintain the number of instances specified by this parameter.","required":true,"format":"int32","location":"query"},"zone":{"type":"string","description":"The name of the zone where the managed instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroupManager","size"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"resizeAdvanced":{"id":"compute.instanceGroupManagers.resizeAdvanced","path":"{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/resizeAdvanced","httpMethod":"POST","description":"Resizes the managed instance group with advanced configuration options like disabling creation retries. This is an extended version of the resize method.\n\nIf you increase the size of the instance group, the group creates new instances using the current instance template. If you decrease the size, the group deletes instances. The resize operation is marked DONE when the resize actions are scheduled even if the group has not yet added or deleted any instances. You must separately verify the status of the creating, creatingWithoutRetries, or deleting actions with the get or listmanagedinstances method.\n\nIf the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where the managed instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroupManager"],"request":{"$ref":"InstanceGroupManagersResizeAdvancedRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setAutoHealingPolicies":{"id":"compute.instanceGroupManagers.setAutoHealingPolicies","path":"{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setAutoHealingPolicies","httpMethod":"POST","description":"Modifies the autohealing policies.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the instance group manager.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where the managed instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroupManager"],"request":{"$ref":"InstanceGroupManagersSetAutoHealingRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setInstanceTemplate":{"id":"compute.instanceGroupManagers.setInstanceTemplate","path":"{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate","httpMethod":"POST","description":"Specifies the instance template to use when creating new instances in this group. The templates for existing instances in the group do not change unless you recreate them.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where the managed instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroupManager"],"request":{"$ref":"InstanceGroupManagersSetInstanceTemplateRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setTargetPools":{"id":"compute.instanceGroupManagers.setTargetPools","path":"{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}/setTargetPools","httpMethod":"POST","description":"Modifies the target pools to which all instances in this managed instance group are assigned. The target pools automatically apply to all of the instances in the managed instance group. This operation is marked DONE when you make the request even if the instances have not yet been added to their target pools. The change might take some time to apply to all of the instances in the group depending on the size of the group.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where the managed instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroupManager"],"request":{"$ref":"InstanceGroupManagersSetTargetPoolsRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.instanceGroupManagers.testIamPermissions","path":"{project}/zones/{zone}/instanceGroupManagers/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"update":{"id":"compute.instanceGroupManagers.update","path":"{project}/zones/{zone}/instanceGroupManagers/{instanceGroupManager}","httpMethod":"PUT","description":"Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is updated even if the instances in the group have not yet been updated. You must separately verify the status of the individual instances with the listManagedInstances method.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the instance group manager.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where you want to create the managed instance group.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroupManager"],"request":{"$ref":"InstanceGroupManager"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"instanceGroups":{"methods":{"addInstances":{"id":"compute.instanceGroups.addInstances","path":"{project}/zones/{zone}/instanceGroups/{instanceGroup}/addInstances","httpMethod":"POST","description":"Adds a list of instances to the specified instance group. All of the instances in the instance group must be in the same network/subnetwork. Read  Adding instances for more information.","parameters":{"instanceGroup":{"type":"string","description":"The name of the instance group where you are adding instances.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where the instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroup"],"request":{"$ref":"InstanceGroupsAddInstancesRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"aggregatedList":{"id":"compute.instanceGroups.aggregatedList","path":"{project}/aggregated/instanceGroups","httpMethod":"GET","description":"Retrieves the list of instance groups and sorts them by zone.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"InstanceGroupAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.instanceGroups.delete","path":"{project}/zones/{zone}/instanceGroups/{instanceGroup}","httpMethod":"DELETE","description":"Deletes the specified instance group. The instances in the group are not deleted. Note that instance group must not belong to a backend service. Read  Deleting an instance group for more information.","parameters":{"instanceGroup":{"type":"string","description":"The name of the instance group to delete.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where the instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroup"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.instanceGroups.get","path":"{project}/zones/{zone}/instanceGroups/{instanceGroup}","httpMethod":"GET","description":"Returns the specified instance group. Get a list of available instance groups by making a list() request.","parameters":{"instanceGroup":{"type":"string","description":"The name of the instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone where the instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroup"],"response":{"$ref":"InstanceGroup"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.instanceGroups.insert","path":"{project}/zones/{zone}/instanceGroups","httpMethod":"POST","description":"Creates an instance group in the specified project using the parameters that are included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where you want to create the instance group.","required":true,"location":"path"}},"parameterOrder":["project","zone"],"request":{"$ref":"InstanceGroup"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.instanceGroups.list","path":"{project}/zones/{zone}/instanceGroups","httpMethod":"GET","description":"Retrieves the list of instance groups that are located in the specified project and zone.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone where the instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone"],"response":{"$ref":"InstanceGroupList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"listInstances":{"id":"compute.instanceGroups.listInstances","path":"{project}/zones/{zone}/instanceGroups/{instanceGroup}/listInstances","httpMethod":"POST","description":"Lists the instances in the specified instance group.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"instanceGroup":{"type":"string","description":"The name of the instance group from which you want to generate a list of included instances.","required":true,"location":"path"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone where the instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroup"],"request":{"$ref":"InstanceGroupsListInstancesRequest"},"response":{"$ref":"InstanceGroupsListInstances"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"removeInstances":{"id":"compute.instanceGroups.removeInstances","path":"{project}/zones/{zone}/instanceGroups/{instanceGroup}/removeInstances","httpMethod":"POST","description":"Removes one or more instances from the specified instance group, but does not delete those instances.\n\nIf the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration before the VM instance is removed or deleted.","parameters":{"instanceGroup":{"type":"string","description":"The name of the instance group where the specified instances will be removed.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where the instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroup"],"request":{"$ref":"InstanceGroupsRemoveInstancesRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setNamedPorts":{"id":"compute.instanceGroups.setNamedPorts","path":"{project}/zones/{zone}/instanceGroups/{instanceGroup}/setNamedPorts","httpMethod":"POST","description":"Sets the named ports for the specified instance group.","parameters":{"instanceGroup":{"type":"string","description":"The name of the instance group where the named ports are updated.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone where the instance group is located.","required":true,"location":"path"}},"parameterOrder":["project","zone","instanceGroup"],"request":{"$ref":"InstanceGroupsSetNamedPortsRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.instanceGroups.testIamPermissions","path":"{project}/zones/{zone}/instanceGroups/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"instanceTemplates":{"methods":{"delete":{"id":"compute.instanceTemplates.delete","path":"{project}/global/instanceTemplates/{instanceTemplate}","httpMethod":"DELETE","description":"Deletes the specified instance template. If you delete an instance template that is being referenced from another instance group, the instance group will not be able to create or recreate virtual machine instances. Deleting an instance template is permanent and cannot be undone.","parameters":{"instanceTemplate":{"type":"string","description":"The name of the instance template to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","instanceTemplate"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.instanceTemplates.get","path":"{project}/global/instanceTemplates/{instanceTemplate}","httpMethod":"GET","description":"Returns the specified instance template. Get a list of available instance templates by making a list() request.","parameters":{"instanceTemplate":{"type":"string","description":"The name of the instance template.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","instanceTemplate"],"response":{"$ref":"InstanceTemplate"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.instanceTemplates.insert","path":"{project}/global/instanceTemplates","httpMethod":"POST","description":"Creates an instance template in the specified project using the data that is included in the request. If you are creating a new template to update an existing instance group, your new instance template must use the same network or, if applicable, the same subnetwork as the original template.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"InstanceTemplate"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.instanceTemplates.list","path":"{project}/global/instanceTemplates","httpMethod":"GET","description":"Retrieves a list of instance templates that are contained within the specified project and zone.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"InstanceTemplateList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"testIamPermissions":{"id":"compute.instanceTemplates.testIamPermissions","path":"{project}/global/instanceTemplates/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"instances":{"methods":{"addAccessConfig":{"id":"compute.instances.addAccessConfig","path":"{project}/zones/{zone}/instances/{instance}/addAccessConfig","httpMethod":"POST","description":"Adds an access config to an instance's network interface.","parameters":{"instance":{"type":"string","description":"The instance name for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"networkInterface":{"type":"string","description":"The name of the network interface to add to this instance.","required":true,"location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance","networkInterface"],"request":{"$ref":"AccessConfig"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"aggregatedList":{"id":"compute.instances.aggregatedList","path":"{project}/aggregated/instances","httpMethod":"GET","description":"Retrieves aggregated list of instances.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"InstanceAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"attachDisk":{"id":"compute.instances.attachDisk","path":"{project}/zones/{zone}/instances/{instance}/attachDisk","httpMethod":"POST","description":"Attaches an existing Disk resource to an instance. You must first create the disk before you can attach it. It is not possible to create and attach a disk at the same time. For more information, read Adding a persistent disk to your instance.","parameters":{"instance":{"type":"string","description":"The instance name for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"request":{"$ref":"AttachedDisk"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"delete":{"id":"compute.instances.delete","path":"{project}/zones/{zone}/instances/{instance}","httpMethod":"DELETE","description":"Deletes the specified Instance resource. For more information, see Stopping or Deleting an Instance.","parameters":{"instance":{"type":"string","description":"Name of the instance resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"deleteAccessConfig":{"id":"compute.instances.deleteAccessConfig","path":"{project}/zones/{zone}/instances/{instance}/deleteAccessConfig","httpMethod":"POST","description":"Deletes an access config from an instance's network interface.","parameters":{"accessConfig":{"type":"string","description":"The name of the access config to delete.","required":true,"location":"query"},"instance":{"type":"string","description":"The instance name for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"networkInterface":{"type":"string","description":"The name of the network interface.","required":true,"location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance","accessConfig","networkInterface"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"detachDisk":{"id":"compute.instances.detachDisk","path":"{project}/zones/{zone}/instances/{instance}/detachDisk","httpMethod":"POST","description":"Detaches a disk from an instance.","parameters":{"deviceName":{"type":"string","description":"Disk device name to detach.","required":true,"location":"query"},"instance":{"type":"string","description":"Instance name.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance","deviceName"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.instances.get","path":"{project}/zones/{zone}/instances/{instance}","httpMethod":"GET","description":"Returns the specified Instance resource. Get a list of available instances by making a list() request.","parameters":{"instance":{"type":"string","description":"Name of the instance resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"response":{"$ref":"Instance"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"getSerialPortOutput":{"id":"compute.instances.getSerialPortOutput","path":"{project}/zones/{zone}/instances/{instance}/serialPort","httpMethod":"GET","description":"Returns the specified instance's serial port output.","parameters":{"instance":{"type":"string","description":"Name of the instance scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"port":{"type":"integer","description":"Specifies which COM or serial port to retrieve data from.","default":"1","format":"int32","minimum":"1","maximum":"4","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"start":{"type":"string","description":"Returns output starting from a specific byte position. Use this to page through output when the output is too large to return in a single request. For the initial request, leave this field unspecified. For subsequent calls, this field should be set to the next value returned in the previous call.","format":"int64","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"response":{"$ref":"SerialPortOutput"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.instances.insert","path":"{project}/zones/{zone}/instances","httpMethod":"POST","description":"Creates an instance resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"sourceInstanceTemplate":{"type":"string","description":"Specifies instance template to create the instance.\n\nThis field is optional. It can be a full or partial URL. For example, the following are all valid URLs to an instance template:  \n- https://www.googleapis.com/compute/v1/projects/project/global/global/instanceTemplates/instanceTemplate \n- projects/project/global/global/instanceTemplates/instanceTemplate \n- global/instancesTemplates/instanceTemplate","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"request":{"$ref":"Instance"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.instances.list","path":"{project}/zones/{zone}/instances","httpMethod":"GET","description":"Retrieves the list of instances contained within the specified zone.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"response":{"$ref":"InstanceList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"listReferrers":{"id":"compute.instances.listReferrers","path":"{project}/zones/{zone}/instances/{instance}/referrers","httpMethod":"GET","description":"Retrieves the list of referrers to instances contained within the specified zone.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"instance":{"type":"string","description":"Name of the target instance scoping this request, or '-' if the request should span over all instances in the container.","required":true,"pattern":"-|[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"response":{"$ref":"InstanceListReferrers"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"reset":{"id":"compute.instances.reset","path":"{project}/zones/{zone}/instances/{instance}/reset","httpMethod":"POST","description":"Performs a reset on the instance. For more information, see Resetting an instance.","parameters":{"instance":{"type":"string","description":"Name of the instance scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setDeletionProtection":{"id":"compute.instances.setDeletionProtection","path":"{project}/zones/{zone}/instances/{resource}/setDeletionProtection","httpMethod":"POST","description":"Sets deletion protection on the instance.","parameters":{"deletionProtection":{"type":"boolean","description":"Whether the resource should be protected against deletion.","default":"true","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","resource"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setDiskAutoDelete":{"id":"compute.instances.setDiskAutoDelete","path":"{project}/zones/{zone}/instances/{instance}/setDiskAutoDelete","httpMethod":"POST","description":"Sets the auto-delete flag for a disk attached to an instance.","parameters":{"autoDelete":{"type":"boolean","description":"Whether to auto-delete the disk when the instance is deleted.","required":true,"location":"query"},"deviceName":{"type":"string","description":"The device name of the disk to modify.","required":true,"pattern":"\\w[\\w.-]{0,254}","location":"query"},"instance":{"type":"string","description":"The instance name.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance","autoDelete","deviceName"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setLabels":{"id":"compute.instances.setLabels","path":"{project}/zones/{zone}/instances/{instance}/setLabels","httpMethod":"POST","description":"Sets labels on an instance. To learn more about labels, read the Labeling Resources documentation.","parameters":{"instance":{"type":"string","description":"Name of the instance scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"request":{"$ref":"InstancesSetLabelsRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setMachineResources":{"id":"compute.instances.setMachineResources","path":"{project}/zones/{zone}/instances/{instance}/setMachineResources","httpMethod":"POST","description":"Changes the number and/or type of accelerator for a stopped instance to the values specified in the request.","parameters":{"instance":{"type":"string","description":"Name of the instance scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"request":{"$ref":"InstancesSetMachineResourcesRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setMachineType":{"id":"compute.instances.setMachineType","path":"{project}/zones/{zone}/instances/{instance}/setMachineType","httpMethod":"POST","description":"Changes the machine type for a stopped instance to the machine type specified in the request.","parameters":{"instance":{"type":"string","description":"Name of the instance scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"request":{"$ref":"InstancesSetMachineTypeRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setMetadata":{"id":"compute.instances.setMetadata","path":"{project}/zones/{zone}/instances/{instance}/setMetadata","httpMethod":"POST","description":"Sets metadata for the specified instance to the data included in the request.","parameters":{"instance":{"type":"string","description":"Name of the instance scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"request":{"$ref":"Metadata"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setMinCpuPlatform":{"id":"compute.instances.setMinCpuPlatform","path":"{project}/zones/{zone}/instances/{instance}/setMinCpuPlatform","httpMethod":"POST","description":"Changes the minimum CPU platform that this instance should use. This method can only be called on a stopped instance. For more information, read Specifying a Minimum CPU Platform.","parameters":{"instance":{"type":"string","description":"Name of the instance scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"request":{"$ref":"InstancesSetMinCpuPlatformRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setScheduling":{"id":"compute.instances.setScheduling","path":"{project}/zones/{zone}/instances/{instance}/setScheduling","httpMethod":"POST","description":"Sets an instance's scheduling options.","parameters":{"instance":{"type":"string","description":"Instance name.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"request":{"$ref":"Scheduling"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setServiceAccount":{"id":"compute.instances.setServiceAccount","path":"{project}/zones/{zone}/instances/{instance}/setServiceAccount","httpMethod":"POST","description":"Sets the service account on the instance. For more information, read Changing the service account and access scopes for an instance.","parameters":{"instance":{"type":"string","description":"Name of the instance resource to start.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"request":{"$ref":"InstancesSetServiceAccountRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setTags":{"id":"compute.instances.setTags","path":"{project}/zones/{zone}/instances/{instance}/setTags","httpMethod":"POST","description":"Sets tags for the specified instance to the data included in the request.","parameters":{"instance":{"type":"string","description":"Name of the instance scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"request":{"$ref":"Tags"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"start":{"id":"compute.instances.start","path":"{project}/zones/{zone}/instances/{instance}/start","httpMethod":"POST","description":"Starts an instance that was stopped using the using the instances().stop method. For more information, see Restart an instance.","parameters":{"instance":{"type":"string","description":"Name of the instance resource to start.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"startWithEncryptionKey":{"id":"compute.instances.startWithEncryptionKey","path":"{project}/zones/{zone}/instances/{instance}/startWithEncryptionKey","httpMethod":"POST","description":"Starts an instance that was stopped using the using the instances().stop method. For more information, see Restart an instance.","parameters":{"instance":{"type":"string","description":"Name of the instance resource to start.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"request":{"$ref":"InstancesStartWithEncryptionKeyRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"stop":{"id":"compute.instances.stop","path":"{project}/zones/{zone}/instances/{instance}/stop","httpMethod":"POST","description":"Stops a running instance, shutting it down cleanly, and allows you to restart the instance at a later time. Stopped instances do not incur VM usage charges while they are stopped. However, resources that the VM is using, such as persistent disks and static IP addresses, will continue to be charged until they are deleted. For more information, see Stopping an instance.","parameters":{"instance":{"type":"string","description":"Name of the instance resource to stop.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.instances.testIamPermissions","path":"{project}/zones/{zone}/instances/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"updateAccessConfig":{"id":"compute.instances.updateAccessConfig","path":"{project}/zones/{zone}/instances/{instance}/updateAccessConfig","httpMethod":"POST","description":"Updates the specified access config from an instance's network interface with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"instance":{"type":"string","description":"The instance name for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"networkInterface":{"type":"string","description":"The name of the network interface where the access config is attached.","required":true,"location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance","networkInterface"],"request":{"$ref":"AccessConfig"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"updateNetworkInterface":{"id":"compute.instances.updateNetworkInterface","path":"{project}/zones/{zone}/instances/{instance}/updateNetworkInterface","httpMethod":"PATCH","description":"Updates an instance's network interface. This method follows PATCH semantics.","parameters":{"instance":{"type":"string","description":"The instance name for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"networkInterface":{"type":"string","description":"The name of the network interface to update.","required":true,"location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","instance","networkInterface"],"request":{"$ref":"NetworkInterface"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"interconnectAttachments":{"methods":{"aggregatedList":{"id":"compute.interconnectAttachments.aggregatedList","path":"{project}/aggregated/interconnectAttachments","httpMethod":"GET","description":"Retrieves an aggregated list of interconnect attachments.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"InterconnectAttachmentAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.interconnectAttachments.delete","path":"{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}","httpMethod":"DELETE","description":"Deletes the specified interconnect attachment.","parameters":{"interconnectAttachment":{"type":"string","description":"Name of the interconnect attachment to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","interconnectAttachment"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.interconnectAttachments.get","path":"{project}/regions/{region}/interconnectAttachments/{interconnectAttachment}","httpMethod":"GET","description":"Returns the specified interconnect attachment.","parameters":{"interconnectAttachment":{"type":"string","description":"Name of the interconnect attachment to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","interconnectAttachment"],"response":{"$ref":"InterconnectAttachment"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.interconnectAttachments.insert","path":"{project}/regions/{region}/interconnectAttachments","httpMethod":"POST","description":"Creates an InterconnectAttachment in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"InterconnectAttachment"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.interconnectAttachments.list","path":"{project}/regions/{region}/interconnectAttachments","httpMethod":"GET","description":"Retrieves the list of interconnect attachments contained within the specified region.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"InterconnectAttachmentList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"testIamPermissions":{"id":"compute.interconnectAttachments.testIamPermissions","path":"{project}/regions/{region}/interconnectAttachments/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"interconnectLocations":{"methods":{"get":{"id":"compute.interconnectLocations.get","path":"{project}/global/interconnectLocations/{interconnectLocation}","httpMethod":"GET","description":"Returns the details for the specified interconnect location. Get a list of available interconnect locations by making a list() request.","parameters":{"interconnectLocation":{"type":"string","description":"Name of the interconnect location to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","interconnectLocation"],"response":{"$ref":"InterconnectLocation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"list":{"id":"compute.interconnectLocations.list","path":"{project}/global/interconnectLocations","httpMethod":"GET","description":"Retrieves the list of interconnect locations available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"InterconnectLocationList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"interconnects":{"methods":{"delete":{"id":"compute.interconnects.delete","path":"{project}/global/interconnects/{interconnect}","httpMethod":"DELETE","description":"Deletes the specified interconnect.","parameters":{"interconnect":{"type":"string","description":"Name of the interconnect to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","interconnect"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.interconnects.get","path":"{project}/global/interconnects/{interconnect}","httpMethod":"GET","description":"Returns the specified interconnect. Get a list of available interconnects by making a list() request.","parameters":{"interconnect":{"type":"string","description":"Name of the interconnect to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","interconnect"],"response":{"$ref":"Interconnect"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.interconnects.insert","path":"{project}/global/interconnects","httpMethod":"POST","description":"Creates a Interconnect in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"Interconnect"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.interconnects.list","path":"{project}/global/interconnects","httpMethod":"GET","description":"Retrieves the list of interconnect available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"InterconnectList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.interconnects.patch","path":"{project}/global/interconnects/{interconnect}","httpMethod":"PATCH","description":"Updates the specified interconnect with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"interconnect":{"type":"string","description":"Name of the interconnect to update.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","interconnect"],"request":{"$ref":"Interconnect"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.interconnects.testIamPermissions","path":"{project}/global/interconnects/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"licenses":{"methods":{"get":{"id":"compute.licenses.get","path":"{project}/global/licenses/{license}","httpMethod":"GET","description":"Returns the specified License resource.","parameters":{"license":{"type":"string","description":"Name of the License resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","license"],"response":{"$ref":"License"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"machineTypes":{"methods":{"aggregatedList":{"id":"compute.machineTypes.aggregatedList","path":"{project}/aggregated/machineTypes","httpMethod":"GET","description":"Retrieves an aggregated list of machine types.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"MachineTypeAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"get":{"id":"compute.machineTypes.get","path":"{project}/zones/{zone}/machineTypes/{machineType}","httpMethod":"GET","description":"Returns the specified machine type. Get a list of available machine types by making a list() request.","parameters":{"machineType":{"type":"string","description":"Name of the machine type to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","machineType"],"response":{"$ref":"MachineType"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"list":{"id":"compute.machineTypes.list","path":"{project}/zones/{zone}/machineTypes","httpMethod":"GET","description":"Retrieves a list of machine types available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"response":{"$ref":"MachineTypeList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"networks":{"methods":{"addPeering":{"id":"compute.networks.addPeering","path":"{project}/global/networks/{network}/addPeering","httpMethod":"POST","description":"Adds a peering to the specified network.","parameters":{"network":{"type":"string","description":"Name of the network resource to add peering to.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","network"],"request":{"$ref":"NetworksAddPeeringRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"delete":{"id":"compute.networks.delete","path":"{project}/global/networks/{network}","httpMethod":"DELETE","description":"Deletes the specified network.","parameters":{"network":{"type":"string","description":"Name of the network to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","network"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.networks.get","path":"{project}/global/networks/{network}","httpMethod":"GET","description":"Returns the specified network. Get a list of available networks by making a list() request.","parameters":{"network":{"type":"string","description":"Name of the network to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project","network"],"response":{"$ref":"Network"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.networks.insert","path":"{project}/global/networks","httpMethod":"POST","description":"Creates a network in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"Network"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.networks.list","path":"{project}/global/networks","httpMethod":"GET","description":"Retrieves the list of networks available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"NetworkList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.networks.patch","path":"{project}/global/networks/{network}","httpMethod":"PATCH","description":"Patches the specified network with the data included in the request.","parameters":{"network":{"type":"string","description":"Name of the network to update.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","network"],"request":{"$ref":"Network"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"removePeering":{"id":"compute.networks.removePeering","path":"{project}/global/networks/{network}/removePeering","httpMethod":"POST","description":"Removes a peering from the specified network.","parameters":{"network":{"type":"string","description":"Name of the network resource to remove peering from.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","network"],"request":{"$ref":"NetworksRemovePeeringRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"switchToCustomMode":{"id":"compute.networks.switchToCustomMode","path":"{project}/global/networks/{network}/switchToCustomMode","httpMethod":"POST","description":"Switches the network mode from auto subnet mode to custom subnet mode.","parameters":{"network":{"type":"string","description":"Name of the network to be updated.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","network"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.networks.testIamPermissions","path":"{project}/global/networks/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"projects":{"methods":{"disableXpnHost":{"id":"compute.projects.disableXpnHost","path":"{project}/disableXpnHost","httpMethod":"POST","description":"Disable this project as a shared VPC host project.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"disableXpnResource":{"id":"compute.projects.disableXpnResource","path":"{project}/disableXpnResource","httpMethod":"POST","description":"Disable a serivce resource (a.k.a service project) associated with this host project.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"ProjectsDisableXpnResourceRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"enableXpnHost":{"id":"compute.projects.enableXpnHost","path":"{project}/enableXpnHost","httpMethod":"POST","description":"Enable this project as a shared VPC host project.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"enableXpnResource":{"id":"compute.projects.enableXpnResource","path":"{project}/enableXpnResource","httpMethod":"POST","description":"Enable service resource (a.k.a service project) for a host project, so that subnets in the host project can be used by instances in the service project.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"ProjectsEnableXpnResourceRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.projects.get","path":"{project}","httpMethod":"GET","description":"Returns the specified Project resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"Project"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"getXpnHost":{"id":"compute.projects.getXpnHost","path":"{project}/getXpnHost","httpMethod":"GET","description":"Get the shared VPC host project that this project links to. May be empty if no link exists.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"Project"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"getXpnResources":{"id":"compute.projects.getXpnResources","path":"{project}/getXpnResources","httpMethod":"GET","description":"Get service resources (a.k.a service project) associated with this host project.","parameters":{"filter":{"type":"string","location":"query"},"maxResults":{"type":"integer","default":"500","format":"uint32","minimum":"0","location":"query"},"order_by":{"type":"string","location":"query"},"pageToken":{"type":"string","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"ProjectsGetXpnResources"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"listXpnHosts":{"id":"compute.projects.listXpnHosts","path":"{project}/listXpnHosts","httpMethod":"POST","description":"List all shared VPC host projects visible to the user in an organization.","parameters":{"filter":{"type":"string","location":"query"},"maxResults":{"type":"integer","default":"500","format":"uint32","minimum":"0","location":"query"},"order_by":{"type":"string","location":"query"},"pageToken":{"type":"string","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"request":{"$ref":"ProjectsListXpnHostsRequest"},"response":{"$ref":"XpnHostList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"moveDisk":{"id":"compute.projects.moveDisk","path":"{project}/moveDisk","httpMethod":"POST","description":"Moves a persistent disk from one zone to another.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"DiskMoveRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"moveInstance":{"id":"compute.projects.moveInstance","path":"{project}/moveInstance","httpMethod":"POST","description":"Moves an instance and its attached persistent disks from one zone to another.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"InstanceMoveRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setCommonInstanceMetadata":{"id":"compute.projects.setCommonInstanceMetadata","path":"{project}/setCommonInstanceMetadata","httpMethod":"POST","description":"Sets metadata common to all instances within the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"Metadata"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setUsageExportBucket":{"id":"compute.projects.setUsageExportBucket","path":"{project}/setUsageExportBucket","httpMethod":"POST","description":"Enables the usage export feature and sets the usage export bucket where reports are stored. If you provide an empty request body using this method, the usage export feature will be disabled.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"UsageExportLocation"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/devstorage.full_control","https://www.googleapis.com/auth/devstorage.read_only","https://www.googleapis.com/auth/devstorage.read_write"]}}},"regionAutoscalers":{"methods":{"delete":{"id":"compute.regionAutoscalers.delete","path":"{project}/regions/{region}/autoscalers/{autoscaler}","httpMethod":"DELETE","description":"Deletes the specified autoscaler.","parameters":{"autoscaler":{"type":"string","description":"Name of the autoscaler to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","autoscaler"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.regionAutoscalers.get","path":"{project}/regions/{region}/autoscalers/{autoscaler}","httpMethod":"GET","description":"Returns the specified autoscaler.","parameters":{"autoscaler":{"type":"string","description":"Name of the autoscaler to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","autoscaler"],"response":{"$ref":"Autoscaler"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.regionAutoscalers.insert","path":"{project}/regions/{region}/autoscalers","httpMethod":"POST","description":"Creates an autoscaler in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"Autoscaler"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.regionAutoscalers.list","path":"{project}/regions/{region}/autoscalers","httpMethod":"GET","description":"Retrieves a list of autoscalers contained within the specified region.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"RegionAutoscalerList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.regionAutoscalers.patch","path":"{project}/regions/{region}/autoscalers","httpMethod":"PATCH","description":"Updates an autoscaler in the specified project using the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"autoscaler":{"type":"string","description":"Name of the autoscaler to patch.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"Autoscaler"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.regionAutoscalers.testIamPermissions","path":"{project}/regions/{region}/autoscalers/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"update":{"id":"compute.regionAutoscalers.update","path":"{project}/regions/{region}/autoscalers","httpMethod":"PUT","description":"Updates an autoscaler in the specified project using the data included in the request.","parameters":{"autoscaler":{"type":"string","description":"Name of the autoscaler to update.","pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"Autoscaler"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"regionBackendServices":{"methods":{"delete":{"id":"compute.regionBackendServices.delete","path":"{project}/regions/{region}/backendServices/{backendService}","httpMethod":"DELETE","description":"Deletes the specified regional BackendService resource.","parameters":{"backendService":{"type":"string","description":"Name of the BackendService resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","backendService"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.regionBackendServices.get","path":"{project}/regions/{region}/backendServices/{backendService}","httpMethod":"GET","description":"Returns the specified regional BackendService resource.","parameters":{"backendService":{"type":"string","description":"Name of the BackendService resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","backendService"],"response":{"$ref":"BackendService"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"getHealth":{"id":"compute.regionBackendServices.getHealth","path":"{project}/regions/{region}/backendServices/{backendService}/getHealth","httpMethod":"POST","description":"Gets the most recent health check results for this regional BackendService.","parameters":{"backendService":{"type":"string","description":"Name of the BackendService resource to which the queried instance belongs.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","backendService"],"request":{"$ref":"ResourceGroupReference"},"response":{"$ref":"BackendServiceGroupHealth"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.regionBackendServices.insert","path":"{project}/regions/{region}/backendServices","httpMethod":"POST","description":"Creates a regional BackendService resource in the specified project using the data included in the request. There are several restrictions and guidelines to keep in mind when creating a regional backend service. Read  Restrictions and Guidelines for more information.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"BackendService"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.regionBackendServices.list","path":"{project}/regions/{region}/backendServices","httpMethod":"GET","description":"Retrieves the list of regional BackendService resources available to the specified project in the given region.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"BackendServiceList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.regionBackendServices.patch","path":"{project}/regions/{region}/backendServices/{backendService}","httpMethod":"PATCH","description":"Updates the specified regional BackendService resource with the data included in the request. There are several restrictions and guidelines to keep in mind when updating a backend service. Read  Restrictions and Guidelines for more information. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"backendService":{"type":"string","description":"Name of the BackendService resource to patch.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","backendService"],"request":{"$ref":"BackendService"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.regionBackendServices.testIamPermissions","path":"{project}/regions/{region}/backendServices/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"update":{"id":"compute.regionBackendServices.update","path":"{project}/regions/{region}/backendServices/{backendService}","httpMethod":"PUT","description":"Updates the specified regional BackendService resource with the data included in the request. There are several restrictions and guidelines to keep in mind when updating a backend service. Read  Restrictions and Guidelines for more information.","parameters":{"backendService":{"type":"string","description":"Name of the BackendService resource to update.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","backendService"],"request":{"$ref":"BackendService"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"regionCommitments":{"methods":{"aggregatedList":{"id":"compute.regionCommitments.aggregatedList","path":"{project}/aggregated/commitments","httpMethod":"GET","description":"Retrieves an aggregated list of commitments.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"CommitmentAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"get":{"id":"compute.regionCommitments.get","path":"{project}/regions/{region}/commitments/{commitment}","httpMethod":"GET","description":"Returns the specified commitment resource. Get a list of available commitments by making a list() request.","parameters":{"commitment":{"type":"string","description":"Name of the commitment to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","commitment"],"response":{"$ref":"Commitment"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.regionCommitments.insert","path":"{project}/regions/{region}/commitments","httpMethod":"POST","description":"Creates a commitment in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"Commitment"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.regionCommitments.list","path":"{project}/regions/{region}/commitments","httpMethod":"GET","description":"Retrieves a list of commitments contained within the specified region.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"CommitmentList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"regionInstanceGroupManagers":{"methods":{"abandonInstances":{"id":"compute.regionInstanceGroupManagers.abandonInstances","path":"{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/abandonInstances","httpMethod":"POST","description":"Schedules a group action to remove the specified instances from the managed instance group. Abandoning an instance does not delete the instance, but it does remove the instance from any target pools that are applied by the managed instance group. This method reduces the targetSize of the managed instance group by the number of instances that you abandon. This operation is marked as DONE when the action is scheduled even if the instances have not yet been removed from the group. You must separately verify the status of the abandoning action with the listmanagedinstances method.\n\nIf the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.\n\nYou can specify a maximum of 1000 instances with this method per request.","parameters":{"instanceGroupManager":{"type":"string","description":"Name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","instanceGroupManager"],"request":{"$ref":"RegionInstanceGroupManagersAbandonInstancesRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"delete":{"id":"compute.regionInstanceGroupManagers.delete","path":"{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}","httpMethod":"DELETE","description":"Deletes the specified managed instance group and all of the instances in that group.","parameters":{"instanceGroupManager":{"type":"string","description":"Name of the managed instance group to delete.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","instanceGroupManager"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"deleteInstances":{"id":"compute.regionInstanceGroupManagers.deleteInstances","path":"{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/deleteInstances","httpMethod":"POST","description":"Schedules a group action to delete the specified instances in the managed instance group. The instances are also removed from any target pools of which they were a member. This method reduces the targetSize of the managed instance group by the number of instances that you delete. This operation is marked as DONE when the action is scheduled even if the instances are still being deleted. You must separately verify the status of the deleting action with the listmanagedinstances method.\n\nIf the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.\n\nYou can specify a maximum of 1000 instances with this method per request.","parameters":{"instanceGroupManager":{"type":"string","description":"Name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","instanceGroupManager"],"request":{"$ref":"RegionInstanceGroupManagersDeleteInstancesRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.regionInstanceGroupManagers.get","path":"{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}","httpMethod":"GET","description":"Returns all of the details about the specified managed instance group.","parameters":{"instanceGroupManager":{"type":"string","description":"Name of the managed instance group to return.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"}},"parameterOrder":["project","region","instanceGroupManager"],"response":{"$ref":"InstanceGroupManager"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.regionInstanceGroupManagers.insert","path":"{project}/regions/{region}/instanceGroupManagers","httpMethod":"POST","description":"Creates a managed instance group using the information that you specify in the request. After the group is created, it schedules an action to create instances in the group using the specified instance template. This operation is marked as DONE when the group is created even if the instances in the group have not yet been created. You must separately verify the status of the individual instances with the listmanagedinstances method.\n\nA regional managed instance group can contain up to 2000 instances.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"InstanceGroupManager"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.regionInstanceGroupManagers.list","path":"{project}/regions/{region}/instanceGroupManagers","httpMethod":"GET","description":"Retrieves the list of managed instance groups that are contained within the specified region.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"RegionInstanceGroupManagerList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"listManagedInstances":{"id":"compute.regionInstanceGroupManagers.listManagedInstances","path":"{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/listManagedInstances","httpMethod":"POST","description":"Lists the instances in the managed instance group and instances that are scheduled to be created. The list includes any current actions that the group has scheduled for its instances.","parameters":{"filter":{"type":"string","location":"query"},"instanceGroupManager":{"type":"string","description":"The name of the managed instance group.","required":true,"location":"path"},"maxResults":{"type":"integer","default":"500","format":"uint32","minimum":"0","location":"query"},"order_by":{"type":"string","location":"query"},"pageToken":{"type":"string","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"}},"parameterOrder":["project","region","instanceGroupManager"],"response":{"$ref":"RegionInstanceGroupManagersListInstancesResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.regionInstanceGroupManagers.patch","path":"{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}","httpMethod":"PATCH","description":"Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is patched even if the instances in the group are still in the process of being patched. You must separately verify the status of the individual instances with the listmanagedinstances method. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the instance group manager.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","instanceGroupManager"],"request":{"$ref":"InstanceGroupManager"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"recreateInstances":{"id":"compute.regionInstanceGroupManagers.recreateInstances","path":"{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/recreateInstances","httpMethod":"POST","description":"Schedules a group action to recreate the specified instances in the managed instance group. The instances are deleted and recreated using the current instance template for the managed instance group. This operation is marked as DONE when the action is scheduled even if the instances have not yet been recreated. You must separately verify the status of the recreating action with the listmanagedinstances method.\n\nIf the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.\n\nYou can specify a maximum of 1000 instances with this method per request.","parameters":{"instanceGroupManager":{"type":"string","description":"Name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","instanceGroupManager"],"request":{"$ref":"RegionInstanceGroupManagersRecreateRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"resize":{"id":"compute.regionInstanceGroupManagers.resize","path":"{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/resize","httpMethod":"POST","description":"Changes the intended size for the managed instance group. If you increase the size, the group schedules actions to create new instances using the current instance template. If you decrease the size, the group schedules delete actions on one or more instances. The resize operation is marked DONE when the resize actions are scheduled even if the group has not yet added or deleted any instances. You must separately verify the status of the creating or deleting actions with the listmanagedinstances method.\n\nIf the group is part of a backend service that has enabled connection draining, it can take up to 60 seconds after the connection draining duration has elapsed before the VM instance is removed or deleted.","parameters":{"instanceGroupManager":{"type":"string","description":"Name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"size":{"type":"integer","description":"Number of instances that should exist in this instance group manager.","required":true,"format":"int32","minimum":"0","location":"query"}},"parameterOrder":["project","region","instanceGroupManager","size"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setAutoHealingPolicies":{"id":"compute.regionInstanceGroupManagers.setAutoHealingPolicies","path":"{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setAutoHealingPolicies","httpMethod":"POST","description":"Modifies the autohealing policy for the instances in this managed instance group.","parameters":{"instanceGroupManager":{"type":"string","description":"Name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","instanceGroupManager"],"request":{"$ref":"RegionInstanceGroupManagersSetAutoHealingRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setInstanceTemplate":{"id":"compute.regionInstanceGroupManagers.setInstanceTemplate","path":"{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setInstanceTemplate","httpMethod":"POST","description":"Sets the instance template to use when creating new instances or recreating instances in this group. Existing instances are not affected.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","instanceGroupManager"],"request":{"$ref":"RegionInstanceGroupManagersSetTemplateRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setTargetPools":{"id":"compute.regionInstanceGroupManagers.setTargetPools","path":"{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}/setTargetPools","httpMethod":"POST","description":"Modifies the target pools to which all new instances in this group are assigned. Existing instances in the group are not affected.","parameters":{"instanceGroupManager":{"type":"string","description":"Name of the managed instance group.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","instanceGroupManager"],"request":{"$ref":"RegionInstanceGroupManagersSetTargetPoolsRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.regionInstanceGroupManagers.testIamPermissions","path":"{project}/regions/{region}/instanceGroupManagers/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"update":{"id":"compute.regionInstanceGroupManagers.update","path":"{project}/regions/{region}/instanceGroupManagers/{instanceGroupManager}","httpMethod":"PUT","description":"Updates a managed instance group using the information that you specify in the request. This operation is marked as DONE when the group is updated even if the instances in the group have not yet been updated. You must separately verify the status of the individual instances with the listmanagedinstances method.","parameters":{"instanceGroupManager":{"type":"string","description":"The name of the instance group manager.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","instanceGroupManager"],"request":{"$ref":"InstanceGroupManager"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"regionInstanceGroups":{"methods":{"get":{"id":"compute.regionInstanceGroups.get","path":"{project}/regions/{region}/instanceGroups/{instanceGroup}","httpMethod":"GET","description":"Returns the specified instance group resource.","parameters":{"instanceGroup":{"type":"string","description":"Name of the instance group resource to return.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"}},"parameterOrder":["project","region","instanceGroup"],"response":{"$ref":"InstanceGroup"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"list":{"id":"compute.regionInstanceGroups.list","path":"{project}/regions/{region}/instanceGroups","httpMethod":"GET","description":"Retrieves the list of instance group resources contained within the specified region.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"RegionInstanceGroupList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"listInstances":{"id":"compute.regionInstanceGroups.listInstances","path":"{project}/regions/{region}/instanceGroups/{instanceGroup}/listInstances","httpMethod":"POST","description":"Lists the instances in the specified instance group and displays information about the named ports. Depending on the specified options, this method can list all instances or only the instances that are running.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"instanceGroup":{"type":"string","description":"Name of the regional instance group for which we want to list the instances.","required":true,"location":"path"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"}},"parameterOrder":["project","region","instanceGroup"],"request":{"$ref":"RegionInstanceGroupsListInstancesRequest"},"response":{"$ref":"RegionInstanceGroupsListInstances"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"setNamedPorts":{"id":"compute.regionInstanceGroups.setNamedPorts","path":"{project}/regions/{region}/instanceGroups/{instanceGroup}/setNamedPorts","httpMethod":"POST","description":"Sets the named ports for the specified regional instance group.","parameters":{"instanceGroup":{"type":"string","description":"The name of the regional instance group where the named ports are updated.","required":true,"location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region","instanceGroup"],"request":{"$ref":"RegionInstanceGroupsSetNamedPortsRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.regionInstanceGroups.testIamPermissions","path":"{project}/regions/{region}/instanceGroups/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"regionOperations":{"methods":{"delete":{"id":"compute.regionOperations.delete","path":"{project}/regions/{region}/operations/{operation}","httpMethod":"DELETE","description":"Deletes the specified region-specific Operations resource.","parameters":{"operation":{"type":"string","description":"Name of the Operations resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","operation"],"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.regionOperations.get","path":"{project}/regions/{region}/operations/{operation}","httpMethod":"GET","description":"Retrieves the specified region-specific Operations resource.","parameters":{"operation":{"type":"string","description":"Name of the Operations resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","operation"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"list":{"id":"compute.regionOperations.list","path":"{project}/regions/{region}/operations","httpMethod":"GET","description":"Retrieves a list of Operation resources contained within the specified region.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"OperationList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"regions":{"methods":{"get":{"id":"compute.regions.get","path":"{project}/regions/{region}","httpMethod":"GET","description":"Returns the specified Region resource. Get a list of available regions by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"Region"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"list":{"id":"compute.regions.list","path":"{project}/regions","httpMethod":"GET","description":"Retrieves the list of region resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"RegionList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"routers":{"methods":{"aggregatedList":{"id":"compute.routers.aggregatedList","path":"{project}/aggregated/routers","httpMethod":"GET","description":"Retrieves an aggregated list of routers.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"RouterAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.routers.delete","path":"{project}/regions/{region}/routers/{router}","httpMethod":"DELETE","description":"Deletes the specified Router resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"router":{"type":"string","description":"Name of the Router resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","router"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.routers.get","path":"{project}/regions/{region}/routers/{router}","httpMethod":"GET","description":"Returns the specified Router resource. Get a list of available routers by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"router":{"type":"string","description":"Name of the Router resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","router"],"response":{"$ref":"Router"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"getRouterStatus":{"id":"compute.routers.getRouterStatus","path":"{project}/regions/{region}/routers/{router}/getRouterStatus","httpMethod":"GET","description":"Retrieves runtime information of the specified router.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"router":{"type":"string","description":"Name of the Router resource to query.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","router"],"response":{"$ref":"RouterStatusResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.routers.insert","path":"{project}/regions/{region}/routers","httpMethod":"POST","description":"Creates a Router resource in the specified project and region using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"Router"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.routers.list","path":"{project}/regions/{region}/routers","httpMethod":"GET","description":"Retrieves a list of Router resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"RouterList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.routers.patch","path":"{project}/regions/{region}/routers/{router}","httpMethod":"PATCH","description":"Patches the specified Router resource with the data included in the request. This method supports PATCH semantics and uses JSON merge patch format and processing rules.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"router":{"type":"string","description":"Name of the Router resource to patch.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","router"],"request":{"$ref":"Router"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"preview":{"id":"compute.routers.preview","path":"{project}/regions/{region}/routers/{router}/preview","httpMethod":"POST","description":"Preview fields auto-generated during router create and update operations. Calling this method does NOT create or update the router.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"router":{"type":"string","description":"Name of the Router resource to query.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","router"],"request":{"$ref":"Router"},"response":{"$ref":"RoutersPreviewResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"testIamPermissions":{"id":"compute.routers.testIamPermissions","path":"{project}/regions/{region}/routers/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"update":{"id":"compute.routers.update","path":"{project}/regions/{region}/routers/{router}","httpMethod":"PUT","description":"Updates the specified Router resource with the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"router":{"type":"string","description":"Name of the Router resource to update.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","router"],"request":{"$ref":"Router"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"routes":{"methods":{"delete":{"id":"compute.routes.delete","path":"{project}/global/routes/{route}","httpMethod":"DELETE","description":"Deletes the specified Route resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"route":{"type":"string","description":"Name of the Route resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","route"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.routes.get","path":"{project}/global/routes/{route}","httpMethod":"GET","description":"Returns the specified Route resource. Get a list of available routes by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"route":{"type":"string","description":"Name of the Route resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","route"],"response":{"$ref":"Route"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.routes.insert","path":"{project}/global/routes","httpMethod":"POST","description":"Creates a Route resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"Route"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.routes.list","path":"{project}/global/routes","httpMethod":"GET","description":"Retrieves the list of Route resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"RouteList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"testIamPermissions":{"id":"compute.routes.testIamPermissions","path":"{project}/global/routes/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"securityPolicies":{"methods":{"delete":{"id":"compute.securityPolicies.delete","path":"{project}/global/securityPolicies/{securityPolicy}","httpMethod":"DELETE","description":"Deletes the specified policy.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"securityPolicy":{"type":"string","description":"Name of the security policy to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","securityPolicy"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.securityPolicies.get","path":"{project}/global/securityPolicies/{securityPolicy}","httpMethod":"GET","description":"List all of the ordered rules present in a single specified policy.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"securityPolicy":{"type":"string","description":"Name of the security policy to get.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","securityPolicy"],"response":{"$ref":"SecurityPolicy"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.securityPolicies.insert","path":"{project}/global/securityPolicies","httpMethod":"POST","description":"Creates a new policy in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"SecurityPolicy"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.securityPolicies.list","path":"{project}/global/securityPolicies","httpMethod":"GET","description":"List all the policies that have been configured for the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"SecurityPolicyList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.securityPolicies.patch","path":"{project}/global/securityPolicies/{securityPolicy}","httpMethod":"PATCH","description":"Patches the specified policy with the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"securityPolicy":{"type":"string","description":"Name of the security policy to update.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","securityPolicy"],"request":{"$ref":"SecurityPolicy"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.securityPolicies.testIamPermissions","path":"{project}/global/securityPolicies/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"snapshots":{"methods":{"delete":{"id":"compute.snapshots.delete","path":"{project}/global/snapshots/{snapshot}","httpMethod":"DELETE","description":"Deletes the specified Snapshot resource. Keep in mind that deleting a single snapshot might not necessarily delete all the data on that snapshot. If any data on the snapshot that is marked for deletion is needed for subsequent snapshots, the data will be moved to the next corresponding snapshot.\n\nFor more information, see Deleting snaphots.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"snapshot":{"type":"string","description":"Name of the Snapshot resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","snapshot"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.snapshots.get","path":"{project}/global/snapshots/{snapshot}","httpMethod":"GET","description":"Returns the specified Snapshot resource. Get a list of available snapshots by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"snapshot":{"type":"string","description":"Name of the Snapshot resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","snapshot"],"response":{"$ref":"Snapshot"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"list":{"id":"compute.snapshots.list","path":"{project}/global/snapshots","httpMethod":"GET","description":"Retrieves the list of Snapshot resources contained within the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"SnapshotList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"setLabels":{"id":"compute.snapshots.setLabels","path":"{project}/global/snapshots/{resource}/setLabels","httpMethod":"POST","description":"Sets the labels on a snapshot. To learn more about labels, read the Labeling Resources documentation.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9_]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"GlobalSetLabelsRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.snapshots.testIamPermissions","path":"{project}/global/snapshots/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"sslCertificates":{"methods":{"delete":{"id":"compute.sslCertificates.delete","path":"{project}/global/sslCertificates/{sslCertificate}","httpMethod":"DELETE","description":"Deletes the specified SslCertificate resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"sslCertificate":{"type":"string","description":"Name of the SslCertificate resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","sslCertificate"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.sslCertificates.get","path":"{project}/global/sslCertificates/{sslCertificate}","httpMethod":"GET","description":"Returns the specified SslCertificate resource. Get a list of available SSL certificates by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"sslCertificate":{"type":"string","description":"Name of the SslCertificate resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","sslCertificate"],"response":{"$ref":"SslCertificate"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.sslCertificates.insert","path":"{project}/global/sslCertificates","httpMethod":"POST","description":"Creates a SslCertificate resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"SslCertificate"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.sslCertificates.list","path":"{project}/global/sslCertificates","httpMethod":"GET","description":"Retrieves the list of SslCertificate resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"SslCertificateList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"testIamPermissions":{"id":"compute.sslCertificates.testIamPermissions","path":"{project}/global/sslCertificates/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"subnetworks":{"methods":{"aggregatedList":{"id":"compute.subnetworks.aggregatedList","path":"{project}/aggregated/subnetworks","httpMethod":"GET","description":"Retrieves an aggregated list of subnetworks.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"SubnetworkAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.subnetworks.delete","path":"{project}/regions/{region}/subnetworks/{subnetwork}","httpMethod":"DELETE","description":"Deletes the specified subnetwork.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"subnetwork":{"type":"string","description":"Name of the Subnetwork resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","subnetwork"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"expandIpCidrRange":{"id":"compute.subnetworks.expandIpCidrRange","path":"{project}/regions/{region}/subnetworks/{subnetwork}/expandIpCidrRange","httpMethod":"POST","description":"Expands the IP CIDR range of the subnetwork to a specified value.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"subnetwork":{"type":"string","description":"Name of the Subnetwork resource to update.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","subnetwork"],"request":{"$ref":"SubnetworksExpandIpCidrRangeRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.subnetworks.get","path":"{project}/regions/{region}/subnetworks/{subnetwork}","httpMethod":"GET","description":"Returns the specified subnetwork. Get a list of available subnetworks list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"subnetwork":{"type":"string","description":"Name of the Subnetwork resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","subnetwork"],"response":{"$ref":"Subnetwork"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"getIamPolicy":{"id":"compute.subnetworks.getIamPolicy","path":"{project}/regions/{region}/subnetworks/{resource}/getIamPolicy","httpMethod":"GET","description":"Gets the access control policy for a resource. May be empty if no such policy or resource exists.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"response":{"$ref":"Policy"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.subnetworks.insert","path":"{project}/regions/{region}/subnetworks","httpMethod":"POST","description":"Creates a subnetwork in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"Subnetwork"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.subnetworks.list","path":"{project}/regions/{region}/subnetworks","httpMethod":"GET","description":"Retrieves a list of subnetworks available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"SubnetworkList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.subnetworks.patch","path":"{project}/regions/{region}/subnetworks/{subnetwork}","httpMethod":"PATCH","description":"Patches the specified subnetwork with the data included in the request. Only the following fields within the subnetwork resource can be specified in the request: secondary_ip_range and allow_subnet_cidr_routes_overlap. It is also mandatory to specify the current fingeprint of the subnetwork resource being patched.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"subnetwork":{"type":"string","description":"Name of the Subnetwork resource to patch.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","subnetwork"],"request":{"$ref":"Subnetwork"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setIamPolicy":{"id":"compute.subnetworks.setIamPolicy","path":"{project}/regions/{region}/subnetworks/{resource}/setIamPolicy","httpMethod":"POST","description":"Sets the access control policy on the specified resource. Replaces any existing policy.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"Policy"},"response":{"$ref":"Policy"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setPrivateIpGoogleAccess":{"id":"compute.subnetworks.setPrivateIpGoogleAccess","path":"{project}/regions/{region}/subnetworks/{subnetwork}/setPrivateIpGoogleAccess","httpMethod":"POST","description":"Set whether VMs in this subnet can access Google services without assigning external IP addresses through Private Google Access.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"subnetwork":{"type":"string","description":"Name of the Subnetwork resource.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","subnetwork"],"request":{"$ref":"SubnetworksSetPrivateIpGoogleAccessRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.subnetworks.testIamPermissions","path":"{project}/regions/{region}/subnetworks/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"targetHttpProxies":{"methods":{"delete":{"id":"compute.targetHttpProxies.delete","path":"{project}/global/targetHttpProxies/{targetHttpProxy}","httpMethod":"DELETE","description":"Deletes the specified TargetHttpProxy resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetHttpProxy":{"type":"string","description":"Name of the TargetHttpProxy resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetHttpProxy"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.targetHttpProxies.get","path":"{project}/global/targetHttpProxies/{targetHttpProxy}","httpMethod":"GET","description":"Returns the specified TargetHttpProxy resource. Get a list of available target HTTP proxies by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"targetHttpProxy":{"type":"string","description":"Name of the TargetHttpProxy resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetHttpProxy"],"response":{"$ref":"TargetHttpProxy"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.targetHttpProxies.insert","path":"{project}/global/targetHttpProxies","httpMethod":"POST","description":"Creates a TargetHttpProxy resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"TargetHttpProxy"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.targetHttpProxies.list","path":"{project}/global/targetHttpProxies","httpMethod":"GET","description":"Retrieves the list of TargetHttpProxy resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"TargetHttpProxyList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"setUrlMap":{"id":"compute.targetHttpProxies.setUrlMap","path":"{project}/targetHttpProxies/{targetHttpProxy}/setUrlMap","httpMethod":"POST","description":"Changes the URL map for TargetHttpProxy.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetHttpProxy":{"type":"string","description":"Name of the TargetHttpProxy to set a URL map for.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetHttpProxy"],"request":{"$ref":"UrlMapReference"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.targetHttpProxies.testIamPermissions","path":"{project}/global/targetHttpProxies/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"targetHttpsProxies":{"methods":{"delete":{"id":"compute.targetHttpsProxies.delete","path":"{project}/global/targetHttpsProxies/{targetHttpsProxy}","httpMethod":"DELETE","description":"Deletes the specified TargetHttpsProxy resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetHttpsProxy":{"type":"string","description":"Name of the TargetHttpsProxy resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetHttpsProxy"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.targetHttpsProxies.get","path":"{project}/global/targetHttpsProxies/{targetHttpsProxy}","httpMethod":"GET","description":"Returns the specified TargetHttpsProxy resource. Get a list of available target HTTPS proxies by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"targetHttpsProxy":{"type":"string","description":"Name of the TargetHttpsProxy resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetHttpsProxy"],"response":{"$ref":"TargetHttpsProxy"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.targetHttpsProxies.insert","path":"{project}/global/targetHttpsProxies","httpMethod":"POST","description":"Creates a TargetHttpsProxy resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"TargetHttpsProxy"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.targetHttpsProxies.list","path":"{project}/global/targetHttpsProxies","httpMethod":"GET","description":"Retrieves the list of TargetHttpsProxy resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"TargetHttpsProxyList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"setSslCertificates":{"id":"compute.targetHttpsProxies.setSslCertificates","path":"{project}/targetHttpsProxies/{targetHttpsProxy}/setSslCertificates","httpMethod":"POST","description":"Replaces SslCertificates for TargetHttpsProxy.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetHttpsProxy":{"type":"string","description":"Name of the TargetHttpsProxy resource to set an SslCertificates resource for.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetHttpsProxy"],"request":{"$ref":"TargetHttpsProxiesSetSslCertificatesRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setUrlMap":{"id":"compute.targetHttpsProxies.setUrlMap","path":"{project}/targetHttpsProxies/{targetHttpsProxy}/setUrlMap","httpMethod":"POST","description":"Changes the URL map for TargetHttpsProxy.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetHttpsProxy":{"type":"string","description":"Name of the TargetHttpsProxy resource whose URL map is to be set.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetHttpsProxy"],"request":{"$ref":"UrlMapReference"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.targetHttpsProxies.testIamPermissions","path":"{project}/global/targetHttpsProxies/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"targetInstances":{"methods":{"aggregatedList":{"id":"compute.targetInstances.aggregatedList","path":"{project}/aggregated/targetInstances","httpMethod":"GET","description":"Retrieves an aggregated list of target instances.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"TargetInstanceAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.targetInstances.delete","path":"{project}/zones/{zone}/targetInstances/{targetInstance}","httpMethod":"DELETE","description":"Deletes the specified TargetInstance resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetInstance":{"type":"string","description":"Name of the TargetInstance resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"zone":{"type":"string","description":"Name of the zone scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","targetInstance"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.targetInstances.get","path":"{project}/zones/{zone}/targetInstances/{targetInstance}","httpMethod":"GET","description":"Returns the specified TargetInstance resource. Get a list of available target instances by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"targetInstance":{"type":"string","description":"Name of the TargetInstance resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"zone":{"type":"string","description":"Name of the zone scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","targetInstance"],"response":{"$ref":"TargetInstance"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.targetInstances.insert","path":"{project}/zones/{zone}/targetInstances","httpMethod":"POST","description":"Creates a TargetInstance resource in the specified project and zone using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"zone":{"type":"string","description":"Name of the zone scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"request":{"$ref":"TargetInstance"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.targetInstances.list","path":"{project}/zones/{zone}/targetInstances","httpMethod":"GET","description":"Retrieves a list of TargetInstance resources available to the specified project and zone.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"Name of the zone scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"response":{"$ref":"TargetInstanceList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"testIamPermissions":{"id":"compute.targetInstances.testIamPermissions","path":"{project}/zones/{zone}/targetInstances/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"zone":{"type":"string","description":"The name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"targetPools":{"methods":{"addHealthCheck":{"id":"compute.targetPools.addHealthCheck","path":"{project}/regions/{region}/targetPools/{targetPool}/addHealthCheck","httpMethod":"POST","description":"Adds health check URLs to a target pool.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetPool":{"type":"string","description":"Name of the target pool to add a health check to.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","targetPool"],"request":{"$ref":"TargetPoolsAddHealthCheckRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"addInstance":{"id":"compute.targetPools.addInstance","path":"{project}/regions/{region}/targetPools/{targetPool}/addInstance","httpMethod":"POST","description":"Adds an instance to a target pool.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetPool":{"type":"string","description":"Name of the TargetPool resource to add instances to.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","targetPool"],"request":{"$ref":"TargetPoolsAddInstanceRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"aggregatedList":{"id":"compute.targetPools.aggregatedList","path":"{project}/aggregated/targetPools","httpMethod":"GET","description":"Retrieves an aggregated list of target pools.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"TargetPoolAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.targetPools.delete","path":"{project}/regions/{region}/targetPools/{targetPool}","httpMethod":"DELETE","description":"Deletes the specified target pool.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetPool":{"type":"string","description":"Name of the TargetPool resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","targetPool"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.targetPools.get","path":"{project}/regions/{region}/targetPools/{targetPool}","httpMethod":"GET","description":"Returns the specified target pool. Get a list of available target pools by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"targetPool":{"type":"string","description":"Name of the TargetPool resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","targetPool"],"response":{"$ref":"TargetPool"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"getHealth":{"id":"compute.targetPools.getHealth","path":"{project}/regions/{region}/targetPools/{targetPool}/getHealth","httpMethod":"POST","description":"Gets the most recent health check results for each IP for the instance that is referenced by the given target pool.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"targetPool":{"type":"string","description":"Name of the TargetPool resource to which the queried instance belongs.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","targetPool"],"request":{"$ref":"InstanceReference"},"response":{"$ref":"TargetPoolInstanceHealth"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.targetPools.insert","path":"{project}/regions/{region}/targetPools","httpMethod":"POST","description":"Creates a target pool in the specified project and region using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"TargetPool"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.targetPools.list","path":"{project}/regions/{region}/targetPools","httpMethod":"GET","description":"Retrieves a list of target pools available to the specified project and region.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"TargetPoolList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"removeHealthCheck":{"id":"compute.targetPools.removeHealthCheck","path":"{project}/regions/{region}/targetPools/{targetPool}/removeHealthCheck","httpMethod":"POST","description":"Removes health check URL from a target pool.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetPool":{"type":"string","description":"Name of the target pool to remove health checks from.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","targetPool"],"request":{"$ref":"TargetPoolsRemoveHealthCheckRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"removeInstance":{"id":"compute.targetPools.removeInstance","path":"{project}/regions/{region}/targetPools/{targetPool}/removeInstance","httpMethod":"POST","description":"Removes instance URL from a target pool.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetPool":{"type":"string","description":"Name of the TargetPool resource to remove instances from.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","targetPool"],"request":{"$ref":"TargetPoolsRemoveInstanceRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setBackup":{"id":"compute.targetPools.setBackup","path":"{project}/regions/{region}/targetPools/{targetPool}/setBackup","httpMethod":"POST","description":"Changes a backup target pool's configurations.","parameters":{"failoverRatio":{"type":"number","description":"New failoverRatio value for the target pool.","format":"float","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetPool":{"type":"string","description":"Name of the TargetPool resource to set a backup pool for.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","targetPool"],"request":{"$ref":"TargetReference"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.targetPools.testIamPermissions","path":"{project}/regions/{region}/targetPools/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"targetSslProxies":{"methods":{"delete":{"id":"compute.targetSslProxies.delete","path":"{project}/global/targetSslProxies/{targetSslProxy}","httpMethod":"DELETE","description":"Deletes the specified TargetSslProxy resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetSslProxy":{"type":"string","description":"Name of the TargetSslProxy resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetSslProxy"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.targetSslProxies.get","path":"{project}/global/targetSslProxies/{targetSslProxy}","httpMethod":"GET","description":"Returns the specified TargetSslProxy resource. Get a list of available target SSL proxies by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"targetSslProxy":{"type":"string","description":"Name of the TargetSslProxy resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetSslProxy"],"response":{"$ref":"TargetSslProxy"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.targetSslProxies.insert","path":"{project}/global/targetSslProxies","httpMethod":"POST","description":"Creates a TargetSslProxy resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"TargetSslProxy"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.targetSslProxies.list","path":"{project}/global/targetSslProxies","httpMethod":"GET","description":"Retrieves the list of TargetSslProxy resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"TargetSslProxyList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"setBackendService":{"id":"compute.targetSslProxies.setBackendService","path":"{project}/global/targetSslProxies/{targetSslProxy}/setBackendService","httpMethod":"POST","description":"Changes the BackendService for TargetSslProxy.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetSslProxy":{"type":"string","description":"Name of the TargetSslProxy resource whose BackendService resource is to be set.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetSslProxy"],"request":{"$ref":"TargetSslProxiesSetBackendServiceRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setProxyHeader":{"id":"compute.targetSslProxies.setProxyHeader","path":"{project}/global/targetSslProxies/{targetSslProxy}/setProxyHeader","httpMethod":"POST","description":"Changes the ProxyHeaderType for TargetSslProxy.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetSslProxy":{"type":"string","description":"Name of the TargetSslProxy resource whose ProxyHeader is to be set.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetSslProxy"],"request":{"$ref":"TargetSslProxiesSetProxyHeaderRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setSslCertificates":{"id":"compute.targetSslProxies.setSslCertificates","path":"{project}/global/targetSslProxies/{targetSslProxy}/setSslCertificates","httpMethod":"POST","description":"Changes SslCertificates for TargetSslProxy.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetSslProxy":{"type":"string","description":"Name of the TargetSslProxy resource whose SslCertificate resource is to be set.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetSslProxy"],"request":{"$ref":"TargetSslProxiesSetSslCertificatesRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.targetSslProxies.testIamPermissions","path":"{project}/global/targetSslProxies/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"targetTcpProxies":{"methods":{"delete":{"id":"compute.targetTcpProxies.delete","path":"{project}/global/targetTcpProxies/{targetTcpProxy}","httpMethod":"DELETE","description":"Deletes the specified TargetTcpProxy resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetTcpProxy":{"type":"string","description":"Name of the TargetTcpProxy resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetTcpProxy"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.targetTcpProxies.get","path":"{project}/global/targetTcpProxies/{targetTcpProxy}","httpMethod":"GET","description":"Returns the specified TargetTcpProxy resource. Get a list of available target TCP proxies by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"targetTcpProxy":{"type":"string","description":"Name of the TargetTcpProxy resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetTcpProxy"],"response":{"$ref":"TargetTcpProxy"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.targetTcpProxies.insert","path":"{project}/global/targetTcpProxies","httpMethod":"POST","description":"Creates a TargetTcpProxy resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"TargetTcpProxy"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.targetTcpProxies.list","path":"{project}/global/targetTcpProxies","httpMethod":"GET","description":"Retrieves the list of TargetTcpProxy resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"TargetTcpProxyList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"setBackendService":{"id":"compute.targetTcpProxies.setBackendService","path":"{project}/global/targetTcpProxies/{targetTcpProxy}/setBackendService","httpMethod":"POST","description":"Changes the BackendService for TargetTcpProxy.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetTcpProxy":{"type":"string","description":"Name of the TargetTcpProxy resource whose BackendService resource is to be set.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetTcpProxy"],"request":{"$ref":"TargetTcpProxiesSetBackendServiceRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"setProxyHeader":{"id":"compute.targetTcpProxies.setProxyHeader","path":"{project}/global/targetTcpProxies/{targetTcpProxy}/setProxyHeader","httpMethod":"POST","description":"Changes the ProxyHeaderType for TargetTcpProxy.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetTcpProxy":{"type":"string","description":"Name of the TargetTcpProxy resource whose ProxyHeader is to be set.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","targetTcpProxy"],"request":{"$ref":"TargetTcpProxiesSetProxyHeaderRequest"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"targetVpnGateways":{"methods":{"aggregatedList":{"id":"compute.targetVpnGateways.aggregatedList","path":"{project}/aggregated/targetVpnGateways","httpMethod":"GET","description":"Retrieves an aggregated list of target VPN gateways.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"TargetVpnGatewayAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.targetVpnGateways.delete","path":"{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}","httpMethod":"DELETE","description":"Deletes the specified target VPN gateway.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"targetVpnGateway":{"type":"string","description":"Name of the target VPN gateway to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","targetVpnGateway"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.targetVpnGateways.get","path":"{project}/regions/{region}/targetVpnGateways/{targetVpnGateway}","httpMethod":"GET","description":"Returns the specified target VPN gateway. Get a list of available target VPN gateways by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"targetVpnGateway":{"type":"string","description":"Name of the target VPN gateway to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","targetVpnGateway"],"response":{"$ref":"TargetVpnGateway"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.targetVpnGateways.insert","path":"{project}/regions/{region}/targetVpnGateways","httpMethod":"POST","description":"Creates a target VPN gateway in the specified project and region using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"TargetVpnGateway"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.targetVpnGateways.list","path":"{project}/regions/{region}/targetVpnGateways","httpMethod":"GET","description":"Retrieves a list of target VPN gateways available to the specified project and region.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"TargetVpnGatewayList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"testIamPermissions":{"id":"compute.targetVpnGateways.testIamPermissions","path":"{project}/regions/{region}/targetVpnGateways/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"urlMaps":{"methods":{"delete":{"id":"compute.urlMaps.delete","path":"{project}/global/urlMaps/{urlMap}","httpMethod":"DELETE","description":"Deletes the specified UrlMap resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"urlMap":{"type":"string","description":"Name of the UrlMap resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","urlMap"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.urlMaps.get","path":"{project}/global/urlMaps/{urlMap}","httpMethod":"GET","description":"Returns the specified UrlMap resource. Get a list of available URL maps by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"urlMap":{"type":"string","description":"Name of the UrlMap resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","urlMap"],"response":{"$ref":"UrlMap"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.urlMaps.insert","path":"{project}/global/urlMaps","httpMethod":"POST","description":"Creates a UrlMap resource in the specified project using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project"],"request":{"$ref":"UrlMap"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"invalidateCache":{"id":"compute.urlMaps.invalidateCache","path":"{project}/global/urlMaps/{urlMap}/invalidateCache","httpMethod":"POST","description":"Initiates a cache invalidation operation, invalidating the specified path, scoped to the specified UrlMap.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"urlMap":{"type":"string","description":"Name of the UrlMap scoping this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","urlMap"],"request":{"$ref":"CacheInvalidationRule"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.urlMaps.list","path":"{project}/global/urlMaps","httpMethod":"GET","description":"Retrieves the list of UrlMap resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"UrlMapList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"patch":{"id":"compute.urlMaps.patch","path":"{project}/global/urlMaps/{urlMap}","httpMethod":"PATCH","description":"Patches the specified UrlMap resource with the data included in the request. This method supports PATCH semantics and uses the JSON merge patch format and processing rules.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"urlMap":{"type":"string","description":"Name of the UrlMap resource to patch.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","urlMap"],"request":{"$ref":"UrlMap"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"testIamPermissions":{"id":"compute.urlMaps.testIamPermissions","path":"{project}/global/urlMaps/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"(?:[-a-z0-9_]{0,62}[a-z0-9])?","location":"path"}},"parameterOrder":["project","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"update":{"id":"compute.urlMaps.update","path":"{project}/global/urlMaps/{urlMap}","httpMethod":"PUT","description":"Updates the specified UrlMap resource with the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"urlMap":{"type":"string","description":"Name of the UrlMap resource to update.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","urlMap"],"request":{"$ref":"UrlMap"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"validate":{"id":"compute.urlMaps.validate","path":"{project}/global/urlMaps/{urlMap}/validate","httpMethod":"POST","description":"Runs static validation for the UrlMap. In particular, the tests of the provided UrlMap will be run. Calling this method does NOT create the UrlMap.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"urlMap":{"type":"string","description":"Name of the UrlMap resource to be validated as.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","urlMap"],"request":{"$ref":"UrlMapsValidateRequest"},"response":{"$ref":"UrlMapsValidateResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]}}},"vpnTunnels":{"methods":{"aggregatedList":{"id":"compute.vpnTunnels.aggregatedList","path":"{project}/aggregated/vpnTunnels","httpMethod":"GET","description":"Retrieves an aggregated list of VPN tunnels.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"VpnTunnelAggregatedList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"delete":{"id":"compute.vpnTunnels.delete","path":"{project}/regions/{region}/vpnTunnels/{vpnTunnel}","httpMethod":"DELETE","description":"Deletes the specified VpnTunnel resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"},"vpnTunnel":{"type":"string","description":"Name of the VpnTunnel resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","vpnTunnel"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.vpnTunnels.get","path":"{project}/regions/{region}/vpnTunnels/{vpnTunnel}","httpMethod":"GET","description":"Returns the specified VpnTunnel resource. Get a list of available VPN tunnels by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"vpnTunnel":{"type":"string","description":"Name of the VpnTunnel resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","vpnTunnel"],"response":{"$ref":"VpnTunnel"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"insert":{"id":"compute.vpnTunnels.insert","path":"{project}/regions/{region}/vpnTunnels","httpMethod":"POST","description":"Creates a VpnTunnel resource in the specified project and region using the data included in the request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"requestId":{"type":"string","description":"An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed.\n\nFor example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.\n\nThe request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).","location":"query"}},"parameterOrder":["project","region"],"request":{"$ref":"VpnTunnel"},"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"list":{"id":"compute.vpnTunnels.list","path":"{project}/regions/{region}/vpnTunnels","httpMethod":"GET","description":"Retrieves a list of VpnTunnel resources contained in the specified project and region.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"Name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region"],"response":{"$ref":"VpnTunnelList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"testIamPermissions":{"id":"compute.vpnTunnels.testIamPermissions","path":"{project}/regions/{region}/vpnTunnels/{resource}/testIamPermissions","httpMethod":"POST","description":"Returns permissions that a caller has on the specified resource.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"region":{"type":"string","description":"The name of the region for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"resource":{"type":"string","description":"Name of the resource for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","region","resource"],"request":{"$ref":"TestPermissionsRequest"},"response":{"$ref":"TestPermissionsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"zoneOperations":{"methods":{"delete":{"id":"compute.zoneOperations.delete","path":"{project}/zones/{zone}/operations/{operation}","httpMethod":"DELETE","description":"Deletes the specified zone-specific Operations resource.","parameters":{"operation":{"type":"string","description":"Name of the Operations resource to delete.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"Name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","operation"],"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute"]},"get":{"id":"compute.zoneOperations.get","path":"{project}/zones/{zone}/operations/{operation}","httpMethod":"GET","description":"Retrieves the specified zone-specific Operations resource.","parameters":{"operation":{"type":"string","description":"Name of the Operations resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"Name of the zone for this request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone","operation"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"list":{"id":"compute.zoneOperations.list","path":"{project}/zones/{zone}/operations","httpMethod":"GET","description":"Retrieves a list of Operation resources contained within the specified zone.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"Name of the zone for request.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"response":{"$ref":"OperationList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}},"zones":{"methods":{"get":{"id":"compute.zones.get","path":"{project}/zones/{zone}","httpMethod":"GET","description":"Returns the specified Zone resource. Get a list of available zones by making a list() request.","parameters":{"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"},"zone":{"type":"string","description":"Name of the zone resource to return.","required":true,"pattern":"[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?","location":"path"}},"parameterOrder":["project","zone"],"response":{"$ref":"Zone"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]},"list":{"id":"compute.zones.list","path":"{project}/zones","httpMethod":"GET","description":"Retrieves the list of Zone resources available to the specified project.","parameters":{"filter":{"type":"string","description":"Sets a filter {expression} for filtering listed resources. Your {expression} must be in the format: field_name comparison_string literal_string.\n\nThe field_name is the name of the field you want to compare. Only atomic field types are supported (string, number, boolean). The comparison_string must be either eq (equals) or ne (not equals). The literal_string is the string value to filter to. The literal value must be valid for the type of field you are filtering by (string, number, boolean). For string fields, the literal value is interpreted as a regular expression using RE2 syntax. The literal value must match the entire field.\n\nFor example, to filter for instances that do not have a name of example-instance, you would use name ne example-instance.\n\nYou can filter on nested fields. For example, you could filter on instances that have set the scheduling.automaticRestart field to true. Use filtering on nested fields to take advantage of labels to organize and search for results based on label values.\n\nTo filter on multiple expressions, provide each separate expression within parentheses. For example, (scheduling.automaticRestart eq true) (zone eq us-central1-f). Multiple expressions are treated as AND expressions, meaning that resources must match all expressions to pass the filters.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)","default":"500","format":"uint32","minimum":"0","location":"query"},"orderBy":{"type":"string","description":"Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.\n\nYou can also sort results in descending order based on the creation timestamp using orderBy=\"creationTimestamp desc\". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.\n\nCurrently, only sorting by name or creationTimestamp desc is supported.","location":"query"},"pageToken":{"type":"string","description":"Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.","location":"query"},"project":{"type":"string","description":"Project ID for this request.","required":true,"pattern":"(?:(?:[-a-z0-9]{1,63}\\.)*(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?):)?(?:[0-9]{1,19}|(?:[a-z0-9](?:[-a-z0-9]{0,61}[a-z0-9])?))","location":"path"}},"parameterOrder":["project"],"response":{"$ref":"ZoneList"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/compute","https://www.googleapis.com/auth/compute.readonly"]}}}}};