module.exports = {"rootUrl":"https://logging.googleapis.com/","ownerDomain":"google.com","name":"logging","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Stackdriver Logging API","ownerName":"Google","resources":{"monitoredResourceDescriptors":{"methods":{"list":{"description":"Lists the descriptors for monitored resource types used by Stackdriver Logging.","httpMethod":"GET","parameterOrder":[],"response":{"$ref":"ListMonitoredResourceDescriptorsResponse"},"parameters":{"pageToken":{"type":"string","location":"query","description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call."},"pageSize":{"format":"int32","description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.","type":"integer","location":"query"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"flatPath":"v2beta1/monitoredResourceDescriptors","path":"v2beta1/monitoredResourceDescriptors","id":"logging.monitoredResourceDescriptors.list"}}},"organizations":{"resources":{"logs":{"methods":{"list":{"response":{"$ref":"ListLogsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"parameters":{"parent":{"description":"Required. The resource name that owns the logs:\n\"projects/[PROJECT_ID]\"\n\"organizations/[ORGANIZATION_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]\"\n\"folders/[FOLDER_ID]\"\n","type":"string","required":true,"pattern":"^organizations/[^/]+$","location":"path"},"pageToken":{"location":"query","description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call.","type":"string"},"pageSize":{"format":"int32","description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.","type":"integer","location":"query"}},"flatPath":"v2beta1/organizations/{organizationsId}/logs","id":"logging.organizations.logs.list","path":"v2beta1/{+parent}/logs","description":"Lists the logs in projects, organizations, folders, or billing accounts. Only logs that have entries are listed."},"delete":{"response":{"$ref":"Empty"},"parameterOrder":["logName"],"httpMethod":"DELETE","parameters":{"logName":{"type":"string","required":true,"pattern":"^organizations/[^/]+/logs/[^/]+$","location":"path","description":"Required. The resource name of the log to delete:\n\"projects/[PROJECT_ID]/logs/[LOG_ID]\"\n\"organizations/[ORGANIZATION_ID]/logs/[LOG_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/logs/[LOG_ID]\"\n\"folders/[FOLDER_ID]/logs/[LOG_ID]\"\n[LOG_ID] must be URL-encoded. For example, \"projects/my-project-id/logs/syslog\", \"organizations/1234567890/logs/cloudresourcemanager.googleapis.com%2Factivity\". For more information about log names, see LogEntry."}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin"],"flatPath":"v2beta1/organizations/{organizationsId}/logs/{logsId}","id":"logging.organizations.logs.delete","path":"v2beta1/{+logName}","description":"Deletes all the log entries in a log. The log reappears if it receives new entries. Log entries written shortly before the delete operation might not be deleted."}}}}},"entries":{"methods":{"list":{"request":{"$ref":"ListLogEntriesRequest"},"description":"Lists log entries. Use this method to retrieve log entries from Stackdriver Logging. For ways to export log entries, see Exporting Logs.","response":{"$ref":"ListLogEntriesResponse"},"parameterOrder":[],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"parameters":{},"flatPath":"v2beta1/entries:list","id":"logging.entries.list","path":"v2beta1/entries:list"},"write":{"parameters":{},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.write"],"flatPath":"v2beta1/entries:write","path":"v2beta1/entries:write","id":"logging.entries.write","description":"Log entry resourcesWrites log entries to Stackdriver Logging. This API method is the only way to send log entries to Stackdriver Logging. This method is used, directly or indirectly, by the Stackdriver Logging agent (fluentd) and all logging libraries configured to use Stackdriver Logging.","request":{"$ref":"WriteLogEntriesRequest"},"httpMethod":"POST","parameterOrder":[],"response":{"$ref":"WriteLogEntriesResponse"}}}},"projects":{"resources":{"metrics":{"methods":{"create":{"id":"logging.projects.metrics.create","path":"v2beta1/{+parent}/metrics","description":"Creates a logs-based metric.","request":{"$ref":"LogMetric"},"response":{"$ref":"LogMetric"},"parameterOrder":["parent"],"httpMethod":"POST","parameters":{"parent":{"description":"The resource name of the project in which to create the metric:\n\"projects/[PROJECT_ID]\"\nThe new metric must be provided in the request.","type":"string","required":true,"pattern":"^projects/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.write"],"flatPath":"v2beta1/projects/{projectsId}/metrics"},"delete":{"description":"Deletes a logs-based metric.","response":{"$ref":"Empty"},"parameterOrder":["metricName"],"httpMethod":"DELETE","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.write"],"parameters":{"metricName":{"description":"The resource name of the metric to delete:\n\"projects/[PROJECT_ID]/metrics/[METRIC_ID]\"\n","type":"string","required":true,"pattern":"^projects/[^/]+/metrics/[^/]+$","location":"path"}},"flatPath":"v2beta1/projects/{projectsId}/metrics/{metricsId}","id":"logging.projects.metrics.delete","path":"v2beta1/{+metricName}"},"get":{"response":{"$ref":"LogMetric"},"parameterOrder":["metricName"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"parameters":{"metricName":{"pattern":"^projects/[^/]+/metrics/[^/]+$","location":"path","description":"The resource name of the desired metric:\n\"projects/[PROJECT_ID]/metrics/[METRIC_ID]\"\n","type":"string","required":true}},"flatPath":"v2beta1/projects/{projectsId}/metrics/{metricsId}","id":"logging.projects.metrics.get","path":"v2beta1/{+metricName}","description":"Gets a logs-based metric."},"list":{"response":{"$ref":"ListLogMetricsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","parameters":{"pageToken":{"type":"string","location":"query","description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call."},"pageSize":{"format":"int32","description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.","type":"integer","location":"query"},"parent":{"location":"path","description":"Required. The name of the project containing the metrics:\n\"projects/[PROJECT_ID]\"\n","type":"string","required":true,"pattern":"^projects/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"flatPath":"v2beta1/projects/{projectsId}/metrics","id":"logging.projects.metrics.list","path":"v2beta1/{+parent}/metrics","description":"Lists logs-based metrics."},"update":{"description":"Creates or updates a logs-based metric.","request":{"$ref":"LogMetric"},"httpMethod":"PUT","parameterOrder":["metricName"],"response":{"$ref":"LogMetric"},"parameters":{"metricName":{"location":"path","description":"The resource name of the metric to update:\n\"projects/[PROJECT_ID]/metrics/[METRIC_ID]\"\nThe updated metric must be provided in the request and it's name field must be the same as [METRIC_ID] If the metric does not exist in [PROJECT_ID], then a new metric is created.","type":"string","required":true,"pattern":"^projects/[^/]+/metrics/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.write"],"flatPath":"v2beta1/projects/{projectsId}/metrics/{metricsId}","path":"v2beta1/{+metricName}","id":"logging.projects.metrics.update"}}},"sinks":{"methods":{"update":{"response":{"$ref":"LogSink"},"parameterOrder":["sinkName"],"httpMethod":"PUT","parameters":{"updateMask":{"format":"google-fieldmask","description":"Optional. Field mask that specifies the fields in sink that need an update. A sink field will be overwritten if, and only if, it is in the update mask. name and output only fields cannot be updated.An empty updateMask is temporarily treated as using the following mask for backwards compatibility purposes:  destination,filter,includeChildren At some point in the future, behavior will be removed and specifying an empty updateMask will be an error.For a detailed FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmaskExample: updateMask=filter.","type":"string","location":"query"},"uniqueWriterIdentity":{"location":"query","description":"Optional. See sinks.create for a description of this field. When updating a sink, the effect of this field on the value of writer_identity in the updated sink depends on both the old and new values of this field:\nIf the old and new values of this field are both false or both true, then there is no change to the sink's writer_identity.\nIf the old value is false and the new value is true, then writer_identity is changed to a unique service account.\nIt is an error if the old value is true and the new value is set to false or defaulted to false.","type":"boolean"},"sinkName":{"location":"path","description":"Required. The full resource name of the sink to update, including the parent resource and the sink identifier:\n\"projects/[PROJECT_ID]/sinks/[SINK_ID]\"\n\"organizations/[ORGANIZATION_ID]/sinks/[SINK_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/sinks/[SINK_ID]\"\n\"folders/[FOLDER_ID]/sinks/[SINK_ID]\"\nExample: \"projects/my-project-id/sinks/my-sink-id\".","type":"string","required":true,"pattern":"^projects/[^/]+/sinks/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin"],"flatPath":"v2beta1/projects/{projectsId}/sinks/{sinksId}","id":"logging.projects.sinks.update","path":"v2beta1/{+sinkName}","description":"Updates a sink. This method replaces the following fields in the existing sink with values from the new sink: destination, and filter. The updated sink might also have a new writer_identity; see the unique_writer_identity field.","request":{"$ref":"LogSink"}},"create":{"flatPath":"v2beta1/projects/{projectsId}/sinks","id":"logging.projects.sinks.create","path":"v2beta1/{+parent}/sinks","request":{"$ref":"LogSink"},"description":"Creates a sink that exports specified log entries to a destination. The export of newly-ingested log entries begins immediately, unless the sink's writer_identity is not permitted to write to the destination. A sink can export log entries only from the resource owning the sink.","response":{"$ref":"LogSink"},"parameterOrder":["parent"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin"],"parameters":{"parent":{"description":"Required. The resource in which to create the sink:\n\"projects/[PROJECT_ID]\"\n\"organizations/[ORGANIZATION_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]\"\n\"folders/[FOLDER_ID]\"\nExamples: \"projects/my-logging-project\", \"organizations/123456789\".","type":"string","required":true,"pattern":"^projects/[^/]+$","location":"path"},"uniqueWriterIdentity":{"location":"query","description":"Optional. Determines the kind of IAM identity returned as writer_identity in the new sink. If this value is omitted or set to false, and if the sink's parent is a project, then the value returned as writer_identity is the same group or service account used by Stackdriver Logging before the addition of writer identities to this API. The sink's destination must be in the same project as the sink itself.If this field is set to true, or if the sink is owned by a non-project resource such as an organization, then the value of writer_identity will be a unique service account used only for exports from the new sink. For more information, see writer_identity in LogSink.","type":"boolean"}}},"delete":{"description":"Deletes a sink. If the sink has a unique writer_identity, then that service account is also deleted.","httpMethod":"DELETE","parameterOrder":["sinkName"],"response":{"$ref":"Empty"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin"],"parameters":{"sinkName":{"type":"string","required":true,"pattern":"^projects/[^/]+/sinks/[^/]+$","location":"path","description":"Required. The full resource name of the sink to delete, including the parent resource and the sink identifier:\n\"projects/[PROJECT_ID]/sinks/[SINK_ID]\"\n\"organizations/[ORGANIZATION_ID]/sinks/[SINK_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/sinks/[SINK_ID]\"\n\"folders/[FOLDER_ID]/sinks/[SINK_ID]\"\nExample: \"projects/my-project-id/sinks/my-sink-id\"."}},"flatPath":"v2beta1/projects/{projectsId}/sinks/{sinksId}","path":"v2beta1/{+sinkName}","id":"logging.projects.sinks.delete"},"get":{"path":"v2beta1/{+sinkName}","id":"logging.projects.sinks.get","description":"Gets a sink.","httpMethod":"GET","parameterOrder":["sinkName"],"response":{"$ref":"LogSink"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"parameters":{"sinkName":{"location":"path","description":"Required. The resource name of the sink:\n\"projects/[PROJECT_ID]/sinks/[SINK_ID]\"\n\"organizations/[ORGANIZATION_ID]/sinks/[SINK_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/sinks/[SINK_ID]\"\n\"folders/[FOLDER_ID]/sinks/[SINK_ID]\"\nExample: \"projects/my-project-id/sinks/my-sink-id\".","type":"string","required":true,"pattern":"^projects/[^/]+/sinks/[^/]+$"}},"flatPath":"v2beta1/projects/{projectsId}/sinks/{sinksId}"},"list":{"httpMethod":"GET","response":{"$ref":"ListSinksResponse"},"parameterOrder":["parent"],"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"parameters":{"pageSize":{"location":"query","format":"int32","description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.","type":"integer"},"parent":{"location":"path","description":"Required. The parent resource whose sinks are to be listed:\n\"projects/[PROJECT_ID]\"\n\"organizations/[ORGANIZATION_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]\"\n\"folders/[FOLDER_ID]\"\n","type":"string","required":true,"pattern":"^projects/[^/]+$"},"pageToken":{"location":"query","description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call.","type":"string"}},"flatPath":"v2beta1/projects/{projectsId}/sinks","path":"v2beta1/{+parent}/sinks","id":"logging.projects.sinks.list","description":"Lists sinks."}}},"logs":{"methods":{"delete":{"id":"logging.projects.logs.delete","path":"v2beta1/{+logName}","description":"Deletes all the log entries in a log. The log reappears if it receives new entries. Log entries written shortly before the delete operation might not be deleted.","response":{"$ref":"Empty"},"parameterOrder":["logName"],"httpMethod":"DELETE","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin"],"parameters":{"logName":{"location":"path","description":"Required. The resource name of the log to delete:\n\"projects/[PROJECT_ID]/logs/[LOG_ID]\"\n\"organizations/[ORGANIZATION_ID]/logs/[LOG_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/logs/[LOG_ID]\"\n\"folders/[FOLDER_ID]/logs/[LOG_ID]\"\n[LOG_ID] must be URL-encoded. For example, \"projects/my-project-id/logs/syslog\", \"organizations/1234567890/logs/cloudresourcemanager.googleapis.com%2Factivity\". For more information about log names, see LogEntry.","type":"string","required":true,"pattern":"^projects/[^/]+/logs/[^/]+$"}},"flatPath":"v2beta1/projects/{projectsId}/logs/{logsId}"},"list":{"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"parameters":{"parent":{"description":"Required. The resource name that owns the logs:\n\"projects/[PROJECT_ID]\"\n\"organizations/[ORGANIZATION_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]\"\n\"folders/[FOLDER_ID]\"\n","type":"string","required":true,"pattern":"^projects/[^/]+$","location":"path"},"pageToken":{"location":"query","description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call.","type":"string"},"pageSize":{"format":"int32","description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.","type":"integer","location":"query"}},"flatPath":"v2beta1/projects/{projectsId}/logs","path":"v2beta1/{+parent}/logs","id":"logging.projects.logs.list","description":"Lists the logs in projects, organizations, folders, or billing accounts. Only logs that have entries are listed.","httpMethod":"GET","parameterOrder":["parent"],"response":{"$ref":"ListLogsResponse"}}}}}},"billingAccounts":{"resources":{"logs":{"methods":{"list":{"httpMethod":"GET","parameterOrder":["parent"],"response":{"$ref":"ListLogsResponse"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"parameters":{"pageToken":{"description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call.","type":"string","location":"query"},"pageSize":{"location":"query","format":"int32","description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.","type":"integer"},"parent":{"description":"Required. The resource name that owns the logs:\n\"projects/[PROJECT_ID]\"\n\"organizations/[ORGANIZATION_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]\"\n\"folders/[FOLDER_ID]\"\n","type":"string","required":true,"pattern":"^billingAccounts/[^/]+$","location":"path"}},"flatPath":"v2beta1/billingAccounts/{billingAccountsId}/logs","path":"v2beta1/{+parent}/logs","id":"logging.billingAccounts.logs.list","description":"Lists the logs in projects, organizations, folders, or billing accounts. Only logs that have entries are listed."},"delete":{"httpMethod":"DELETE","response":{"$ref":"Empty"},"parameterOrder":["logName"],"parameters":{"logName":{"pattern":"^billingAccounts/[^/]+/logs/[^/]+$","location":"path","description":"Required. The resource name of the log to delete:\n\"projects/[PROJECT_ID]/logs/[LOG_ID]\"\n\"organizations/[ORGANIZATION_ID]/logs/[LOG_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/logs/[LOG_ID]\"\n\"folders/[FOLDER_ID]/logs/[LOG_ID]\"\n[LOG_ID] must be URL-encoded. For example, \"projects/my-project-id/logs/syslog\", \"organizations/1234567890/logs/cloudresourcemanager.googleapis.com%2Factivity\". For more information about log names, see LogEntry.","type":"string","required":true}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin"],"flatPath":"v2beta1/billingAccounts/{billingAccountsId}/logs/{logsId}","path":"v2beta1/{+logName}","id":"logging.billingAccounts.logs.delete","description":"Deletes all the log entries in a log. The log reappears if it receives new entries. Log entries written shortly before the delete operation might not be deleted."}}}}}},"parameters":{"uploadType":{"location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string"},"fields":{"type":"string","location":"query","description":"Selector specifying which fields to include in a partial response."},"$.xgafv":{"enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"],"description":"V1 error format.","type":"string"},"callback":{"location":"query","description":"JSONP","type":"string"},"alt":{"default":"json","enum":["json","media","proto"],"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response."},"access_token":{"type":"string","location":"query","description":"OAuth access token."},"key":{"description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string","location":"query"},"quotaUser":{"location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string"},"pp":{"location":"query","description":"Pretty-print response.","default":"true","type":"boolean"},"bearer_token":{"location":"query","description":"OAuth bearer token.","type":"string"},"oauth_token":{"description":"OAuth 2.0 token for the current user.","type":"string","location":"query"},"upload_protocol":{"description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string","location":"query"},"prettyPrint":{"location":"query","description":"Returns response with indentations and line breaks.","default":"true","type":"boolean"}},"version":"v2beta1","baseUrl":"https://logging.googleapis.com/","servicePath":"","description":"Writes log entries and manages your Stackdriver Logging configuration.","kind":"discovery#restDescription","basePath":"","revision":"20171030","id":"logging:v2beta1","documentationLink":"https://cloud.google.com/logging/docs/","discoveryVersion":"v1","version_module":true,"schemas":{"ListLogsResponse":{"properties":{"logNames":{"description":"A list of log names. For example, \"projects/my-project/syslog\" or \"organizations/123/cloudresourcemanager.googleapis.com%2Factivity\".","items":{"type":"string"},"type":"array"},"nextPageToken":{"description":"If there might be more results than those appearing in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken.","type":"string"}},"id":"ListLogsResponse","description":"Result returned from ListLogs.","type":"object"},"HttpRequest":{"properties":{"referer":{"description":"The referer URL of the request, as defined in HTTP/1.1 Header Field Definitions (http://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html).","type":"string"},"userAgent":{"description":"The user agent sent by the client. Example: \"Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461; .NET CLR 1.0.3705)\".","type":"string"},"latency":{"format":"google-duration","description":"The request processing latency on the server, from the time the request was received until the response was sent.","type":"string"},"cacheFillBytes":{"format":"int64","description":"The number of HTTP response bytes inserted into cache. Set only when a cache fill was attempted.","type":"string"},"requestMethod":{"type":"string","description":"The request method. Examples: \"GET\", \"HEAD\", \"PUT\", \"POST\"."},"protocol":{"description":"Protocol used for the request. Examples: \"HTTP/1.1\", \"HTTP/2\", \"websocket\"","type":"string"},"requestSize":{"format":"int64","description":"The size of the HTTP request message in bytes, including the request headers and the request body.","type":"string"},"responseSize":{"format":"int64","description":"The size of the HTTP response message sent back to the client, in bytes, including the response headers and the response body.","type":"string"},"requestUrl":{"description":"The scheme (http, https), the host name, the path and the query portion of the URL that was requested. Example: \"http://example.com/some/info?color=red\".","type":"string"},"remoteIp":{"description":"The IP address (IPv4 or IPv6) of the client that issued the HTTP request. Examples: \"192.168.1.1\", \"FE80::0202:B3FF:FE1E:8329\".","type":"string"},"serverIp":{"description":"The IP address (IPv4 or IPv6) of the origin server that the request was sent to.","type":"string"},"cacheLookup":{"type":"boolean","description":"Whether or not a cache lookup was attempted."},"cacheHit":{"type":"boolean","description":"Whether or not an entity was served from cache (with or without validation)."},"cacheValidatedWithOriginServer":{"description":"Whether or not the response was validated with the origin server before being served from cache. This field is only meaningful if cache_hit is True.","type":"boolean"},"status":{"format":"int32","description":"The response code indicating the status of response. Examples: 200, 404.","type":"integer"}},"id":"HttpRequest","description":"A common proto for logging HTTP requests. Only contains semantics defined by the HTTP specification. Product-specific logging information MUST be defined in a separate message.","type":"object"},"ListSinksResponse":{"description":"Result returned from ListSinks.","type":"object","properties":{"nextPageToken":{"description":"If there might be more results than appear in this response, then nextPageToken is included. To get the next set of results, call the same method again using the value of nextPageToken as pageToken.","type":"string"},"sinks":{"description":"A list of sinks.","items":{"$ref":"LogSink"},"type":"array"}},"id":"ListSinksResponse"},"MonitoredResourceDescriptor":{"id":"MonitoredResourceDescriptor","description":"An object that describes the schema of a MonitoredResource object using a type name and a set of labels. For example, the monitored resource descriptor for Google Compute Engine VM instances has a type of \"gce_instance\" and specifies the use of the labels \"instance_id\" and \"zone\" to identify particular VM instances.Different APIs can support different monitored resource types. APIs generally provide a list method that returns the monitored resource descriptors used by the API.","type":"object","properties":{"type":{"description":"Required. The monitored resource type. For example, the type \"cloudsql_database\" represents databases in Google Cloud SQL. The maximum length of this value is 256 characters.","type":"string"},"labels":{"description":"Required. A set of labels used to describe instances of this monitored resource type. For example, an individual Google Cloud SQL database is identified by values for the labels \"database_id\" and \"zone\".","items":{"$ref":"LabelDescriptor"},"type":"array"},"name":{"description":"Optional. The resource name of the monitored resource descriptor: \"projects/{project_id}/monitoredResourceDescriptors/{type}\" where {type} is the value of the type field in this object and {project_id} is a project ID that provides API-specific context for accessing the type. APIs that do not use project information can use the resource name format \"monitoredResourceDescriptors/{type}\".","type":"string"},"description":{"description":"Optional. A detailed description of the monitored resource type that might be used in documentation.","type":"string"},"displayName":{"description":"Optional. A concise name for the monitored resource type that might be displayed in user interfaces. It should be a Title Cased Noun Phrase, without any article or other determiners. For example, \"Google Cloud SQL Database\".","type":"string"}}},"LogEntrySourceLocation":{"description":"Additional information about the source code location that produced the log entry.","type":"object","properties":{"file":{"description":"Optional. Source file name. Depending on the runtime environment, this might be a simple name or a fully-qualified name.","type":"string"},"function":{"description":"Optional. Human-readable name of the function or method being invoked, with optional context such as the class or package name. This information may be used in contexts such as the logs viewer, where a file and line number are less meaningful. The format can vary by language. For example: qual.if.ied.Class.method (Java), dir/package.func (Go), function (Python).","type":"string"},"line":{"format":"int64","description":"Optional. Line within the source file. 1-based; 0 indicates no line number available.","type":"string"}},"id":"LogEntrySourceLocation"},"ListLogEntriesResponse":{"type":"object","properties":{"entries":{"items":{"$ref":"LogEntry"},"type":"array","description":"A list of log entries. If entries is empty, nextPageToken may still be returned, indicating that more entries may exist. See nextPageToken for more information."},"nextPageToken":{"description":"If there might be more results than those appearing in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken.If a value for next_page_token appears and the entries field is empty, it means that the search found no log entries so far but it did not have time to search all the possible log entries. Retry the method with this value for page_token to continue the search. Alternatively, consider speeding up the search by changing your filter to specify a single log name or resource type, or to narrow the time range of the search.","type":"string"}},"id":"ListLogEntriesResponse","description":"Result returned from ListLogEntries."},"LogLine":{"properties":{"logMessage":{"description":"App-provided log message.","type":"string"},"severity":{"enum":["DEFAULT","DEBUG","INFO","NOTICE","WARNING","ERROR","CRITICAL","ALERT","EMERGENCY"],"description":"Severity of this log entry.","type":"string","enumDescriptions":["(0) The log entry has no assigned severity level.","(100) Debug or trace information.","(200) Routine information, such as ongoing status or performance.","(300) Normal but significant events, such as start up, shut down, or a configuration change.","(400) Warning events might cause problems.","(500) Error events are likely to cause problems.","(600) Critical events cause more severe problems or outages.","(700) A person must take an action immediately.","(800) One or more systems are unusable."]},"sourceLocation":{"$ref":"SourceLocation","description":"Where in the source code this log message was written."},"time":{"format":"google-datetime","description":"Approximate time when this log entry was made.","type":"string"}},"id":"LogLine","description":"Application log line emitted while processing a request.","type":"object"},"Linear":{"description":"Specifies a linear sequence of buckets that all have the same width (except overflow and underflow). Each bucket represents a constant absolute uncertainty on the specific value in the bucket.There are num_finite_buckets + 2 (= N) buckets. Bucket i has the following boundaries:Upper bound (0 <= i < N-1): offset + (width * i).  Lower bound (1 <= i < N): offset + (width * (i - 1)).","type":"object","properties":{"width":{"format":"double","description":"Must be greater than 0.","type":"number"},"offset":{"format":"double","description":"Lower bound of the first bucket.","type":"number"},"numFiniteBuckets":{"type":"integer","format":"int32","description":"Must be greater than 0."}},"id":"Linear"},"Empty":{"type":"object","properties":{},"id":"Empty","description":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:\nservice Foo {\n  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n}\nThe JSON representation for Empty is empty JSON object {}."},"SourceLocation":{"type":"object","properties":{"line":{"format":"int64","description":"Line within the source file.","type":"string"},"file":{"description":"Source file name. Depending on the runtime environment, this might be a simple name or a fully-qualified name.","type":"string"},"functionName":{"description":"Human-readable name of the function or method being invoked, with optional context such as the class or package name. This information is used in contexts such as the logs viewer, where a file and line number are less meaningful. The format can vary by language. For example: qual.if.ied.Class.method (Java), dir/package.func (Go), function (Python).","type":"string"}},"id":"SourceLocation","description":"Specifies a location in a source code file."},"ListLogEntriesRequest":{"description":"The parameters to ListLogEntries.","type":"object","properties":{"pageToken":{"description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. page_token must be the value of next_page_token from the previous response. The values of other method parameters should be identical to those in the previous call.","type":"string"},"pageSize":{"format":"int32","description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of next_page_token in the response indicates that more results might be available.","type":"integer"},"orderBy":{"description":"Optional. How the results should be sorted. Presently, the only permitted values are \"timestamp asc\" (default) and \"timestamp desc\". The first option returns entries in order of increasing values of LogEntry.timestamp (oldest first), and the second option returns entries in order of decreasing timestamps (newest first). Entries with equal timestamps are returned in order of their insert_id values.","type":"string"},"resourceNames":{"description":"Required. Names of one or more parent resources from which to retrieve log entries:\n\"projects/[PROJECT_ID]\"\n\"organizations/[ORGANIZATION_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]\"\n\"folders/[FOLDER_ID]\"\nProjects listed in the project_ids field are added to this list.","items":{"type":"string"},"type":"array"},"projectIds":{"description":"Deprecated. Use resource_names instead. One or more project identifiers or project numbers from which to retrieve log entries. Example: \"my-project-1A\". If present, these project identifiers are converted to resource name format and added to the list of resources in resource_names.","items":{"type":"string"},"type":"array"},"filter":{"description":"Optional. A filter that chooses which log entries to return. See Advanced Logs Filters. Only log entries that match the filter are returned. An empty filter matches all log entries in the resources listed in resource_names. Referencing a parent resource that is not listed in resource_names will cause the filter to return no results. The maximum length of the filter is 20000 characters.","type":"string"}},"id":"ListLogEntriesRequest"},"Explicit":{"description":"Specifies a set of buckets with arbitrary widths.There are size(bounds) + 1 (= N) buckets. Bucket i has the following boundaries:Upper bound (0 <= i < N-1): boundsi  Lower bound (1 <= i < N); boundsi - 1The bounds field must contain at least one element. If bounds has only one element, then there are no finite buckets, and that single element is the common boundary of the overflow and underflow buckets.","type":"object","properties":{"bounds":{"description":"The values must be monotonically increasing.","items":{"format":"double","type":"number"},"type":"array"}},"id":"Explicit"},"SourceReference":{"type":"object","properties":{"repository":{"description":"Optional. A URI string identifying the repository. Example: \"https://github.com/GoogleCloudPlatform/kubernetes.git\"","type":"string"},"revisionId":{"description":"The canonical and persistent identifier of the deployed revision. Example (git): \"0035781c50ec7aa23385dc841529ce8a4b70db1b\"","type":"string"}},"id":"SourceReference","description":"A reference to a particular snapshot of the source tree used to build and deploy an application."},"WriteLogEntriesResponse":{"description":"Result returned from WriteLogEntries. empty","type":"object","properties":{},"id":"WriteLogEntriesResponse"},"Exponential":{"id":"Exponential","description":"Specifies an exponential sequence of buckets that have a width that is proportional to the value of the lower bound. Each bucket represents a constant relative uncertainty on a specific value in the bucket.There are num_finite_buckets + 2 (= N) buckets. Bucket i has the following boundaries:Upper bound (0 <= i < N-1): scale * (growth_factor ^ i).  Lower bound (1 <= i < N): scale * (growth_factor ^ (i - 1)).","type":"object","properties":{"scale":{"format":"double","description":"Must be greater than 0.","type":"number"},"numFiniteBuckets":{"format":"int32","description":"Must be greater than 0.","type":"integer"},"growthFactor":{"format":"double","description":"Must be greater than 1.","type":"number"}}},"WriteLogEntriesRequest":{"description":"The parameters to WriteLogEntries.","type":"object","properties":{"resource":{"$ref":"MonitoredResource","description":"Optional. A default monitored resource object that is assigned to all log entries in entries that do not specify a value for resource. Example:\n{ \"type\": \"gce_instance\",\n  \"labels\": {\n    \"zone\": \"us-central1-a\", \"instance_id\": \"00000000000000000000\" }}\nSee LogEntry."},"entries":{"description":"Required. The log entries to send to Stackdriver Logging. The order of log entries in this list does not matter. Values supplied in this method's log_name, resource, and labels fields are copied into those log entries in this list that do not include values for their corresponding fields. For more information, see the LogEntry type.If the timestamp or insert_id fields are missing in log entries, then this method supplies the current time or a unique identifier, respectively. The supplied values are chosen so that, among the log entries that did not supply their own values, the entries earlier in the list will sort before the entries later in the list. See the entries.list method.Log entries with timestamps that are more than the logs retention period in the past or more than 24 hours in the future might be discarded. Discarding does not return an error.To improve throughput and to avoid exceeding the quota limit for calls to entries.write, you should try to include several log entries in this list, rather than calling this method for each individual log entry.","items":{"$ref":"LogEntry"},"type":"array"},"logName":{"description":"Optional. A default log resource name that is assigned to all log entries in entries that do not specify a value for log_name:\n\"projects/[PROJECT_ID]/logs/[LOG_ID]\"\n\"organizations/[ORGANIZATION_ID]/logs/[LOG_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/logs/[LOG_ID]\"\n\"folders/[FOLDER_ID]/logs/[LOG_ID]\"\n[LOG_ID] must be URL-encoded. For example, \"projects/my-project-id/logs/syslog\" or \"organizations/1234567890/logs/cloudresourcemanager.googleapis.com%2Factivity\". For more information about log names, see LogEntry.","type":"string"},"partialSuccess":{"description":"Optional. Whether valid entries should be written even if some other entries fail due to INVALID_ARGUMENT or PERMISSION_DENIED errors. If any entry is not written, then the response status is the error associated with one of the failed entries and the response includes error details keyed by the entries' zero-based index in the entries.write method.","type":"boolean"},"labels":{"additionalProperties":{"type":"string"},"description":"Optional. Default labels that are added to the labels field of all log entries in entries. If a log entry already has a label with the same key as a label in this parameter, then the log entry's label is not changed. See LogEntry.","type":"object"}},"id":"WriteLogEntriesRequest"},"LabelDescriptor":{"description":"A description of a label.","type":"object","properties":{"valueType":{"enum":["STRING","BOOL","INT64"],"description":"The type of data that can be assigned to the label.","type":"string","enumDescriptions":["A variable-length string. This is the default.","Boolean; true or false.","A 64-bit signed integer."]},"key":{"description":"The label key.","type":"string"},"description":{"description":"A human-readable description for the label.","type":"string"}},"id":"LabelDescriptor"},"BucketOptions":{"type":"object","properties":{"exponentialBuckets":{"$ref":"Exponential","description":"The exponential buckets."},"explicitBuckets":{"description":"The explicit buckets.","$ref":"Explicit"},"linearBuckets":{"description":"The linear bucket.","$ref":"Linear"}},"id":"BucketOptions","description":"BucketOptions describes the bucket boundaries used to create a histogram for the distribution. The buckets can be in a linear sequence, an exponential sequence, or each bucket can be specified explicitly. BucketOptions does not include the number of values in each bucket.A bucket has an inclusive lower bound and exclusive upper bound for the values that are counted for that bucket. The upper bound of a bucket must be strictly greater than the lower bound. The sequence of N buckets for a distribution consists of an underflow bucket (number 0), zero or more finite buckets (number 1 through N - 2) and an overflow bucket (number N - 1). The buckets are contiguous: the lower bound of bucket i (i > 0) is the same as the upper bound of bucket i - 1. The buckets span the whole range of finite values: lower bound of the underflow bucket is -infinity and the upper bound of the overflow bucket is +infinity. The finite buckets are so-called because both bounds are finite."},"ListLogMetricsResponse":{"description":"Result returned from ListLogMetrics.","type":"object","properties":{"metrics":{"description":"A list of logs-based metrics.","items":{"$ref":"LogMetric"},"type":"array"},"nextPageToken":{"description":"If there might be more results than appear in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken.","type":"string"}},"id":"ListLogMetricsResponse"},"MetricDescriptor":{"description":"Defines a metric type and its schema. Once a metric descriptor is created, deleting or altering it stops data collection and makes the metric type's existing data unusable.","type":"object","properties":{"metricKind":{"enumDescriptions":["Do not use this default value.","An instantaneous measurement of a value.","The change in a value during a time interval.","A value accumulated over a time interval. Cumulative measurements in a time series should have the same start time and increasing end times, until an event resets the cumulative value to zero and sets a new start time for the following points."],"enum":["METRIC_KIND_UNSPECIFIED","GAUGE","DELTA","CUMULATIVE"],"description":"Whether the metric records instantaneous values, changes to a value, etc. Some combinations of metric_kind and value_type might not be supported.","type":"string"},"description":{"description":"A detailed description of the metric, which can be used in documentation.","type":"string"},"displayName":{"description":"A concise name for the metric, which can be displayed in user interfaces. Use sentence case without an ending period, for example \"Request count\". This field is optional but it is recommended to be set for any metrics associated with user-visible concepts, such as Quota.","type":"string"},"unit":{"description":"The unit in which the metric value is reported. It is only applicable if the value_type is INT64, DOUBLE, or DISTRIBUTION. The supported units are a subset of The Unified Code for Units of Measure (http://unitsofmeasure.org/ucum.html) standard:Basic units (UNIT)\nbit bit\nBy byte\ns second\nmin minute\nh hour\nd dayPrefixes (PREFIX)\nk kilo (10**3)\nM mega (10**6)\nG giga (10**9)\nT tera (10**12)\nP peta (10**15)\nE exa (10**18)\nZ zetta (10**21)\nY yotta (10**24)\nm milli (10**-3)\nu micro (10**-6)\nn nano (10**-9)\np pico (10**-12)\nf femto (10**-15)\na atto (10**-18)\nz zepto (10**-21)\ny yocto (10**-24)\nKi kibi (2**10)\nMi mebi (2**20)\nGi gibi (2**30)\nTi tebi (2**40)GrammarThe grammar includes the dimensionless unit 1, such as 1/s.The grammar also includes these connectors:\n/ division (as an infix operator, e.g. 1/s).\n. multiplication (as an infix operator, e.g. GBy.d)The grammar for a unit is as follows:\nExpression = Component { \".\" Component } { \"/\" Component } ;\n\nComponent = [ PREFIX ] UNIT [ Annotation ]\n          | Annotation\n          | \"1\"\n          ;\n\nAnnotation = \"{\" NAME \"}\" ;\nNotes:\nAnnotation is just a comment if it follows a UNIT and is  equivalent to 1 if it is used alone. For examples,  {requests}/s == 1/s, By{transmitted}/s == By/s.\nNAME is a sequence of non-blank printable ASCII characters not  containing '{' or '}'.","type":"string"},"labels":{"description":"The set of labels that can be used to describe a specific instance of this metric type. For example, the appengine.googleapis.com/http/server/response_latencies metric type has a label for the HTTP response code, response_code, so you can look at latencies for successful responses or just for responses that failed.","items":{"$ref":"LabelDescriptor"},"type":"array"},"name":{"description":"The resource name of the metric descriptor.","type":"string"},"type":{"description":"The metric type, including its DNS name prefix. The type is not URL-encoded. All user-defined custom metric types have the DNS name custom.googleapis.com. Metric types should use a natural hierarchical grouping. For example:\n\"custom.googleapis.com/invoice/paid/amount\"\n\"appengine.googleapis.com/http/server/response_latencies\"\n","type":"string"},"valueType":{"enumDescriptions":["Do not use this default value.","The value is a boolean. This value type can be used only if the metric kind is GAUGE.","The value is a signed 64-bit integer.","The value is a double precision floating point number.","The value is a text string. This value type can be used only if the metric kind is GAUGE.","The value is a Distribution.","The value is money."],"enum":["VALUE_TYPE_UNSPECIFIED","BOOL","INT64","DOUBLE","STRING","DISTRIBUTION","MONEY"],"description":"Whether the measurement is an integer, a floating-point number, etc. Some combinations of metric_kind and value_type might not be supported.","type":"string"}},"id":"MetricDescriptor"},"LogEntry":{"description":"An individual entry in a log.","type":"object","properties":{"httpRequest":{"$ref":"HttpRequest","description":"Optional. Information about the HTTP request associated with this log entry, if applicable."},"resource":{"$ref":"MonitoredResource","description":"Required. The monitored resource associated with this log entry. Example: a log entry that reports a database error would be associated with the monitored resource designating the particular database that reported the error."},"jsonPayload":{"additionalProperties":{"description":"Properties of the object.","type":"any"},"description":"The log entry payload, represented as a structure that is expressed as a JSON object.","type":"object"},"operation":{"$ref":"LogEntryOperation","description":"Optional. Information about an operation associated with the log entry, if applicable."},"insertId":{"description":"Optional. A unique identifier for the log entry. If you provide a value, then Stackdriver Logging considers other log entries in the same project, with the same timestamp, and with the same insert_id to be duplicates which can be removed. If omitted in new log entries, then Stackdriver Logging assigns its own unique identifier. The insert_id is also used to order log entries that have the same timestamp value.","type":"string"},"textPayload":{"description":"The log entry payload, represented as a Unicode string (UTF-8).","type":"string"},"protoPayload":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"The log entry payload, represented as a protocol buffer. Some Google Cloud Platform services use this field for their log entry payloads.","type":"object"},"trace":{"type":"string","description":"Optional. Resource name of the trace associated with the log entry, if any. If it contains a relative resource name, the name is assumed to be relative to //tracing.googleapis.com. Example: projects/my-projectid/traces/06796866738c859f2f19b7cfb3214824"},"labels":{"description":"Optional. A set of user-defined (key, value) data that provides additional information about the log entry.","type":"object","additionalProperties":{"type":"string"}},"severity":{"description":"Optional. The severity of the log entry. The default value is LogSeverity.DEFAULT.","type":"string","enumDescriptions":["(0) The log entry has no assigned severity level.","(100) Debug or trace information.","(200) Routine information, such as ongoing status or performance.","(300) Normal but significant events, such as start up, shut down, or a configuration change.","(400) Warning events might cause problems.","(500) Error events are likely to cause problems.","(600) Critical events cause more severe problems or outages.","(700) A person must take an action immediately.","(800) One or more systems are unusable."],"enum":["DEFAULT","DEBUG","INFO","NOTICE","WARNING","ERROR","CRITICAL","ALERT","EMERGENCY"]},"sourceLocation":{"$ref":"LogEntrySourceLocation","description":"Optional. Source code location information associated with the log entry, if any."},"spanId":{"description":"Optional. Id of the span within the trace associated with the log entry. e.g. \"0000000000000042\" For Stackdriver trace spans, this is the same format that the Stackdriver trace API uses. The ID is a 16-character hexadecimal encoding of an 8-byte array.","type":"string"},"timestamp":{"format":"google-datetime","description":"Optional. The time the event described by the log entry occurred. This time is used to compute the log entry's age and to enforce the logs retention period. If this field is omitted in a new log entry, then Stackdriver Logging assigns it the current time.Incoming log entries should have timestamps that are no more than the logs retention period in the past, and no more than 24 hours in the future. See the entries.write API method for more information.","type":"string"},"receiveTimestamp":{"format":"google-datetime","description":"Output only. The time the log entry was received by Stackdriver Logging.","type":"string"},"logName":{"description":"Required. The resource name of the log to which this log entry belongs:\n\"projects/[PROJECT_ID]/logs/[LOG_ID]\"\n\"organizations/[ORGANIZATION_ID]/logs/[LOG_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/logs/[LOG_ID]\"\n\"folders/[FOLDER_ID]/logs/[LOG_ID]\"\nA project number may optionally be used in place of PROJECT_ID. The  project number is translated to its corresponding PROJECT_ID internally  and the log_name field will contain PROJECT_ID in queries and exports.[LOG_ID] must be URL-encoded within log_name. Example: \"organizations/1234567890/logs/cloudresourcemanager.googleapis.com%2Factivity\". [LOG_ID] must be less than 512 characters long and can only include the following characters: upper and lower case alphanumeric characters, forward-slash, underscore, hyphen, and period.For backward compatibility, if log_name begins with a forward-slash, such as /projects/..., then the log entry is ingested as usual but the forward-slash is removed. Listing the log entry will not show the leading slash and filtering for a log name with a leading slash will never return any results.","type":"string"}},"id":"LogEntry"},"RequestLog":{"description":"Complete log information about a single HTTP request to an App Engine application.","type":"object","properties":{"nickname":{"type":"string","description":"The logged-in user who made the request.Most likely, this is the part of the user's email before the @ sign. The field value is the same for different requests from the same user, but different users can have similar names. This information is also available to the application via the App Engine Users API.This field will be populated starting with App Engine 1.9.21."},"status":{"format":"int32","description":"HTTP response status code. Example: 200, 404.","type":"integer"},"resource":{"description":"Contains the path and query portion of the URL that was requested. For example, if the URL was \"http://example.com/app?name=val\", the resource would be \"/app?name=val\". The fragment identifier, which is identified by the # character, is not included.","type":"string"},"pendingTime":{"type":"string","format":"google-duration","description":"Time this request spent in the pending request queue."},"taskName":{"description":"Task name of the request, in the case of an offline request.","type":"string"},"urlMapEntry":{"description":"File or class that handled the request.","type":"string"},"instanceIndex":{"format":"int32","description":"If the instance processing this request belongs to a manually scaled module, then this is the 0-based index of the instance. Otherwise, this value is -1.","type":"integer"},"host":{"description":"Internet host and port number of the resource being requested.","type":"string"},"finished":{"description":"Whether this request is finished or active.","type":"boolean"},"httpVersion":{"description":"HTTP version of request. Example: \"HTTP/1.1\".","type":"string"},"startTime":{"format":"google-datetime","description":"Time when the request started.","type":"string"},"latency":{"format":"google-duration","description":"Latency of the request.","type":"string"},"ip":{"description":"Origin IP address.","type":"string"},"appId":{"description":"Application that handled this request.","type":"string"},"appEngineRelease":{"description":"App Engine release version.","type":"string"},"method":{"type":"string","description":"Request method. Example: \"GET\", \"HEAD\", \"PUT\", \"POST\", \"DELETE\"."},"cost":{"format":"double","description":"An indication of the relative cost of serving this request.","type":"number"},"instanceId":{"description":"An identifier for the instance that handled the request.","type":"string"},"megaCycles":{"type":"string","format":"int64","description":"Number of CPU megacycles used to process request."},"first":{"description":"Whether this is the first RequestLog entry for this request. If an active request has several RequestLog entries written to Stackdriver Logging, then this field will be set for one of them.","type":"boolean"},"versionId":{"description":"Version of the application that handled this request.","type":"string"},"moduleId":{"description":"Module of the application that handled this request.","type":"string"},"endTime":{"format":"google-datetime","description":"Time when the request finished.","type":"string"},"userAgent":{"type":"string","description":"User agent that made the request."},"wasLoadingRequest":{"description":"Whether this was a loading request for the instance.","type":"boolean"},"sourceReference":{"description":"Source code for the application that handled this request. There can be more than one source reference per deployed application if source code is distributed among multiple repositories.","items":{"$ref":"SourceReference"},"type":"array"},"responseSize":{"format":"int64","description":"Size in bytes sent back to client by request.","type":"string"},"traceId":{"description":"Stackdriver Trace identifier for this request.","type":"string"},"line":{"description":"A list of log lines emitted by the application while serving this request.","items":{"$ref":"LogLine"},"type":"array"},"referrer":{"description":"Referrer URL of request.","type":"string"},"taskQueueName":{"description":"Queue name of the request, in the case of an offline request.","type":"string"},"requestId":{"description":"Globally unique identifier for a request, which is based on the request start time. Request IDs for requests which started later will compare greater as strings than those for requests which started earlier.","type":"string"}},"id":"RequestLog"},"ListMonitoredResourceDescriptorsResponse":{"description":"Result returned from ListMonitoredResourceDescriptors.","type":"object","properties":{"nextPageToken":{"description":"If there might be more results than those appearing in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken.","type":"string"},"resourceDescriptors":{"description":"A list of resource descriptors.","items":{"$ref":"MonitoredResourceDescriptor"},"type":"array"}},"id":"ListMonitoredResourceDescriptorsResponse"},"LogMetric":{"description":"Describes a logs-based metric. The value of the metric is the number of log entries that match a logs filter in a given time interval.Logs-based metric can also be used to extract values from logs and create a a distribution of the values. The distribution records the statistics of the extracted values along with an optional histogram of the values as specified by the bucket options.","type":"object","properties":{"metricDescriptor":{"$ref":"MetricDescriptor","description":"Optional. The metric descriptor associated with the logs-based metric. If unspecified, it uses a default metric descriptor with a DELTA metric kind, INT64 value type, with no labels and a unit of \"1\". Such a metric counts the number of log entries matching the filter expression.The name, type, and description fields in the metric_descriptor are output only, and is constructed using the name and description field in the LogMetric.To create a logs-based metric that records a distribution of log values, a DELTA metric kind with a DISTRIBUTION value type must be used along with a value_extractor expression in the LogMetric.Each label in the metric descriptor must have a matching label name as the key and an extractor expression as the value in the label_extractors map.The metric_kind and value_type fields in the metric_descriptor cannot be updated once initially configured. New labels can be added in the metric_descriptor, but existing labels cannot be modified except for their description."},"version":{"type":"string","enumDescriptions":["Stackdriver Logging API v2.","Stackdriver Logging API v1."],"enum":["V2","V1"],"description":"Deprecated. The API version that created or updated this metric. The v2 format is used by default and cannot be changed."},"filter":{"description":"Required. An advanced logs filter which is used to match log entries. Example:\n\"resource.type=gae_app AND severity>=ERROR\"\nThe maximum length of the filter is 20000 characters.","type":"string"},"description":{"description":"Optional. A description of this metric, which is used in documentation.","type":"string"},"valueExtractor":{"type":"string","description":"Optional. A value_extractor is required when using a distribution logs-based metric to extract the values to record from a log entry. Two functions are supported for value extraction: EXTRACT(field) or REGEXP_EXTRACT(field, regex). The argument are:  1. field: The name of the log entry field from which the value is to be  extracted.  2. regex: A regular expression using the Google RE2 syntax  (https://github.com/google/re2/wiki/Syntax) with a single capture  group to extract data from the specified log entry field. The value  of the field is converted to a string before applying the regex.  It is an error to specify a regex that does not include exactly one  capture group.The result of the extraction must be convertible to a double type, as the distribution always records double values. If either the extraction or the conversion to double fails, then those values are not recorded in the distribution.Example: REGEXP_EXTRACT(jsonPayload.request, \".*quantity=(\\d+).*\")"},"bucketOptions":{"$ref":"BucketOptions","description":"Optional. The bucket_options are required when the logs-based metric is using a DISTRIBUTION value type and it describes the bucket boundaries used to create a histogram of the extracted values."},"name":{"description":"Required. The client-assigned metric identifier. Examples: \"error_count\", \"nginx/requests\".Metric identifiers are limited to 100 characters and can include only the following characters: A-Z, a-z, 0-9, and the special characters _-.,+!*',()%/. The forward-slash character (/) denotes a hierarchy of name pieces, and it cannot be the first character of the name.The metric identifier in this field must not be URL-encoded (https://en.wikipedia.org/wiki/Percent-encoding). However, when the metric identifier appears as the [METRIC_ID] part of a metric_name API parameter, then the metric identifier must be URL-encoded. Example: \"projects/my-project/metrics/nginx%2Frequests\".","type":"string"},"labelExtractors":{"description":"Optional. A map from a label key string to an extractor expression which is used to extract data from a log entry field and assign as the label value. Each label key specified in the LabelDescriptor must have an associated extractor expression in this map. The syntax of the extractor expression is the same as for the value_extractor field.The extracted value is converted to the type defined in the label descriptor. If the either the extraction or the type conversion fails, the label will have a default value. The default value for a string label is an empty string, for an integer label its 0, and for a boolean label its false.Note that there are upper bounds on the maximum number of labels and the number of active time series that are allowed in a project.","type":"object","additionalProperties":{"type":"string"}}},"id":"LogMetric"},"LogEntryOperation":{"description":"Additional information about a potentially long-running operation with which a log entry is associated.","type":"object","properties":{"last":{"description":"Optional. Set this to True if this is the last log entry in the operation.","type":"boolean"},"id":{"description":"Optional. An arbitrary operation identifier. Log entries with the same identifier are assumed to be part of the same operation.","type":"string"},"first":{"description":"Optional. Set this to True if this is the first log entry in the operation.","type":"boolean"},"producer":{"description":"Optional. An arbitrary producer identifier. The combination of id and producer must be globally unique. Examples for producer: \"MyDivision.MyBigCompany.com\", \"github.com/MyProject/MyApplication\".","type":"string"}},"id":"LogEntryOperation"},"MonitoredResource":{"type":"object","properties":{"labels":{"additionalProperties":{"type":"string"},"description":"Required. Values for all of the labels listed in the associated monitored resource descriptor. For example, Compute Engine VM instances use the labels \"project_id\", \"instance_id\", and \"zone\".","type":"object"},"type":{"description":"Required. The monitored resource type. This field must match the type field of a MonitoredResourceDescriptor object. For example, the type of a Compute Engine VM instance is gce_instance.","type":"string"}},"id":"MonitoredResource","description":"An object representing a resource that can be used for monitoring, logging, billing, or other purposes. Examples include virtual machine instances, databases, and storage devices such as disks. The type field identifies a MonitoredResourceDescriptor object that describes the resource's schema. Information in the labels field identifies the actual resource and its attributes according to the schema. For example, a particular Compute Engine VM instance could be represented by the following object, because the MonitoredResourceDescriptor for \"gce_instance\" has labels \"instance_id\" and \"zone\":\n{ \"type\": \"gce_instance\",\n  \"labels\": { \"instance_id\": \"12345678901234\",\n              \"zone\": \"us-central1-a\" }}\n"},"LogSink":{"description":"Describes a sink used to export log entries to one of the following destinations in any project: a Cloud Storage bucket, a BigQuery dataset, or a Cloud Pub/Sub topic. A logs filter controls which log entries are exported. The sink must be created within a project, organization, billing account, or folder.","type":"object","properties":{"name":{"description":"Required. The client-assigned sink identifier, unique within the project. Example: \"my-syslog-errors-to-pubsub\". Sink identifiers are limited to 100 characters and can include only the following characters: upper and lower-case alphanumeric characters, underscores, hyphens, and periods.","type":"string"},"includeChildren":{"description":"Optional. This field applies only to sinks owned by organizations and folders. If the field is false, the default, only the logs owned by the sink's parent resource are available for export. If the field is true, then logs from all the projects, folders, and billing accounts contained in the sink's parent resource are also available for export. Whether a particular log entry from the children is exported depends on the sink's filter expression. For example, if this field is true, then the filter resource.type=gce_instance would export all Compute Engine VM instance log entries from all projects in the sink's parent. To only export entries from certain child projects, filter on the project part of the log name:\nlogName:(\"projects/test-project1/\" OR \"projects/test-project2/\") AND\nresource.type=gce_instance\n","type":"boolean"},"destination":{"description":"Required. The export destination:\n\"storage.googleapis.com/[GCS_BUCKET]\"\n\"bigquery.googleapis.com/projects/[PROJECT_ID]/datasets/[DATASET]\"\n\"pubsub.googleapis.com/projects/[PROJECT_ID]/topics/[TOPIC_ID]\"\nThe sink's writer_identity, set when the sink is created, must have permission to write to the destination or else the log entries are not exported. For more information, see Exporting Logs With Sinks.","type":"string"},"filter":{"description":"Optional. An advanced logs filter. The only exported log entries are those that are in the resource owning the sink and that match the filter. For example:\nlogName=\"projects/[PROJECT_ID]/logs/[LOG_ID]\" AND severity>=ERROR\n","type":"string"},"endTime":{"format":"google-datetime","description":"Deprecated. This field is ignored when creating or updating sinks.","type":"string"},"writerIdentity":{"description":"Output only. An IAM identity&mdash;a service account or group&mdash;under which Stackdriver Logging writes the exported log entries to the sink's destination. This field is set by sinks.create and sinks.update, based on the setting of unique_writer_identity in those methods.Until you grant this identity write-access to the destination, log entry exports from this sink will fail. For more information, see Granting access for a resource. Consult the destination service's documentation to determine the appropriate IAM roles to assign to the identity.","type":"string"},"startTime":{"format":"google-datetime","description":"Deprecated. This field is ignored when creating or updating sinks.","type":"string"},"outputVersionFormat":{"enumDescriptions":["An unspecified format version that will default to V2.","LogEntry version 2 format.","LogEntry version 1 format."],"enum":["VERSION_FORMAT_UNSPECIFIED","V2","V1"],"description":"Deprecated. The log entry format to use for this sink's exported log entries. The v2 format is used by default and cannot be changed.","type":"string"}},"id":"LogSink"}},"protocol":"rest","icons":{"x16":"http://www.google.com/images/icons/product/search-16.gif","x32":"http://www.google.com/images/icons/product/search-32.gif"},"canonicalName":"Logging","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/logging.write":{"description":"Submit log data for your projects"},"https://www.googleapis.com/auth/logging.read":{"description":"View log data for your projects"},"https://www.googleapis.com/auth/logging.admin":{"description":"Administrate log data for your projects"},"https://www.googleapis.com/auth/cloud-platform.read-only":{"description":"View your data across Google Cloud Platform services"},"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"}}}}};