module.exports = {"kind":"discovery#restDescription","etag":"\"YWOzh2SDasdU84ArJnpYek-OMdg/y6-9S-Lx_Izdv2KpEj-E5-XRo7s\"","discoveryVersion":"v1","id":"prediction:v1.2","name":"prediction","version":"v1.2","revision":"20160511","title":"Prediction API","description":"Lets you access a cloud hosted machine learning service that makes it easy to build smart apps","ownerDomain":"google.com","ownerName":"Google","icons":{"x16":"https://www.google.com/images/icons/feature/predictionapi-16.png","x32":"https://www.google.com/images/icons/feature/predictionapi-32.png"},"documentationLink":"https://developers.google.com/prediction/docs/developer-guide","protocol":"rest","baseUrl":"https://www.googleapis.com/prediction/v1.2/","basePath":"/prediction/v1.2/","rootUrl":"https://www.googleapis.com/","servicePath":"prediction/v1.2/","batchPath":"batch/prediction/v1.2","parameters":{"alt":{"type":"string","description":"Data format for the response.","default":"json","enum":["json"],"enumDescriptions":["Responses with Content-Type of application/json"],"location":"query"},"fields":{"type":"string","description":"Selector specifying which fields to include in a partial response.","location":"query"},"key":{"type":"string","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","location":"query"},"oauth_token":{"type":"string","description":"OAuth 2.0 token for the current user.","location":"query"},"prettyPrint":{"type":"boolean","description":"Returns response with indentations and line breaks.","default":"true","location":"query"},"quotaUser":{"type":"string","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. Overrides userIp if both are provided.","location":"query"},"userIp":{"type":"string","description":"IP address of the site where the request originates. Use this if you want to enforce per-user limits.","location":"query"}},"auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/devstorage.full_control":{"description":"Manage your data and permissions in Google Cloud Storage"},"https://www.googleapis.com/auth/devstorage.read_only":{"description":"View your data in Google Cloud Storage"},"https://www.googleapis.com/auth/devstorage.read_write":{"description":"Manage your data in Google Cloud Storage"},"https://www.googleapis.com/auth/prediction":{"description":"Manage your data in the Google Prediction API"}}}},"schemas":{"Input":{"id":"Input","type":"object","properties":{"input":{"type":"object","properties":{"csvInstance":{"type":"array","items":{"type":"any"}}}}}},"Output":{"id":"Output","type":"object","properties":{"id":{"type":"string"},"kind":{"type":"string","default":"prediction#output"},"outputLabel":{"type":"string"},"outputMulti":{"type":"array","items":{"type":"object","properties":{"label":{"type":"string"},"score":{"type":"number","format":"double"}}}},"outputValue":{"type":"number","format":"double"},"selfLink":{"type":"string"}}},"Training":{"id":"Training","type":"object","properties":{"id":{"type":"string"},"kind":{"type":"string","default":"prediction#training"},"modelInfo":{"type":"object","properties":{"classificationAccuracy":{"type":"number","format":"double"},"meanSquaredError":{"type":"number","format":"double"},"modelType":{"type":"string"}}},"selfLink":{"type":"string"},"trainingStatus":{"type":"string"}}},"Update":{"id":"Update","type":"object","properties":{"classLabel":{"type":"string","description":"The true class label of this instance"},"csvInstance":{"type":"array","description":"The input features for this instance","items":{"type":"any"}}}}},"methods":{"predict":{"id":"prediction.predict","path":"training/{data}/predict","httpMethod":"POST","description":"Submit data and request a prediction","parameters":{"data":{"type":"string","description":"mybucket%2Fmydata resource in Google Storage","required":true,"location":"path"}},"parameterOrder":["data"],"request":{"$ref":"Input"},"response":{"$ref":"Output"},"scopes":["https://www.googleapis.com/auth/prediction"]}},"resources":{"hostedmodels":{"methods":{"predict":{"id":"prediction.hostedmodels.predict","path":"hostedmodels/{hostedModelName}/predict","httpMethod":"POST","description":"Submit input and request an output against a hosted model","parameters":{"hostedModelName":{"type":"string","description":"The name of a hosted model","required":true,"location":"path"}},"parameterOrder":["hostedModelName"],"request":{"$ref":"Input"},"response":{"$ref":"Output"},"scopes":["https://www.googleapis.com/auth/prediction"]}}},"training":{"methods":{"delete":{"id":"prediction.training.delete","path":"training/{data}","httpMethod":"DELETE","description":"Delete a trained model","parameters":{"data":{"type":"string","description":"mybucket/mydata resource in Google Storage","required":true,"location":"path"}},"parameterOrder":["data"],"scopes":["https://www.googleapis.com/auth/prediction"]},"get":{"id":"prediction.training.get","path":"training/{data}","httpMethod":"GET","description":"Check training status of your model","parameters":{"data":{"type":"string","description":"mybucket/mydata resource in Google Storage","required":true,"location":"path"}},"parameterOrder":["data"],"response":{"$ref":"Training"},"scopes":["https://www.googleapis.com/auth/prediction"]},"insert":{"id":"prediction.training.insert","path":"training","httpMethod":"POST","description":"Begin training your model","parameters":{"data":{"type":"string","description":"mybucket/mydata resource in Google Storage","location":"query"}},"request":{"$ref":"Training"},"response":{"$ref":"Training"},"scopes":["https://www.googleapis.com/auth/devstorage.full_control","https://www.googleapis.com/auth/devstorage.read_only","https://www.googleapis.com/auth/devstorage.read_write","https://www.googleapis.com/auth/prediction"]},"update":{"id":"prediction.training.update","path":"training/{data}","httpMethod":"PUT","description":"Add new data to a trained model","parameters":{"data":{"type":"string","description":"mybucket/mydata resource in Google Storage","required":true,"location":"path"}},"parameterOrder":["data"],"request":{"$ref":"Update"},"response":{"$ref":"Training"},"scopes":["https://www.googleapis.com/auth/prediction"]}}}}};