module.exports = {"rootUrl":"https://safebrowsing.googleapis.com/","basePath":"","ownerDomain":"google.com","name":"safebrowsing","batchPath":"batch","id":"safebrowsing:v4","documentationLink":"https://developers.google.com/safe-browsing/","revision":"20171101","title":"Google Safe Browsing API","ownerName":"Google","discoveryVersion":"v1","resources":{"threatMatches":{"methods":{"find":{"response":{"$ref":"FindThreatMatchesResponse"},"parameterOrder":[],"httpMethod":"POST","parameters":{},"flatPath":"v4/threatMatches:find","id":"safebrowsing.threatMatches.find","path":"v4/threatMatches:find","request":{"$ref":"FindThreatMatchesRequest"},"description":"Finds the threat entries that match the Safe Browsing lists."}}},"fullHashes":{"methods":{"find":{"id":"safebrowsing.fullHashes.find","path":"v4/fullHashes:find","request":{"$ref":"FindFullHashesRequest"},"description":"Finds the full hashes that match the requested hash prefixes.","response":{"$ref":"FindFullHashesResponse"},"parameterOrder":[],"httpMethod":"POST","parameters":{},"flatPath":"v4/fullHashes:find"}}},"encodedUpdates":{"methods":{"get":{"description":"","httpMethod":"GET","response":{"$ref":"FetchThreatListUpdatesResponse"},"parameterOrder":["encodedRequest"],"parameters":{"encodedRequest":{"format":"byte","description":"A serialized FetchThreatListUpdatesRequest proto.","type":"string","required":true,"location":"path"},"clientId":{"location":"query","description":"A client ID that uniquely identifies the client implementation of the Safe\nBrowsing API.","type":"string"},"clientVersion":{"location":"query","description":"The version of the client implementation.","type":"string"}},"flatPath":"v4/encodedUpdates/{encodedRequest}","path":"v4/encodedUpdates/{encodedRequest}","id":"safebrowsing.encodedUpdates.get"}}},"threatListUpdates":{"methods":{"fetch":{"description":"Fetches the most recent threat list updates. A client can request updates\nfor multiple lists at once.","request":{"$ref":"FetchThreatListUpdatesRequest"},"response":{"$ref":"FetchThreatListUpdatesResponse"},"parameterOrder":[],"httpMethod":"POST","parameters":{},"flatPath":"v4/threatListUpdates:fetch","id":"safebrowsing.threatListUpdates.fetch","path":"v4/threatListUpdates:fetch"}}},"encodedFullHashes":{"methods":{"get":{"description":"","httpMethod":"GET","response":{"$ref":"FindFullHashesResponse"},"parameterOrder":["encodedRequest"],"parameters":{"clientId":{"description":"A client ID that (hopefully) uniquely identifies the client implementation\nof the Safe Browsing API.","type":"string","location":"query"},"clientVersion":{"location":"query","description":"The version of the client implementation.","type":"string"},"encodedRequest":{"location":"path","format":"byte","description":"A serialized FindFullHashesRequest proto.","type":"string","required":true}},"flatPath":"v4/encodedFullHashes/{encodedRequest}","path":"v4/encodedFullHashes/{encodedRequest}","id":"safebrowsing.encodedFullHashes.get"}}},"threatLists":{"methods":{"list":{"response":{"$ref":"ListThreatListsResponse"},"parameterOrder":[],"httpMethod":"GET","parameters":{},"flatPath":"v4/threatLists","id":"safebrowsing.threatLists.list","path":"v4/threatLists","description":"Lists the Safe Browsing threat lists available for download."}}}},"parameters":{"upload_protocol":{"description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string","location":"query"},"prettyPrint":{"location":"query","description":"Returns response with indentations and line breaks.","default":"true","type":"boolean"},"uploadType":{"location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string"},"fields":{"description":"Selector specifying which fields to include in a partial response.","type":"string","location":"query"},"callback":{"description":"JSONP","type":"string","location":"query"},"$.xgafv":{"enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"],"description":"V1 error format.","type":"string"},"alt":{"enum":["json","media","proto"],"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json"},"access_token":{"description":"OAuth access token.","type":"string","location":"query"},"key":{"description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string","location":"query"},"quotaUser":{"description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string","location":"query"},"pp":{"description":"Pretty-print response.","default":"true","type":"boolean","location":"query"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"bearer_token":{"description":"OAuth bearer token.","type":"string","location":"query"}},"schemas":{"ThreatListDescriptor":{"description":"Describes an individual threat list. A list is defined by three parameters:\nthe type of threat posed, the type of platform targeted by the threat, and\nthe type of entries in the list.","type":"object","properties":{"platformType":{"enumDescriptions":["Unknown platform.","Threat posed to Windows.","Threat posed to Linux.","Threat posed to Android.","Threat posed to OS X.","Threat posed to iOS.","Threat posed to at least one of the defined platforms.","Threat posed to all defined platforms.","Threat posed to Chrome."],"enum":["PLATFORM_TYPE_UNSPECIFIED","WINDOWS","LINUX","ANDROID","OSX","IOS","ANY_PLATFORM","ALL_PLATFORMS","CHROME"],"description":"The platform type targeted by the list's entries.","type":"string"},"threatType":{"enum":["THREAT_TYPE_UNSPECIFIED","MALWARE","SOCIAL_ENGINEERING","UNWANTED_SOFTWARE","POTENTIALLY_HARMFUL_APPLICATION","SOCIAL_ENGINEERING_INTERNAL","API_ABUSE","MALICIOUS_BINARY","CSD_WHITELIST","CSD_DOWNLOAD_WHITELIST","CLIENT_INCIDENT","CLIENT_INCIDENT_WHITELIST","APK_MALWARE_OFFLINE","SUBRESOURCE_FILTER"],"description":"The threat type posed by the list's entries.","type":"string","enumDescriptions":["Unknown.","Malware threat type.","Social engineering threat type.","Unwanted software threat type.","Potentially harmful application threat type.","Social engineering threat type for internal use.","API abuse threat type.","Malicious binary threat type.","Client side detection whitelist threat type.","Client side download detection whitelist threat type.","Client incident threat type.","Whitelist used when detecting client incident threats.\nThis enum was never launched and should be re-used for the next list.","List used for offline APK checks in PAM.","Patterns to be used for activating the subresource filter. Interstitial\nwill not be shown for patterns from this list."]},"threatEntryType":{"enumDescriptions":["Unspecified.","A URL.","An executable program.","An IP range.","Chrome extension.","Filename.","CERT"],"enum":["THREAT_ENTRY_TYPE_UNSPECIFIED","URL","EXECUTABLE","IP_RANGE","CHROME_EXTENSION","FILENAME","CERT"],"description":"The entry types contained in the list.","type":"string"}},"id":"ThreatListDescriptor"},"MetadataEntry":{"description":"A single metadata entry.","type":"object","properties":{"value":{"format":"byte","description":"The metadata entry value. For JSON requests, the value is base64-encoded.","type":"string"},"key":{"format":"byte","description":"The metadata entry key. For JSON requests, the key is base64-encoded.","type":"string"}},"id":"MetadataEntry"},"ClientInfo":{"properties":{"clientId":{"description":"A client ID that (hopefully) uniquely identifies the client implementation\nof the Safe Browsing API.","type":"string"},"clientVersion":{"description":"The version of the client implementation.","type":"string"}},"id":"ClientInfo","description":"The client metadata associated with Safe Browsing API requests.","type":"object"},"FindThreatMatchesRequest":{"properties":{"client":{"$ref":"ClientInfo","description":"The client metadata."},"threatInfo":{"$ref":"ThreatInfo","description":"The lists and entries to be checked for matches."}},"id":"FindThreatMatchesRequest","description":"Request to check entries against lists.","type":"object"},"ThreatInfo":{"properties":{"threatEntryTypes":{"description":"The entry types to be checked.","items":{"enum":["THREAT_ENTRY_TYPE_UNSPECIFIED","URL","EXECUTABLE","IP_RANGE","CHROME_EXTENSION","FILENAME","CERT"],"type":"string"},"type":"array","enumDescriptions":["Unspecified.","A URL.","An executable program.","An IP range.","Chrome extension.","Filename.","CERT"]},"threatTypes":{"enumDescriptions":["Unknown.","Malware threat type.","Social engineering threat type.","Unwanted software threat type.","Potentially harmful application threat type.","Social engineering threat type for internal use.","API abuse threat type.","Malicious binary threat type.","Client side detection whitelist threat type.","Client side download detection whitelist threat type.","Client incident threat type.","Whitelist used when detecting client incident threats.\nThis enum was never launched and should be re-used for the next list.","List used for offline APK checks in PAM.","Patterns to be used for activating the subresource filter. Interstitial\nwill not be shown for patterns from this list."],"description":"The threat types to be checked.","items":{"enum":["THREAT_TYPE_UNSPECIFIED","MALWARE","SOCIAL_ENGINEERING","UNWANTED_SOFTWARE","POTENTIALLY_HARMFUL_APPLICATION","SOCIAL_ENGINEERING_INTERNAL","API_ABUSE","MALICIOUS_BINARY","CSD_WHITELIST","CSD_DOWNLOAD_WHITELIST","CLIENT_INCIDENT","CLIENT_INCIDENT_WHITELIST","APK_MALWARE_OFFLINE","SUBRESOURCE_FILTER"],"type":"string"},"type":"array"},"platformTypes":{"enumDescriptions":["Unknown platform.","Threat posed to Windows.","Threat posed to Linux.","Threat posed to Android.","Threat posed to OS X.","Threat posed to iOS.","Threat posed to at least one of the defined platforms.","Threat posed to all defined platforms.","Threat posed to Chrome."],"description":"The platform types to be checked.","items":{"enum":["PLATFORM_TYPE_UNSPECIFIED","WINDOWS","LINUX","ANDROID","OSX","IOS","ANY_PLATFORM","ALL_PLATFORMS","CHROME"],"type":"string"},"type":"array"},"threatEntries":{"description":"The threat entries to be checked.","items":{"$ref":"ThreatEntry"},"type":"array"}},"id":"ThreatInfo","description":"The information regarding one or more threats that a client submits when\nchecking for matches in threat lists.","type":"object"},"ThreatEntryMetadata":{"properties":{"entries":{"description":"The metadata entries.","items":{"$ref":"MetadataEntry"},"type":"array"}},"id":"ThreatEntryMetadata","description":"The metadata associated with a specific threat entry. The client is expected\nto know the metadata key/value pairs associated with each threat type.","type":"object"},"RawIndices":{"properties":{"indices":{"description":"The indices to remove from a lexicographically-sorted local list.","items":{"format":"int32","type":"integer"},"type":"array"}},"id":"RawIndices","description":"A set of raw indices to remove from a local list.","type":"object"},"RawHashes":{"description":"The uncompressed threat entries in hash format of a particular prefix length.\nHashes can be anywhere from 4 to 32 bytes in size. A large majority are 4\nbytes, but some hashes are lengthened if they collide with the hash of a\npopular URL.\n\nUsed for sending ThreatEntrySet to clients that do not support compression,\nor when sending non-4-byte hashes to clients that do support compression.","type":"object","properties":{"prefixSize":{"format":"int32","description":"The number of bytes for each prefix encoded below.  This field can be\nanywhere from 4 (shortest prefix) to 32 (full SHA256 hash).","type":"integer"},"rawHashes":{"format":"byte","description":"The hashes, in binary format, concatenated into one long string. Hashes are\nsorted in lexicographic order. For JSON API users, hashes are\nbase64-encoded.","type":"string"}},"id":"RawHashes"},"FetchThreatListUpdatesResponse":{"type":"object","properties":{"minimumWaitDuration":{"format":"google-duration","description":"The minimum duration the client must wait before issuing any update\nrequest. If this field is not set clients may update as soon as they want.","type":"string"},"listUpdateResponses":{"description":"The list updates requested by the clients.","items":{"$ref":"ListUpdateResponse"},"type":"array"}},"id":"FetchThreatListUpdatesResponse"},"FindFullHashesResponse":{"properties":{"negativeCacheDuration":{"format":"google-duration","description":"For requested entities that did not match the threat list, how long to\ncache the response.","type":"string"},"minimumWaitDuration":{"format":"google-duration","description":"The minimum duration the client must wait before issuing any find hashes\nrequest. If this field is not set, clients can issue a request as soon as\nthey want.","type":"string"},"matches":{"description":"The full hashes that matched the requested prefixes.","items":{"$ref":"ThreatMatch"},"type":"array"}},"id":"FindFullHashesResponse","type":"object"},"Checksum":{"description":"The expected state of a client's local database.","type":"object","properties":{"sha256":{"format":"byte","description":"The SHA256 hash of the client state; that is, of the sorted list of all\nhashes present in the database.","type":"string"}},"id":"Checksum"},"ThreatEntrySet":{"description":"A set of threats that should be added or removed from a client's local\ndatabase.","type":"object","properties":{"riceHashes":{"description":"The encoded 4-byte prefixes of SHA256-formatted entries, using a\nGolomb-Rice encoding. The hashes are converted to uint32, sorted in\nascending order, then delta encoded and stored as encoded_data.","$ref":"RiceDeltaEncoding"},"riceIndices":{"description":"The encoded local, lexicographically-sorted list indices, using a\nGolomb-Rice encoding. Used for sending compressed removal indices. The\nremoval indices (uint32) are sorted in ascending order, then delta encoded\nand stored as encoded_data.","$ref":"RiceDeltaEncoding"},"compressionType":{"enum":["COMPRESSION_TYPE_UNSPECIFIED","RAW","RICE"],"description":"The compression type for the entries in this set.","type":"string","enumDescriptions":["Unknown.","Raw, uncompressed data.","Rice-Golomb encoded data."]},"rawIndices":{"$ref":"RawIndices","description":"The raw removal indices for a local list."},"rawHashes":{"$ref":"RawHashes","description":"The raw SHA256-formatted entries."}},"id":"ThreatEntrySet"},"FindFullHashesRequest":{"description":"Request to return full hashes matched by the provided hash prefixes.","type":"object","properties":{"clientStates":{"description":"The current client states for each of the client's local threat lists.","items":{"format":"byte","type":"string"},"type":"array"},"client":{"description":"The client metadata.","$ref":"ClientInfo"},"threatInfo":{"description":"The lists and hashes to be checked.","$ref":"ThreatInfo"},"apiClient":{"$ref":"ClientInfo","description":"Client metadata associated with callers of higher-level APIs built on top\nof the client's implementation."}},"id":"FindFullHashesRequest"},"ListUpdateRequest":{"description":"A single list update request.","type":"object","properties":{"threatEntryType":{"enumDescriptions":["Unspecified.","A URL.","An executable program.","An IP range.","Chrome extension.","Filename.","CERT"],"enum":["THREAT_ENTRY_TYPE_UNSPECIFIED","URL","EXECUTABLE","IP_RANGE","CHROME_EXTENSION","FILENAME","CERT"],"description":"The types of entries present in the list.","type":"string"},"state":{"format":"byte","description":"The current state of the client for the requested list (the encrypted\nclient state that was received from the last successful list update).","type":"string"},"platformType":{"enumDescriptions":["Unknown platform.","Threat posed to Windows.","Threat posed to Linux.","Threat posed to Android.","Threat posed to OS X.","Threat posed to iOS.","Threat posed to at least one of the defined platforms.","Threat posed to all defined platforms.","Threat posed to Chrome."],"enum":["PLATFORM_TYPE_UNSPECIFIED","WINDOWS","LINUX","ANDROID","OSX","IOS","ANY_PLATFORM","ALL_PLATFORMS","CHROME"],"description":"The type of platform at risk by entries present in the list.","type":"string"},"constraints":{"$ref":"Constraints","description":"The constraints associated with this request."},"threatType":{"enum":["THREAT_TYPE_UNSPECIFIED","MALWARE","SOCIAL_ENGINEERING","UNWANTED_SOFTWARE","POTENTIALLY_HARMFUL_APPLICATION","SOCIAL_ENGINEERING_INTERNAL","API_ABUSE","MALICIOUS_BINARY","CSD_WHITELIST","CSD_DOWNLOAD_WHITELIST","CLIENT_INCIDENT","CLIENT_INCIDENT_WHITELIST","APK_MALWARE_OFFLINE","SUBRESOURCE_FILTER"],"description":"The type of threat posed by entries present in the list.","type":"string","enumDescriptions":["Unknown.","Malware threat type.","Social engineering threat type.","Unwanted software threat type.","Potentially harmful application threat type.","Social engineering threat type for internal use.","API abuse threat type.","Malicious binary threat type.","Client side detection whitelist threat type.","Client side download detection whitelist threat type.","Client incident threat type.","Whitelist used when detecting client incident threats.\nThis enum was never launched and should be re-used for the next list.","List used for offline APK checks in PAM.","Patterns to be used for activating the subresource filter. Interstitial\nwill not be shown for patterns from this list."]}},"id":"ListUpdateRequest"},"FetchThreatListUpdatesRequest":{"properties":{"listUpdateRequests":{"description":"The requested threat list updates.","items":{"$ref":"ListUpdateRequest"},"type":"array"},"client":{"description":"The client metadata.","$ref":"ClientInfo"}},"id":"FetchThreatListUpdatesRequest","description":"Describes a Safe Browsing API update request. Clients can request updates for\nmultiple lists in a single request.\nNOTE: Field index 2 is unused.\nNEXT: 5","type":"object"},"ListUpdateResponse":{"description":"An update to an individual list.","type":"object","properties":{"removals":{"description":"A set of entries to remove from a local threat type's list. In practice,\nthis field is empty or contains exactly one ThreatEntrySet.","items":{"$ref":"ThreatEntrySet"},"type":"array"},"newClientState":{"format":"byte","description":"The new client state, in encrypted format. Opaque to clients.","type":"string"},"platformType":{"enum":["PLATFORM_TYPE_UNSPECIFIED","WINDOWS","LINUX","ANDROID","OSX","IOS","ANY_PLATFORM","ALL_PLATFORMS","CHROME"],"description":"The platform type for which data is returned.","type":"string","enumDescriptions":["Unknown platform.","Threat posed to Windows.","Threat posed to Linux.","Threat posed to Android.","Threat posed to OS X.","Threat posed to iOS.","Threat posed to at least one of the defined platforms.","Threat posed to all defined platforms.","Threat posed to Chrome."]},"threatEntryType":{"enumDescriptions":["Unspecified.","A URL.","An executable program.","An IP range.","Chrome extension.","Filename.","CERT"],"enum":["THREAT_ENTRY_TYPE_UNSPECIFIED","URL","EXECUTABLE","IP_RANGE","CHROME_EXTENSION","FILENAME","CERT"],"description":"The format of the threats.","type":"string"},"additions":{"description":"A set of entries to add to a local threat type's list. Repeated to allow\nfor a combination of compressed and raw data to be sent in a single\nresponse.","items":{"$ref":"ThreatEntrySet"},"type":"array"},"checksum":{"description":"The expected SHA256 hash of the client state; that is, of the sorted list\nof all hashes present in the database after applying the provided update.\nIf the client state doesn't match the expected state, the client must\ndisregard this update and retry later.","$ref":"Checksum"},"responseType":{"enumDescriptions":["Unknown.","Partial updates are applied to the client's existing local database.","Full updates replace the client's entire local database. This means\nthat either the client was seriously out-of-date or the client is\nbelieved to be corrupt."],"enum":["RESPONSE_TYPE_UNSPECIFIED","PARTIAL_UPDATE","FULL_UPDATE"],"description":"The type of response. This may indicate that an action is required by the\nclient when the response is received.","type":"string"},"threatType":{"enumDescriptions":["Unknown.","Malware threat type.","Social engineering threat type.","Unwanted software threat type.","Potentially harmful application threat type.","Social engineering threat type for internal use.","API abuse threat type.","Malicious binary threat type.","Client side detection whitelist threat type.","Client side download detection whitelist threat type.","Client incident threat type.","Whitelist used when detecting client incident threats.\nThis enum was never launched and should be re-used for the next list.","List used for offline APK checks in PAM.","Patterns to be used for activating the subresource filter. Interstitial\nwill not be shown for patterns from this list."],"enum":["THREAT_TYPE_UNSPECIFIED","MALWARE","SOCIAL_ENGINEERING","UNWANTED_SOFTWARE","POTENTIALLY_HARMFUL_APPLICATION","SOCIAL_ENGINEERING_INTERNAL","API_ABUSE","MALICIOUS_BINARY","CSD_WHITELIST","CSD_DOWNLOAD_WHITELIST","CLIENT_INCIDENT","CLIENT_INCIDENT_WHITELIST","APK_MALWARE_OFFLINE","SUBRESOURCE_FILTER"],"description":"The threat type for which data is returned.","type":"string"}},"id":"ListUpdateResponse"},"Constraints":{"description":"The constraints for this update.","type":"object","properties":{"supportedCompressions":{"enumDescriptions":["Unknown.","Raw, uncompressed data.","Rice-Golomb encoded data."],"description":"The compression types supported by the client.","items":{"enum":["COMPRESSION_TYPE_UNSPECIFIED","RAW","RICE"],"type":"string"},"type":"array"},"maxUpdateEntries":{"format":"int32","description":"The maximum size in number of entries. The update will not contain more\nentries than this value.  This should be a power of 2 between 2**10 and\n2**20.  If zero, no update size limit is set.","type":"integer"},"region":{"description":"Requests the list for a specific geographic location. If not set the\nserver may pick that value based on the user's IP address. Expects ISO\n3166-1 alpha-2 format.","type":"string"},"maxDatabaseEntries":{"format":"int32","description":"Sets the maximum number of entries that the client is willing to have\nin the local database. This should be a power of 2 between 2**10 and\n2**20. If zero, no database size limit is set.","type":"integer"}},"id":"Constraints"},"ThreatMatch":{"description":"A match when checking a threat entry in the Safe Browsing threat lists.","type":"object","properties":{"threatEntryType":{"enumDescriptions":["Unspecified.","A URL.","An executable program.","An IP range.","Chrome extension.","Filename.","CERT"],"enum":["THREAT_ENTRY_TYPE_UNSPECIFIED","URL","EXECUTABLE","IP_RANGE","CHROME_EXTENSION","FILENAME","CERT"],"description":"The threat entry type matching this threat.","type":"string"},"cacheDuration":{"format":"google-duration","description":"The cache lifetime for the returned match. Clients must not cache this\nresponse for more than this duration to avoid false positives.","type":"string"},"threatEntryMetadata":{"description":"Optional metadata associated with this threat.","$ref":"ThreatEntryMetadata"},"threatType":{"enum":["THREAT_TYPE_UNSPECIFIED","MALWARE","SOCIAL_ENGINEERING","UNWANTED_SOFTWARE","POTENTIALLY_HARMFUL_APPLICATION","SOCIAL_ENGINEERING_INTERNAL","API_ABUSE","MALICIOUS_BINARY","CSD_WHITELIST","CSD_DOWNLOAD_WHITELIST","CLIENT_INCIDENT","CLIENT_INCIDENT_WHITELIST","APK_MALWARE_OFFLINE","SUBRESOURCE_FILTER"],"description":"The threat type matching this threat.","type":"string","enumDescriptions":["Unknown.","Malware threat type.","Social engineering threat type.","Unwanted software threat type.","Potentially harmful application threat type.","Social engineering threat type for internal use.","API abuse threat type.","Malicious binary threat type.","Client side detection whitelist threat type.","Client side download detection whitelist threat type.","Client incident threat type.","Whitelist used when detecting client incident threats.\nThis enum was never launched and should be re-used for the next list.","List used for offline APK checks in PAM.","Patterns to be used for activating the subresource filter. Interstitial\nwill not be shown for patterns from this list."]},"threat":{"description":"The threat matching this threat.","$ref":"ThreatEntry"},"platformType":{"enumDescriptions":["Unknown platform.","Threat posed to Windows.","Threat posed to Linux.","Threat posed to Android.","Threat posed to OS X.","Threat posed to iOS.","Threat posed to at least one of the defined platforms.","Threat posed to all defined platforms.","Threat posed to Chrome."],"enum":["PLATFORM_TYPE_UNSPECIFIED","WINDOWS","LINUX","ANDROID","OSX","IOS","ANY_PLATFORM","ALL_PLATFORMS","CHROME"],"description":"The platform type matching this threat.","type":"string"}},"id":"ThreatMatch"},"RiceDeltaEncoding":{"properties":{"riceParameter":{"format":"int32","description":"The Golomb-Rice parameter, which is a number between 2 and 28. This field\nis missing (that is, zero) if `num_entries` is zero.","type":"integer"},"encodedData":{"format":"byte","description":"The encoded deltas that are encoded using the Golomb-Rice coder.","type":"string"},"firstValue":{"format":"int64","description":"The offset of the first entry in the encoded data, or, if only a single\ninteger was encoded, that single integer's value.","type":"string"},"numEntries":{"format":"int32","description":"The number of entries that are delta encoded in the encoded data. If only a\nsingle integer was encoded, this will be zero and the single value will be\nstored in `first_value`.","type":"integer"}},"id":"RiceDeltaEncoding","description":"The Rice-Golomb encoded data. Used for sending compressed 4-byte hashes or\ncompressed removal indices.","type":"object"},"ListThreatListsResponse":{"type":"object","properties":{"threatLists":{"description":"The lists available for download by the client.","items":{"$ref":"ThreatListDescriptor"},"type":"array"}},"id":"ListThreatListsResponse"},"FindThreatMatchesResponse":{"type":"object","properties":{"matches":{"description":"The threat list matches.","items":{"$ref":"ThreatMatch"},"type":"array"}},"id":"FindThreatMatchesResponse"},"ThreatEntry":{"description":"An individual threat; for example, a malicious URL or its hash\nrepresentation. Only one of these fields should be set.","type":"object","properties":{"url":{"description":"A URL.","type":"string"},"digest":{"format":"byte","description":"The digest of an executable in SHA256 format. The API supports both\nbinary and hex digests. For JSON requests, digests are base64-encoded.","type":"string"},"hash":{"format":"byte","description":"A hash prefix, consisting of the most significant 4-32 bytes of a SHA256\nhash. This field is in binary format. For JSON requests, hashes are\nbase64-encoded.","type":"string"}},"id":"ThreatEntry"}},"icons":{"x32":"http://www.google.com/images/icons/product/search-32.gif","x16":"http://www.google.com/images/icons/product/search-16.gif"},"protocol":"rest","version":"v4","baseUrl":"https://safebrowsing.googleapis.com/","servicePath":"","kind":"discovery#restDescription","description":"Enables client applications to check web resources (most commonly URLs) against Google-generated lists of unsafe web resources."};