module.exports = {"ownerDomain":"google.com","name":"serviceuser","batchPath":"batch","title":"Google Service User API","ownerName":"Google","resources":{"projects":{"resources":{"services":{"methods":{"disable":{"httpMethod":"POST","parameterOrder":["name"],"response":{"$ref":"Operation"},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/service.management"],"parameters":{"name":{"required":true,"type":"string","pattern":"^projects/[^/]+/services/[^/]+$","location":"path","description":"Name of the consumer and the service to disable for that consumer.\n\nThe Service User implementation accepts the following forms for consumer:\n- \"project:<project_id>\"\n\nA valid path would be:\n- /v1/projects/my-project/services/servicemanagement.googleapis.com:disable"}},"flatPath":"v1/projects/{projectsId}/services/{servicesId}:disable","id":"serviceuser.projects.services.disable","path":"v1/{+name}:disable","description":"Disable a service so it can no longer be used with a\nproject. This prevents unintended usage that may cause unexpected billing\ncharges or security leaks.\n\nOperation<response: google.protobuf.Empty>","request":{"$ref":"DisableServiceRequest"}},"enable":{"parameters":{"name":{"description":"Name of the consumer and the service to enable for that consumer.\n\nA valid path would be:\n- /v1/projects/my-project/services/servicemanagement.googleapis.com:enable","required":true,"type":"string","pattern":"^projects/[^/]+/services/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/service.management"],"flatPath":"v1/projects/{projectsId}/services/{servicesId}:enable","id":"serviceuser.projects.services.enable","path":"v1/{+name}:enable","request":{"$ref":"EnableServiceRequest"},"description":"Enable a service so it can be used with a project.\nSee [Cloud Auth Guide](https://cloud.google.com/docs/authentication) for\nmore information.\n\nOperation<response: google.protobuf.Empty>","httpMethod":"POST","parameterOrder":["name"],"response":{"$ref":"Operation"}},"list":{"response":{"$ref":"ListEnabledServicesResponse"},"parameterOrder":["parent"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only"],"parameters":{"pageToken":{"type":"string","location":"query","description":"Token identifying which result to start with; returned by a previous list\ncall."},"pageSize":{"location":"query","description":"Requested size of the next page of data.","format":"int32","type":"integer"},"parent":{"required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path","description":"List enabled services for the specified parent.\n\nAn example valid parent would be:\n- projects/my-project"}},"flatPath":"v1/projects/{projectsId}/services","path":"v1/{+parent}/services","id":"serviceuser.projects.services.list","description":"List enabled services for the specified consumer."}}}}},"services":{"methods":{"search":{"httpMethod":"GET","response":{"$ref":"SearchServicesResponse"},"parameterOrder":[],"parameters":{"pageToken":{"location":"query","description":"Token identifying which result to start with; returned by a previous list\ncall.","type":"string"},"pageSize":{"description":"Requested size of the next page of data.","format":"int32","type":"integer","location":"query"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only"],"flatPath":"v1/services:search","id":"serviceuser.services.search","path":"v1/services:search","description":"Search available services.\n\nWhen no filter is specified, returns all accessible services. For\nauthenticated users, also returns all services the calling user has\n\"servicemanagement.services.bind\" permission for."}}}},"parameters":{"upload_protocol":{"description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string","location":"query"},"prettyPrint":{"location":"query","description":"Returns response with indentations and line breaks.","type":"boolean","default":"true"},"uploadType":{"description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string","location":"query"},"fields":{"location":"query","description":"Selector specifying which fields to include in a partial response.","type":"string"},"$.xgafv":{"location":"query","enum":["1","2"],"description":"V1 error format.","type":"string","enumDescriptions":["v1 error format","v2 error format"]},"callback":{"location":"query","description":"JSONP","type":"string"},"alt":{"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json","enum":["json","media","proto"]},"access_token":{"type":"string","location":"query","description":"OAuth access token."},"key":{"location":"query","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string"},"quotaUser":{"location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string"},"pp":{"location":"query","description":"Pretty-print response.","type":"boolean","default":"true"},"oauth_token":{"description":"OAuth 2.0 token for the current user.","type":"string","location":"query"},"bearer_token":{"type":"string","location":"query","description":"OAuth bearer token."}},"version":"v1","baseUrl":"https://serviceuser.googleapis.com/","description":"Enables services that service consumers want to use on Google Cloud Platform, lists the available or enabled services, or disables services that service consumers no longer use.","kind":"discovery#restDescription","servicePath":"","basePath":"","revision":"20171103","documentationLink":"https://cloud.google.com/service-management/","id":"serviceuser:v1","discoveryVersion":"v1","version_module":true,"schemas":{"Status":{"type":"object","properties":{"code":{"description":"The status code, which should be an enum value of google.rpc.Code.","format":"int32","type":"integer"},"message":{"description":"A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.","type":"string"},"details":{"type":"array","items":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"type":"object"},"description":"A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use."}},"id":"Status","description":"The `Status` type defines a logical error model that is suitable for different\nprogramming environments, including REST APIs and RPC APIs. It is used by\n[gRPC](https://github.com/grpc). The error model is designed to be:\n\n- Simple to use and understand for most users\n- Flexible enough to meet unexpected needs\n\n# Overview\n\nThe `Status` message contains three pieces of data: error code, error message,\nand error details. The error code should be an enum value of\ngoogle.rpc.Code, but it may accept additional error codes if needed.  The\nerror message should be a developer-facing English message that helps\ndevelopers *understand* and *resolve* the error. If a localized user-facing\nerror message is needed, put the localized message in the error details or\nlocalize it in the client. The optional error details may contain arbitrary\ninformation about the error. There is a predefined set of error detail types\nin the package `google.rpc` that can be used for common error conditions.\n\n# Language mapping\n\nThe `Status` message is the logical representation of the error model, but it\nis not necessarily the actual wire format. When the `Status` message is\nexposed in different client libraries and different wire protocols, it can be\nmapped differently. For example, it will likely be mapped to some exceptions\nin Java, but more likely mapped to some error codes in C.\n\n# Other uses\n\nThe error model and the `Status` message can be used in a variety of\nenvironments, either with or without APIs, to provide a\nconsistent developer experience across different environments.\n\nExample uses of this error model include:\n\n- Partial errors. If a service needs to return partial errors to the client,\n    it may embed the `Status` in the normal response to indicate the partial\n    errors.\n\n- Workflow errors. A typical workflow has multiple steps. Each step may\n    have a `Status` message for error reporting.\n\n- Batch operations. If a client uses batch request and batch response, the\n    `Status` message should be used directly inside batch response, one for\n    each error sub-response.\n\n- Asynchronous operations. If an API call embeds asynchronous operation\n    results in its response, the status of those operations should be\n    represented directly using the `Status` message.\n\n- Logging. If some API errors are stored in logs, the message `Status` could\n    be used directly after any stripping needed for security/privacy reasons."},"AuthProvider":{"description":"Configuration for an anthentication provider, including support for\n[JSON Web Token (JWT)](https://tools.ietf.org/html/draft-ietf-oauth-json-web-token-32).","type":"object","properties":{"jwksUri":{"description":"URL of the provider's public key set to validate signature of the JWT. See\n[OpenID Discovery](https://openid.net/specs/openid-connect-discovery-1_0.html#ProviderMetadata).\nOptional if the key set document:\n - can be retrieved from\n   [OpenID Discovery](https://openid.net/specs/openid-connect-discovery-1_0.html\n   of the issuer.\n - can be inferred from the email domain of the issuer (e.g. a Google service account).\n\nExample: https://www.googleapis.com/oauth2/v1/certs","type":"string"},"audiences":{"type":"string","description":"The list of JWT\n[audiences](https://tools.ietf.org/html/draft-ietf-oauth-json-web-token-32#section-4.1.3).\nthat are allowed to access. A JWT containing any of these audiences will\nbe accepted. When this setting is absent, only JWTs with audience\n\"https://Service_name/API_name\"\nwill be accepted. For example, if no audiences are in the setting,\nLibraryService API will only accept JWTs with the following audience\n\"https://library-example.googleapis.com/google.example.library.v1.LibraryService\".\n\nExample:\n\n    audiences: bookstore_android.apps.googleusercontent.com,\n               bookstore_web.apps.googleusercontent.com"},"id":{"description":"The unique identifier of the auth provider. It will be referred to by\n`AuthRequirement.provider_id`.\n\nExample: \"bookstore_auth\".","type":"string"},"issuer":{"description":"Identifies the principal that issued the JWT. See\nhttps://tools.ietf.org/html/draft-ietf-oauth-json-web-token-32#section-4.1.1\nUsually a URL or an email address.\n\nExample: https://securetoken.google.com\nExample: 1234567-compute@developer.gserviceaccount.com","type":"string"},"authorizationUrl":{"description":"Redirect URL if JWT token is required but no present or is expired.\nImplement authorizationUrl of securityDefinitions in OpenAPI spec.","type":"string"}},"id":"AuthProvider"},"Service":{"description":"`Service` is the root object of Google service configuration schema. It\ndescribes basic information about a service, such as the name and the\ntitle, and delegates other aspects to sub-sections. Each sub-section is\neither a proto message or a repeated proto message that configures a\nspecific aspect, such as auth. See each proto message definition for details.\n\nExample:\n\n    type: google.api.Service\n    config_version: 3\n    name: calendar.googleapis.com\n    title: Google Calendar API\n    apis:\n    - name: google.calendar.v3.Calendar\n    authentication:\n      providers:\n      - id: google_calendar_auth\n        jwks_uri: https://www.googleapis.com/oauth2/v1/certs\n        issuer: https://securetoken.google.com\n      rules:\n      - selector: \"*\"\n        requirements:\n          provider_id: google_calendar_auth","type":"object","properties":{"apis":{"description":"A list of API interfaces exported by this service. Only the `name` field\nof the google.protobuf.Api needs to be provided by the configuration\nauthor, as the remaining fields will be derived from the IDL during the\nnormalization process. It is an error to specify an API interface here\nwhich cannot be resolved against the associated IDL files.","type":"array","items":{"$ref":"Api"}},"logs":{"description":"Defines the logs used by this service.","type":"array","items":{"$ref":"LogDescriptor"}},"types":{"description":"A list of all proto message types included in this API service.\nTypes referenced directly or indirectly by the `apis` are\nautomatically included.  Messages which are not referenced but\nshall be included, such as types used by the `google.protobuf.Any` type,\nshould be listed here by name. Example:\n\n    types:\n    - name: google.protobuf.Int32","type":"array","items":{"$ref":"Type"}},"sourceInfo":{"$ref":"SourceInfo","description":"Output only. The source information for this configuration if available."},"http":{"$ref":"Http","description":"HTTP configuration."},"systemParameters":{"description":"System parameter configuration.","$ref":"SystemParameters"},"backend":{"$ref":"Backend","description":"API backend configuration."},"documentation":{"$ref":"Documentation","description":"Additional API documentation."},"monitoredResources":{"description":"Defines the monitored resources used by this service. This is required\nby the Service.monitoring and Service.logging configurations.","type":"array","items":{"$ref":"MonitoredResourceDescriptor"}},"logging":{"description":"Logging configuration.","$ref":"Logging"},"context":{"$ref":"Context","description":"Context configuration."},"enums":{"description":"A list of all enum types included in this API service.  Enums\nreferenced directly or indirectly by the `apis` are automatically\nincluded.  Enums which are not referenced but shall be included\nshould be listed here by name. Example:\n\n    enums:\n    - name: google.someapi.v1.SomeEnum","type":"array","items":{"$ref":"Enum"}},"id":{"description":"A unique ID for a specific instance of this message, typically assigned\nby the client for tracking purpose. If empty, the server may choose to\ngenerate one instead.","type":"string"},"usage":{"$ref":"Usage","description":"Configuration controlling usage of this service."},"metrics":{"description":"Defines the metrics used by this service.","type":"array","items":{"$ref":"MetricDescriptor"}},"authentication":{"$ref":"Authentication","description":"Auth configuration."},"experimental":{"$ref":"Experimental","description":"Experimental configuration."},"control":{"description":"Configuration for the service control plane.","$ref":"Control"},"configVersion":{"description":"The semantic version of the service configuration. The config version\naffects the interpretation of the service configuration. For example,\ncertain features are enabled by default for certain config versions.\nThe latest config version is `3`.","format":"uint32","type":"integer"},"monitoring":{"$ref":"Monitoring","description":"Monitoring configuration."},"producerProjectId":{"description":"The Google project that owns this service.","type":"string"},"systemTypes":{"description":"A list of all proto message types included in this API service.\nIt serves similar purpose as [google.api.Service.types], except that\nthese types are not needed by user-defined APIs. Therefore, they will not\nshow up in the generated discovery doc. This field should only be used\nto define system APIs in ESF.","type":"array","items":{"$ref":"Type"}},"visibility":{"description":"API visibility configuration.","$ref":"Visibility"},"quota":{"$ref":"Quota","description":"Quota configuration."},"name":{"description":"The DNS address at which this service is available,\ne.g. `calendar.googleapis.com`.","type":"string"},"billing":{"$ref":"Billing","description":"Billing configuration."},"customError":{"$ref":"CustomError","description":"Custom error configuration."},"title":{"type":"string","description":"The product title for this service."},"endpoints":{"type":"array","items":{"$ref":"Endpoint"},"description":"Configuration for network endpoints.  If this is empty, then an endpoint\nwith the same name as the service is automatically generated to service all\ndefined APIs."}},"id":"Service"},"EnumValue":{"properties":{"number":{"description":"Enum value number.","format":"int32","type":"integer"},"name":{"description":"Enum value name.","type":"string"},"options":{"description":"Protocol buffer options.","type":"array","items":{"$ref":"Option"}}},"id":"EnumValue","description":"Enum value definition.","type":"object"},"CustomHttpPattern":{"description":"A custom pattern is used for defining custom HTTP verb.","type":"object","properties":{"kind":{"type":"string","description":"The name of this custom HTTP verb."},"path":{"description":"The path matched by this custom verb.","type":"string"}},"id":"CustomHttpPattern"},"OperationMetadata":{"type":"object","properties":{"startTime":{"description":"The start time of the operation.","format":"google-datetime","type":"string"},"resourceNames":{"description":"The full name of the resources that this operation is directly\nassociated with.","type":"array","items":{"type":"string"}},"steps":{"type":"array","items":{"$ref":"Step"},"description":"Detailed status information for each step. The order is undetermined."},"progressPercentage":{"description":"Percentage of completion of this operation, ranging from 0 to 100.","format":"int32","type":"integer"}},"id":"OperationMetadata","description":"The metadata associated with a long running operation resource."},"SystemParameterRule":{"properties":{"parameters":{"description":"Define parameters. Multiple names may be defined for a parameter.\nFor a given method call, only one of them should be used. If multiple\nnames are used the behavior is implementation-dependent.\nIf none of the specified names are present the behavior is\nparameter-dependent.","type":"array","items":{"$ref":"SystemParameter"}},"selector":{"description":"Selects the methods to which this rule applies. Use '*' to indicate all\nmethods in all APIs.\n\nRefer to selector for syntax details.","type":"string"}},"id":"SystemParameterRule","description":"Define a system parameter rule mapping system parameter definitions to\nmethods.","type":"object"},"PublishedService":{"type":"object","properties":{"service":{"description":"The service's published configuration.","$ref":"Service"},"name":{"description":"The resource name of the service.\n\nA valid name would be:\n- services/serviceuser.googleapis.com","type":"string"}},"id":"PublishedService","description":"The published version of a Service that is managed by\nGoogle Service Management."},"HttpRule":{"description":"`HttpRule` defines the mapping of an RPC method to one or more HTTP\nREST API methods. The mapping specifies how different portions of the RPC\nrequest message are mapped to URL path, URL query parameters, and\nHTTP request body. The mapping is typically specified as an\n`google.api.http` annotation on the RPC method,\nsee \"google/api/annotations.proto\" for details.\n\nThe mapping consists of a field specifying the path template and\nmethod kind.  The path template can refer to fields in the request\nmessage, as in the example below which describes a REST GET\noperation on a resource collection of messages:\n\n\n    service Messaging {\n      rpc GetMessage(GetMessageRequest) returns (Message) {\n        option (google.api.http).get = \"/v1/messages/{message_id}/{sub.subfield}\";\n      }\n    }\n    message GetMessageRequest {\n      message SubMessage {\n        string subfield = 1;\n      }\n      string message_id = 1; // mapped to the URL\n      SubMessage sub = 2;    // `sub.subfield` is url-mapped\n    }\n    message Message {\n      string text = 1; // content of the resource\n    }\n\nThe same http annotation can alternatively be expressed inside the\n`GRPC API Configuration` YAML file.\n\n    http:\n      rules:\n        - selector: <proto_package_name>.Messaging.GetMessage\n          get: /v1/messages/{message_id}/{sub.subfield}\n\nThis definition enables an automatic, bidrectional mapping of HTTP\nJSON to RPC. Example:\n\nHTTP | RPC\n-----|-----\n`GET /v1/messages/123456/foo`  | `GetMessage(message_id: \"123456\" sub: SubMessage(subfield: \"foo\"))`\n\nIn general, not only fields but also field paths can be referenced\nfrom a path pattern. Fields mapped to the path pattern cannot be\nrepeated and must have a primitive (non-message) type.\n\nAny fields in the request message which are not bound by the path\npattern automatically become (optional) HTTP query\nparameters. Assume the following definition of the request message:\n\n\n    service Messaging {\n      rpc GetMessage(GetMessageRequest) returns (Message) {\n        option (google.api.http).get = \"/v1/messages/{message_id}\";\n      }\n    }\n    message GetMessageRequest {\n      message SubMessage {\n        string subfield = 1;\n      }\n      string message_id = 1; // mapped to the URL\n      int64 revision = 2;    // becomes a parameter\n      SubMessage sub = 3;    // `sub.subfield` becomes a parameter\n    }\n\n\nThis enables a HTTP JSON to RPC mapping as below:\n\nHTTP | RPC\n-----|-----\n`GET /v1/messages/123456?revision=2&sub.subfield=foo` | `GetMessage(message_id: \"123456\" revision: 2 sub: SubMessage(subfield: \"foo\"))`\n\nNote that fields which are mapped to HTTP parameters must have a\nprimitive type or a repeated primitive type. Message types are not\nallowed. In the case of a repeated type, the parameter can be\nrepeated in the URL, as in `...?param=A&param=B`.\n\nFor HTTP method kinds which allow a request body, the `body` field\nspecifies the mapping. Consider a REST update method on the\nmessage resource collection:\n\n\n    service Messaging {\n      rpc UpdateMessage(UpdateMessageRequest) returns (Message) {\n        option (google.api.http) = {\n          put: \"/v1/messages/{message_id}\"\n          body: \"message\"\n        };\n      }\n    }\n    message UpdateMessageRequest {\n      string message_id = 1; // mapped to the URL\n      Message message = 2;   // mapped to the body\n    }\n\n\nThe following HTTP JSON to RPC mapping is enabled, where the\nrepresentation of the JSON in the request body is determined by\nprotos JSON encoding:\n\nHTTP | RPC\n-----|-----\n`PUT /v1/messages/123456 { \"text\": \"Hi!\" }` | `UpdateMessage(message_id: \"123456\" message { text: \"Hi!\" })`\n\nThe special name `*` can be used in the body mapping to define that\nevery field not bound by the path template should be mapped to the\nrequest body.  This enables the following alternative definition of\nthe update method:\n\n    service Messaging {\n      rpc UpdateMessage(Message) returns (Message) {\n        option (google.api.http) = {\n          put: \"/v1/messages/{message_id}\"\n          body: \"*\"\n        };\n      }\n    }\n    message Message {\n      string message_id = 1;\n      string text = 2;\n    }\n\n\nThe following HTTP JSON to RPC mapping is enabled:\n\nHTTP | RPC\n-----|-----\n`PUT /v1/messages/123456 { \"text\": \"Hi!\" }` | `UpdateMessage(message_id: \"123456\" text: \"Hi!\")`\n\nNote that when using `*` in the body mapping, it is not possible to\nhave HTTP parameters, as all fields not bound by the path end in\nthe body. This makes this option more rarely used in practice of\ndefining REST APIs. The common usage of `*` is in custom methods\nwhich don't use the URL at all for transferring data.\n\nIt is possible to define multiple HTTP methods for one RPC by using\nthe `additional_bindings` option. Example:\n\n    service Messaging {\n      rpc GetMessage(GetMessageRequest) returns (Message) {\n        option (google.api.http) = {\n          get: \"/v1/messages/{message_id}\"\n          additional_bindings {\n            get: \"/v1/users/{user_id}/messages/{message_id}\"\n          }\n        };\n      }\n    }\n    message GetMessageRequest {\n      string message_id = 1;\n      string user_id = 2;\n    }\n\n\nThis enables the following two alternative HTTP JSON to RPC\nmappings:\n\nHTTP | RPC\n-----|-----\n`GET /v1/messages/123456` | `GetMessage(message_id: \"123456\")`\n`GET /v1/users/me/messages/123456` | `GetMessage(user_id: \"me\" message_id: \"123456\")`\n\n# Rules for HTTP mapping\n\nThe rules for mapping HTTP path, query parameters, and body fields\nto the request message are as follows:\n\n1. The `body` field specifies either `*` or a field path, or is\n   omitted. If omitted, it indicates there is no HTTP request body.\n2. Leaf fields (recursive expansion of nested messages in the\n   request) can be classified into three types:\n    (a) Matched in the URL template.\n    (b) Covered by body (if body is `*`, everything except (a) fields;\n        else everything under the body field)\n    (c) All other fields.\n3. URL query parameters found in the HTTP request are mapped to (c) fields.\n4. Any body sent with an HTTP request can contain only (b) fields.\n\nThe syntax of the path template is as follows:\n\n    Template = \"/\" Segments [ Verb ] ;\n    Segments = Segment { \"/\" Segment } ;\n    Segment  = \"*\" | \"**\" | LITERAL | Variable ;\n    Variable = \"{\" FieldPath [ \"=\" Segments ] \"}\" ;\n    FieldPath = IDENT { \".\" IDENT } ;\n    Verb     = \":\" LITERAL ;\n\nThe syntax `*` matches a single path segment. The syntax `**` matches zero\nor more path segments, which must be the last part of the path except the\n`Verb`. The syntax `LITERAL` matches literal text in the path.\n\nThe syntax `Variable` matches part of the URL path as specified by its\ntemplate. A variable template must not contain other variables. If a variable\nmatches a single path segment, its template may be omitted, e.g. `{var}`\nis equivalent to `{var=*}`.\n\nIf a variable contains exactly one path segment, such as `\"{var}\"` or\n`\"{var=*}\"`, when such a variable is expanded into a URL path, all characters\nexcept `[-_.~0-9a-zA-Z]` are percent-encoded. Such variables show up in the\nDiscovery Document as `{var}`.\n\nIf a variable contains one or more path segments, such as `\"{var=foo/*}\"`\nor `\"{var=**}\"`, when such a variable is expanded into a URL path, all\ncharacters except `[-_.~/0-9a-zA-Z]` are percent-encoded. Such variables\nshow up in the Discovery Document as `{+var}`.\n\nNOTE: While the single segment variable matches the semantics of\n[RFC 6570](https://tools.ietf.org/html/rfc6570) Section 3.2.2\nSimple String Expansion, the multi segment variable **does not** match\nRFC 6570 Reserved Expansion. The reason is that the Reserved Expansion\ndoes not expand special characters like `?` and `#`, which would lead\nto invalid URLs.\n\nNOTE: the field paths in variables and in the `body` must not refer to\nrepeated fields or map fields.","type":"object","properties":{"additionalBindings":{"description":"Additional HTTP bindings for the selector. Nested bindings must\nnot contain an `additional_bindings` field themselves (that is,\nthe nesting may only be one level deep).","type":"array","items":{"$ref":"HttpRule"}},"responseBody":{"description":"The name of the response field whose value is mapped to the HTTP body of\nresponse. Other response fields are ignored. This field is optional. When\nnot set, the response message will be used as HTTP body of response.\nNOTE: the referred field must be not a repeated field and must be present\nat the top-level of response message type.","type":"string"},"mediaUpload":{"description":"Use this only for Scotty Requests. Do not use this for media support using\nBytestream, add instead\n[][google.bytestream.RestByteStream] as an API to your\nconfiguration for Bytestream methods.","$ref":"MediaUpload"},"selector":{"description":"Selects methods to which this rule applies.\n\nRefer to selector for syntax details.","type":"string"},"custom":{"description":"The custom pattern is used for specifying an HTTP method that is not\nincluded in the `pattern` field, such as HEAD, or \"*\" to leave the\nHTTP method unspecified for this rule. The wild-card rule is useful\nfor services that provide content to Web (HTML) clients.","$ref":"CustomHttpPattern"},"get":{"description":"Used for listing and getting information about resources.","type":"string"},"patch":{"description":"Used for updating a resource.","type":"string"},"put":{"description":"Used for updating a resource.","type":"string"},"delete":{"description":"Used for deleting a resource.","type":"string"},"body":{"description":"The name of the request field whose value is mapped to the HTTP body, or\n`*` for mapping all fields not captured by the path pattern to the HTTP\nbody. NOTE: the referred field must not be a repeated field and must be\npresent at the top-level of request message type.","type":"string"},"mediaDownload":{"description":"Use this only for Scotty Requests. Do not use this for bytestream methods.\nFor media support, add instead [][google.bytestream.RestByteStream] as an\nAPI to your configuration.","$ref":"MediaDownload"},"post":{"type":"string","description":"Used for creating a resource."}},"id":"HttpRule"},"VisibilityRule":{"description":"A visibility rule provides visibility configuration for an individual API\nelement.","type":"object","properties":{"restriction":{"type":"string","description":"A comma-separated list of visibility labels that apply to the `selector`.\nAny of the listed labels can be used to grant the visibility.\n\nIf a rule has multiple labels, removing one of the labels but not all of\nthem can break clients.\n\nExample:\n\n    visibility:\n      rules:\n      - selector: google.calendar.Calendar.EnhancedSearch\n        restriction: GOOGLE_INTERNAL, TRUSTED_TESTER\n\nRemoving GOOGLE_INTERNAL from this restriction will break clients that\nrely on this method and only had access to it through GOOGLE_INTERNAL."},"selector":{"description":"Selects methods, messages, fields, enums, etc. to which this rule applies.\n\nRefer to selector for syntax details.","type":"string"}},"id":"VisibilityRule"},"MonitoringDestination":{"type":"object","properties":{"monitoredResource":{"description":"The monitored resource type. The type must be defined in\nService.monitored_resources section.","type":"string"},"metrics":{"description":"Names of the metrics to report to this monitoring destination.\nEach name must be defined in Service.metrics section.","type":"array","items":{"type":"string"}}},"id":"MonitoringDestination","description":"Configuration of a specific monitoring destination (the producer project\nor the consumer project)."},"Visibility":{"id":"Visibility","description":"`Visibility` defines restrictions for the visibility of service\nelements.  Restrictions are specified using visibility labels\n(e.g., TRUSTED_TESTER) that are elsewhere linked to users and projects.\n\nUsers and projects can have access to more than one visibility label. The\neffective visibility for multiple labels is the union of each label's\nelements, plus any unrestricted elements.\n\nIf an element and its parents have no restrictions, visibility is\nunconditionally granted.\n\nExample:\n\n    visibility:\n      rules:\n      - selector: google.calendar.Calendar.EnhancedSearch\n        restriction: TRUSTED_TESTER\n      - selector: google.calendar.Calendar.Delegate\n        restriction: GOOGLE_INTERNAL\n\nHere, all methods are publicly visible except for the restricted methods\nEnhancedSearch and Delegate.","type":"object","properties":{"rules":{"description":"A list of visibility rules that apply to individual API elements.\n\n**NOTE:** All service configuration rules follow \"last one wins\" order.","type":"array","items":{"$ref":"VisibilityRule"}}}},"SystemParameters":{"description":"### System parameter configuration\n\nA system parameter is a special kind of parameter defined by the API\nsystem, not by an individual API. It is typically mapped to an HTTP header\nand/or a URL query parameter. This configuration specifies which methods\nchange the names of the system parameters.","type":"object","properties":{"rules":{"description":"Define system parameters.\n\nThe parameters defined here will override the default parameters\nimplemented by the system. If this field is missing from the service\nconfig, default system parameters will be used. Default system parameters\nand names is implementation-dependent.\n\nExample: define api key for all methods\n\n    system_parameters\n      rules:\n        - selector: \"*\"\n          parameters:\n            - name: api_key\n              url_query_parameter: api_key\n\n\nExample: define 2 api key names for a specific method.\n\n    system_parameters\n      rules:\n        - selector: \"/ListShelves\"\n          parameters:\n            - name: api_key\n              http_header: Api-Key1\n            - name: api_key\n              http_header: Api-Key2\n\n**NOTE:** All service configuration rules follow \"last one wins\" order.","type":"array","items":{"$ref":"SystemParameterRule"}}},"id":"SystemParameters"},"Quota":{"description":"Quota configuration helps to achieve fairness and budgeting in service\nusage.\n\nThe quota configuration works this way:\n- The service configuration defines a set of metrics.\n- For API calls, the quota.metric_rules maps methods to metrics with\n  corresponding costs.\n- The quota.limits defines limits on the metrics, which will be used for\n  quota checks at runtime.\n\nAn example quota configuration in yaml format:\n\n   quota:\n\n     - name: apiWriteQpsPerProject\n       metric: library.googleapis.com/write_calls\n       unit: \"1/min/{project}\"  # rate limit for consumer projects\n       values:\n         STANDARD: 10000\n\n\n     # The metric rules bind all methods to the read_calls metric,\n     # except for the UpdateBook and DeleteBook methods. These two methods\n     # are mapped to the write_calls metric, with the UpdateBook method\n     # consuming at twice rate as the DeleteBook method.\n     metric_rules:\n     - selector: \"*\"\n       metric_costs:\n         library.googleapis.com/read_calls: 1\n     - selector: google.example.library.v1.LibraryService.UpdateBook\n       metric_costs:\n         library.googleapis.com/write_calls: 2\n     - selector: google.example.library.v1.LibraryService.DeleteBook\n       metric_costs:\n         library.googleapis.com/write_calls: 1\n\n Corresponding Metric definition:\n\n     metrics:\n     - name: library.googleapis.com/read_calls\n       display_name: Read requests\n       metric_kind: DELTA\n       value_type: INT64\n\n     - name: library.googleapis.com/write_calls\n       display_name: Write requests\n       metric_kind: DELTA\n       value_type: INT64","type":"object","properties":{"limits":{"description":"List of `QuotaLimit` definitions for the service.","type":"array","items":{"$ref":"QuotaLimit"}},"metricRules":{"description":"List of `MetricRule` definitions, each one mapping a selected method to one\nor more metrics.","type":"array","items":{"$ref":"MetricRule"}}},"id":"Quota"},"Step":{"type":"object","properties":{"status":{"enumDescriptions":["Unspecifed code.","The operation or step has completed without errors.","The operation or step has not started yet.","The operation or step is in progress.","The operation or step has completed with errors. If the operation is\nrollbackable, the rollback completed with errors too.","The operation or step has completed with cancellation."],"enum":["STATUS_UNSPECIFIED","DONE","NOT_STARTED","IN_PROGRESS","FAILED","CANCELLED"],"description":"The status code.","type":"string"},"description":{"description":"The short description of the step.","type":"string"}},"id":"Step","description":"Represents the status of one operation step."},"LoggingDestination":{"description":"Configuration of a specific logging destination (the producer project\nor the consumer project).","type":"object","properties":{"logs":{"description":"Names of the logs to be sent to this destination. Each name must\nbe defined in the Service.logs section. If the log name is\nnot a domain scoped name, it will be automatically prefixed with\nthe service name followed by \"/\".","type":"array","items":{"type":"string"}},"monitoredResource":{"description":"The monitored resource type. The type must be defined in the\nService.monitored_resources section.","type":"string"}},"id":"LoggingDestination"},"Option":{"description":"A protocol buffer option, which can be attached to a message, field,\nenumeration, etc.","type":"object","properties":{"name":{"description":"The option's name. For protobuf built-in options (options defined in\ndescriptor.proto), this is the short name. For example, `\"map_entry\"`.\nFor custom options, it should be the fully-qualified name. For example,\n`\"google.api.http\"`.","type":"string"},"value":{"additionalProperties":{"type":"any","description":"Properties of the object. Contains field @type with type URL."},"description":"The option's value packed in an Any message. If the value is a primitive,\nthe corresponding wrapper type defined in google/protobuf/wrappers.proto\nshould be used. If the value is an enum, it should be stored as an int32\nvalue using the google.protobuf.Int32Value type.","type":"object"}},"id":"Option"},"Logging":{"description":"Logging configuration of the service.\n\nThe following example shows how to configure logs to be sent to the\nproducer and consumer projects. In the example, the `activity_history`\nlog is sent to both the producer and consumer projects, whereas the\n`purchase_history` log is only sent to the producer project.\n\n    monitored_resources:\n    - type: library.googleapis.com/branch\n      labels:\n      - key: /city\n        description: The city where the library branch is located in.\n      - key: /name\n        description: The name of the branch.\n    logs:\n    - name: activity_history\n      labels:\n      - key: /customer_id\n    - name: purchase_history\n    logging:\n      producer_destinations:\n      - monitored_resource: library.googleapis.com/branch\n        logs:\n        - activity_history\n        - purchase_history\n      consumer_destinations:\n      - monitored_resource: library.googleapis.com/branch\n        logs:\n        - activity_history","type":"object","properties":{"consumerDestinations":{"description":"Logging configurations for sending logs to the consumer project.\nThere can be multiple consumer destinations, each one must have a\ndifferent monitored resource type. A log can be used in at most\none consumer destination.","type":"array","items":{"$ref":"LoggingDestination"}},"producerDestinations":{"description":"Logging configurations for sending logs to the producer project.\nThere can be multiple producer destinations, each one must have a\ndifferent monitored resource type. A log can be used in at most\none producer destination.","type":"array","items":{"$ref":"LoggingDestination"}}},"id":"Logging"},"QuotaLimit":{"description":"`QuotaLimit` defines a specific limit that applies over a specified duration\nfor a limit type. There can be at most one limit for a duration and limit\ntype combination defined within a `QuotaGroup`.","type":"object","properties":{"duration":{"description":"Duration of this limit in textual notation. Example: \"100s\", \"24h\", \"1d\".\nFor duration longer than a day, only multiple of days is supported. We\nsupport only \"100s\" and \"1d\" for now. Additional support will be added in\nthe future. \"0\" indicates indefinite duration.\n\nUsed by group-based quotas only.","type":"string"},"freeTier":{"description":"Free tier value displayed in the Developers Console for this limit.\nThe free tier is the number of tokens that will be subtracted from the\nbilled amount when billing is enabled.\nThis field can only be set on a limit with duration \"1d\", in a billable\ngroup; it is invalid on any other limit. If this field is not set, it\ndefaults to 0, indicating that there is no free tier for this service.\n\nUsed by group-based quotas only.","format":"int64","type":"string"},"defaultLimit":{"type":"string","description":"Default number of tokens that can be consumed during the specified\nduration. This is the number of tokens assigned when a client\napplication developer activates the service for his/her project.\n\nSpecifying a value of 0 will block all requests. This can be used if you\nare provisioning quota to selected consumers and blocking others.\nSimilarly, a value of -1 will indicate an unlimited quota. No other\nnegative values are allowed.\n\nUsed by group-based quotas only.","format":"int64"},"description":{"description":"Optional. User-visible, extended description for this quota limit.\nShould be used only when more context is needed to understand this limit\nthan provided by the limit's display name (see: `display_name`).","type":"string"},"metric":{"description":"The name of the metric this quota limit applies to. The quota limits with\nthe same metric will be checked together during runtime. The metric must be\ndefined within the service config.","type":"string"},"displayName":{"description":"User-visible display name for this limit.\nOptional. If not set, the UI will provide a default display name based on\nthe quota configuration. This field can be used to override the default\ndisplay name generated from the configuration.","type":"string"},"values":{"additionalProperties":{"format":"int64","type":"string"},"description":"Tiered limit values. You must specify this as a key:value pair, with an\ninteger value that is the maximum number of requests allowed for the\nspecified unit. Currently only STANDARD is supported.","type":"object"},"unit":{"description":"Specify the unit of the quota limit. It uses the same syntax as\nMetric.unit. The supported unit kinds are determined by the quota\nbackend system.\n\nHere are some examples:\n* \"1/min/{project}\" for quota per minute per project.\n\nNote: the order of unit components is insignificant.\nThe \"1\" at the beginning is required to follow the metric unit syntax.","type":"string"},"maxLimit":{"description":"Maximum number of tokens that can be consumed during the specified\nduration. Client application developers can override the default limit up\nto this maximum. If specified, this value cannot be set to a value less\nthan the default limit. If not specified, it is set to the default limit.\n\nTo allow clients to apply overrides with no upper bound, set this to -1,\nindicating unlimited maximum quota.\n\nUsed by group-based quotas only.","format":"int64","type":"string"},"name":{"description":"Name of the quota limit.\n\nThe name must be provided, and it must be unique within the service. The\nname can only include alphanumeric characters as well as '-'.\n\nThe maximum length of the limit name is 64 characters.","type":"string"}},"id":"QuotaLimit"},"Method":{"id":"Method","description":"Method represents a method of an API interface.","type":"object","properties":{"responseStreaming":{"description":"If true, the response is streamed.","type":"boolean"},"name":{"description":"The simple name of this method.","type":"string"},"requestTypeUrl":{"description":"A URL of the input message type.","type":"string"},"requestStreaming":{"description":"If true, the request is streamed.","type":"boolean"},"syntax":{"enumDescriptions":["Syntax `proto2`.","Syntax `proto3`."],"enum":["SYNTAX_PROTO2","SYNTAX_PROTO3"],"description":"The source syntax of this method.","type":"string"},"responseTypeUrl":{"description":"The URL of the output message type.","type":"string"},"options":{"description":"Any metadata attached to the method.","type":"array","items":{"$ref":"Option"}}}},"Mixin":{"properties":{"name":{"type":"string","description":"The fully qualified name of the interface which is included."},"root":{"description":"If non-empty specifies a path under which inherited HTTP paths\nare rooted.","type":"string"}},"id":"Mixin","description":"Declares an API Interface to be included in this interface. The including\ninterface must redeclare all the methods from the included interface, but\ndocumentation and options are inherited as follows:\n\n- If after comment and whitespace stripping, the documentation\n  string of the redeclared method is empty, it will be inherited\n  from the original method.\n\n- Each annotation belonging to the service config (http,\n  visibility) which is not set in the redeclared method will be\n  inherited.\n\n- If an http annotation is inherited, the path pattern will be\n  modified as follows. Any version prefix will be replaced by the\n  version of the including interface plus the root path if\n  specified.\n\nExample of a simple mixin:\n\n    package google.acl.v1;\n    service AccessControl {\n      // Get the underlying ACL object.\n      rpc GetAcl(GetAclRequest) returns (Acl) {\n        option (google.api.http).get = \"/v1/{resource=**}:getAcl\";\n      }\n    }\n\n    package google.storage.v2;\n    service Storage {\n      //       rpc GetAcl(GetAclRequest) returns (Acl);\n\n      // Get a data record.\n      rpc GetData(GetDataRequest) returns (Data) {\n        option (google.api.http).get = \"/v2/{resource=**}\";\n      }\n    }\n\nExample of a mixin configuration:\n\n    apis:\n    - name: google.storage.v2.Storage\n      mixins:\n      - name: google.acl.v1.AccessControl\n\nThe mixin construct implies that all methods in `AccessControl` are\nalso declared with same name and request/response types in\n`Storage`. A documentation generator or annotation processor will\nsee the effective `Storage.GetAcl` method after inherting\ndocumentation and annotations as follows:\n\n    service Storage {\n      // Get the underlying ACL object.\n      rpc GetAcl(GetAclRequest) returns (Acl) {\n        option (google.api.http).get = \"/v2/{resource=**}:getAcl\";\n      }\n      ...\n    }\n\nNote how the version in the path pattern changed from `v1` to `v2`.\n\nIf the `root` field in the mixin is specified, it should be a\nrelative path under which inherited HTTP paths are placed. Example:\n\n    apis:\n    - name: google.storage.v2.Storage\n      mixins:\n      - name: google.acl.v1.AccessControl\n        root: acls\n\nThis implies the following inherited HTTP annotation:\n\n    service Storage {\n      // Get the underlying ACL object.\n      rpc GetAcl(GetAclRequest) returns (Acl) {\n        option (google.api.http).get = \"/v2/acls/{resource=**}:getAcl\";\n      }\n      ...\n    }","type":"object"},"CustomError":{"properties":{"rules":{"description":"The list of custom error rules that apply to individual API messages.\n\n**NOTE:** All service configuration rules follow \"last one wins\" order.","type":"array","items":{"$ref":"CustomErrorRule"}},"types":{"description":"The list of custom error detail types, e.g. 'google.foo.v1.CustomError'.","type":"array","items":{"type":"string"}}},"id":"CustomError","description":"Customize service error responses.  For example, list any service\nspecific protobuf types that can appear in error detail lists of\nerror responses.\n\nExample:\n\n    custom_error:\n      types:\n      - google.foo.v1.CustomError\n      - google.foo.v1.AnotherError","type":"object"},"Http":{"type":"object","properties":{"fullyDecodeReservedExpansion":{"description":"When set to true, URL path parmeters will be fully URI-decoded except in\ncases of single segment matches in reserved expansion, where \"%2F\" will be\nleft encoded.\n\nThe default behavior is to not decode RFC 6570 reserved characters in multi\nsegment matches.","type":"boolean"},"rules":{"description":"A list of HTTP configuration rules that apply to individual API methods.\n\n**NOTE:** All service configuration rules follow \"last one wins\" order.","type":"array","items":{"$ref":"HttpRule"}}},"id":"Http","description":"Defines the HTTP configuration for an API service. It contains a list of\nHttpRule, each specifying the mapping of an RPC method\nto one or more HTTP REST API methods."},"SourceInfo":{"properties":{"sourceFiles":{"description":"All files used during config generation.","type":"array","items":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"type":"object"}}},"id":"SourceInfo","description":"Source information used to create a Service Config","type":"object"},"Control":{"description":"Selects and configures the service controller used by the service.  The\nservice controller handles features like abuse, quota, billing, logging,\nmonitoring, etc.","type":"object","properties":{"environment":{"type":"string","description":"The service control environment to use. If empty, no control plane\nfeature (like quota and billing) will be enabled."}},"id":"Control"},"SystemParameter":{"description":"Define a parameter's name and location. The parameter may be passed as either\nan HTTP header or a URL query parameter, and if both are passed the behavior\nis implementation-dependent.","type":"object","properties":{"name":{"description":"Define the name of the parameter, such as \"api_key\" . It is case sensitive.","type":"string"},"urlQueryParameter":{"description":"Define the URL query parameter name to use for the parameter. It is case\nsensitive.","type":"string"},"httpHeader":{"description":"Define the HTTP header name to use for the parameter. It is case\ninsensitive.","type":"string"}},"id":"SystemParameter"},"Monitoring":{"description":"Monitoring configuration of the service.\n\nThe example below shows how to configure monitored resources and metrics\nfor monitoring. In the example, a monitored resource and two metrics are\ndefined. The `library.googleapis.com/book/returned_count` metric is sent\nto both producer and consumer projects, whereas the\n`library.googleapis.com/book/overdue_count` metric is only sent to the\nconsumer project.\n\n    monitored_resources:\n    - type: library.googleapis.com/branch\n      labels:\n      - key: /city\n        description: The city where the library branch is located in.\n      - key: /name\n        description: The name of the branch.\n    metrics:\n    - name: library.googleapis.com/book/returned_count\n      metric_kind: DELTA\n      value_type: INT64\n      labels:\n      - key: /customer_id\n    - name: library.googleapis.com/book/overdue_count\n      metric_kind: GAUGE\n      value_type: INT64\n      labels:\n      - key: /customer_id\n    monitoring:\n      producer_destinations:\n      - monitored_resource: library.googleapis.com/branch\n        metrics:\n        - library.googleapis.com/book/returned_count\n      consumer_destinations:\n      - monitored_resource: library.googleapis.com/branch\n        metrics:\n        - library.googleapis.com/book/returned_count\n        - library.googleapis.com/book/overdue_count","type":"object","properties":{"consumerDestinations":{"description":"Monitoring configurations for sending metrics to the consumer project.\nThere can be multiple consumer destinations, each one must have a\ndifferent monitored resource type. A metric can be used in at most\none consumer destination.","type":"array","items":{"$ref":"MonitoringDestination"}},"producerDestinations":{"description":"Monitoring configurations for sending metrics to the producer project.\nThere can be multiple producer destinations, each one must have a\ndifferent monitored resource type. A metric can be used in at most\none producer destination.","type":"array","items":{"$ref":"MonitoringDestination"}}},"id":"Monitoring"},"Field":{"description":"A single field of a message type.","type":"object","properties":{"typeUrl":{"description":"The field type URL, without the scheme, for message or enumeration\ntypes. Example: `\"type.googleapis.com/google.protobuf.Timestamp\"`.","type":"string"},"number":{"type":"integer","description":"The field number.","format":"int32"},"jsonName":{"description":"The field JSON name.","type":"string"},"kind":{"type":"string","enumDescriptions":["Field type unknown.","Field type double.","Field type float.","Field type int64.","Field type uint64.","Field type int32.","Field type fixed64.","Field type fixed32.","Field type bool.","Field type string.","Field type group. Proto2 syntax only, and deprecated.","Field type message.","Field type bytes.","Field type uint32.","Field type enum.","Field type sfixed32.","Field type sfixed64.","Field type sint32.","Field type sint64."],"enum":["TYPE_UNKNOWN","TYPE_DOUBLE","TYPE_FLOAT","TYPE_INT64","TYPE_UINT64","TYPE_INT32","TYPE_FIXED64","TYPE_FIXED32","TYPE_BOOL","TYPE_STRING","TYPE_GROUP","TYPE_MESSAGE","TYPE_BYTES","TYPE_UINT32","TYPE_ENUM","TYPE_SFIXED32","TYPE_SFIXED64","TYPE_SINT32","TYPE_SINT64"],"description":"The field type."},"options":{"description":"The protocol buffer options.","type":"array","items":{"$ref":"Option"}},"oneofIndex":{"description":"The index of the field type in `Type.oneofs`, for message or enumeration\ntypes. The first type has index 1; zero means the type is not in the list.","format":"int32","type":"integer"},"cardinality":{"description":"The field cardinality.","type":"string","enumDescriptions":["For fields with unknown cardinality.","For optional fields.","For required fields. Proto2 syntax only.","For repeated fields."],"enum":["CARDINALITY_UNKNOWN","CARDINALITY_OPTIONAL","CARDINALITY_REQUIRED","CARDINALITY_REPEATED"]},"packed":{"description":"Whether to use alternative packed wire representation.","type":"boolean"},"defaultValue":{"type":"string","description":"The string value of the default value of this field. Proto2 syntax only."},"name":{"type":"string","description":"The field name."}},"id":"Field"},"Enum":{"properties":{"sourceContext":{"description":"The source context.","$ref":"SourceContext"},"syntax":{"description":"The source syntax.","type":"string","enumDescriptions":["Syntax `proto2`.","Syntax `proto3`."],"enum":["SYNTAX_PROTO2","SYNTAX_PROTO3"]},"name":{"description":"Enum type name.","type":"string"},"enumvalue":{"description":"Enum value definitions.","type":"array","items":{"$ref":"EnumValue"}},"options":{"description":"Protocol buffer options.","type":"array","items":{"$ref":"Option"}}},"id":"Enum","description":"Enum type definition.","type":"object"},"EnableServiceRequest":{"id":"EnableServiceRequest","description":"Request message for EnableService method.","type":"object","properties":{}},"LabelDescriptor":{"type":"object","properties":{"key":{"description":"The label key.","type":"string"},"description":{"description":"A human-readable description for the label.","type":"string"},"valueType":{"enum":["STRING","BOOL","INT64"],"description":"The type of data that can be assigned to the label.","type":"string","enumDescriptions":["A variable-length string. This is the default.","Boolean; true or false.","A 64-bit signed integer."]}},"id":"LabelDescriptor","description":"A description of a label."},"Type":{"description":"A protocol buffer message type.","type":"object","properties":{"options":{"description":"The protocol buffer options.","type":"array","items":{"$ref":"Option"}},"fields":{"type":"array","items":{"$ref":"Field"},"description":"The list of fields."},"name":{"type":"string","description":"The fully qualified message name."},"oneofs":{"description":"The list of types appearing in `oneof` definitions in this type.","type":"array","items":{"type":"string"}},"sourceContext":{"$ref":"SourceContext","description":"The source context."},"syntax":{"description":"The source syntax.","type":"string","enumDescriptions":["Syntax `proto2`.","Syntax `proto3`."],"enum":["SYNTAX_PROTO2","SYNTAX_PROTO3"]}},"id":"Type"},"Experimental":{"properties":{"authorization":{"$ref":"AuthorizationConfig","description":"Authorization configuration."}},"id":"Experimental","description":"Experimental service configuration. These configuration options can\nonly be used by whitelisted users.","type":"object"},"Backend":{"type":"object","properties":{"rules":{"description":"A list of API backend rules that apply to individual API methods.\n\n**NOTE:** All service configuration rules follow \"last one wins\" order.","type":"array","items":{"$ref":"BackendRule"}}},"id":"Backend","description":"`Backend` defines the backend configuration for a service."},"AuthorizationConfig":{"description":"Configuration of authorization.\n\nThis section determines the authorization provider, if unspecified, then no\nauthorization check will be done.\n\nExample:\n\n    experimental:\n      authorization:\n        provider: firebaserules.googleapis.com","type":"object","properties":{"provider":{"description":"The name of the authorization provider, such as\nfirebaserules.googleapis.com.","type":"string"}},"id":"AuthorizationConfig"},"DocumentationRule":{"properties":{"description":{"description":"Description of the selected API(s).","type":"string"},"deprecationDescription":{"description":"Deprecation description of the selected element(s). It can be provided if an\nelement is marked as `deprecated`.","type":"string"},"selector":{"description":"The selector is a comma-separated list of patterns. Each pattern is a\nqualified name of the element which may end in \"*\", indicating a wildcard.\nWildcards are only allowed at the end and for a whole component of the\nqualified name, i.e. \"foo.*\" is ok, but not \"foo.b*\" or \"foo.*.bar\". To\nspecify a default for all applicable elements, the whole pattern \"*\"\nis used.","type":"string"}},"id":"DocumentationRule","description":"A documentation rule provides information about individual API elements.","type":"object"},"ContextRule":{"description":"A context rule provides information about the context for an individual API\nelement.","type":"object","properties":{"requested":{"description":"A list of full type names of requested contexts.","type":"array","items":{"type":"string"}},"selector":{"type":"string","description":"Selects the methods to which this rule applies.\n\nRefer to selector for syntax details."},"provided":{"description":"A list of full type names of provided contexts.","type":"array","items":{"type":"string"}}},"id":"ContextRule"},"SourceContext":{"id":"SourceContext","description":"`SourceContext` represents information about the source of a\nprotobuf element, like the file in which it is defined.","type":"object","properties":{"fileName":{"description":"The path-qualified name of the .proto file that contained the associated\nprotobuf element.  For example: `\"google/protobuf/source_context.proto\"`.","type":"string"}}},"MetricDescriptor":{"type":"object","properties":{"displayName":{"description":"A concise name for the metric, which can be displayed in user interfaces.\nUse sentence case without an ending period, for example \"Request count\".\nThis field is optional but it is recommended to be set for any metrics\nassociated with user-visible concepts, such as Quota.","type":"string"},"description":{"type":"string","description":"A detailed description of the metric, which can be used in documentation."},"unit":{"type":"string","description":"The unit in which the metric value is reported. It is only applicable\nif the `value_type` is `INT64`, `DOUBLE`, or `DISTRIBUTION`. The\nsupported units are a subset of [The Unified Code for Units of\nMeasure](http://unitsofmeasure.org/ucum.html) standard:\n\n**Basic units (UNIT)**\n\n* `bit`   bit\n* `By`    byte\n* `s`     second\n* `min`   minute\n* `h`     hour\n* `d`     day\n\n**Prefixes (PREFIX)**\n\n* `k`     kilo    (10**3)\n* `M`     mega    (10**6)\n* `G`     giga    (10**9)\n* `T`     tera    (10**12)\n* `P`     peta    (10**15)\n* `E`     exa     (10**18)\n* `Z`     zetta   (10**21)\n* `Y`     yotta   (10**24)\n* `m`     milli   (10**-3)\n* `u`     micro   (10**-6)\n* `n`     nano    (10**-9)\n* `p`     pico    (10**-12)\n* `f`     femto   (10**-15)\n* `a`     atto    (10**-18)\n* `z`     zepto   (10**-21)\n* `y`     yocto   (10**-24)\n* `Ki`    kibi    (2**10)\n* `Mi`    mebi    (2**20)\n* `Gi`    gibi    (2**30)\n* `Ti`    tebi    (2**40)\n\n**Grammar**\n\nThe grammar includes the dimensionless unit `1`, such as `1/s`.\n\nThe grammar also includes these connectors:\n\n* `/`    division (as an infix operator, e.g. `1/s`).\n* `.`    multiplication (as an infix operator, e.g. `GBy.d`)\n\nThe grammar for a unit is as follows:\n\n    Expression = Component { \".\" Component } { \"/\" Component } ;\n\n    Component = [ PREFIX ] UNIT [ Annotation ]\n              | Annotation\n              | \"1\"\n              ;\n\n    Annotation = \"{\" NAME \"}\" ;\n\nNotes:\n\n* `Annotation` is just a comment if it follows a `UNIT` and is\n   equivalent to `1` if it is used alone. For examples,\n   `{requests}/s == 1/s`, `By{transmitted}/s == By/s`.\n* `NAME` is a sequence of non-blank printable ASCII characters not\n   containing '{' or '}'."},"labels":{"description":"The set of labels that can be used to describe a specific\ninstance of this metric type. For example, the\n`appengine.googleapis.com/http/server/response_latencies` metric\ntype has a label for the HTTP response code, `response_code`, so\nyou can look at latencies for successful responses or just\nfor responses that failed.","type":"array","items":{"$ref":"LabelDescriptor"}},"name":{"description":"The resource name of the metric descriptor.","type":"string"},"type":{"description":"The metric type, including its DNS name prefix. The type is not\nURL-encoded.  All user-defined custom metric types have the DNS name\n`custom.googleapis.com`.  Metric types should use a natural hierarchical\ngrouping. For example:\n\n    \"custom.googleapis.com/invoice/paid/amount\"\n    \"appengine.googleapis.com/http/server/response_latencies\"","type":"string"},"valueType":{"enumDescriptions":["Do not use this default value.","The value is a boolean.\nThis value type can be used only if the metric kind is `GAUGE`.","The value is a signed 64-bit integer.","The value is a double precision floating point number.","The value is a text string.\nThis value type can be used only if the metric kind is `GAUGE`.","The value is a `Distribution`.","The value is money."],"enum":["VALUE_TYPE_UNSPECIFIED","BOOL","INT64","DOUBLE","STRING","DISTRIBUTION","MONEY"],"description":"Whether the measurement is an integer, a floating-point number, etc.\nSome combinations of `metric_kind` and `value_type` might not be supported.","type":"string"},"metricKind":{"enum":["METRIC_KIND_UNSPECIFIED","GAUGE","DELTA","CUMULATIVE"],"description":"Whether the metric records instantaneous values, changes to a value, etc.\nSome combinations of `metric_kind` and `value_type` might not be supported.","type":"string","enumDescriptions":["Do not use this default value.","An instantaneous measurement of a value.","The change in a value during a time interval.","A value accumulated over a time interval.  Cumulative\nmeasurements in a time series should have the same start time\nand increasing end times, until an event resets the cumulative\nvalue to zero and sets a new start time for the following\npoints."]}},"id":"MetricDescriptor","description":"Defines a metric type and its schema. Once a metric descriptor is created,\ndeleting or altering it stops data collection and makes the metric type's\nexisting data unusable."},"Billing":{"description":"Billing related configuration of the service.\n\nThe following example shows how to configure monitored resources and metrics\nfor billing:\n\n    monitored_resources:\n    - type: library.googleapis.com/branch\n      labels:\n      - key: /city\n        description: The city where the library branch is located in.\n      - key: /name\n        description: The name of the branch.\n    metrics:\n    - name: library.googleapis.com/book/borrowed_count\n      metric_kind: DELTA\n      value_type: INT64\n    billing:\n      consumer_destinations:\n      - monitored_resource: library.googleapis.com/branch\n        metrics:\n        - library.googleapis.com/book/borrowed_count","type":"object","properties":{"consumerDestinations":{"description":"Billing configurations for sending metrics to the consumer project.\nThere can be multiple consumer destinations per service, each one must have\na different monitored resource type. A metric can be used in at most\none consumer destination.","type":"array","items":{"$ref":"BillingDestination"}}},"id":"Billing"},"ListEnabledServicesResponse":{"description":"Response message for `ListEnabledServices` method.","type":"object","properties":{"services":{"description":"Services enabled for the specified parent.","type":"array","items":{"$ref":"PublishedService"}},"nextPageToken":{"type":"string","description":"Token that can be passed to `ListEnabledServices` to resume a paginated\nquery."}},"id":"ListEnabledServicesResponse"},"Endpoint":{"description":"`Endpoint` describes a network endpoint that serves a set of APIs.\nA service may expose any number of endpoints, and all endpoints share the\nsame service configuration, such as quota configuration and monitoring\nconfiguration.\n\nExample service configuration:\n\n    name: library-example.googleapis.com\n    endpoints:\n      # Below entry makes 'google.example.library.v1.Library'\n      # API be served from endpoint address library-example.googleapis.com.\n      # It also allows HTTP OPTIONS calls to be passed to the backend, for\n      # it to decide whether the subsequent cross-origin request is\n      # allowed to proceed.\n    - name: library-example.googleapis.com\n      allow_cors: true","type":"object","properties":{"name":{"description":"The canonical name of this endpoint.","type":"string"},"target":{"description":"The specification of an Internet routable address of API frontend that will\nhandle requests to this [API Endpoint](https://cloud.google.com/apis/design/glossary).\nIt should be either a valid IPv4 address or a fully-qualified domain name.\nFor example, \"8.8.8.8\" or \"myservice.appspot.com\".","type":"string"},"features":{"description":"The list of features enabled on this endpoint.","type":"array","items":{"type":"string"}},"apis":{"description":"The list of APIs served by this endpoint.\n\nIf no APIs are specified this translates to \"all APIs\" exported by the\nservice, as defined in the top-level service configuration.","type":"array","items":{"type":"string"}},"allowCors":{"description":"Allowing\n[CORS](https://en.wikipedia.org/wiki/Cross-origin_resource_sharing), aka\ncross-domain traffic, would allow the backends served from this endpoint to\nreceive and respond to HTTP OPTIONS requests. The response will be used by\nthe browser to determine whether the subsequent cross-origin request is\nallowed to proceed.","type":"boolean"},"aliases":{"description":"DEPRECATED: This field is no longer supported. Instead of using aliases,\nplease specify multiple google.api.Endpoint for each of the intended\naliases.\n\nAdditional names that this endpoint will be hosted on.","type":"array","items":{"type":"string"}}},"id":"Endpoint"},"OAuthRequirements":{"id":"OAuthRequirements","description":"OAuth scopes are a way to define data and permissions on data. For example,\nthere are scopes defined for \"Read-only access to Google Calendar\" and\n\"Access to Cloud Platform\". Users can consent to a scope for an application,\ngiving it permission to access that data on their behalf.\n\nOAuth scope specifications should be fairly coarse grained; a user will need\nto see and understand the text description of what your scope means.\n\nIn most cases: use one or at most two OAuth scopes for an entire family of\nproducts. If your product has multiple APIs, you should probably be sharing\nthe OAuth scope across all of those APIs.\n\nWhen you need finer grained OAuth consent screens: talk with your product\nmanagement about how developers will use them in practice.\n\nPlease note that even though each of the canonical scopes is enough for a\nrequest to be accepted and passed to the backend, a request can still fail\ndue to the backend requiring additional scopes or permissions.","type":"object","properties":{"canonicalScopes":{"type":"string","description":"The list of publicly documented OAuth scopes that are allowed access. An\nOAuth token containing any of these scopes will be accepted.\n\nExample:\n\n     canonical_scopes: https://www.googleapis.com/auth/calendar,\n                       https://www.googleapis.com/auth/calendar.read"}}},"Usage":{"id":"Usage","description":"Configuration controlling usage of a service.","type":"object","properties":{"producerNotificationChannel":{"description":"The full resource name of a channel used for sending notifications to the\nservice producer.\n\nGoogle Service Management currently only supports\n[Google Cloud Pub/Sub](https://cloud.google.com/pubsub) as a notification\nchannel. To use Google Cloud Pub/Sub as the channel, this must be the name\nof a Cloud Pub/Sub topic that uses the Cloud Pub/Sub topic name format\ndocumented in https://cloud.google.com/pubsub/docs/overview.","type":"string"},"rules":{"description":"A list of usage rules that apply to individual API methods.\n\n**NOTE:** All service configuration rules follow \"last one wins\" order.","type":"array","items":{"$ref":"UsageRule"}},"requirements":{"description":"Requirements that must be satisfied before a consumer project can use the\nservice. Each requirement is of the form <service.name>/<requirement-id>;\nfor example 'serviceusage.googleapis.com/billing-enabled'.","type":"array","items":{"type":"string"}}}},"Context":{"description":"`Context` defines which contexts an API requests.\n\nExample:\n\n    context:\n      rules:\n      - selector: \"*\"\n        requested:\n        - google.rpc.context.ProjectContext\n        - google.rpc.context.OriginContext\n\nThe above specifies that all methods in the API request\n`google.rpc.context.ProjectContext` and\n`google.rpc.context.OriginContext`.\n\nAvailable context types are defined in package\n`google.rpc.context`.","type":"object","properties":{"rules":{"type":"array","items":{"$ref":"ContextRule"},"description":"A list of RPC context rules that apply to individual API methods.\n\n**NOTE:** All service configuration rules follow \"last one wins\" order."}},"id":"Context"},"LogDescriptor":{"description":"A description of a log type. Example in YAML format:\n\n    - name: library.googleapis.com/activity_history\n      description: The history of borrowing and returning library items.\n      display_name: Activity\n      labels:\n      - key: /customer_id\n        description: Identifier of a library customer","type":"object","properties":{"labels":{"description":"The set of labels that are available to describe a specific log entry.\nRuntime requests that contain labels not specified here are\nconsidered invalid.","type":"array","items":{"$ref":"LabelDescriptor"}},"name":{"description":"The name of the log. It must be less than 512 characters long and can\ninclude the following characters: upper- and lower-case alphanumeric\ncharacters [A-Za-z0-9], and punctuation characters including\nslash, underscore, hyphen, period [/_-.].","type":"string"},"description":{"type":"string","description":"A human-readable description of this log. This information appears in\nthe documentation and can contain details."},"displayName":{"description":"The human-readable name for this log. This information appears on\nthe user interface and should be concise.","type":"string"}},"id":"LogDescriptor"},"CustomErrorRule":{"description":"A custom error rule.","type":"object","properties":{"isErrorType":{"description":"Mark this message as possible payload in error response.  Otherwise,\nobjects of this type will be filtered when they appear in error payload.","type":"boolean"},"selector":{"description":"Selects messages to which this rule applies.\n\nRefer to selector for syntax details.","type":"string"}},"id":"CustomErrorRule"},"MonitoredResourceDescriptor":{"properties":{"type":{"description":"Required. The monitored resource type. For example, the type\n`\"cloudsql_database\"` represents databases in Google Cloud SQL.\nThe maximum length of this value is 256 characters.","type":"string"},"labels":{"description":"Required. A set of labels used to describe instances of this monitored\nresource type. For example, an individual Google Cloud SQL database is\nidentified by values for the labels `\"database_id\"` and `\"zone\"`.","type":"array","items":{"$ref":"LabelDescriptor"}},"name":{"description":"Optional. The resource name of the monitored resource descriptor:\n`\"projects/{project_id}/monitoredResourceDescriptors/{type}\"` where\n{type} is the value of the `type` field in this object and\n{project_id} is a project ID that provides API-specific context for\naccessing the type.  APIs that do not use project information can use the\nresource name format `\"monitoredResourceDescriptors/{type}\"`.","type":"string"},"displayName":{"description":"Optional. A concise name for the monitored resource type that might be\ndisplayed in user interfaces. It should be a Title Cased Noun Phrase,\nwithout any article or other determiners. For example,\n`\"Google Cloud SQL Database\"`.","type":"string"},"description":{"description":"Optional. A detailed description of the monitored resource type that might\nbe used in documentation.","type":"string"}},"id":"MonitoredResourceDescriptor","description":"An object that describes the schema of a MonitoredResource object using a\ntype name and a set of labels.  For example, the monitored resource\ndescriptor for Google Compute Engine VM instances has a type of\n`\"gce_instance\"` and specifies the use of the labels `\"instance_id\"` and\n`\"zone\"` to identify particular VM instances.\n\nDifferent APIs can support different monitored resource types. APIs generally\nprovide a `list` method that returns the monitored resource descriptors used\nby the API.","type":"object"},"CustomAuthRequirements":{"properties":{"provider":{"description":"A configuration string containing connection information for the\nauthentication provider, typically formatted as a SmartService string\n(go/smartservice).","type":"string"}},"id":"CustomAuthRequirements","description":"Configuration for a custom authentication provider.","type":"object"},"MediaDownload":{"type":"object","properties":{"useDirectDownload":{"type":"boolean","description":"A boolean that determines if direct download from ESF should be used for\ndownload of this media."},"enabled":{"description":"Whether download is enabled.","type":"boolean"},"downloadService":{"description":"DO NOT USE FIELDS BELOW THIS LINE UNTIL THIS WARNING IS REMOVED.\n\nSpecify name of the download service if one is used for download.","type":"string"},"completeNotification":{"type":"boolean","description":"A boolean that determines whether a notification for the completion of a\ndownload should be sent to the backend."},"maxDirectDownloadSize":{"description":"Optional maximum acceptable size for direct download.\nThe size is specified in bytes.","format":"int64","type":"string"},"dropzone":{"description":"Name of the Scotty dropzone to use for the current API.","type":"string"}},"id":"MediaDownload","description":"Defines the Media configuration for a service in case of a download.\nUse this only for Scotty Requests. Do not use this for media support using\nBytestream, add instead [][google.bytestream.RestByteStream] as an API to\nyour configuration for Bytestream methods."},"DisableServiceRequest":{"description":"Request message for DisableService method.","type":"object","properties":{},"id":"DisableServiceRequest"},"SearchServicesResponse":{"type":"object","properties":{"services":{"description":"Services available publicly or available to the authenticated caller.","type":"array","items":{"$ref":"PublishedService"}},"nextPageToken":{"description":"Token that can be passed to `ListAvailableServices` to resume a paginated\nquery.","type":"string"}},"id":"SearchServicesResponse","description":"Response message for SearchServices method."},"MediaUpload":{"description":"Defines the Media configuration for a service in case of an upload.\nUse this only for Scotty Requests. Do not use this for media support using\nBytestream, add instead [][google.bytestream.RestByteStream] as an API to\nyour configuration for Bytestream methods.","type":"object","properties":{"completeNotification":{"description":"A boolean that determines whether a notification for the completion of an\nupload should be sent to the backend. These notifications will not be seen\nby the client and will not consume quota.","type":"boolean"},"progressNotification":{"description":"Whether to receive a notification for progress changes of media upload.","type":"boolean"},"enabled":{"description":"Whether upload is enabled.","type":"boolean"},"dropzone":{"type":"string","description":"Name of the Scotty dropzone to use for the current API."},"startNotification":{"description":"Whether to receive a notification on the start of media upload.","type":"boolean"},"uploadService":{"description":"DO NOT USE FIELDS BELOW THIS LINE UNTIL THIS WARNING IS REMOVED.\n\nSpecify name of the upload service if one is used for upload.","type":"string"},"mimeTypes":{"description":"An array of mimetype patterns. Esf will only accept uploads that match one\nof the given patterns.","type":"array","items":{"type":"string"}},"maxSize":{"description":"Optional maximum acceptable size for an upload.\nThe size is specified in bytes.","format":"int64","type":"string"}},"id":"MediaUpload"},"BillingDestination":{"type":"object","properties":{"metrics":{"description":"Names of the metrics to report to this billing destination.\nEach name must be defined in Service.metrics section.","type":"array","items":{"type":"string"}},"monitoredResource":{"description":"The monitored resource type. The type must be defined in\nService.monitored_resources section.","type":"string"}},"id":"BillingDestination","description":"Configuration of a specific billing destination (Currently only support\nbill against consumer project)."},"UsageRule":{"type":"object","properties":{"allowUnregisteredCalls":{"description":"True, if the method allows unregistered calls; false otherwise.","type":"boolean"},"selector":{"description":"Selects the methods to which this rule applies. Use '*' to indicate all\nmethods in all APIs.\n\nRefer to selector for syntax details.","type":"string"},"skipServiceControl":{"description":"True, if the method should skip service control. If so, no control plane\nfeature (like quota and billing) will be enabled.\nThis flag is used by ESP to allow some Endpoints customers to bypass\nGoogle internal checks.","type":"boolean"}},"id":"UsageRule","description":"Usage configuration rules for the service.\n\nNOTE: Under development.\n\n\nUse this rule to configure unregistered calls for the service. Unregistered\ncalls are calls that do not contain consumer project identity.\n(Example: calls that do not contain an API key).\nBy default, API methods do not allow unregistered calls, and each method call\nmust be identified by a consumer project identity. Use this rule to\nallow/disallow unregistered calls.\n\nExample of an API that wants to allow unregistered calls for entire service.\n\n    usage:\n      rules:\n      - selector: \"*\"\n        allow_unregistered_calls: true\n\nExample of a method that wants to allow unregistered calls.\n\n    usage:\n      rules:\n      - selector: \"google.example.library.v1.LibraryService.CreateBook\"\n        allow_unregistered_calls: true"},"AuthRequirement":{"description":"User-defined authentication requirements, including support for\n[JSON Web Token (JWT)](https://tools.ietf.org/html/draft-ietf-oauth-json-web-token-32).","type":"object","properties":{"providerId":{"description":"id from authentication provider.\n\nExample:\n\n    provider_id: bookstore_auth","type":"string"},"audiences":{"description":"NOTE: This will be deprecated soon, once AuthProvider.audiences is\nimplemented and accepted in all the runtime components.\n\nThe list of JWT\n[audiences](https://tools.ietf.org/html/draft-ietf-oauth-json-web-token-32#section-4.1.3).\nthat are allowed to access. A JWT containing any of these audiences will\nbe accepted. When this setting is absent, only JWTs with audience\n\"https://Service_name/API_name\"\nwill be accepted. For example, if no audiences are in the setting,\nLibraryService API will only accept JWTs with the following audience\n\"https://library-example.googleapis.com/google.example.library.v1.LibraryService\".\n\nExample:\n\n    audiences: bookstore_android.apps.googleusercontent.com,\n               bookstore_web.apps.googleusercontent.com","type":"string"}},"id":"AuthRequirement"},"Documentation":{"type":"object","properties":{"summary":{"description":"A short summary of what the service does. Can only be provided by\nplain text.","type":"string"},"documentationRootUrl":{"description":"The URL to the root of documentation.","type":"string"},"rules":{"description":"A list of documentation rules that apply to individual API elements.\n\n**NOTE:** All service configuration rules follow \"last one wins\" order.","type":"array","items":{"$ref":"DocumentationRule"}},"overview":{"type":"string","description":"Declares a single overview page. For example:\n<pre><code>documentation:\n  summary: ...\n  overview: &#40;== include overview.md ==&#41;\n</code></pre>\nThis is a shortcut for the following declaration (using pages style):\n<pre><code>documentation:\n  summary: ...\n  pages:\n  - name: Overview\n    content: &#40;== include overview.md ==&#41;\n</code></pre>\nNote: you cannot specify both `overview` field and `pages` field."},"pages":{"description":"The top level pages for the documentation set.","type":"array","items":{"$ref":"Page"}}},"id":"Documentation","description":"`Documentation` provides the information for describing a service.\n\nExample:\n<pre><code>documentation:\n  summary: >\n    The Google Calendar API gives access\n    to most calendar features.\n  pages:\n  - name: Overview\n    content: &#40;== include google/foo/overview.md ==&#41;\n  - name: Tutorial\n    content: &#40;== include google/foo/tutorial.md ==&#41;\n    subpages;\n    - name: Java\n      content: &#40;== include google/foo/tutorial_java.md ==&#41;\n  rules:\n  - selector: google.calendar.Calendar.Get\n    description: >\n      ...\n  - selector: google.calendar.Calendar.Put\n    description: >\n      ...\n</code></pre>\nDocumentation is provided in markdown syntax. In addition to\nstandard markdown features, definition lists, tables and fenced\ncode blocks are supported. Section headers can be provided and are\ninterpreted relative to the section nesting of the context where\na documentation fragment is embedded.\n\nDocumentation from the IDL is merged with documentation defined\nvia the config at normalization time, where documentation provided\nby config rules overrides IDL provided.\n\nA number of constructs specific to the API platform are supported\nin documentation text.\n\nIn order to reference a proto element, the following\nnotation can be used:\n<pre><code>&#91;fully.qualified.proto.name]&#91;]</code></pre>\nTo override the display text used for the link, this can be used:\n<pre><code>&#91;display text]&#91;fully.qualified.proto.name]</code></pre>\nText can be excluded from doc using the following notation:\n<pre><code>&#40;-- internal comment --&#41;</code></pre>\nComments can be made conditional using a visibility label. The below\ntext will be only rendered if the `BETA` label is available:\n<pre><code>&#40;--BETA: comment for BETA users --&#41;</code></pre>\nA few directives are available in documentation. Note that\ndirectives must appear on a single line to be properly\nidentified. The `include` directive includes a markdown file from\nan external source:\n<pre><code>&#40;== include path/to/file ==&#41;</code></pre>\nThe `resource_for` directive marks a message to be the resource of\na collection in REST view. If it is not specified, tools attempt\nto infer the resource from the operations in a collection:\n<pre><code>&#40;== resource_for v1.shelves.books ==&#41;</code></pre>\nThe directive `suppress_warning` does not directly affect documentation\nand is documented together with service config validation."},"AuthenticationRule":{"description":"Authentication rules for the service.\n\nBy default, if a method has any authentication requirements, every request\nmust include a valid credential matching one of the requirements.\nIt's an error to include more than one kind of credential in a single\nrequest.\n\nIf a method doesn't have any auth requirements, request credentials will be\nignored.","type":"object","properties":{"requirements":{"description":"Requirements for additional authentication providers.","type":"array","items":{"$ref":"AuthRequirement"}},"selector":{"description":"Selects the methods to which this rule applies.\n\nRefer to selector for syntax details.","type":"string"},"allowWithoutCredential":{"description":"Whether to allow requests without a credential. The credential can be\nan OAuth token, Google cookies (first-party auth) or EndUserCreds.\n\nFor requests without credentials, if the service control environment is\nspecified, each incoming request **must** be associated with a service\nconsumer. This can be done by passing an API key that belongs to a consumer\nproject.","type":"boolean"},"oauth":{"description":"The requirements for OAuth credentials.","$ref":"OAuthRequirements"},"customAuth":{"description":"Configuration for custom authentication.","$ref":"CustomAuthRequirements"}},"id":"AuthenticationRule"},"BackendRule":{"description":"A backend rule provides configuration for an individual API element.","type":"object","properties":{"deadline":{"description":"The number of seconds to wait for a response from a request.  The default\ndeadline for gRPC is infinite (no deadline) and HTTP requests is 5 seconds.","format":"double","type":"number"},"minDeadline":{"type":"number","description":"Minimum deadline in seconds needed for this method. Calls having deadline\nvalue lower than this will be rejected.","format":"double"},"address":{"description":"The address of the API backend.","type":"string"},"selector":{"description":"Selects the methods to which this rule applies.\n\nRefer to selector for syntax details.","type":"string"}},"id":"BackendRule"},"Api":{"id":"Api","description":"Api is a light-weight descriptor for an API Interface.\n\nInterfaces are also described as \"protocol buffer services\" in some contexts,\nsuch as by the \"service\" keyword in a .proto file, but they are different\nfrom API Services, which represent a concrete implementation of an interface\nas opposed to simply a description of methods and bindings. They are also\nsometimes simply referred to as \"APIs\" in other contexts, such as the name of\nthis message itself. See https://cloud.google.com/apis/design/glossary for\ndetailed terminology.","type":"object","properties":{"options":{"type":"array","items":{"$ref":"Option"},"description":"Any metadata attached to the interface."},"methods":{"type":"array","items":{"$ref":"Method"},"description":"The methods of this interface, in unspecified order."},"name":{"description":"The fully qualified name of this interface, including package name\nfollowed by the interface's simple name.","type":"string"},"syntax":{"type":"string","enumDescriptions":["Syntax `proto2`.","Syntax `proto3`."],"enum":["SYNTAX_PROTO2","SYNTAX_PROTO3"],"description":"The source syntax of the service."},"sourceContext":{"$ref":"SourceContext","description":"Source context for the protocol buffer service represented by this\nmessage."},"version":{"description":"A version string for this interface. If specified, must have the form\n`major-version.minor-version`, as in `1.10`. If the minor version is\nomitted, it defaults to zero. If the entire version field is empty, the\nmajor version is derived from the package name, as outlined below. If the\nfield is not empty, the version in the package name will be verified to be\nconsistent with what is provided here.\n\nThe versioning schema uses [semantic\nversioning](http://semver.org) where the major version number\nindicates a breaking change and the minor version an additive,\nnon-breaking change. Both version numbers are signals to users\nwhat to expect from different versions, and should be carefully\nchosen based on the product plan.\n\nThe major version is also reflected in the package name of the\ninterface, which must end in `v<major-version>`, as in\n`google.feature.v1`. For major versions 0 and 1, the suffix can\nbe omitted. Zero major versions must only be used for\nexperimental, non-GA interfaces.\n","type":"string"},"mixins":{"type":"array","items":{"$ref":"Mixin"},"description":"Included interfaces. See Mixin."}}},"MetricRule":{"description":"Bind API methods to metrics. Binding a method to a metric causes that\nmetric's configured quota behaviors to apply to the method call.","type":"object","properties":{"selector":{"description":"Selects the methods to which this rule applies.\n\nRefer to selector for syntax details.","type":"string"},"metricCosts":{"additionalProperties":{"format":"int64","type":"string"},"description":"Metrics to update when the selected methods are called, and the associated\ncost applied to each metric.\n\nThe key of the map is the metric name, and the values are the amount\nincreased for the metric against which the quota limits are defined.\nThe value must not be negative.","type":"object"}},"id":"MetricRule"},"Authentication":{"type":"object","properties":{"providers":{"type":"array","items":{"$ref":"AuthProvider"},"description":"Defines a set of authentication providers that a service supports."},"rules":{"description":"A list of authentication rules that apply to individual API methods.\n\n**NOTE:** All service configuration rules follow \"last one wins\" order.","type":"array","items":{"$ref":"AuthenticationRule"}}},"id":"Authentication","description":"`Authentication` defines the authentication configuration for an API.\n\nExample for an API targeted for external use:\n\n    name: calendar.googleapis.com\n    authentication:\n      providers:\n      - id: google_calendar_auth\n        jwks_uri: https://www.googleapis.com/oauth2/v1/certs\n        issuer: https://securetoken.google.com\n      rules:\n      - selector: \"*\"\n        requirements:\n          provider_id: google_calendar_auth"},"Operation":{"id":"Operation","description":"This resource represents a long-running operation that is the result of a\nnetwork API call.","type":"object","properties":{"response":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`.","type":"object"},"name":{"type":"string","description":"The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should have the format of `operations/some/unique/name`."},"error":{"$ref":"Status","description":"The error result of the operation in case of failure or cancellation."},"metadata":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.","type":"object"},"done":{"description":"If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.","type":"boolean"}}},"Page":{"description":"Represents a documentation page. A page can contain subpages to represent\nnested documentation set structure.","type":"object","properties":{"name":{"description":"The name of the page. It will be used as an identity of the page to\ngenerate URI of the page, text of the link to this page in navigation,\netc. The full page name (start from the root page name to this page\nconcatenated with `.`) can be used as reference to the page in your\ndocumentation. For example:\n<pre><code>pages:\n- name: Tutorial\n  content: &#40;== include tutorial.md ==&#41;\n  subpages:\n  - name: Java\n    content: &#40;== include tutorial_java.md ==&#41;\n</code></pre>\nYou can reference `Java` page using Markdown reference link syntax:\n`Java`.","type":"string"},"content":{"description":"The Markdown content of the page. You can use <code>&#40;== include {path} ==&#41;</code>\nto include content from a Markdown file.","type":"string"},"subpages":{"description":"Subpages of this page. The order of subpages specified here will be\nhonored in the generated docset.","type":"array","items":{"$ref":"Page"}}},"id":"Page"}},"icons":{"x32":"http://www.google.com/images/icons/product/search-32.gif","x16":"http://www.google.com/images/icons/product/search-16.gif"},"protocol":"rest","canonicalName":"Service User","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/service.management":{"description":"Manage your Google API service configuration"},"https://www.googleapis.com/auth/cloud-platform.read-only":{"description":"View your data across Google Cloud Platform services"},"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"}}}},"rootUrl":"https://serviceuser.googleapis.com/"};