module.exports = {"auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/yt-analytics.readonly":{"description":"View YouTube Analytics reports for your YouTube content"},"https://www.googleapis.com/auth/yt-analytics-monetary.readonly":{"description":"View monetary and non-monetary YouTube Analytics reports for your YouTube content"}}}},"kind":"discovery#restDescription","description":"Schedules reporting jobs containing your YouTube Analytics data and downloads the resulting bulk data reports in the form of CSV files.","servicePath":"","rootUrl":"https://youtubereporting.googleapis.com/","basePath":"","ownerDomain":"google.com","name":"youtubereporting","batchPath":"batch","revision":"20171106","documentationLink":"https://developers.google.com/youtube/reporting/v1/reports/","id":"youtubereporting:v1","title":"YouTube Reporting API","discoveryVersion":"v1","ownerName":"Google","resources":{"reportTypes":{"methods":{"list":{"description":"Lists report types.","response":{"$ref":"ListReportTypesResponse"},"parameterOrder":[],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"parameters":{"pageToken":{"description":"A token identifying a page of results the server should return. Typically,\nthis is the value of\nListReportTypesResponse.next_page_token\nreturned in response to the previous call to the `ListReportTypes` method.","type":"string","location":"query"},"includeSystemManaged":{"location":"query","description":"If set to true, also system-managed report types will be returned;\notherwise only the report types that can be used to create new reporting\njobs will be returned.","type":"boolean"},"pageSize":{"description":"Requested page size. Server may return fewer report types than requested.\nIf unspecified, server will pick an appropriate default.","format":"int32","type":"integer","location":"query"},"onBehalfOfContentOwner":{"description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel).","type":"string","location":"query"}},"flatPath":"v1/reportTypes","path":"v1/reportTypes","id":"youtubereporting.reportTypes.list"}}},"media":{"methods":{"download":{"id":"youtubereporting.media.download","path":"v1/media/{+resourceName}","description":"Method for media download. Download is supported\non the URI `/v1/media/{+name}?alt=media`.","supportsMediaDownload":true,"httpMethod":"GET","parameterOrder":["resourceName"],"response":{"$ref":"Media"},"parameters":{"resourceName":{"location":"path","description":"Name of the media that is being downloaded.  See\nReadRequest.resource_name.","required":true,"type":"string","pattern":"^.+$"}},"scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"flatPath":"v1/media/{mediaId}"}}},"jobs":{"methods":{"delete":{"flatPath":"v1/jobs/{jobId}","path":"v1/jobs/{jobId}","id":"youtubereporting.jobs.delete","description":"Deletes a job.","response":{"$ref":"Empty"},"parameterOrder":["jobId"],"httpMethod":"DELETE","scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"parameters":{"jobId":{"location":"path","description":"The ID of the job to delete.","required":true,"type":"string"},"onBehalfOfContentOwner":{"type":"string","location":"query","description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel)."}}},"list":{"response":{"$ref":"ListJobsResponse"},"parameterOrder":[],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"parameters":{"onBehalfOfContentOwner":{"type":"string","location":"query","description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel)."},"pageToken":{"location":"query","description":"A token identifying a page of results the server should return. Typically,\nthis is the value of\nListReportTypesResponse.next_page_token\nreturned in response to the previous call to the `ListJobs` method.","type":"string"},"includeSystemManaged":{"description":"If set to true, also system-managed jobs will be returned; otherwise only\nuser-created jobs will be returned. System-managed jobs can neither be\nmodified nor deleted.","type":"boolean","location":"query"},"pageSize":{"location":"query","description":"Requested page size. Server may return fewer jobs than requested.\nIf unspecified, server will pick an appropriate default.","format":"int32","type":"integer"}},"flatPath":"v1/jobs","path":"v1/jobs","id":"youtubereporting.jobs.list","description":"Lists jobs."},"get":{"httpMethod":"GET","response":{"$ref":"Job"},"parameterOrder":["jobId"],"parameters":{"jobId":{"description":"The ID of the job to retrieve.","required":true,"type":"string","location":"path"},"onBehalfOfContentOwner":{"location":"query","description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel).","type":"string"}},"scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"flatPath":"v1/jobs/{jobId}","id":"youtubereporting.jobs.get","path":"v1/jobs/{jobId}","description":"Gets a job."},"create":{"flatPath":"v1/jobs","path":"v1/jobs","id":"youtubereporting.jobs.create","description":"Creates a job and returns it.","request":{"$ref":"Job"},"response":{"$ref":"Job"},"parameterOrder":[],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"parameters":{"onBehalfOfContentOwner":{"location":"query","description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel).","type":"string"}}}},"resources":{"reports":{"methods":{"list":{"response":{"$ref":"ListReportsResponse"},"parameterOrder":["jobId"],"httpMethod":"GET","parameters":{"onBehalfOfContentOwner":{"description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel).","type":"string","location":"query"},"startTimeBefore":{"location":"query","description":"If set, only reports whose start time is smaller than the specified\ndate/time are returned.","format":"google-datetime","type":"string"},"jobId":{"description":"The ID of the job.","required":true,"type":"string","location":"path"},"createdAfter":{"description":"If set, only reports created after the specified date/time are returned.","format":"google-datetime","type":"string","location":"query"},"pageToken":{"location":"query","description":"A token identifying a page of results the server should return. Typically,\nthis is the value of\nListReportsResponse.next_page_token\nreturned in response to the previous call to the `ListReports` method.","type":"string"},"startTimeAtOrAfter":{"description":"If set, only reports whose start time is greater than or equal the\nspecified date/time are returned.","format":"google-datetime","type":"string","location":"query"},"pageSize":{"description":"Requested page size. Server may return fewer report types than requested.\nIf unspecified, server will pick an appropriate default.","format":"int32","type":"integer","location":"query"}},"scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"flatPath":"v1/jobs/{jobId}/reports","path":"v1/jobs/{jobId}/reports","id":"youtubereporting.jobs.reports.list","description":"Lists reports created by a specific job.\nReturns NOT_FOUND if the job does not exist."},"get":{"path":"v1/jobs/{jobId}/reports/{reportId}","id":"youtubereporting.jobs.reports.get","description":"Gets the metadata of a specific report.","response":{"$ref":"Report"},"parameterOrder":["jobId","reportId"],"httpMethod":"GET","parameters":{"jobId":{"description":"The ID of the job.","required":true,"type":"string","location":"path"},"onBehalfOfContentOwner":{"description":"The content owner's external ID on which behalf the user is acting on. If\nnot set, the user is acting for himself (his own channel).","type":"string","location":"query"},"reportId":{"location":"path","description":"The ID of the report to retrieve.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/yt-analytics-monetary.readonly","https://www.googleapis.com/auth/yt-analytics.readonly"],"flatPath":"v1/jobs/{jobId}/reports/{reportId}"}}}}}},"parameters":{"callback":{"location":"query","description":"JSONP","type":"string"},"$.xgafv":{"type":"string","enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"],"description":"V1 error format."},"alt":{"enum":["json","media","proto"],"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json"},"key":{"location":"query","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string"},"access_token":{"type":"string","location":"query","description":"OAuth access token."},"quotaUser":{"description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string","location":"query"},"pp":{"description":"Pretty-print response.","type":"boolean","default":"true","location":"query"},"bearer_token":{"location":"query","description":"OAuth bearer token.","type":"string"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"upload_protocol":{"location":"query","description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string"},"prettyPrint":{"type":"boolean","default":"true","location":"query","description":"Returns response with indentations and line breaks."},"uploadType":{"location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string"},"fields":{"location":"query","description":"Selector specifying which fields to include in a partial response.","type":"string"}},"schemas":{"ListJobsResponse":{"description":"Response message for ReportingService.ListJobs.","type":"object","properties":{"jobs":{"type":"array","items":{"$ref":"Job"},"description":"The list of jobs."},"nextPageToken":{"description":"A token to retrieve next page of results.\nPass this value in the\nListJobsRequest.page_token\nfield in the subsequent call to `ListJobs` method to retrieve the next\npage of results.","type":"string"}},"id":"ListJobsResponse"},"Job":{"description":"A job creating reports of a specific type.","type":"object","properties":{"name":{"description":"The name of the job (max. 100 characters).","type":"string"},"systemManaged":{"description":"True if this a system-managed job that cannot be modified by the user;\notherwise false.","type":"boolean"},"id":{"description":"The server-generated ID of the job (max. 40 characters).","type":"string"},"createTime":{"description":"The creation date/time of the job.","format":"google-datetime","type":"string"},"reportTypeId":{"description":"The type of reports this job creates. Corresponds to the ID of a\nReportType.","type":"string"},"expireTime":{"description":"The date/time when this job will expire/expired. After a job expired, no\nnew reports are generated.","format":"google-datetime","type":"string"}},"id":"Job"},"ListReportsResponse":{"description":"Response message for ReportingService.ListReports.","type":"object","properties":{"nextPageToken":{"description":"A token to retrieve next page of results.\nPass this value in the\nListReportsRequest.page_token\nfield in the subsequent call to `ListReports` method to retrieve the next\npage of results.","type":"string"},"reports":{"description":"The list of report types.","type":"array","items":{"$ref":"Report"}}},"id":"ListReportsResponse"},"Media":{"description":"Media resource.","type":"object","properties":{"resourceName":{"type":"string","description":"Name of the media resource."}},"id":"Media"},"ReportType":{"description":"A report type.","type":"object","properties":{"name":{"description":"The name of the report type (max. 100 characters).","type":"string"},"id":{"description":"The ID of the report type (max. 100 characters).","type":"string"},"systemManaged":{"description":"True if this a system-managed report type; otherwise false. Reporting jobs\nfor system-managed report types are created automatically and can thus not\nbe used in the `CreateJob` method.","type":"boolean"},"deprecateTime":{"description":"The date/time when this report type was/will be deprecated.","format":"google-datetime","type":"string"}},"id":"ReportType"},"Report":{"description":"A report's metadata including the URL from which the report itself can be\ndownloaded.","type":"object","properties":{"jobId":{"description":"The ID of the job that created this report.","type":"string"},"id":{"description":"The server-generated ID of the report.","type":"string"},"jobExpireTime":{"description":"The date/time when the job this report belongs to will expire/expired.","format":"google-datetime","type":"string"},"endTime":{"description":"The end of the time period that the report instance covers. The value is\nexclusive.","format":"google-datetime","type":"string"},"downloadUrl":{"description":"The URL from which the report can be downloaded (max. 1000 characters).","type":"string"},"startTime":{"description":"The start of the time period that the report instance covers. The value is\ninclusive.","format":"google-datetime","type":"string"},"createTime":{"description":"The date/time when this report was created.","format":"google-datetime","type":"string"}},"id":"Report"},"Empty":{"type":"object","properties":{},"id":"Empty","description":"A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`."},"ListReportTypesResponse":{"id":"ListReportTypesResponse","description":"Response message for ReportingService.ListReportTypes.","type":"object","properties":{"reportTypes":{"description":"The list of report types.","type":"array","items":{"$ref":"ReportType"}},"nextPageToken":{"description":"A token to retrieve next page of results.\nPass this value in the\nListReportTypesRequest.page_token\nfield in the subsequent call to `ListReportTypes` method to retrieve the next\npage of results.","type":"string"}}}},"protocol":"rest","icons":{"x32":"http://www.google.com/images/icons/product/search-32.gif","x16":"http://www.google.com/images/icons/product/search-16.gif"},"version":"v1","baseUrl":"https://youtubereporting.googleapis.com/","canonicalName":"YouTube Reporting"};